/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ATOMICS_LSKEL_SKEL_H__
#define __ATOMICS_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct atomics_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc data;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc add;
		struct bpf_prog_desc sub;
		struct bpf_prog_desc and;
		struct bpf_prog_desc or;
		struct bpf_prog_desc xor;
		struct bpf_prog_desc cmpxchg;
		struct bpf_prog_desc xchg;
	} progs;
	struct {
		int add_fd;
		int sub_fd;
		int and_fd;
		int or_fd;
		int xor_fd;
		int cmpxchg_fd;
		int xchg_fd;
	} links;
	struct atomics_lskel__data {
		_Bool skip_tests;
		char __pad0[7];
		__u64 add64_value;
		__u32 add32_value;
		char __pad1[4];
		__u64 add_noreturn_value;
		__s64 sub64_value;
		__s32 sub32_value;
		char __pad2[4];
		__s64 sub_noreturn_value;
		__u64 and64_value;
		__u32 and32_value;
		char __pad3[4];
		__u64 and_noreturn_value;
		__u64 or64_value;
		__u32 or32_value;
		char __pad4[4];
		__u64 or_noreturn_value;
		__u64 xor64_value;
		__u32 xor32_value;
		char __pad5[4];
		__u64 xor_noreturn_value;
		__u64 cmpxchg64_value;
		__u32 cmpxchg32_value;
		char __pad6[4];
		__u64 xchg64_value;
		__u32 xchg32_value;
	} *data;
	struct atomics_lskel__bss {
		__u32 pid;
		char __pad0[4];
		__u64 add64_result;
		__u32 add32_result;
		char __pad1[4];
		__u64 add_stack_value_copy;
		__u64 add_stack_result;
		__s64 sub64_result;
		__s32 sub32_result;
		char __pad2[4];
		__s64 sub_stack_value_copy;
		__s64 sub_stack_result;
		__u64 and64_result;
		__u32 and32_result;
		char __pad3[4];
		__u64 or64_result;
		__u32 or32_result;
		char __pad4[4];
		__u64 xor64_result;
		__u32 xor32_result;
		char __pad5[4];
		__u64 cmpxchg64_result_fail;
		__u64 cmpxchg64_result_succeed;
		__u32 cmpxchg32_result_fail;
		__u32 cmpxchg32_result_succeed;
		__u64 xchg64_result;
		__u32 xchg32_result;
	} *bss;
};

static inline int
atomics_lskel__add__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.add.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.add_fd = fd;
	return fd;
}

static inline int
atomics_lskel__sub__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.sub.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.sub_fd = fd;
	return fd;
}

static inline int
atomics_lskel__and__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.and.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.and_fd = fd;
	return fd;
}

static inline int
atomics_lskel__or__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.or.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.or_fd = fd;
	return fd;
}

static inline int
atomics_lskel__xor__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.xor.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.xor_fd = fd;
	return fd;
}

static inline int
atomics_lskel__cmpxchg__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.cmpxchg.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.cmpxchg_fd = fd;
	return fd;
}

static inline int
atomics_lskel__xchg__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.xchg.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.xchg_fd = fd;
	return fd;
}

static inline int
atomics_lskel__attach(struct atomics_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : atomics_lskel__add__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__sub__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__and__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__or__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__xor__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__cmpxchg__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__xchg__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
atomics_lskel__detach(struct atomics_lskel *skel)
{
	skel_closenz(skel->links.add_fd);
	skel_closenz(skel->links.sub_fd);
	skel_closenz(skel->links.and_fd);
	skel_closenz(skel->links.or_fd);
	skel_closenz(skel->links.xor_fd);
	skel_closenz(skel->links.cmpxchg_fd);
	skel_closenz(skel->links.xchg_fd);
}
static void
atomics_lskel__destroy(struct atomics_lskel *skel)
{
	if (!skel)
		return;
	atomics_lskel__detach(skel);
	skel_closenz(skel->progs.add.prog_fd);
	skel_closenz(skel->progs.sub.prog_fd);
	skel_closenz(skel->progs.and.prog_fd);
	skel_closenz(skel->progs.or.prog_fd);
	skel_closenz(skel->progs.xor.prog_fd);
	skel_closenz(skel->progs.cmpxchg.prog_fd);
	skel_closenz(skel->progs.xchg.prog_fd);
	skel_free_map_data(skel->data, skel->maps.data.initial_value, 4096);
	skel_closenz(skel->maps.data.map_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct atomics_lskel *
atomics_lskel__open(void)
{
	struct atomics_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	{
		static const char data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\
\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\
\x10\x01\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\x01\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0";

		skel->data = skel_prep_map_data((void *)data, 4096,
						sizeof(data) - 1);
		if (!skel->data)
			goto cleanup;
		skel->maps.data.initial_value = (__u64) (long) skel->data;
	}
	{
		static const char data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

		skel->bss = skel_prep_map_data((void *)data, 4096,
						sizeof(data) - 1);
		if (!skel->bss)
			goto cleanup;
		skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	}
	return skel;
cleanup:
	atomics_lskel__destroy(skel);
	return NULL;
}

static inline int
atomics_lskel__load(struct atomics_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;
	static const char opts_data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x94\x05\0\0\x94\x05\0\0\xce\x09\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\
\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x0d\0\0\0\x01\0\0\x0c\x03\0\0\0\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\x15\0\0\0\x01\
\0\0\x0c\x03\0\0\0\x18\0\0\0\x01\0\0\x0c\x03\0\0\0\x1c\0\0\0\x01\0\0\x0c\x03\0\
\0\0\x24\0\0\0\x01\0\0\x0c\x03\0\0\0\x29\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\
\x2f\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x3a\0\0\0\0\0\0\x08\x0f\0\0\0\x40\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4d\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x51\0\
\0\0\0\0\0\x08\x12\0\0\0\x57\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x6a\0\0\0\0\0\
\0\x0e\x11\0\0\0\x01\0\0\0\x76\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x83\0\0\0\0\
\0\0\x0e\x0e\0\0\0\x01\0\0\0\x8f\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x9c\0\0\0\
\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xb1\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xc2\0\0\
\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xd5\0\0\0\0\0\0\x08\x1b\0\0\0\xdb\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\x01\xe5\0\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\xf1\0\0\0\0\
\0\0\x0e\x1a\0\0\0\x01\0\0\0\xfe\0\0\0\0\0\0\x08\x04\0\0\0\x04\x01\0\0\0\0\0\
\x0e\x1e\0\0\0\x01\0\0\0\x10\x01\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x1d\x01\0\0\
\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x32\x01\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x43\
\x01\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x56\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\
\0\x62\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x6f\x01\0\0\0\0\0\x0e\x0e\0\0\0\
\x01\0\0\0\x7b\x01\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x88\x01\0\0\0\0\0\x0e\x11\
\0\0\0\x01\0\0\0\x9b\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xa6\x01\0\0\0\0\0\
\x0e\x11\0\0\0\x01\0\0\0\xb2\x01\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xbd\x01\0\0\
\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xc9\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xdb\
\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xe7\x01\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\
\0\xf4\x01\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\
\0\0\0\x0d\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x20\x02\0\0\0\0\0\x0e\x11\0\0\
\0\x01\0\0\0\x30\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x46\x02\0\0\0\0\0\x0e\
\x11\0\0\0\x01\0\0\0\x5f\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x6f\x02\0\0\0\0\
\0\x0e\x0e\0\0\0\x01\0\0\0\x85\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x9e\x02\0\
\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xab\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xb9\
\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xc6\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\
\0\xb2\x09\0\0\x14\0\0\x0f\x9c\0\0\0\x0d\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x08\
\0\0\0\x08\0\0\0\x15\0\0\0\x10\0\0\0\x04\0\0\0\x19\0\0\0\x18\0\0\0\x08\0\0\0\
\x1c\0\0\0\x20\0\0\0\x08\0\0\0\x1f\0\0\0\x28\0\0\0\x04\0\0\0\x23\0\0\0\x30\0\0\
\0\x08\0\0\0\x24\0\0\0\x38\0\0\0\x08\0\0\0\x26\0\0\0\x40\0\0\0\x04\0\0\0\x28\0\
\0\0\x48\0\0\0\x08\0\0\0\x29\0\0\0\x50\0\0\0\x08\0\0\0\x2b\0\0\0\x58\0\0\0\x04\
\0\0\0\x2d\0\0\0\x60\0\0\0\x08\0\0\0\x2e\0\0\0\x68\0\0\0\x08\0\0\0\x30\0\0\0\
\x70\0\0\0\x04\0\0\0\x32\0\0\0\x78\0\0\0\x08\0\0\0\x33\0\0\0\x80\0\0\0\x08\0\0\
\0\x36\0\0\0\x88\0\0\0\x04\0\0\0\x39\0\0\0\x90\0\0\0\x08\0\0\0\x3b\0\0\0\x98\0\
\0\0\x04\0\0\0\xb8\x09\0\0\x15\0\0\x0f\x9c\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\
\x14\0\0\0\x08\0\0\0\x08\0\0\0\x16\0\0\0\x10\0\0\0\x04\0\0\0\x17\0\0\0\x18\0\0\
\0\x08\0\0\0\x18\0\0\0\x20\0\0\0\x08\0\0\0\x1d\0\0\0\x28\0\0\0\x08\0\0\0\x20\0\
\0\0\x30\0\0\0\x04\0\0\0\x21\0\0\0\x38\0\0\0\x08\0\0\0\x22\0\0\0\x40\0\0\0\x08\
\0\0\0\x25\0\0\0\x48\0\0\0\x08\0\0\0\x27\0\0\0\x50\0\0\0\x04\0\0\0\x2a\0\0\0\
\x58\0\0\0\x08\0\0\0\x2c\0\0\0\x60\0\0\0\x04\0\0\0\x2f\0\0\0\x68\0\0\0\x08\0\0\
\0\x31\0\0\0\x70\0\0\0\x04\0\0\0\x34\0\0\0\x78\0\0\0\x08\0\0\0\x35\0\0\0\x80\0\
\0\0\x08\0\0\0\x37\0\0\0\x88\0\0\0\x04\0\0\0\x38\0\0\0\x8c\0\0\0\x04\0\0\0\x3a\
\0\0\0\x90\0\0\0\x08\0\0\0\x3c\0\0\0\x98\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\
\x6e\x74\0\x61\x64\x64\0\x73\x75\x62\0\x61\x6e\x64\0\x6f\x72\0\x78\x6f\x72\0\
\x63\x6d\x70\x78\x63\x68\x67\0\x78\x63\x68\x67\0\x5f\x42\x6f\x6f\x6c\0\x73\x6b\
\x69\x70\x5f\x74\x65\x73\x74\x73\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x69\x64\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x61\x64\x64\x36\
\x34\x5f\x76\x61\x6c\x75\x65\0\x61\x64\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\
\0\x61\x64\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x61\x64\x64\x33\x32\x5f\x72\
\x65\x73\x75\x6c\x74\0\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\
\x65\x5f\x63\x6f\x70\x79\0\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\
\x75\x6c\x74\0\x61\x64\x64\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\
\x75\x65\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x75\
\x62\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\x36\x34\x5f\x72\x65\x73\x75\
\x6c\x74\0\x5f\x5f\x73\x33\x32\0\x73\x75\x62\x33\x32\x5f\x76\x61\x6c\x75\x65\0\
\x73\x75\x62\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x73\x74\x61\
\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\0\x73\x75\x62\x5f\x73\x74\
\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\
\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x61\x6e\x64\x36\x34\x5f\x76\x61\x6c\x75\
\x65\0\x61\x6e\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x6e\x64\x33\x32\
\x5f\x76\x61\x6c\x75\x65\0\x61\x6e\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\
\x61\x6e\x64\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x6f\
\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x36\x34\x5f\x72\x65\x73\x75\x6c\
\x74\0\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x33\x32\x5f\x72\x65\
\x73\x75\x6c\x74\0\x6f\x72\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\
\x75\x65\0\x78\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\x72\x36\x34\
\x5f\x72\x65\x73\x75\x6c\x74\0\x78\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\
\x78\x6f\x72\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x78\x6f\x72\x5f\x6e\x6f\x72\
\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x36\
\x34\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\
\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\
\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\x63\x6d\x70\x78\x63\
\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x33\x32\
\x5f\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\x68\x67\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\x78\x63\
\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x63\x68\x67\x36\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x78\x63\
\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x61\x74\x6f\
\x6d\x69\x63\x73\x2e\x63\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\x3d\x20\x28\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x29\0\x09\x5f\x5f\x75\
\x36\x34\x20\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x20\
\x3d\x20\x31\x3b\0\x09\x61\x64\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\
\x64\x64\x28\x26\x61\x64\x64\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\
\x3b\0\x09\x61\x64\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\
\x26\x61\x64\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x61\
\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\
\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\
\x28\x26\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x2c\x20\
\x32\x29\x3b\0\x09\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\
\x5f\x63\x6f\x70\x79\x20\x3d\x20\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\
\x61\x6c\x75\x65\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\
\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x61\x64\x64\x5f\x6e\x6f\x72\x65\x74\x75\
\x72\x6e\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x7d\0\x09\x5f\x5f\x75\
\x36\x34\x20\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x20\
\x3d\x20\x31\x3b\0\x09\x73\x75\x62\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\
\x75\x62\x28\x26\x73\x75\x62\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\
\x3b\0\x09\x73\x75\x62\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\x28\
\x26\x73\x75\x62\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x73\
\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\
\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x73\x75\x62\
\x28\x26\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x2c\x20\
\x32\x29\x3b\0\x09\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\
\x5f\x63\x6f\x70\x79\x20\x3d\x20\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\x76\
\x61\x6c\x75\x65\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\
\x61\x6e\x64\x5f\x73\x75\x62\x28\x26\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\x75\
\x72\x6e\x5f\x76\x61\x6c\x75\x65\x2c\x20\x32\x29\x3b\0\x09\x61\x6e\x64\x36\x34\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x6e\x64\x28\x26\x61\x6e\x64\x36\x34\x5f\
\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\
\x33\x32\x29\x3b\0\x09\x61\x6e\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\
\x6e\x64\x28\x26\x61\x6e\x64\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\
\x30\x31\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\
\x61\x6e\x64\x5f\x61\x6e\x64\x28\x26\x61\x6e\x64\x5f\x6e\x6f\x72\x65\x74\x75\
\x72\x6e\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\
\x3c\x3c\x20\x33\x32\x29\x3b\0\x09\x6f\x72\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\
\x5f\x6f\x72\x28\x26\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\
\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\x32\x29\x3b\0\x09\x6f\x72\x33\x32\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x6f\x72\x28\x26\x6f\x72\x33\x32\x5f\x76\x61\
\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x6f\x72\x28\x26\x6f\x72\x5f\x6e\
\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\
\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\x32\x29\x3b\0\x09\x78\x6f\x72\x36\x34\x5f\
\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\
\x63\x68\x5f\x61\x6e\x64\x5f\x78\x6f\x72\x28\x26\x78\x6f\x72\x36\x34\x5f\x76\
\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\x3c\x20\x33\
\x32\x29\x3b\0\x09\x78\x6f\x72\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\
\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x78\x6f\
\x72\x28\x26\x78\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\
\x31\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\
\x6e\x64\x5f\x78\x6f\x72\x28\x26\x78\x6f\x72\x5f\x6e\x6f\x72\x65\x74\x75\x72\
\x6e\x5f\x76\x61\x6c\x75\x65\x2c\x20\x30\x78\x30\x31\x31\x75\x6c\x6c\x20\x3c\
\x3c\x20\x33\x32\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\
\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\x20\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\
\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\x64\x5f\x73\x77\x61\
\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\
\x20\x30\x2c\x20\x33\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\
\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\x20\x3d\x20\x5f\x5f\x73\
\x79\x6e\x63\x5f\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\x64\
\x5f\x73\x77\x61\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\x61\
\x6c\x75\x65\x2c\x20\x31\x2c\x20\x32\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\x67\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\x20\x3d\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\x65\x5f\x61\x6e\
\x64\x5f\x73\x77\x61\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\x76\
\x61\x6c\x75\x65\x2c\x20\x30\x2c\x20\x33\x29\x3b\0\x09\x63\x6d\x70\x78\x63\x68\
\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\x20\
\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x76\x61\x6c\x5f\x63\x6f\x6d\x70\x61\x72\
\x65\x5f\x61\x6e\x64\x5f\x73\x77\x61\x70\x28\x26\x63\x6d\x70\x78\x63\x68\x67\
\x33\x32\x5f\x76\x61\x6c\x75\x65\x2c\x20\x31\x2c\x20\x32\x29\x3b\0\x09\x78\x63\
\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x5f\x5f\x73\x79\x6e\
\x63\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x5f\x61\x6e\x64\x5f\x73\x65\x74\
\x28\x26\x78\x63\x68\x67\x36\x34\x5f\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\
\x36\x34\x29\x3b\0\x09\x78\x63\x68\x67\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x5f\x5f\x73\x79\x6e\x63\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x5f\
\x61\x6e\x64\x5f\x73\x65\x74\x28\x26\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\
\x75\x65\x2c\x20\x76\x61\x6c\x33\x32\x29\x3b\0\x2e\x64\x61\x74\x61\0\x2e\x62\
\x73\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x9c\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x61\x74\x6f\
\x6d\x69\x63\x73\x5f\x2e\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x10\x01\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x10\x01\0\0\x10\
\x01\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\0\0\0\0\0\
\0\0\0\x10\x01\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x9c\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\x61\x74\x6f\x6d\x69\x63\x73\x5f\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x3e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\
\x20\0\0\0\x5d\x60\x1d\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\
\xb7\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xb7\x03\0\0\x02\0\
\0\0\xdb\x32\0\0\x01\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x7b\x32\0\0\
\0\0\0\0\xb4\x02\0\0\x02\0\0\0\x18\x63\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\xc3\x23\0\
\0\x01\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x63\x23\0\0\0\0\0\0\xb7\
\x02\0\0\x02\0\0\0\xdb\x2a\xf8\xff\x01\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\0\x20\
\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x79\xa3\xf8\
\xff\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\xdb\x12\
\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\xd4\
\x02\0\0\x55\x03\0\0\x06\x68\0\0\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\x68\0\0\
\x04\0\0\0\xd4\x02\0\0\x55\x03\0\0\x29\x68\0\0\x05\0\0\0\xd4\x02\0\0\x55\x03\0\
\0\x06\x68\0\0\x07\0\0\0\xd4\x02\0\0\x85\x03\0\0\x08\x74\0\0\x09\0\0\0\xd4\x02\
\0\0\xa1\x03\0\0\x11\x7c\0\0\x0d\0\0\0\xd4\x02\0\0\xa1\x03\0\0\x0f\x7c\0\0\x11\
\0\0\0\xd4\x02\0\0\xd8\x03\0\0\x11\x80\0\0\x14\0\0\0\xd4\x02\0\0\xd8\x03\0\0\
\x0f\x80\0\0\x17\0\0\0\xd4\x02\0\0\x0f\x04\0\0\x15\x84\0\0\x19\0\0\0\xd4\x02\0\
\0\x0f\x04\0\0\x13\x84\0\0\x1c\0\0\0\xd4\x02\0\0\x4e\x04\0\0\x17\x88\0\0\x1e\0\
\0\0\xd4\x02\0\0\x4e\x04\0\0\x19\x88\0\0\x1f\0\0\0\xd4\x02\0\0\x4e\x04\0\0\x17\
\x88\0\0\x20\0\0\0\xd4\x02\0\0\x77\x04\0\0\x02\x8c\0\0\x23\0\0\0\xd4\x02\0\0\
\xa6\x04\0\0\x01\x9c\0\0\x11\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x64\x64\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x61\
\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x1f\0\0\0\0\0\
\xb7\x01\0\0\x01\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x87\x01\0\
\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xbf\x13\0\0\0\0\0\0\xdb\x32\0\
\0\x01\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x7b\x32\0\0\0\0\0\0\xb4\
\x02\0\0\x02\0\0\0\x84\x02\0\0\0\0\0\0\x18\x63\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\
\xc3\x23\0\0\x01\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x63\x23\0\0\0\0\
\0\0\xbf\x12\0\0\0\0\0\0\xdb\x2a\xf8\xff\x01\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\
\0\x40\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x79\
\xa3\xf8\xff\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\xdb\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\xd4\x02\0\0\x55\x03\0\0\x06\xd0\0\0\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\
\xd0\0\0\x04\0\0\0\xd4\x02\0\0\x55\x03\0\0\x29\xd0\0\0\x05\0\0\0\xd4\x02\0\0\
\x55\x03\0\0\x06\xd0\0\0\x07\0\0\0\xd4\x02\0\0\xa8\x04\0\0\x08\xdc\0\0\x09\0\0\
\0\xd4\x02\0\0\xc4\x04\0\0\x11\xe4\0\0\x0e\0\0\0\xd4\x02\0\0\xc4\x04\0\0\x0f\
\xe4\0\0\x12\0\0\0\xd4\x02\0\0\xfb\x04\0\0\x11\xe8\0\0\x16\0\0\0\xd4\x02\0\0\
\xfb\x04\0\0\x0f\xe8\0\0\x19\0\0\0\xd4\x02\0\0\x32\x05\0\0\x15\xec\0\0\x1b\0\0\
\0\xd4\x02\0\0\x32\x05\0\0\x13\xec\0\0\x1e\0\0\0\xd4\x02\0\0\x71\x05\0\0\x17\
\xf0\0\0\x20\0\0\0\xd4\x02\0\0\x71\x05\0\0\x19\xf0\0\0\x21\0\0\0\xd4\x02\0\0\
\x71\x05\0\0\x17\xf0\0\0\x22\0\0\0\xd4\x02\0\0\x9a\x05\0\0\x02\xf4\0\0\x25\0\0\
\0\xd4\x02\0\0\xa6\x04\0\0\x01\x04\x01\0\x11\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x75\x62\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\
\x60\x14\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x18\x62\0\0\0\0\0\0\0\
\0\0\0\x38\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\xdb\x32\0\0\x51\0\0\0\
\x18\x62\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x7b\x32\0\0\0\0\0\0\xb4\x02\0\0\x11\0\
\0\0\x18\x63\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\xc3\x23\0\0\x51\0\0\0\x18\x63\0\0\
\x01\0\0\0\0\0\0\0\x50\0\0\0\x63\x23\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\
\x48\0\0\0\xdb\x12\0\0\x50\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\0\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\x30\x01\0\x03\0\0\0\xd4\x02\0\0\
\x55\x03\0\0\x0e\x30\x01\0\x04\0\0\0\xd4\x02\0\0\x55\x03\0\0\x29\x30\x01\0\x05\
\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\x30\x01\0\x08\0\0\0\xd4\x02\0\0\xc9\x05\0\0\
\x11\x40\x01\0\x0d\0\0\0\xd4\x02\0\0\xc9\x05\0\0\x0f\x40\x01\0\x11\0\0\0\xd4\
\x02\0\0\x0d\x06\0\0\x11\x44\x01\0\x14\0\0\0\xd4\x02\0\0\x0d\x06\0\0\x0f\x44\
\x01\0\x17\0\0\0\xd4\x02\0\0\x48\x06\0\0\x02\x48\x01\0\x1a\0\0\0\xd4\x02\0\0\
\xa6\x04\0\0\x01\x58\x01\0\x11\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x6e\x64\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x14\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x50\0\0\
\0\x18\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\xdb\x32\0\0\x41\0\0\0\x18\x62\0\0\x01\
\0\0\0\0\0\0\0\x58\0\0\0\x7b\x32\0\0\0\0\0\0\xb4\x02\0\0\x11\0\0\0\x18\x63\0\0\
\0\0\0\0\0\0\0\0\x58\0\0\0\xc3\x23\0\0\x41\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\0\
\x60\0\0\0\x63\x23\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\xdb\x12\0\
\0\x40\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd4\
\x02\0\0\x55\x03\0\0\x06\x84\x01\0\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\x84\
\x01\0\x04\0\0\0\xd4\x02\0\0\x55\x03\0\0\x29\x84\x01\0\x05\0\0\0\xd4\x02\0\0\
\x55\x03\0\0\x06\x84\x01\0\x08\0\0\0\xd4\x02\0\0\x84\x06\0\0\x10\x90\x01\0\x0d\
\0\0\0\xd4\x02\0\0\x84\x06\0\0\x0e\x90\x01\0\x11\0\0\0\xd4\x02\0\0\xc5\x06\0\0\
\x10\x94\x01\0\x14\0\0\0\xd4\x02\0\0\xc5\x06\0\0\x0e\x94\x01\0\x17\0\0\0\xd4\
\x02\0\0\xfd\x06\0\0\x02\x98\x01\0\x1a\0\0\0\xd4\x02\0\0\xa6\x04\0\0\x01\xa8\
\x01\0\x11\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0a\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\
\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x14\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\x11\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x18\x03\0\0\0\0\0\0\0\
\0\0\0\x11\0\0\0\xdb\x32\0\0\xa1\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x68\0\0\0\
\x7b\x32\0\0\0\0\0\0\xb4\x02\0\0\x11\0\0\0\x18\x63\0\0\0\0\0\0\0\0\0\0\x70\0\0\
\0\xc3\x23\0\0\xa1\0\0\0\x18\x63\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x63\x23\0\0\0\
\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\xdb\x12\0\0\xa0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\
\xd4\x01\0\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\xd4\x01\0\x04\0\0\0\xd4\x02\0\
\0\x55\x03\0\0\x29\xd4\x01\0\x05\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\xd4\x01\0\
\x08\0\0\0\xd4\x02\0\0\x37\x07\0\0\x11\xe0\x01\0\x0d\0\0\0\xd4\x02\0\0\x37\x07\
\0\0\x0f\xe0\x01\0\x11\0\0\0\xd4\x02\0\0\x7b\x07\0\0\x11\xe4\x01\0\x14\0\0\0\
\xd4\x02\0\0\x7b\x07\0\0\x0f\xe4\x01\0\x17\0\0\0\xd4\x02\0\0\xb6\x07\0\0\x02\
\xe8\x01\0\x1a\0\0\0\xd4\x02\0\0\xa6\x04\0\0\x01\xf8\x01\0\x11\0\0\0\x1c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x78\x6f\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\
\0\x20\0\0\0\x5d\x60\x1c\0\0\0\0\0\xb7\x01\0\0\x03\0\0\0\x18\x62\0\0\0\0\0\0\0\
\0\0\0\x80\0\0\0\xb7\0\0\0\0\0\0\0\xdb\x12\0\0\xf1\0\0\0\x18\x61\0\0\x01\0\0\0\
\0\0\0\0\x78\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\xb7\0\0\0\x01\0\0\
\0\xdb\x12\0\0\xf1\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x7b\x01\0\0\0\
\0\0\0\xb4\x01\0\0\x03\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\xb4\0\0\0\0\
\0\0\0\xc3\x12\0\0\xf1\0\0\0\x18\x61\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x63\x01\0\
\0\0\0\0\0\xb4\x01\0\0\x02\0\0\0\xb4\0\0\0\x01\0\0\0\xc3\x12\0\0\xf1\0\0\0\x18\
\x61\0\0\x01\0\0\0\0\0\0\0\x8c\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\x28\x02\0\
\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\x28\x02\0\x04\0\0\0\xd4\x02\0\0\x55\x03\
\0\0\x29\x28\x02\0\x05\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\x28\x02\0\x07\0\0\0\
\xd4\x02\0\0\xf2\x07\0\0\x1a\x34\x02\0\x0b\0\0\0\xd4\x02\0\0\xf2\x07\0\0\x18\
\x34\x02\0\x0f\0\0\0\xd4\x02\0\0\x40\x08\0\0\x1d\x38\x02\0\x11\0\0\0\xd4\x02\0\
\0\x40\x08\0\0\x1b\x38\x02\0\x15\0\0\0\xd4\x02\0\0\x91\x08\0\0\x1a\x40\x02\0\
\x19\0\0\0\xd4\x02\0\0\x91\x08\0\0\x18\x40\x02\0\x1d\0\0\0\xd4\x02\0\0\xdf\x08\
\0\0\x1d\x44\x02\0\x1f\0\0\0\xd4\x02\0\0\xdf\x08\0\0\x1b\x44\x02\0\x22\0\0\0\
\xd4\x02\0\0\xa6\x04\0\0\x01\x54\x02\0\x11\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6d\x70\x78\
\x63\x68\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\
\0\x5d\x60\x0e\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x90\
\0\0\0\xdb\x12\0\0\xe1\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x90\0\0\0\x7b\x12\0\
\0\0\0\0\0\xb4\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\xc3\x12\
\0\0\xe1\0\0\0\x18\x62\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x63\x12\0\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\xd4\x02\0\0\x55\x03\
\0\0\x06\x7c\x02\0\x03\0\0\0\xd4\x02\0\0\x55\x03\0\0\x0e\x7c\x02\0\x04\0\0\0\
\xd4\x02\0\0\x55\x03\0\0\x29\x7c\x02\0\x05\0\0\0\xd4\x02\0\0\x55\x03\0\0\x06\
\x7c\x02\0\x07\0\0\0\xd4\x02\0\0\x30\x09\0\0\x12\x94\x02\0\x0a\0\0\0\xd4\x02\0\
\0\x30\x09\0\0\x10\x94\x02\0\x0e\0\0\0\xd4\x02\0\0\x71\x09\0\0\x12\x98\x02\0\
\x11\0\0\0\xd4\x02\0\0\x71\x09\0\0\x10\x98\x02\0\x14\0\0\0\xd4\x02\0\0\xa6\x04\
\0\0\x01\xa8\x02\0\x11\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x63\x68\x67\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0";
	static const char opts_insn[] __attribute__((__aligned__(8))) = "\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xff\xff\xff\xb7\x02\0\
\0\x88\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x29\0\0\0\0\0\x61\
\xa1\x78\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x84\xff\0\0\0\0\xd5\x01\x01\0\0\
\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x88\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\
\0\0\xa8\0\0\0\x61\xa1\x8c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\
\0\x61\xa1\x90\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\
\x94\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x98\xff\0\0\
\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\
\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xbf\x70\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x98\x14\0\0\
\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x94\x14\
\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x88\
\x14\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\x80\x14\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x12\0\0\0\x18\x62\
\0\0\0\0\0\0\0\0\0\0\x80\x14\0\0\xb7\x03\0\0\x1c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\
\x07\0\0\0\0\0\0\xc5\x07\xbf\xff\0\0\0\0\x63\x7a\x78\xff\0\0\0\0\x61\xa0\x78\
\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd0\x14\0\0\x63\x01\0\0\0\0\0\0\x61\
\x60\x1c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xac\x14\0\0\
\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xa0\x14\0\
\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xae\
\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\0\0\0\0\x79\x63\
\x20\0\0\0\0\0\x15\x03\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe8\x14\0\0\
\xb7\x02\0\0\x9c\0\0\0\x61\x60\x04\0\0\0\0\0\x45\0\x02\0\x01\0\0\0\x85\0\0\0\
\x94\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x15\0\0\x63\x01\0\
\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\x15\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x98\x15\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe8\x14\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa0\x15\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\
\x18\x62\0\0\0\0\0\0\0\0\0\0\x90\x15\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\0\0\xa6\0\
\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x8a\xff\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xe0\x15\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x2c\0\0\0\0\0\
\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xbc\x15\0\0\x63\x01\0\0\0\0\0\
\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xb0\x15\0\0\xb7\x03\0\0\x48\
\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x7a\xff\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x63\x71\0\0\0\0\0\0\x79\x63\x30\0\0\0\0\0\x15\
\x03\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf8\x15\0\0\xb7\x02\0\0\x9c\0\0\
\0\x61\x60\x04\0\0\0\0\0\x45\0\x02\0\x01\0\0\0\x85\0\0\0\x94\0\0\0\x05\0\x01\0\
\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x61\x20\0\0\
\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa0\x16\0\0\x63\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x98\x16\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa8\x16\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x15\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\xb0\x16\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\
\0\0\0\xa0\x16\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\
\0\xc5\x07\x56\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x16\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\x08\x19\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\xc8\x16\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\
\0\0\0\0\0\0\0\0\0\0\xf0\x17\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x48\x19\0\0\x7b\
\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x17\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\x58\x19\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x18\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x78\x19\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x19\0\0\x7b\x01\0\0\0\0\0\0\
\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x10\x19\0\0\x63\x01\0\0\0\0\
\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x14\x19\0\0\x63\x01\0\0\
\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x19\0\0\x7b\x01\
\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x40\x19\0\0\
\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xf8\x18\
\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x21\
\xff\0\0\0\0\x63\x7a\x80\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\x19\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\xe0\x1b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\
\0\0\0\0\0\x90\x19\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd8\x1b\0\0\x7b\x01\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc8\x1a\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x20\
\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xd0\x1a\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x30\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\xd0\x1b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x50\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\
\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x48\x1c\0\0\x7b\
\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe8\x1b\0\0\
\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xec\x1b\
\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf0\
\x1b\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\x18\x1c\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\
\0\0\0\xd0\x1b\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\
\0\xc5\x07\xeb\xfe\0\0\0\0\x63\x7a\x84\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\x60\x1c\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\
\0\0\0\0\0\0\0\0\0\0\x68\x1c\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf8\x1d\0\0\x7b\
\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x48\x1d\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\x40\x1e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x50\x1d\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x50\x1e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\
\0\0\0\0\0\xf0\x1d\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x1e\0\0\x7b\x01\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x68\x1e\0\
\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\
\x1e\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x0c\x1e\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x10\x1e\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x38\x1e\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\
\0\0\0\0\0\0\0\xf0\x1d\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\
\0\0\0\0\0\xc5\x07\xb5\xfe\0\0\0\0\x63\x7a\x88\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\x80\x1e\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x20\x20\0\0\x7b\x01\0\0\0\0\0\
\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\x1e\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x20\
\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x68\x1f\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x60\x20\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x70\
\x1f\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x20\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x10\x20\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x20\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x88\x20\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x28\x20\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x2c\x20\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x30\x20\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x58\x20\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\
\x62\0\0\0\0\0\0\0\0\0\0\x10\x20\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\
\xbf\x07\0\0\0\0\0\0\xc5\x07\x7f\xfe\0\0\0\0\x63\x7a\x8c\xff\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\xa0\x20\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x40\x22\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xa8\x20\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\x38\x22\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\x21\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\x80\x22\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\x90\x21\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x22\0\0\x7b\x01\0\0\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\x30\x22\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb0\x22\0\
\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\xa8\x22\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x48\x22\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\x4c\x22\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\x50\x22\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x78\x22\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\x05\0\
\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x30\x22\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\
\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x49\xfe\0\0\0\0\x63\x7a\x90\xff\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x22\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd0\x24\0\
\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc8\x22\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\xc8\x24\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe8\
\x23\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x10\x25\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\xf0\x23\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x20\x25\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x24\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\x40\x25\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\x38\x25\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xd8\x24\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\xdc\x24\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe0\x24\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\
\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\x25\0\0\x63\x01\0\0\0\0\0\0\xb7\
\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xc0\x24\0\0\xb7\x03\0\0\x8c\0\0\
\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x13\xfe\0\0\0\0\x63\x7a\x94\
\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x50\x25\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\xb0\x26\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x58\x25\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa8\x26\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\x08\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf0\x26\0\0\x7b\x01\0\0\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\x10\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\
\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xa0\x26\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x20\x27\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x27\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb8\x26\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\
\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xbc\x26\0\0\x63\x01\0\0\0\0\0\0\x79\x60\
\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc0\x26\0\0\x7b\x01\0\0\0\0\0\0\x61\
\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe8\x26\0\0\x63\x01\0\0\0\0\0\
\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xa0\x26\0\0\xb7\x03\0\0\
\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xdd\xfd\0\0\0\0\x63\
\x7a\x98\xff\0\0\0\0\x61\xa1\x78\xff\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\
\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa0\x80\xff\0\0\0\0\x63\x06\x38\0\0\0\0\0\x61\
\xa0\x84\xff\0\0\0\0\x63\x06\x3c\0\0\0\0\0\x61\xa0\x88\xff\0\0\0\0\x63\x06\x40\
\0\0\0\0\0\x61\xa0\x8c\xff\0\0\0\0\x63\x06\x44\0\0\0\0\0\x61\xa0\x90\xff\0\0\0\
\0\x63\x06\x48\0\0\0\0\0\x61\xa0\x94\xff\0\0\0\0\x63\x06\x4c\0\0\0\0\0\x61\xa0\
\x98\xff\0\0\0\0\x63\x06\x50\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\x63\x06\x18\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x61\x10\0\0\0\0\0\0\x63\x06\x28\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = sizeof(opts_data) - 1;
	opts.data = (void *)opts_data;
	opts.insns_sz = sizeof(opts_insn) - 1;
	opts.insns = (void *)opts_insn;

	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->data = skel_finalize_map_data(&skel->maps.data.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.data.map_fd);
	if (!skel->data)
		return -ENOMEM;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct atomics_lskel *
atomics_lskel__open_and_load(void)
{
	struct atomics_lskel *skel;

	skel = atomics_lskel__open();
	if (!skel)
		return NULL;
	if (atomics_lskel__load(skel)) {
		atomics_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
atomics_lskel__assert(struct atomics_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->skip_tests) == 1, "unexpected size of 'skip_tests'");
	_Static_assert(sizeof(s->data->add64_value) == 8, "unexpected size of 'add64_value'");
	_Static_assert(sizeof(s->data->add32_value) == 4, "unexpected size of 'add32_value'");
	_Static_assert(sizeof(s->data->add_noreturn_value) == 8, "unexpected size of 'add_noreturn_value'");
	_Static_assert(sizeof(s->data->sub64_value) == 8, "unexpected size of 'sub64_value'");
	_Static_assert(sizeof(s->data->sub32_value) == 4, "unexpected size of 'sub32_value'");
	_Static_assert(sizeof(s->data->sub_noreturn_value) == 8, "unexpected size of 'sub_noreturn_value'");
	_Static_assert(sizeof(s->data->and64_value) == 8, "unexpected size of 'and64_value'");
	_Static_assert(sizeof(s->data->and32_value) == 4, "unexpected size of 'and32_value'");
	_Static_assert(sizeof(s->data->and_noreturn_value) == 8, "unexpected size of 'and_noreturn_value'");
	_Static_assert(sizeof(s->data->or64_value) == 8, "unexpected size of 'or64_value'");
	_Static_assert(sizeof(s->data->or32_value) == 4, "unexpected size of 'or32_value'");
	_Static_assert(sizeof(s->data->or_noreturn_value) == 8, "unexpected size of 'or_noreturn_value'");
	_Static_assert(sizeof(s->data->xor64_value) == 8, "unexpected size of 'xor64_value'");
	_Static_assert(sizeof(s->data->xor32_value) == 4, "unexpected size of 'xor32_value'");
	_Static_assert(sizeof(s->data->xor_noreturn_value) == 8, "unexpected size of 'xor_noreturn_value'");
	_Static_assert(sizeof(s->data->cmpxchg64_value) == 8, "unexpected size of 'cmpxchg64_value'");
	_Static_assert(sizeof(s->data->cmpxchg32_value) == 4, "unexpected size of 'cmpxchg32_value'");
	_Static_assert(sizeof(s->data->xchg64_value) == 8, "unexpected size of 'xchg64_value'");
	_Static_assert(sizeof(s->data->xchg32_value) == 4, "unexpected size of 'xchg32_value'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->add64_result) == 8, "unexpected size of 'add64_result'");
	_Static_assert(sizeof(s->bss->add32_result) == 4, "unexpected size of 'add32_result'");
	_Static_assert(sizeof(s->bss->add_stack_value_copy) == 8, "unexpected size of 'add_stack_value_copy'");
	_Static_assert(sizeof(s->bss->add_stack_result) == 8, "unexpected size of 'add_stack_result'");
	_Static_assert(sizeof(s->bss->sub64_result) == 8, "unexpected size of 'sub64_result'");
	_Static_assert(sizeof(s->bss->sub32_result) == 4, "unexpected size of 'sub32_result'");
	_Static_assert(sizeof(s->bss->sub_stack_value_copy) == 8, "unexpected size of 'sub_stack_value_copy'");
	_Static_assert(sizeof(s->bss->sub_stack_result) == 8, "unexpected size of 'sub_stack_result'");
	_Static_assert(sizeof(s->bss->and64_result) == 8, "unexpected size of 'and64_result'");
	_Static_assert(sizeof(s->bss->and32_result) == 4, "unexpected size of 'and32_result'");
	_Static_assert(sizeof(s->bss->or64_result) == 8, "unexpected size of 'or64_result'");
	_Static_assert(sizeof(s->bss->or32_result) == 4, "unexpected size of 'or32_result'");
	_Static_assert(sizeof(s->bss->xor64_result) == 8, "unexpected size of 'xor64_result'");
	_Static_assert(sizeof(s->bss->xor32_result) == 4, "unexpected size of 'xor32_result'");
	_Static_assert(sizeof(s->bss->cmpxchg64_result_fail) == 8, "unexpected size of 'cmpxchg64_result_fail'");
	_Static_assert(sizeof(s->bss->cmpxchg64_result_succeed) == 8, "unexpected size of 'cmpxchg64_result_succeed'");
	_Static_assert(sizeof(s->bss->cmpxchg32_result_fail) == 4, "unexpected size of 'cmpxchg32_result_fail'");
	_Static_assert(sizeof(s->bss->cmpxchg32_result_succeed) == 4, "unexpected size of 'cmpxchg32_result_succeed'");
	_Static_assert(sizeof(s->bss->xchg64_result) == 8, "unexpected size of 'xchg64_result'");
	_Static_assert(sizeof(s->bss->xchg32_result) == 4, "unexpected size of 'xchg32_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ATOMICS_LSKEL_SKEL_H__ */
