/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_DCTCP_SKEL_H__
#define __BPF_DCTCP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_dctcp {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sk_stg_map;
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *dctcp_nouse;
		struct bpf_map *dctcp;
	} maps;
	struct {
		struct bpf_program *dctcp_init;
		struct bpf_program *dctcp_ssthresh;
		struct bpf_program *dctcp_update_alpha;
		struct bpf_program *dctcp_state;
		struct bpf_program *dctcp_cwnd_event;
		struct bpf_program *dctcp_cwnd_undo;
		struct bpf_program *dctcp_cong_avoid;
	} progs;
	struct {
		struct bpf_link *dctcp_init;
		struct bpf_link *dctcp_ssthresh;
		struct bpf_link *dctcp_update_alpha;
		struct bpf_link *dctcp_state;
		struct bpf_link *dctcp_cwnd_event;
		struct bpf_link *dctcp_cwnd_undo;
		struct bpf_link *dctcp_cong_avoid;
	} links;
	struct bpf_dctcp__rodata {
		char bpf_dctcp[10];
		char tcp_cdg[4];
		char fallback[16];
	} *rodata;
	struct bpf_dctcp__bss {
		int tcp_cdg_res;
		int stg_result;
		int ebusy_cnt;
		char cc_res[16];
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_dctcp *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_dctcp *open_and_load();
	static inline int load(struct bpf_dctcp *skel);
	static inline int attach(struct bpf_dctcp *skel);
	static inline void detach(struct bpf_dctcp *skel);
	static inline void destroy(struct bpf_dctcp *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_dctcp__destroy(struct bpf_dctcp *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_dctcp__create_skeleton(struct bpf_dctcp *obj);

static inline struct bpf_dctcp *
bpf_dctcp__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_dctcp *obj;
	int err;

	obj = (struct bpf_dctcp *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_dctcp__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_dctcp__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_dctcp *
bpf_dctcp__open(void)
{
	return bpf_dctcp__open_opts(NULL);
}

static inline int
bpf_dctcp__load(struct bpf_dctcp *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_dctcp *
bpf_dctcp__open_and_load(void)
{
	struct bpf_dctcp *obj;
	int err;

	obj = bpf_dctcp__open();
	if (!obj)
		return NULL;
	err = bpf_dctcp__load(obj);
	if (err) {
		bpf_dctcp__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_dctcp__attach(struct bpf_dctcp *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_dctcp__detach(struct bpf_dctcp *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_dctcp__elf_bytes(size_t *sz);

static inline int
bpf_dctcp__create_skeleton(struct bpf_dctcp *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_dctcp";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "sk_stg_map";
	s->maps[0].map = &obj->maps.sk_stg_map;

	s->maps[1].name = "bpf_dctc.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "bpf_dctc.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	s->maps[3].name = "dctcp_nouse";
	s->maps[3].map = &obj->maps.dctcp_nouse;

	s->maps[4].name = "dctcp";
	s->maps[4].map = &obj->maps.dctcp;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dctcp_init";
	s->progs[0].prog = &obj->progs.dctcp_init;
	s->progs[0].link = &obj->links.dctcp_init;

	s->progs[1].name = "dctcp_ssthresh";
	s->progs[1].prog = &obj->progs.dctcp_ssthresh;
	s->progs[1].link = &obj->links.dctcp_ssthresh;

	s->progs[2].name = "dctcp_update_alpha";
	s->progs[2].prog = &obj->progs.dctcp_update_alpha;
	s->progs[2].link = &obj->links.dctcp_update_alpha;

	s->progs[3].name = "dctcp_state";
	s->progs[3].prog = &obj->progs.dctcp_state;
	s->progs[3].link = &obj->links.dctcp_state;

	s->progs[4].name = "dctcp_cwnd_event";
	s->progs[4].prog = &obj->progs.dctcp_cwnd_event;
	s->progs[4].link = &obj->links.dctcp_cwnd_event;

	s->progs[5].name = "dctcp_cwnd_undo";
	s->progs[5].prog = &obj->progs.dctcp_cwnd_undo;
	s->progs[5].link = &obj->links.dctcp_cwnd_undo;

	s->progs[6].name = "dctcp_cong_avoid";
	s->progs[6].prog = &obj->progs.dctcp_cong_avoid;
	s->progs[6].link = &obj->links.dctcp_cong_avoid;

	s->data = bpf_dctcp__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_dctcp__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x3a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x69\x6e\x69\x74\0\
\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x73\x73\
\x74\x68\x72\x65\x73\x68\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\
\x74\x63\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x61\x6c\x70\x68\x61\0\x73\x74\x72\
\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x73\x74\x61\x74\x65\0\
\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x63\x77\
\x6e\x64\x5f\x65\x76\x65\x6e\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\
\x64\x63\x74\x63\x70\x5f\x63\x77\x6e\x64\x5f\x75\x6e\x64\x6f\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x72\x65\x6e\x6f\x5f\x63\
\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\0\x2e\x6d\x61\x70\x73\0\x62\x70\x66\x5f\x64\x63\x74\x63\x70\x2e\x63\0\
\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x36\0\
\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\x30\x5f\
\x31\x31\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x32\x5f\x31\x31\0\x4c\x42\x42\
\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x31\x30\0\x4c\x42\x42\x32\x5f\x37\0\x4c\x42\
\x42\x32\x5f\x39\0\x4c\x42\x42\x33\x5f\x31\x36\0\x4c\x42\x42\x33\x5f\x34\0\x4c\
\x42\x42\x33\x5f\x36\0\x4c\x42\x42\x33\x5f\x37\0\x4c\x42\x42\x33\x5f\x31\x30\0\
\x4c\x42\x42\x33\x5f\x38\0\x4c\x42\x42\x33\x5f\x39\0\x4c\x42\x42\x33\x5f\x31\
\x32\0\x4c\x42\x42\x33\x5f\x31\x33\0\x4c\x42\x42\x33\x5f\x31\x35\0\x4c\x42\x42\
\x34\x5f\x35\0\x4c\x42\x42\x34\x5f\x32\0\x4c\x42\x42\x34\x5f\x31\x38\0\x4c\x42\
\x42\x34\x5f\x34\0\x4c\x42\x42\x34\x5f\x37\0\x4c\x42\x42\x34\x5f\x31\x34\0\x4c\
\x42\x42\x34\x5f\x31\x33\0\x4c\x42\x42\x34\x5f\x31\x31\0\x4c\x42\x42\x34\x5f\
\x31\x32\0\x4c\x42\x42\x34\x5f\x31\x36\0\x4c\x42\x42\x34\x5f\x31\x37\0\x4c\x42\
\x42\x35\x5f\x32\0\x64\x63\x74\x63\x70\x5f\x69\x6e\x69\x74\0\x66\x61\x6c\x6c\
\x62\x61\x63\x6b\0\x65\x62\x75\x73\x79\x5f\x63\x6e\x74\0\x62\x70\x66\x5f\x64\
\x63\x74\x63\x70\0\x74\x63\x70\x5f\x63\x64\x67\0\x74\x63\x70\x5f\x63\x64\x67\
\x5f\x72\x65\x73\0\x63\x63\x5f\x72\x65\x73\0\x73\x6b\x5f\x73\x74\x67\x5f\x6d\
\x61\x70\0\x73\x74\x67\x5f\x72\x65\x73\x75\x6c\x74\0\x64\x63\x74\x63\x70\x5f\
\x73\x73\x74\x68\x72\x65\x73\x68\0\x64\x63\x74\x63\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x61\x6c\x70\x68\x61\0\x64\x63\x74\x63\x70\x5f\x73\x74\x61\x74\x65\0\
\x64\x63\x74\x63\x70\x5f\x63\x77\x6e\x64\x5f\x65\x76\x65\x6e\x74\0\x64\x63\x74\
\x63\x70\x5f\x63\x77\x6e\x64\x5f\x75\x6e\x64\x6f\0\x64\x63\x74\x63\x70\x5f\x63\
\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x74\x63\x70\x5f\x72\x65\x6e\x6f\x5f\x63\
\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x64\
\x63\x74\x63\x70\x5f\x6e\x6f\x75\x73\x65\0\x64\x63\x74\x63\x70\0\x2e\x72\x65\
\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x69\
\x6e\x69\x74\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\
\x63\x74\x63\x70\x5f\x72\x65\x6e\x6f\x5f\x63\x6f\x6e\x67\x5f\x61\x76\x6f\x69\
\x64\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf5\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x01\0\0\0\0\x03\0\x08\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\x01\0\0\0\0\x03\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\
\0\0\0\x03\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x01\0\0\0\0\x03\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\x01\0\0\0\0\x03\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x01\0\0\0\0\x04\
\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x34\x01\0\0\0\0\x05\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\x01\0\
\0\0\0\x05\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\x01\0\0\0\0\x05\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x01\0\0\0\0\x05\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x52\x01\0\0\0\0\x05\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\x01\0\0\0\0\x06\0\x48\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x01\0\0\0\0\x06\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\
\0\0\0\x06\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x01\0\0\0\0\x06\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x76\x01\0\0\0\0\x06\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7e\x01\0\0\0\0\x06\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x01\0\0\0\0\x06\
\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\x01\0\0\0\0\x06\0\xe0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x94\x01\0\0\0\0\x06\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\x01\
\0\0\0\0\x06\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa4\x01\0\0\0\0\x07\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xab\x01\0\0\0\0\x07\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\x01\0\0\0\0\x07\
\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\x01\0\0\0\0\x07\0\x88\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xc1\x01\0\0\0\0\x07\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x01\0\0\0\0\x07\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\x07\0\
\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\x07\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\x07\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x01\0\0\0\0\x07\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\x07\0\
\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf8\x01\0\0\0\0\x08\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\x08\x03\0\0\0\0\0\0\x0a\x02\0\0\x11\0\x0b\0\x0e\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x13\x02\0\0\x11\0\x0c\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x1d\x02\0\0\
\x11\0\x0b\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x27\x02\0\0\x11\0\x0b\0\x0a\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x2f\x02\0\0\x11\0\x0c\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x3b\x02\0\0\x11\0\x0c\0\x0c\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x42\x02\0\
\0\x11\0\x0e\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x4d\x02\0\0\x11\0\x0c\0\x04\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x58\x02\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xa0\0\0\
\0\0\0\0\0\x67\x02\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x7a\x02\
\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x86\x02\0\0\x12\0\x07\0\0\
\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x97\x02\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x48\
\0\0\0\0\0\0\0\xa7\x02\0\0\x12\0\x09\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xb8\
\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\x02\0\0\x11\0\x0a\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd5\x02\0\0\x11\0\x0d\0\0\0\0\0\0\0\0\0\x80\0\0\
\0\0\0\0\0\xe1\x02\0\0\x11\0\x0d\0\x80\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x79\x16\
\0\0\0\0\0\0\x71\x61\x98\0\0\0\0\0\x54\x01\0\0\x01\0\0\0\x56\x01\x3d\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x39\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\0\xb4\x03\0\0\x0d\0\0\0\x18\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x05\0\
\xf0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x04\
\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\
\0\xb4\x03\0\0\x0d\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x0a\0\
\0\0\x85\0\0\0\x31\0\0\0\x55\0\x05\0\xf0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\0\xb4\x03\0\0\x0d\0\0\0\x18\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x05\0\xf0\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\
\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\0\xb4\
\x03\0\0\x0d\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x04\0\0\0\
\x85\0\0\0\x31\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\0\xb4\x03\0\0\x0d\0\0\0\x18\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x39\0\0\0\x05\0\x1f\0\0\
\0\0\0\xb7\x01\0\0\x20\0\0\0\xbf\x67\0\0\0\0\0\0\x0f\x17\0\0\0\0\0\0\x61\x61\
\x88\0\0\0\0\0\xb4\x02\0\0\0\x04\0\0\x63\x27\x0c\0\0\0\0\0\x63\x17\x08\0\0\0\0\
\0\xb4\x01\0\0\0\0\0\0\x63\x17\x18\0\0\0\0\0\x63\x17\x14\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\
\0\0\0\x85\0\0\0\x6b\0\0\0\x15\0\x08\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x6c\0\0\0\x61\x61\x8c\0\0\0\0\0\x63\x17\x10\0\
\0\0\0\0\x61\x61\x9c\0\0\0\0\0\x63\x16\x20\0\0\0\0\0\x61\x61\xa0\0\0\0\0\0\x63\
\x17\x04\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x20\0\0\0\x79\x11\0\0\0\0\0\0\
\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x61\x12\xa4\0\0\0\0\0\x63\x23\x18\0\0\
\0\0\0\x61\x32\x0c\0\0\0\0\0\x61\x13\xa4\0\0\0\0\0\xbc\x24\0\0\0\0\0\0\x2c\x34\
\0\0\0\0\0\0\x74\x04\0\0\x0b\0\0\0\x1c\x43\0\0\0\0\0\0\xb4\0\0\0\x02\0\0\0\xa6\
\x03\x05\0\x03\0\0\0\x61\x10\xa4\0\0\0\0\0\xbc\x01\0\0\0\0\0\0\x2c\x21\0\0\0\0\
\0\0\x74\x01\0\0\x0b\0\0\0\x1c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\
\0\0\0\x61\x13\x90\0\0\0\0\0\xb7\x04\0\0\x20\0\0\0\xbf\x12\0\0\0\0\0\0\x0f\x42\
\0\0\0\0\0\0\x61\x24\x10\0\0\0\0\0\x1c\x43\0\0\0\0\0\0\xc6\x03\x1f\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x61\x13\xa0\0\0\0\0\0\x61\x25\x04\0\0\0\0\0\x61\x24\x0c\0\0\
\0\0\0\x16\x04\x04\0\0\0\0\0\xbc\x40\0\0\0\0\0\0\xa6\x04\x02\0\x10\0\0\0\xbc\
\x40\0\0\0\0\0\0\x74\0\0\0\x04\0\0\0\x1c\x04\0\0\0\0\0\0\x1e\x53\x0d\0\0\0\0\0\
\x1c\x53\0\0\0\0\0\0\x61\x10\x9c\0\0\0\0\0\x61\x16\x20\0\0\0\0\0\xb4\x05\0\0\
\x01\0\0\0\x1e\x60\x02\0\0\0\0\0\x1c\x60\0\0\0\0\0\0\xbc\x05\0\0\0\0\0\0\x64\
\x03\0\0\x06\0\0\0\x3c\x53\0\0\0\0\0\0\x0c\x43\0\0\0\0\0\0\xa6\x03\x01\0\0\x04\
\0\0\xb4\x03\0\0\0\x04\0\0\xbc\x34\0\0\0\0\0\0\x63\x42\x0c\0\0\0\0\0\x61\x13\
\x8c\0\0\0\0\0\x63\x32\x10\0\0\0\0\0\x61\x13\x9c\0\0\0\0\0\x63\x31\x20\0\0\0\0\
\0\x61\x11\xa0\0\0\0\0\0\x63\x12\x04\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x08\0\
\0\0\0\0\x57\x02\0\0\xff\0\0\0\x55\x02\x26\0\x03\0\0\0\x79\x11\0\0\0\0\0\0\xb7\
\x02\0\0\x18\0\0\0\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\xb7\x04\0\0\x08\0\0\
\0\x66\x04\x05\0\x03\0\0\0\x16\x04\x09\0\x01\0\0\0\x16\x04\x01\0\x02\0\0\0\x05\
\0\x0a\0\0\0\0\0\x69\x32\0\0\0\0\0\0\x05\0\x08\0\0\0\0\0\x16\x04\x06\0\x04\0\0\
\0\x16\x04\x01\0\x08\0\0\0\x05\0\x05\0\0\0\0\0\x79\x32\0\0\0\0\0\0\x05\0\x03\0\
\0\0\0\0\x71\x32\0\0\0\0\0\0\x05\0\x01\0\0\0\0\0\x61\x32\0\0\0\0\0\0\x67\x02\0\
\0\x3a\0\0\0\xb7\x03\0\0\0\0\0\0\x16\x03\x03\0\0\0\0\0\xc7\x02\0\0\x3a\0\0\0\
\x15\x02\x0e\0\x03\0\0\0\x05\0\x02\0\0\0\0\0\x77\x02\0\0\x3a\0\0\0\x15\x02\x0b\
\0\x03\0\0\0\xb7\x02\0\0\x20\0\0\0\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x61\
\x12\xa4\0\0\0\0\0\x63\x23\x18\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\x61\x13\xa4\0\0\
\0\0\0\xa6\x03\x02\0\x06\0\0\0\x61\x12\xa4\0\0\0\0\0\x74\x02\0\0\x01\0\0\0\x63\
\x21\xb0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x20\0\0\0\x79\x16\0\0\0\0\0\0\
\xbf\x67\0\0\0\0\0\0\x0f\x27\0\0\0\0\0\0\x79\x18\x08\0\0\0\0\0\xbc\x81\0\0\0\0\
\0\0\x04\x01\0\0\xfc\xff\xff\xff\xa6\x01\x0b\0\x02\0\0\0\x16\x08\x01\0\x03\0\0\
\0\x05\0\x2c\0\0\0\0\0\x61\x61\xa4\0\0\0\0\0\x63\x17\x18\0\0\0\0\0\xb4\x01\0\0\
\x02\0\0\0\x61\x62\xa4\0\0\0\0\0\xa6\x02\x02\0\x06\0\0\0\x61\x61\xa4\0\0\0\0\0\
\x74\x01\0\0\x01\0\0\0\x63\x16\xb0\0\0\0\0\0\x05\0\x23\0\0\0\0\0\xb4\x09\0\0\
\x01\0\0\0\x16\x08\x01\0\x05\0\0\0\xb4\x09\0\0\0\0\0\0\x61\x71\x14\0\0\0\0\0\
\x1e\x91\x14\0\0\0\0\0\xb7\x03\0\0\x19\0\0\0\x71\x62\x19\0\0\0\0\0\x54\x02\0\0\
\x02\0\0\0\x16\x02\x0b\0\0\0\0\0\x56\x01\x03\0\x01\0\0\0\x71\x61\x98\0\0\0\0\0\
\x44\x01\0\0\x04\0\0\0\x05\0\x02\0\0\0\0\0\x71\x61\x98\0\0\0\0\0\x54\x01\0\0\
\xfb\0\0\0\x73\x16\x98\0\0\0\0\0\x61\x72\x08\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\
\0\0\0\x74\0\0\0\xb7\x03\0\0\x19\0\0\0\xbf\x61\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\
\x71\x12\0\0\0\0\0\0\x44\x02\0\0\x10\0\0\0\x73\x21\0\0\0\0\0\0\x61\x61\x88\0\0\
\0\0\0\x63\x97\x14\0\0\0\0\0\x63\x17\x08\0\0\0\0\0\x56\x08\x03\0\x05\0\0\0\x71\
\x61\x98\0\0\0\0\0\x44\x01\0\0\x04\0\0\0\x05\0\x02\0\0\0\0\0\x71\x61\x98\0\0\0\
\0\0\x54\x01\0\0\xfb\0\0\0\x73\x16\x98\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\xb7\x02\0\0\x20\0\0\0\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x61\x30\
\x18\0\0\0\0\0\x61\x12\xa4\0\0\0\0\0\xbe\x02\x01\0\0\0\0\0\x61\x10\xa4\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x79\x14\0\0\0\0\0\0\x79\x13\x10\0\0\0\0\0\x79\x12\x08\0\0\
\0\0\0\xbf\x41\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x62\x70\x66\x5f\x64\x63\x74\x63\x70\0\x63\x64\x67\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x64\x63\x74\x63\x70\x5f\x6e\x6f\
\x75\x73\x65\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x62\x70\x66\x5f\x64\x63\x74\x63\x70\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\x58\0\
\0\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\xc0\0\0\
\0\0\0\0\0\x01\0\0\0\x2e\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\x28\x01\0\
\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\x90\x01\
\0\0\0\0\0\0\x01\0\0\0\x2f\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x30\0\0\0\xe0\
\x01\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\x32\0\0\0\
\x98\x02\0\0\0\0\0\0\x01\0\0\0\x33\0\0\0\xb0\x02\0\0\0\0\0\0\x01\0\0\0\x32\0\0\
\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x3a\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x2b\0\0\0\
\x38\0\0\0\0\0\0\0\x02\0\0\0\x36\0\0\0\x98\0\0\0\0\0\0\0\x02\0\0\0\x2b\0\0\0\
\xa8\0\0\0\0\0\0\0\x02\0\0\0\x34\0\0\0\xb0\0\0\0\0\0\0\0\x02\0\0\0\x39\0\0\0\
\xb8\0\0\0\0\0\0\0\x02\0\0\0\x36\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x37\0\0\0\
\xc8\0\0\0\0\0\0\0\x02\0\0\0\x35\0\0\0\xd0\0\0\0\0\0\0\0\x02\0\0\0\x38\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa0\x09\0\0\xa0\x09\0\0\x5a\x10\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\
\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\
\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x0b\0\0\0\x3d\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\0\
\0\0\0\x50\0\0\0\x0a\0\0\0\x54\0\0\0\x01\0\0\x0c\x0c\0\0\0\x5f\0\0\0\x19\0\0\
\x84\xd8\0\0\0\x68\0\0\0\x0f\0\0\0\0\0\0\0\x72\0\0\0\x17\0\0\0\x40\x04\0\0\x7a\
\0\0\0\x17\0\0\0\x60\x04\0\0\x82\0\0\0\x17\0\0\0\x80\x04\0\0\x8a\0\0\0\x17\0\0\
\0\xa0\x04\0\0\x97\0\0\0\x19\0\0\0\xc0\x04\0\0\xa1\0\0\0\x17\0\0\0\xe0\x04\0\0\
\xab\0\0\0\x17\0\0\0\0\x05\0\0\xb8\0\0\0\x17\0\0\0\x20\x05\0\0\xc1\0\0\0\x17\0\
\0\0\x40\x05\0\0\xce\0\0\0\x17\0\0\0\x60\x05\0\0\xdd\0\0\0\x17\0\0\0\x80\x05\0\
\0\xea\0\0\0\x19\0\0\0\xa0\x05\0\x01\xf3\0\0\0\x19\0\0\0\xa1\x05\0\x01\0\x01\0\
\0\x19\0\0\0\xa2\x05\0\x01\x11\x01\0\0\x19\0\0\0\xa3\x05\0\x01\x21\x01\0\0\x19\
\0\0\0\xa4\x05\0\x01\x30\x01\0\0\x19\0\0\0\xa5\x05\0\x01\x39\x01\0\0\x19\0\0\0\
\xa6\x05\0\x01\x49\x01\0\0\x19\0\0\0\xa7\x05\0\x01\x51\x01\0\0\x17\0\0\0\xc0\
\x05\0\0\x61\x01\0\0\x17\0\0\0\xe0\x05\0\0\x6a\x01\0\0\x17\0\0\0\0\x06\0\0\x75\
\x01\0\0\x1b\0\0\0\x40\x06\0\0\x80\x01\0\0\x1d\0\0\0\x80\x06\0\0\x89\x01\0\0\
\x06\0\0\x84\x88\0\0\0\x9e\x01\0\0\x10\0\0\0\0\0\0\0\xa8\x01\0\0\x19\0\0\0\xc0\
\0\0\x06\xb6\x01\0\0\x19\0\0\0\xc6\0\0\x01\xc9\x01\0\0\x19\0\0\0\xc7\0\0\x01\
\xdc\x01\0\0\x1a\0\0\0\xc8\0\0\0\xe5\x01\0\0\x1c\0\0\0\0\x01\0\0\xf2\x01\0\0\
\x01\0\0\x04\x18\0\0\0\xfc\x01\0\0\x11\0\0\0\0\0\0\0\xff\x01\0\0\x03\0\0\x04\
\x18\0\0\0\x04\x02\0\0\x12\0\0\0\0\0\0\0\x10\x02\0\0\x16\0\0\0\x40\0\0\0\x1f\
\x02\0\0\x17\0\0\0\x80\0\0\0\x30\x02\0\0\x02\0\0\x04\x04\0\0\0\x3c\x02\0\0\x13\
\0\0\0\0\0\0\0\x46\x02\0\0\x14\0\0\0\x10\0\0\0\x4e\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\0\x5c\x02\0\0\0\0\0\x08\x15\0\0\0\x62\x02\0\0\0\0\0\x01\x02\0\0\0\x10\
\0\0\0\x71\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x7f\x02\0\0\0\0\0\x08\x18\0\0\
\0\x85\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x92\x02\0\0\0\0\0\x08\x13\0\0\0\0\
\0\0\0\x01\0\0\x04\x01\0\0\0\x97\x02\0\0\x19\0\0\0\0\0\0\0\x9f\x02\0\0\0\0\0\
\x08\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\x04\0\0\0\x0d\0\0\0\xa5\x02\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\x01\0\0\x0d\x17\0\0\0\x50\0\0\0\
\x0a\0\0\0\xab\x02\0\0\x01\0\0\x0c\x1e\0\0\0\xba\x02\0\0\x01\0\0\x0c\x0c\0\0\0\
\xcd\x02\0\0\x01\0\0\x0c\x0c\0\0\0\xd9\x02\0\0\x01\0\0\x0c\x0c\0\0\0\xea\x02\0\
\0\x01\0\0\x0c\x1e\0\0\0\xfa\x02\0\0\x01\0\0\x0c\x0c\0\0\0\0\0\0\0\x03\0\0\x0d\
\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\
\x02\x11\0\0\0\x0b\x03\0\0\x02\0\0\x0c\x25\0\0\0\x1f\x03\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x28\0\0\0\x04\0\0\0\x04\0\0\0\x24\x03\
\0\0\0\0\0\x0e\x29\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x28\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x2b\0\0\0\x04\0\0\0\x0a\0\0\0\x2d\x03\0\0\0\0\0\x0e\x2c\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\0\0\x04\0\0\0\x04\0\0\0\x37\x03\0\0\0\0\
\0\x0e\x2e\0\0\0\x01\0\0\0\x3f\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x4b\x03\0\
\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x56\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x60\
\x03\0\0\x0f\0\0\x04\x80\0\0\0\x73\x03\0\0\x34\0\0\0\0\0\0\0\x78\x03\0\0\x17\0\
\0\0\x80\0\0\0\x7e\x03\0\0\x35\0\0\0\xc0\0\0\0\x83\x03\0\0\x35\0\0\0\0\x01\0\0\
\x8b\x03\0\0\x37\0\0\0\x40\x01\0\0\x94\x03\0\0\x39\0\0\0\x80\x01\0\0\x9f\x03\0\
\0\x3a\0\0\0\xc0\x01\0\0\xa9\x03\0\0\x3c\0\0\0\0\x02\0\0\xb4\x03\0\0\x3f\0\0\0\
\x40\x02\0\0\xc1\x03\0\0\x37\0\0\0\x80\x02\0\0\xcb\x03\0\0\x41\0\0\0\xc0\x02\0\
\0\xd6\x03\0\0\x37\0\0\0\0\x03\0\0\xe3\x03\0\0\x37\0\0\0\x40\x03\0\0\xf1\x03\0\
\0\x47\0\0\0\x80\x03\0\0\xfe\x03\0\0\x4d\0\0\0\xc0\x03\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x28\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x02\x36\0\0\0\0\0\0\0\x01\0\
\0\x0d\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\0\x01\0\0\
\x0d\x17\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\0\0\0\x02\x25\0\0\0\0\0\0\0\0\0\0\x02\
\x3b\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\x19\0\0\0\0\0\
\0\0\0\0\0\x02\x3d\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\
\x3e\0\0\0\x04\x04\0\0\x06\0\0\x06\x04\0\0\0\x11\x04\0\0\0\0\0\0\x23\x04\0\0\
\x01\0\0\0\x39\x04\0\0\x02\0\0\0\x4f\x04\0\0\x03\0\0\0\x5d\x04\0\0\x04\0\0\0\
\x70\x04\0\0\x05\0\0\0\0\0\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\
\0\0\0\0\x26\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\x02\x42\0\0\0\0\0\0\0\x02\0\
\0\x0d\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\x43\0\0\0\0\0\0\0\0\0\0\x02\x44\0\0\0\
\0\0\0\0\0\0\0\x0a\x45\0\0\0\x83\x04\0\0\x03\0\0\x04\x0c\0\0\0\xcb\x03\0\0\x17\
\0\0\0\0\0\0\0\x8e\x04\0\0\x46\0\0\0\x20\0\0\0\x95\x04\0\0\x17\0\0\0\x40\0\0\0\
\x9f\x04\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\x02\0\0\
\x0d\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\x49\0\0\0\0\0\0\0\0\0\0\x02\x4a\0\0\0\0\
\0\0\0\0\0\0\x0a\x4b\0\0\0\xa5\x04\0\0\x0d\0\0\x04\x38\0\0\0\xb1\x04\0\0\x1b\0\
\0\0\0\0\0\0\xbe\x04\0\0\x17\0\0\0\x40\0\0\0\xa1\0\0\0\x46\0\0\0\x60\0\0\0\xce\
\x04\0\0\x4c\0\0\0\x80\0\0\0\xda\x04\0\0\x17\0\0\0\xc0\0\0\0\xea\x04\0\0\x17\0\
\0\0\xe0\0\0\0\x8e\x04\0\0\x4c\0\0\0\0\x01\0\0\xfa\x04\0\0\x02\0\0\0\x40\x01\0\
\0\x01\x05\0\0\x17\0\0\0\x60\x01\0\0\x0e\x05\0\0\x17\0\0\0\x80\x01\0\0\x1e\x05\
\0\0\x1d\0\0\0\xa0\x01\0\0\x2d\x05\0\0\x1d\0\0\0\xa8\x01\0\0\x38\x05\0\0\x1d\0\
\0\0\xb0\x01\0\0\x47\x05\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\
\0\0\0\0\x4c\x05\0\0\0\0\0\x0e\x33\0\0\0\x01\0\0\0\x58\x05\0\0\0\0\0\x0e\x33\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x51\0\0\0\0\0\0\0\0\0\0\x09\x28\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x50\0\0\0\x04\0\0\0\x10\0\0\0\x5e\x05\0\0\0\0\0\x0e\x52\0\0\
\0\x01\0\0\0\x67\x05\0\0\0\0\0\x0e\x34\0\0\0\x01\0\0\0\x6f\x0f\0\0\x01\0\0\x0f\
\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\0\0\x77\x0f\0\0\x03\0\0\x0f\x1e\0\0\0\x2d\0\
\0\0\0\0\0\0\x0a\0\0\0\x2f\0\0\0\x0a\0\0\0\x04\0\0\0\x53\0\0\0\x0e\0\0\0\x10\0\
\0\0\x7f\x0f\0\0\x04\0\0\x0f\x1c\0\0\0\x30\0\0\0\0\0\0\0\x04\0\0\0\x31\0\0\0\
\x04\0\0\0\x04\0\0\0\x32\0\0\0\x08\0\0\0\x04\0\0\0\x54\0\0\0\x0c\0\0\0\x10\0\0\
\0\x84\x0f\0\0\x02\0\0\x0f\0\x01\0\0\x4e\0\0\0\0\0\0\0\x80\0\0\0\x4f\0\0\0\x80\
\0\0\0\x80\0\0\0\x90\x0f\0\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\
\x96\x0f\0\0\x01\0\0\x0f\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x73\x6b\x5f\x73\x74\x67\x5f\x6d\x61\x70\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x64\x63\x74\
\x63\x70\x5f\x69\x6e\x69\x74\0\x74\x63\x70\x5f\x73\x6f\x63\x6b\0\x69\x6e\x65\
\x74\x5f\x63\x6f\x6e\x6e\0\x72\x63\x76\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x6e\
\x78\x74\0\x73\x6e\x64\x5f\x75\x6e\x61\0\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\
\x61\x6d\x70\0\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\0\x64\x65\x6c\x69\x76\x65\
\x72\x65\x64\0\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\x65\0\x73\x6e\x64\
\x5f\x63\x77\x6e\x64\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\x5f\x63\x6e\x74\0\x73\
\x6e\x64\x5f\x63\x77\x6e\x64\x5f\x63\x6c\x61\x6d\x70\0\x73\x6e\x64\x5f\x73\x73\
\x74\x68\x72\x65\x73\x68\0\x73\x79\x6e\x5f\x64\x61\x74\x61\0\x73\x79\x6e\x5f\
\x66\x61\x73\x74\x6f\x70\x65\x6e\0\x73\x79\x6e\x5f\x66\x61\x73\x74\x6f\x70\x65\
\x6e\x5f\x65\x78\x70\0\x73\x79\x6e\x5f\x66\x61\x73\x74\x6f\x70\x65\x6e\x5f\x63\
\x68\0\x73\x79\x6e\x5f\x64\x61\x74\x61\x5f\x61\x63\x6b\x65\x64\0\x73\x61\x76\
\x65\x5f\x73\x79\x6e\0\x69\x73\x5f\x63\x77\x6e\x64\x5f\x6c\x69\x6d\x69\x74\x65\
\x64\0\x73\x79\x6e\x5f\x73\x6d\x63\0\x6d\x61\x78\x5f\x70\x61\x63\x6b\x65\x74\
\x73\x5f\x6f\x75\x74\0\x6c\x73\x6e\x64\x74\x69\x6d\x65\0\x70\x72\x69\x6f\x72\
\x5f\x63\x77\x6e\x64\0\x74\x63\x70\x5f\x6d\x73\x74\x61\x6d\x70\0\x69\x73\x5f\
\x6d\x70\x74\x63\x70\0\x69\x6e\x65\x74\x5f\x63\x6f\x6e\x6e\x65\x63\x74\x69\x6f\
\x6e\x5f\x73\x6f\x63\x6b\0\x69\x63\x73\x6b\x5f\x69\x6e\x65\x74\0\x69\x63\x73\
\x6b\x5f\x63\x61\x5f\x73\x74\x61\x74\x65\0\x69\x63\x73\x6b\x5f\x63\x61\x5f\x73\
\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x69\x63\x73\x6b\x5f\x63\x61\x5f\x64\x73\
\x74\x5f\x6c\x6f\x63\x6b\x65\x64\0\x69\x63\x73\x6b\x5f\x61\x63\x6b\0\x69\x63\
\x73\x6b\x5f\x63\x61\x5f\x70\x72\x69\x76\0\x69\x6e\x65\x74\x5f\x73\x6f\x63\x6b\
\0\x73\x6b\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\
\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\x65\0\x73\x6b\x5f\x70\x61\
\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x73\x6f\x63\x6b\x5f\x63\x6f\x6d\
\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\0\x73\x6b\x63\x5f\x6e\x75\
\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x31\
\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x38\0\x70\x65\x6e\x64\x69\
\x6e\x67\0\x5f\x5f\x75\x36\x34\0\x5f\x42\x6f\x6f\x6c\0\x64\x63\x74\x63\x70\x5f\
\x73\x73\x74\x68\x72\x65\x73\x68\0\x64\x63\x74\x63\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x61\x6c\x70\x68\x61\0\x64\x63\x74\x63\x70\x5f\x73\x74\x61\x74\x65\0\
\x64\x63\x74\x63\x70\x5f\x63\x77\x6e\x64\x5f\x65\x76\x65\x6e\x74\0\x64\x63\x74\
\x63\x70\x5f\x63\x77\x6e\x64\x5f\x75\x6e\x64\x6f\0\x64\x63\x74\x63\x70\x5f\x63\
\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x74\x63\x70\x5f\x72\x65\x6e\x6f\x5f\x63\
\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x70\x66\x5f\x64\x63\x74\x63\x70\0\x74\x63\x70\x5f\x63\x64\
\x67\0\x74\x63\x70\x5f\x63\x64\x67\x5f\x72\x65\x73\0\x73\x74\x67\x5f\x72\x65\
\x73\x75\x6c\x74\0\x65\x62\x75\x73\x79\x5f\x63\x6e\x74\0\x74\x63\x70\x5f\x63\
\x6f\x6e\x67\x65\x73\x74\x69\x6f\x6e\x5f\x6f\x70\x73\0\x6e\x61\x6d\x65\0\x66\
\x6c\x61\x67\x73\0\x69\x6e\x69\x74\0\x72\x65\x6c\x65\x61\x73\x65\0\x73\x73\x74\
\x68\x72\x65\x73\x68\0\x63\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x73\x65\x74\
\x5f\x73\x74\x61\x74\x65\0\x63\x77\x6e\x64\x5f\x65\x76\x65\x6e\x74\0\x69\x6e\
\x5f\x61\x63\x6b\x5f\x65\x76\x65\x6e\x74\0\x75\x6e\x64\x6f\x5f\x63\x77\x6e\x64\
\0\x70\x6b\x74\x73\x5f\x61\x63\x6b\x65\x64\0\x6d\x69\x6e\x5f\x74\x73\x6f\x5f\
\x73\x65\x67\x73\0\x73\x6e\x64\x62\x75\x66\x5f\x65\x78\x70\x61\x6e\x64\0\x63\
\x6f\x6e\x67\x5f\x63\x6f\x6e\x74\x72\x6f\x6c\0\x6f\x77\x6e\x65\x72\0\x74\x63\
\x70\x5f\x63\x61\x5f\x65\x76\x65\x6e\x74\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\
\x54\x58\x5f\x53\x54\x41\x52\x54\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\x43\x57\
\x4e\x44\x5f\x52\x45\x53\x54\x41\x52\x54\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\
\x43\x4f\x4d\x50\x4c\x45\x54\x45\x5f\x43\x57\x52\0\x43\x41\x5f\x45\x56\x45\x4e\
\x54\x5f\x4c\x4f\x53\x53\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\x45\x43\x4e\x5f\
\x4e\x4f\x5f\x43\x45\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\x45\x43\x4e\x5f\x49\
\x53\x5f\x43\x45\0\x61\x63\x6b\x5f\x73\x61\x6d\x70\x6c\x65\0\x72\x74\x74\x5f\
\x75\x73\0\x69\x6e\x5f\x66\x6c\x69\x67\x68\x74\0\x5f\x5f\x73\x33\x32\0\x72\x61\
\x74\x65\x5f\x73\x61\x6d\x70\x6c\x65\0\x70\x72\x69\x6f\x72\x5f\x6d\x73\x74\x61\
\x6d\x70\0\x70\x72\x69\x6f\x72\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\x64\0\x69\
\x6e\x74\x65\x72\x76\x61\x6c\x5f\x75\x73\0\x73\x6e\x64\x5f\x69\x6e\x74\x65\x72\
\x76\x61\x6c\x5f\x75\x73\0\x72\x63\x76\x5f\x69\x6e\x74\x65\x72\x76\x61\x6c\x5f\
\x75\x73\0\x6c\x6f\x73\x73\x65\x73\0\x61\x63\x6b\x65\x64\x5f\x73\x61\x63\x6b\
\x65\x64\0\x70\x72\x69\x6f\x72\x5f\x69\x6e\x5f\x66\x6c\x69\x67\x68\x74\0\x69\
\x73\x5f\x61\x70\x70\x5f\x6c\x69\x6d\x69\x74\x65\x64\0\x69\x73\x5f\x72\x65\x74\
\x72\x61\x6e\x73\0\x69\x73\x5f\x61\x63\x6b\x5f\x64\x65\x6c\x61\x79\x65\x64\0\
\x6c\x6f\x6e\x67\0\x64\x63\x74\x63\x70\x5f\x6e\x6f\x75\x73\x65\0\x64\x63\x74\
\x63\x70\0\x66\x61\x6c\x6c\x62\x61\x63\x6b\0\x63\x63\x5f\x72\x65\x73\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\
\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x62\x70\x66\x5f\x64\x63\x74\x63\x70\x2e\x63\0\x76\x6f\x69\x64\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x63\x74\x63\x70\x5f\x69\x6e\x69\x74\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x29\0\x09\
\x69\x66\x20\x28\x21\x28\x74\x70\x2d\x3e\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\
\x20\x26\x20\x54\x43\x50\x5f\x45\x43\x4e\x5f\x4f\x4b\x29\x20\x26\x26\x20\x66\
\x61\x6c\x6c\x62\x61\x63\x6b\x5b\x30\x5d\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\x2c\x20\
\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\
\x54\x49\x4f\x4e\x2c\0\x09\x09\x09\x65\x62\x75\x73\x79\x5f\x63\x6e\x74\x2b\x2b\
\x3b\0\x09\x09\x74\x63\x70\x5f\x63\x64\x67\x5f\x72\x65\x73\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\x2c\x20\x53\x4f\
\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\
\x4f\x4e\x2c\0\x09\x09\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\
\x28\x73\x6b\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x43\
\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\0\x09\x63\x61\x2d\x3e\x70\x72\x69\x6f\
\x72\x5f\x72\x63\x76\x5f\x6e\x78\x74\x20\x3d\x20\x74\x70\x2d\x3e\x72\x63\x76\
\x5f\x6e\x78\x74\x3b\0\x09\x63\x61\x2d\x3e\x64\x63\x74\x63\x70\x5f\x61\x6c\x70\
\x68\x61\x20\x3d\x20\x6d\x69\x6e\x28\x64\x63\x74\x63\x70\x5f\x61\x6c\x70\x68\
\x61\x5f\x6f\x6e\x5f\x69\x6e\x69\x74\x2c\x20\x44\x43\x54\x43\x50\x5f\x4d\x41\
\x58\x5f\x41\x4c\x50\x48\x41\x29\x3b\0\x09\x63\x61\x2d\x3e\x6c\x6f\x73\x73\x5f\
\x63\x77\x6e\x64\x20\x3d\x20\x30\x3b\0\x09\x63\x61\x2d\x3e\x63\x65\x5f\x73\x74\
\x61\x74\x65\x20\x3d\x20\x30\x3b\0\x09\x73\x74\x67\x20\x3d\x20\x62\x70\x66\x5f\
\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\x6b\x5f\
\x73\x74\x67\x5f\x6d\x61\x70\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x74\x70\
\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x73\x74\x67\
\x29\x20\x7b\0\x09\x09\x73\x74\x67\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x2a\
\x73\x74\x67\x3b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x64\x65\x6c\x65\x74\x65\x28\x26\x73\x6b\x5f\x73\x74\x67\x5f\x6d\x61\
\x70\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x74\x70\x29\x3b\0\x09\x63\x61\x2d\
\x3e\x6e\x65\x78\x74\x5f\x73\x65\x71\x20\x3d\x20\x74\x70\x2d\x3e\x73\x6e\x64\
\x5f\x6e\x78\x74\x3b\0\x09\x63\x61\x2d\x3e\x6f\x6c\x64\x5f\x64\x65\x6c\x69\x76\
\x65\x72\x65\x64\x20\x3d\x20\x74\x70\x2d\x3e\x64\x65\x6c\x69\x76\x65\x72\x65\
\x64\x3b\0\x09\x63\x61\x2d\x3e\x6f\x6c\x64\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\
\x64\x5f\x63\x65\x20\x3d\x20\x74\x70\x2d\x3e\x64\x65\x6c\x69\x76\x65\x72\x65\
\x64\x5f\x63\x65\x3b\0\x5f\x5f\x75\x33\x32\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x64\x63\x74\x63\x70\x5f\x73\x73\x74\x68\x72\x65\x73\x68\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x29\0\x09\x63\x61\x2d\x3e\
\x6c\x6f\x73\x73\x5f\x63\x77\x6e\x64\x20\x3d\x20\x74\x70\x2d\x3e\x73\x6e\x64\
\x5f\x63\x77\x6e\x64\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x6d\x61\x78\x28\x74\
\x70\x2d\x3e\x73\x6e\x64\x5f\x63\x77\x6e\x64\x20\x2d\x20\x28\x28\x74\x70\x2d\
\x3e\x73\x6e\x64\x5f\x63\x77\x6e\x64\x20\x2a\x20\x63\x61\x2d\x3e\x64\x63\x74\
\x63\x70\x5f\x61\x6c\x70\x68\x61\x29\x20\x3e\x3e\x20\x31\x31\x55\x29\x2c\x20\
\x32\x55\x29\x3b\0\x76\x6f\x69\x64\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\
\x63\x74\x63\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x61\x6c\x70\x68\x61\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x2c\x20\x5f\x5f\
\x75\x33\x32\x20\x66\x6c\x61\x67\x73\x29\0\x09\x69\x66\x20\x28\x21\x62\x65\x66\
\x6f\x72\x65\x28\x74\x70\x2d\x3e\x73\x6e\x64\x5f\x75\x6e\x61\x2c\x20\x63\x61\
\x2d\x3e\x6e\x65\x78\x74\x5f\x73\x65\x71\x29\x29\x20\x7b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\
\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\
\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x74\x63\
\x70\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x28\x5f\x5f\x73\x33\x32\x29\x28\x73\x65\x71\x31\x2d\x73\x65\x71\x32\x29\x20\
\x3c\x20\x30\x3b\0\x09\x09\x5f\x5f\x75\x33\x32\x20\x64\x65\x6c\x69\x76\x65\x72\
\x65\x64\x5f\x63\x65\x20\x3d\x20\x74\x70\x2d\x3e\x64\x65\x6c\x69\x76\x65\x72\
\x65\x64\x5f\x63\x65\x20\x2d\x20\x63\x61\x2d\x3e\x6f\x6c\x64\x5f\x64\x65\x6c\
\x69\x76\x65\x72\x65\x64\x5f\x63\x65\x3b\0\x09\x09\x5f\x5f\x75\x33\x32\x20\x61\
\x6c\x70\x68\x61\x20\x3d\x20\x63\x61\x2d\x3e\x64\x63\x74\x63\x70\x5f\x61\x6c\
\x70\x68\x61\x3b\0\x09\x09\x61\x6c\x70\x68\x61\x20\x2d\x3d\x20\x6d\x69\x6e\x5f\
\x6e\x6f\x74\x5f\x7a\x65\x72\x6f\x28\x61\x6c\x70\x68\x61\x2c\x20\x61\x6c\x70\
\x68\x61\x20\x3e\x3e\x20\x64\x63\x74\x63\x70\x5f\x73\x68\x69\x66\x74\x5f\x67\
\x29\x3b\0\x09\x09\x69\x66\x20\x28\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\
\x65\x29\x20\x7b\0\x09\x09\x09\x5f\x5f\x75\x33\x32\x20\x64\x65\x6c\x69\x76\x65\
\x72\x65\x64\x20\x3d\x20\x74\x70\x2d\x3e\x64\x65\x6c\x69\x76\x65\x72\x65\x64\
\x20\x2d\x20\x63\x61\x2d\x3e\x6f\x6c\x64\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\
\x64\x3b\0\x09\x09\x09\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\x65\x20\x2f\
\x3d\x20\x6d\x61\x78\x28\x31\x55\x2c\x20\x64\x65\x6c\x69\x76\x65\x72\x65\x64\
\x29\x3b\0\x09\x09\x09\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\x65\x20\x3c\
\x3c\x3d\x20\x28\x31\x30\x20\x2d\x20\x64\x63\x74\x63\x70\x5f\x73\x68\x69\x66\
\x74\x5f\x67\x29\x3b\0\x09\x09\x09\x61\x6c\x70\x68\x61\x20\x3d\x20\x6d\x69\x6e\
\x28\x61\x6c\x70\x68\x61\x20\x2b\x20\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\
\x63\x65\x2c\x20\x44\x43\x54\x43\x50\x5f\x4d\x41\x58\x5f\x41\x4c\x50\x48\x41\
\x29\x3b\0\x09\x09\x63\x61\x2d\x3e\x64\x63\x74\x63\x70\x5f\x61\x6c\x70\x68\x61\
\x20\x3d\x20\x61\x6c\x70\x68\x61\x3b\0\x76\x6f\x69\x64\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x64\x63\x74\x63\x70\x5f\x73\x74\x61\x74\x65\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x2c\x20\x5f\x5f\x75\x38\
\x20\x6e\x65\x77\x5f\x73\x74\x61\x74\x65\x29\0\x09\x69\x66\x20\x28\x6e\x65\x77\
\x5f\x73\x74\x61\x74\x65\x20\x3d\x3d\x20\x54\x43\x50\x5f\x43\x41\x5f\x52\x65\
\x63\x6f\x76\x65\x72\x79\x20\x26\x26\0\x09\x20\x20\x20\x20\x6e\x65\x77\x5f\x73\
\x74\x61\x74\x65\x20\x21\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\
\x41\x44\x5f\x42\x49\x54\x46\x49\x45\x4c\x44\x28\x69\x6e\x65\x74\x5f\x63\x73\
\x6b\x28\x73\x6b\x29\x2c\x20\x69\x63\x73\x6b\x5f\x63\x61\x5f\x73\x74\x61\x74\
\x65\x29\x29\0\x09\x74\x70\x2d\x3e\x73\x6e\x64\x5f\x73\x73\x74\x68\x72\x65\x73\
\x68\x20\x3d\x20\x6d\x61\x78\x28\x74\x70\x2d\x3e\x73\x6e\x64\x5f\x63\x77\x6e\
\x64\x20\x3e\x3e\x20\x31\x55\x2c\x20\x32\x55\x29\x3b\0\x76\x6f\x69\x64\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x63\x74\x63\x70\x5f\x63\x77\x6e\x64\x5f\
\x65\x76\x65\x6e\x74\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\
\x2a\x73\x6b\x2c\x20\x65\x6e\x75\x6d\x20\x74\x63\x70\x5f\x63\x61\x5f\x65\x76\
\x65\x6e\x74\x20\x65\x76\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x65\x76\x29\
\x20\x7b\0\x09\x5f\x5f\x75\x33\x32\x20\x6e\x65\x77\x5f\x63\x65\x5f\x73\x74\x61\
\x74\x65\x20\x3d\x20\x28\x65\x76\x74\x20\x3d\x3d\x20\x43\x41\x5f\x45\x56\x45\
\x4e\x54\x5f\x45\x43\x4e\x5f\x49\x53\x5f\x43\x45\x29\x20\x3f\x20\x31\x20\x3a\
\x20\x30\x3b\0\x09\x69\x66\x20\x28\x2a\x63\x65\x5f\x73\x74\x61\x74\x65\x20\x21\
\x3d\x20\x6e\x65\x77\x5f\x63\x65\x5f\x73\x74\x61\x74\x65\x29\x20\x7b\0\x09\x09\
\x69\x66\x20\x28\x69\x6e\x65\x74\x5f\x63\x73\x6b\x28\x73\x6b\x29\x2d\x3e\x69\
\x63\x73\x6b\x5f\x61\x63\x6b\x2e\x70\x65\x6e\x64\x69\x6e\x67\x20\x26\x20\x49\
\x43\x53\x4b\x5f\x41\x43\x4b\x5f\x54\x49\x4d\x45\x52\x29\x20\x7b\0\x09\x69\x66\
\x20\x28\x63\x65\x5f\x73\x74\x61\x74\x65\x20\x3d\x3d\x20\x31\x29\0\x09\x09\x74\
\x70\x2d\x3e\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\x20\x7c\x3d\x20\x54\x43\x50\
\x5f\x45\x43\x4e\x5f\x44\x45\x4d\x41\x4e\x44\x5f\x43\x57\x52\x3b\0\x09\x09\x74\
\x70\x2d\x3e\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\x20\x26\x3d\x20\x7e\x54\x43\
\x50\x5f\x45\x43\x4e\x5f\x44\x45\x4d\x41\x4e\x44\x5f\x43\x57\x52\x3b\0\x09\x09\
\x09\x62\x70\x66\x5f\x74\x63\x70\x5f\x73\x65\x6e\x64\x5f\x61\x63\x6b\x28\x73\
\x6b\x2c\x20\x2a\x70\x72\x69\x6f\x72\x5f\x72\x63\x76\x5f\x6e\x78\x74\x29\x3b\0\
\x09\x09\x69\x6e\x65\x74\x5f\x63\x73\x6b\x28\x73\x6b\x29\x2d\x3e\x69\x63\x73\
\x6b\x5f\x61\x63\x6b\x2e\x70\x65\x6e\x64\x69\x6e\x67\x20\x7c\x3d\x20\x49\x43\
\x53\x4b\x5f\x41\x43\x4b\x5f\x4e\x4f\x57\x3b\0\x09\x2a\x70\x72\x69\x6f\x72\x5f\
\x72\x63\x76\x5f\x6e\x78\x74\x20\x3d\x20\x74\x63\x70\x5f\x73\x6b\x28\x73\x6b\
\x29\x2d\x3e\x72\x63\x76\x5f\x6e\x78\x74\x3b\0\x09\x2a\x63\x65\x5f\x73\x74\x61\
\x74\x65\x20\x3d\x20\x6e\x65\x77\x5f\x63\x65\x5f\x73\x74\x61\x74\x65\x3b\0\x5f\
\x5f\x75\x33\x32\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x63\x74\x63\x70\
\x5f\x63\x77\x6e\x64\x5f\x75\x6e\x64\x6f\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x6d\x61\
\x78\x28\x74\x63\x70\x5f\x73\x6b\x28\x73\x6b\x29\x2d\x3e\x73\x6e\x64\x5f\x63\
\x77\x6e\x64\x2c\x20\x63\x61\x2d\x3e\x6c\x6f\x73\x73\x5f\x63\x77\x6e\x64\x29\
\x3b\0\x76\x6f\x69\x64\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x63\x74\x63\
\x70\x5f\x63\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x2c\x20\x5f\x5f\x75\x33\x32\x20\x61\
\x63\x6b\x2c\x20\x5f\x5f\x75\x33\x32\x20\x61\x63\x6b\x65\x64\x29\0\x09\x74\x63\
\x70\x5f\x72\x65\x6e\x6f\x5f\x63\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\x28\x73\
\x6b\x2c\x20\x61\x63\x6b\x2c\x20\x61\x63\x6b\x65\x64\x29\x3b\0\x30\x3a\x35\0\
\x30\x3a\x31\0\x30\x3a\x32\0\x30\x3a\x36\0\x30\x3a\x37\0\x30\x3a\x38\0\x30\x3a\
\x33\0\x30\x3a\x31\x31\0\x30\x3a\x34\x3a\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x73\x74\x72\
\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x69\x6e\x69\x74\0\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x73\x73\x74\
\x68\x72\x65\x73\x68\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\
\x63\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x61\x6c\x70\x68\x61\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x73\x74\x61\x74\x65\0\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x63\x77\x6e\
\x64\x5f\x65\x76\x65\x6e\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\
\x63\x74\x63\x70\x5f\x63\x77\x6e\x64\x5f\x75\x6e\x64\x6f\0\x73\x74\x72\x75\x63\
\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x72\x65\x6e\x6f\x5f\x63\x6f\
\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x74\0\0\0\x74\0\0\0\x9c\x07\0\0\x10\x08\0\0\x44\x03\0\0\x08\0\0\0\x9d\x0f\0\0\
\x01\0\0\0\0\0\0\0\x0d\0\0\0\xb3\x0f\0\0\x01\0\0\0\0\0\0\0\x1f\0\0\0\xcd\x0f\0\
\0\x01\0\0\0\0\0\0\0\x20\0\0\0\xeb\x0f\0\0\x01\0\0\0\0\0\0\0\x21\0\0\0\x02\x10\
\0\0\x01\0\0\0\0\0\0\0\x22\0\0\0\x1e\x10\0\0\x01\0\0\0\0\0\0\0\x23\0\0\0\x39\
\x10\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\x10\0\0\0\x9d\x0f\0\0\x23\0\0\0\0\0\0\0\
\x6e\x05\0\0\xf1\x05\0\0\x06\xf4\0\0\x08\0\0\0\x6e\x05\0\0\x1c\x06\0\0\x0c\x0c\
\x01\0\x10\0\0\0\x6e\x05\0\0\x1c\x06\0\0\x16\x0c\x01\0\x18\0\0\0\x6e\x05\0\0\
\x1c\x06\0\0\x24\x0c\x01\0\x20\0\0\0\x6e\x05\0\0\x1c\x06\0\0\x27\x0c\x01\0\x38\
\0\0\0\x6e\x05\0\0\x1c\x06\0\0\x06\x0c\x01\0\x40\0\0\0\x6e\x05\0\0\x51\x06\0\0\
\x07\x14\x01\0\x78\0\0\0\x6e\x05\0\0\x51\x06\0\0\x07\x14\x01\0\x80\0\0\0\x6e\
\x05\0\0\x83\x06\0\0\x0d\x1c\x01\0\xa8\0\0\0\x6e\x05\0\0\x51\x06\0\0\x07\x34\
\x01\0\xe0\0\0\0\x6e\x05\0\0\x51\x06\0\0\x07\x34\x01\0\xe8\0\0\0\x6e\x05\0\0\
\x83\x06\0\0\x0d\x3c\x01\0\x10\x01\0\0\x6e\x05\0\0\x51\x06\0\0\x07\x48\x01\0\
\x48\x01\0\0\x6e\x05\0\0\x51\x06\0\0\x07\x48\x01\0\x50\x01\0\0\x6e\x05\0\0\x83\
\x06\0\0\x0d\x50\x01\0\x78\x01\0\0\x6e\x05\0\0\x93\x06\0\0\x11\x5c\x01\0\xb0\
\x01\0\0\x6e\x05\0\0\x93\x06\0\0\x0f\x5c\x01\0\xc8\x01\0\0\x6e\x05\0\0\xcf\x06\
\0\0\x03\x64\x01\0\x20\x02\0\0\x6e\x05\0\0\xfd\x06\0\0\x1a\x78\x01\0\x30\x02\0\
\0\x6e\x05\0\0\x1f\x07\0\0\x12\x7c\x01\0\x38\x02\0\0\x6e\x05\0\0\xfd\x06\0\0\
\x14\x78\x01\0\x48\x02\0\0\x6e\x05\0\0\x5d\x07\0\0\x10\x80\x01\0\x50\x02\0\0\
\x6e\x05\0\0\x71\x07\0\0\x0f\x84\x01\0\x58\x02\0\0\x6e\x05\0\0\x84\x07\0\0\x08\
\x8c\x01\0\x88\x02\0\0\x6e\x05\0\0\xc1\x07\0\0\x06\x90\x01\0\x90\x02\0\0\x6e\
\x05\0\0\xcd\x07\0\0\x10\x94\x01\0\x98\x02\0\0\x6e\x05\0\0\xcd\x07\0\0\x0e\x94\
\x01\0\xb0\x02\0\0\x6e\x05\0\0\xe2\x07\0\0\x03\x98\x01\0\xd0\x02\0\0\x6e\x05\0\
\0\x14\x08\0\0\x15\xd8\0\0\xd8\x02\0\0\x6e\x05\0\0\x14\x08\0\0\x0f\xd8\0\0\xe0\
\x02\0\0\x6e\x05\0\0\x31\x08\0\0\x1a\xe0\0\0\xe8\x02\0\0\x6e\x05\0\0\x31\x08\0\
\0\x14\xe0\0\0\xf0\x02\0\0\x6e\x05\0\0\x55\x08\0\0\x1d\xe4\0\0\xf8\x02\0\0\x6e\
\x05\0\0\x55\x08\0\0\x17\xe4\0\0\0\x03\0\0\x6e\x05\0\0\xf1\x05\0\0\x06\xf4\0\0\
\xb3\x0f\0\0\x06\0\0\0\0\0\0\0\x6e\x05\0\0\x7f\x08\0\0\0\xb0\x01\0\x08\0\0\0\
\x6e\x05\0\0\x7f\x08\0\0\x07\xb0\x01\0\x20\0\0\0\x6e\x05\0\0\xaf\x08\0\0\x16\
\xc4\x01\0\x28\0\0\0\x6e\x05\0\0\xaf\x08\0\0\x10\xc4\x01\0\x30\0\0\0\x6e\x05\0\
\0\xce\x08\0\0\x09\xc8\x01\0\x98\0\0\0\x6e\x05\0\0\x7f\x08\0\0\x07\xb0\x01\0\
\xcd\x0f\0\0\x1a\0\0\0\0\0\0\0\x6e\x05\0\0\x19\x09\0\0\x06\xd8\x01\0\x08\0\0\0\
\x6e\x05\0\0\x59\x09\0\0\x12\xf0\x01\0\x28\0\0\0\x6e\x05\0\0\x59\x09\0\0\x1f\
\xf0\x01\0\x30\0\0\0\x84\x09\0\0\x07\x0a\0\0\x15\xb0\x01\0\x38\0\0\0\x6e\x05\0\
\0\x59\x09\0\0\x06\xf0\x01\0\x48\0\0\0\x6e\x05\0\0\x27\x0a\0\0\x1c\xf4\x01\0\
\x50\0\0\0\x6e\x05\0\0\x27\x0a\0\0\x2f\xf4\x01\0\x58\0\0\0\x6e\x05\0\0\x67\x0a\
\0\0\x15\xf8\x01\0\x60\0\0\0\x6e\x05\0\0\x88\x0a\0\0\x0c\x08\x02\0\x88\0\0\0\
\x6e\x05\0\0\x88\x0a\0\0\x09\x08\x02\0\x90\0\0\0\x6e\x05\0\0\xc0\x0a\0\0\x07\
\x0c\x02\0\x98\0\0\0\x6e\x05\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x6e\x05\0\0\xd6\x0a\
\0\0\x1a\x10\x02\0\xa8\0\0\0\x6e\x05\0\0\xd6\x0a\0\0\x2a\x10\x02\0\xb8\0\0\0\
\x6e\x05\0\0\x0e\x0b\0\0\x14\x28\x02\0\xd0\0\0\0\x6e\x05\0\0\x35\x0b\0\0\x11\
\x24\x02\0\xd8\0\0\0\x6e\x05\0\0\x0e\x0b\0\0\x11\x28\x02\0\xe0\0\0\0\x6e\x05\0\
\0\x5f\x0b\0\0\x0c\x30\x02\0\0\x01\0\0\x6e\x05\0\0\x96\x0b\0\0\x13\x38\x02\0\
\x08\x01\0\0\x6e\x05\0\0\x14\x08\0\0\x15\xd8\0\0\x10\x01\0\0\x6e\x05\0\0\x14\
\x08\0\0\x0f\xd8\0\0\x18\x01\0\0\x6e\x05\0\0\x31\x08\0\0\x1a\xe0\0\0\x20\x01\0\
\0\x6e\x05\0\0\x31\x08\0\0\x14\xe0\0\0\x28\x01\0\0\x6e\x05\0\0\x55\x08\0\0\x1d\
\xe4\0\0\x30\x01\0\0\x6e\x05\0\0\x55\x08\0\0\x17\xe4\0\0\x38\x01\0\0\x6e\x05\0\
\0\x19\x09\0\0\x06\xd8\x01\0\xeb\x0f\0\0\x11\0\0\0\0\0\0\0\x6e\x05\0\0\xb1\x0b\
\0\0\x06\x74\x02\0\x08\0\0\0\x6e\x05\0\0\xed\x0b\0\0\x10\x7c\x02\0\x10\0\0\0\
\x6e\x05\0\0\xed\x0b\0\0\x23\x7c\x02\0\x28\0\0\0\x6e\x05\0\0\x12\x0c\0\0\x13\
\x80\x02\0\x60\0\0\0\x6e\x05\0\0\x12\x0c\0\0\x13\x80\x02\0\x70\0\0\0\x6e\x05\0\
\0\x12\x0c\0\0\x13\x80\x02\0\x88\0\0\0\x6e\x05\0\0\x12\x0c\0\0\x13\x80\x02\0\
\xb0\0\0\0\x6e\x05\0\0\x12\x0c\0\0\x13\x80\x02\0\xc8\0\0\0\x6e\x05\0\0\x12\x0c\
\0\0\x13\x80\x02\0\xd0\0\0\0\x6e\x05\0\0\xed\x0b\0\0\x06\x7c\x02\0\xe0\0\0\0\
\x6e\x05\0\0\x12\x0c\0\0\x13\x80\x02\0\xe8\0\0\0\x6e\x05\0\0\xed\x0b\0\0\x06\
\x7c\x02\0\x08\x01\0\0\x6e\x05\0\0\xaf\x08\0\0\x16\x60\x02\0\x10\x01\0\0\x6e\
\x05\0\0\xaf\x08\0\0\x10\x60\x02\0\x20\x01\0\0\x6e\x05\0\0\x59\x0c\0\0\x15\x64\
\x02\0\x40\x01\0\0\x6e\x05\0\0\x59\x0c\0\0\x13\x64\x02\0\x48\x01\0\0\x6e\x05\0\
\0\xb1\x0b\0\0\x06\x74\x02\0\x02\x10\0\0\x1c\0\0\0\0\0\0\0\x6e\x05\0\0\x8a\x0c\
\0\0\0\x34\x03\0\x08\0\0\0\x6e\x05\0\0\x8a\x0c\0\0\x06\x34\x03\0\x28\0\0\0\x6e\
\x05\0\0\xd1\x0c\0\0\x02\x44\x03\0\x50\0\0\0\x6e\x05\0\0\xaf\x08\0\0\x16\x60\
\x02\0\x58\0\0\0\x6e\x05\0\0\xaf\x08\0\0\x10\x60\x02\0\x68\0\0\0\x6e\x05\0\0\
\x59\x0c\0\0\x15\x64\x02\0\x88\0\0\0\x6e\x05\0\0\x59\x0c\0\0\x13\x64\x02\0\xa0\
\0\0\0\x6e\x05\0\0\xe0\x0c\0\0\x1c\xe8\x02\0\xb0\0\0\0\x6e\x05\0\0\x1b\x0d\0\0\
\x06\xf0\x02\0\xb8\0\0\0\x6e\x05\0\0\x1b\x0d\0\0\x06\xf0\x02\0\xc8\0\0\0\x6e\
\x05\0\0\x3d\x0d\0\0\x1e\x04\x03\0\xd0\0\0\0\x6e\x05\0\0\x3d\x0d\0\0\x26\x04\
\x03\0\xd8\0\0\0\x6e\x05\0\0\x3d\x0d\0\0\x07\x04\x03\0\xe0\0\0\0\x6e\x05\0\0\
\x76\x0d\0\0\x06\xac\x02\0\xe8\0\0\0\x6e\x05\0\0\x8a\x0d\0\0\x11\xb0\x02\0\0\
\x01\0\0\x6e\x05\0\0\xb1\x0d\0\0\x11\xb8\x02\0\x10\x01\0\0\x6e\x05\0\0\0\0\0\0\
\0\0\0\0\x18\x01\0\0\x6e\x05\0\0\xd9\x0d\0\0\x19\x0c\x03\0\x20\x01\0\0\x6e\x05\
\0\0\xd9\x0d\0\0\x04\x0c\x03\0\x48\x01\0\0\x6e\x05\0\0\x02\x0e\0\0\x22\x14\x03\
\0\x60\x01\0\0\x6e\x05\0\0\x34\x0e\0\0\x1f\x1c\x03\0\x68\x01\0\0\x6e\x05\0\0\
\x5b\x0e\0\0\x0c\x20\x03\0\x70\x01\0\0\x6e\x05\0\0\x34\x0e\0\0\x11\x1c\x03\0\
\x78\x01\0\0\x6e\x05\0\0\x76\x0d\0\0\x06\xac\x02\0\x80\x01\0\0\x6e\x05\0\0\x8a\
\x0d\0\0\x11\xb0\x02\0\x98\x01\0\0\x6e\x05\0\0\xb1\x0d\0\0\x11\xb8\x02\0\xa8\
\x01\0\0\x6e\x05\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\x6e\x05\0\0\x8a\x0c\0\0\x06\
\x34\x03\0\x1e\x10\0\0\x03\0\0\0\0\0\0\0\x6e\x05\0\0\x76\x0e\0\0\x07\x80\x03\0\
\x20\0\0\0\x6e\x05\0\0\xa7\x0e\0\0\x09\x90\x03\0\x40\0\0\0\x6e\x05\0\0\x76\x0e\
\0\0\x07\x80\x03\0\x39\x10\0\0\x03\0\0\0\0\0\0\0\x6e\x05\0\0\xd9\x0e\0\0\x06\
\xa8\x03\0\x18\0\0\0\x6e\x05\0\0\x22\x0f\0\0\x02\xb0\x03\0\x28\0\0\0\x6e\x05\0\
\0\xd9\x0e\0\0\x06\xa8\x03\0\x10\0\0\0\x9d\x0f\0\0\x07\0\0\0\x08\0\0\0\x0e\0\0\
\0\x48\x0f\0\0\0\0\0\0\x08\x02\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\0\0\x20\x02\0\0\
\x0e\0\0\0\x4c\x0f\0\0\0\0\0\0\xd0\x02\0\0\x0e\0\0\0\x50\x0f\0\0\0\0\0\0\xe0\
\x02\0\0\x0e\0\0\0\x54\x0f\0\0\0\0\0\0\xe8\x02\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\0\
\0\xf0\x02\0\0\x0e\0\0\0\x58\x0f\0\0\0\0\0\0\xb3\x0f\0\0\x04\0\0\0\0\0\0\0\x0f\
\0\0\0\x48\x0f\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x38\0\0\0\
\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x70\0\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\xcd\x0f\
\0\0\x09\0\0\0\x08\0\0\0\x0e\0\0\0\x60\x0f\0\0\0\0\0\0\x10\0\0\0\x0f\0\0\0\x48\
\x0f\0\0\0\0\0\0\x48\0\0\0\x0e\0\0\0\x58\x0f\0\0\0\0\0\0\xa0\0\0\0\x0e\0\0\0\
\x54\x0f\0\0\0\0\0\0\xa8\0\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\0\0\x08\x01\0\0\x0e\0\
\0\0\x50\x0f\0\0\0\0\0\0\x18\x01\0\0\x0e\0\0\0\x54\x0f\0\0\0\0\0\0\x20\x01\0\0\
\x0f\0\0\0\x48\x0f\0\0\0\0\0\0\x28\x01\0\0\x0e\0\0\0\x58\x0f\0\0\0\0\0\0\xeb\
\x0f\0\0\x0b\0\0\0\x20\0\0\0\x0f\0\0\0\x4c\x0f\0\0\0\0\0\0\x38\0\0\0\x0f\0\0\0\
\x4c\x0f\0\0\x01\0\0\0\xb0\0\0\0\x0f\0\0\0\x4c\x0f\0\0\x04\0\0\0\xb8\0\0\0\x0f\
\0\0\0\x4c\x0f\0\0\x03\0\0\0\xc8\0\0\0\x0f\0\0\0\x4c\x0f\0\0\x05\0\0\0\xe0\0\0\
\0\x0f\0\0\0\x4c\x0f\0\0\x05\0\0\0\xf0\0\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\0\0\x08\
\x01\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x20\x01\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\
\0\x30\x01\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x40\x01\0\0\x0e\0\0\0\x64\x0f\0\0\
\0\0\0\0\x02\x10\0\0\x0f\0\0\0\0\0\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\0\0\x50\0\0\0\
\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x68\0\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x78\0\0\
\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x88\0\0\0\x0e\0\0\0\x64\x0f\0\0\0\0\0\0\xc0\0\
\0\0\x0f\0\0\0\x69\x0f\0\0\0\0\0\0\xc8\0\0\0\x0f\0\0\0\x69\x0f\0\0\0\0\0\0\xe8\
\0\0\0\x0e\0\0\0\x48\x0f\0\0\0\0\0\0\0\x01\0\0\x0e\0\0\0\x48\x0f\0\0\0\0\0\0\
\x10\x01\0\0\x0e\0\0\0\x48\x0f\0\0\0\0\0\0\x30\x01\0\0\x0f\0\0\0\x69\x0f\0\0\0\
\0\0\0\x60\x01\0\0\x0e\0\0\0\x4c\x0f\0\0\0\0\0\0\x80\x01\0\0\x0e\0\0\0\x48\x0f\
\0\0\0\0\0\0\x98\x01\0\0\x0e\0\0\0\x48\x0f\0\0\0\0\0\0\xa8\x01\0\0\x0e\0\0\0\
\x48\x0f\0\0\0\0\0\0\x1e\x10\0\0\x03\0\0\0\x08\0\0\0\x0f\0\0\0\x48\x0f\0\0\0\0\
\0\0\x28\0\0\0\x0e\0\0\0\x5c\x0f\0\0\0\0\0\0\x38\0\0\0\x0e\0\0\0\x5c\x0f\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x44\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x58\x09\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x60\x0c\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\
\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0e\0\0\0\0\0\0\x50\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0f\0\0\0\0\0\0\xb8\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x11\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x90\x11\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xc0\x11\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd6\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\x11\
\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xde\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\x11\0\0\0\0\0\0\
\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x11\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe7\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\x13\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd8\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x26\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe8\x13\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\0\0\0\x0d\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x36\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x78\x14\0\0\0\0\0\0\x12\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x3b\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x2e\0\0\
\0\0\0\0\x74\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_dctcp *bpf_dctcp::open(const struct bpf_object_open_opts *opts) { return bpf_dctcp__open_opts(opts); }
struct bpf_dctcp *bpf_dctcp::open_and_load() { return bpf_dctcp__open_and_load(); }
int bpf_dctcp::load(struct bpf_dctcp *skel) { return bpf_dctcp__load(skel); }
int bpf_dctcp::attach(struct bpf_dctcp *skel) { return bpf_dctcp__attach(skel); }
void bpf_dctcp::detach(struct bpf_dctcp *skel) { bpf_dctcp__detach(skel); }
void bpf_dctcp::destroy(struct bpf_dctcp *skel) { bpf_dctcp__destroy(skel); }
const void *bpf_dctcp::elf_bytes(size_t *sz) { return bpf_dctcp__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_dctcp__assert(struct bpf_dctcp *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->bpf_dctcp) == 10, "unexpected size of 'bpf_dctcp'");
	_Static_assert(sizeof(s->rodata->tcp_cdg) == 4, "unexpected size of 'tcp_cdg'");
	_Static_assert(sizeof(s->rodata->fallback) == 16, "unexpected size of 'fallback'");
	_Static_assert(sizeof(s->bss->tcp_cdg_res) == 4, "unexpected size of 'tcp_cdg_res'");
	_Static_assert(sizeof(s->bss->stg_result) == 4, "unexpected size of 'stg_result'");
	_Static_assert(sizeof(s->bss->ebusy_cnt) == 4, "unexpected size of 'ebusy_cnt'");
	_Static_assert(sizeof(s->bss->cc_res) == 16, "unexpected size of 'cc_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_DCTCP_SKEL_H__ */
