/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_DCTCP_RELEASE_SKEL_H__
#define __BPF_DCTCP_RELEASE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_dctcp_release {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *dctcp_rel;
	} maps;
	struct {
		struct bpf_program *dctcp_nouse_release;
	} progs;
	struct {
		struct bpf_link *dctcp_nouse_release;
	} links;
	struct bpf_dctcp_release__rodata {
		char cubic[6];
	} *rodata;

#ifdef __cplusplus
	static inline struct bpf_dctcp_release *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_dctcp_release *open_and_load();
	static inline int load(struct bpf_dctcp_release *skel);
	static inline int attach(struct bpf_dctcp_release *skel);
	static inline void detach(struct bpf_dctcp_release *skel);
	static inline void destroy(struct bpf_dctcp_release *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_dctcp_release__destroy(struct bpf_dctcp_release *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_dctcp_release__create_skeleton(struct bpf_dctcp_release *obj);

static inline struct bpf_dctcp_release *
bpf_dctcp_release__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_dctcp_release *obj;
	int err;

	obj = (struct bpf_dctcp_release *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_dctcp_release__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_dctcp_release__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_dctcp_release *
bpf_dctcp_release__open(void)
{
	return bpf_dctcp_release__open_opts(NULL);
}

static inline int
bpf_dctcp_release__load(struct bpf_dctcp_release *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_dctcp_release *
bpf_dctcp_release__open_and_load(void)
{
	struct bpf_dctcp_release *obj;
	int err;

	obj = bpf_dctcp_release__open();
	if (!obj)
		return NULL;
	err = bpf_dctcp_release__load(obj);
	if (err) {
		bpf_dctcp_release__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_dctcp_release__attach(struct bpf_dctcp_release *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_dctcp_release__detach(struct bpf_dctcp_release *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_dctcp_release__elf_bytes(size_t *sz);

static inline int
bpf_dctcp_release__create_skeleton(struct bpf_dctcp_release *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_dctcp_release";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_dctc.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "dctcp_rel";
	s->maps[1].map = &obj->maps.dctcp_rel;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dctcp_nouse_release";
	s->progs[0].prog = &obj->progs.dctcp_nouse_release;
	s->progs[0].link = &obj->links.dctcp_nouse_release;

	s->data = bpf_dctcp_release__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_dctcp_release__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x6e\x6f\x75\x73\
\x65\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x62\x70\
\x66\x5f\x64\x63\x74\x63\x70\x5f\x72\x65\x6c\x65\x61\x73\x65\x2e\x63\0\x64\x63\
\x74\x63\x70\x5f\x6e\x6f\x75\x73\x65\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x75\
\x62\x69\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x64\x63\x74\x63\x70\x5f\x72\
\x65\x6c\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\
\x74\x63\x70\x5f\x6e\x6f\x75\x73\x65\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x2e\x72\
\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x4c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x74\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x7a\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x83\0\0\0\x11\0\x06\0\0\0\0\0\0\
\0\0\0\x80\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xb4\x02\0\0\x06\0\0\0\xb4\x03\0\0\
\x0d\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x05\0\0\x06\0\0\0\x85\0\0\0\
\x31\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x75\x62\x69\x63\0\0\0\0\0\0\0\
\x62\x70\x66\x5f\x64\x63\x74\x63\x70\x5f\x72\x65\x6c\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x7c\x05\0\0\x7c\x05\0\0\x29\x04\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\x14\0\0\0\x01\0\0\0\
\x18\0\0\0\x01\0\0\x0c\x03\0\0\0\x2c\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\x31\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\x45\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x05\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x07\0\0\0\x06\0\0\0\x4e\0\0\0\0\0\0\
\x0e\x0a\0\0\0\x01\0\0\0\x54\0\0\0\x0f\0\0\x04\x80\0\0\0\x67\0\0\0\x0d\0\0\0\0\
\0\0\0\x6c\0\0\0\x0e\0\0\0\x80\0\0\0\x72\0\0\0\x10\0\0\0\xc0\0\0\0\x77\0\0\0\
\x10\0\0\0\0\x01\0\0\x7f\0\0\0\x19\0\0\0\x40\x01\0\0\x88\0\0\0\x1b\0\0\0\x80\
\x01\0\0\x93\0\0\0\x1d\0\0\0\xc0\x01\0\0\x9d\0\0\0\x20\0\0\0\0\x02\0\0\xa8\0\0\
\0\x23\0\0\0\x40\x02\0\0\xb5\0\0\0\x19\0\0\0\x80\x02\0\0\xbf\0\0\0\x25\0\0\0\
\xc0\x02\0\0\xca\0\0\0\x19\0\0\0\0\x03\0\0\xd7\0\0\0\x19\0\0\0\x40\x03\0\0\xe5\
\0\0\0\x2c\0\0\0\x80\x03\0\0\xf2\0\0\0\x34\0\0\0\xc0\x03\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x05\0\0\0\x07\0\0\0\x10\0\0\0\xf8\0\0\0\0\0\0\x08\x0f\0\0\0\xfe\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\0\0\0\0\x01\0\0\x0d\
\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x0b\x01\0\0\x03\0\0\x04\
\x18\0\0\0\x10\x01\0\0\x14\0\0\0\0\0\0\0\x1c\x01\0\0\x18\0\0\0\x40\0\0\0\x2b\
\x01\0\0\x0e\0\0\0\x80\0\0\0\x3c\x01\0\0\x02\0\0\x04\x04\0\0\0\x48\x01\0\0\x15\
\0\0\0\0\0\0\0\x52\x01\0\0\x16\0\0\0\x10\0\0\0\x5a\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\0\x68\x01\0\0\0\0\0\x08\x17\0\0\0\x6e\x01\0\0\0\0\0\x01\x02\0\0\0\x10\
\0\0\0\x7d\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\0\
\0\0\0\x01\0\0\x0d\x0e\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\0\0\
\0\0\x03\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\x0e\0\0\0\
\0\0\0\0\0\0\0\x02\x1e\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\
\0\0\x1f\0\0\0\x8b\x01\0\0\0\0\0\x08\x15\0\0\0\0\0\0\0\0\0\0\x02\x21\0\0\0\0\0\
\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x22\0\0\0\x90\x01\0\0\x06\0\
\0\x06\x04\0\0\0\x9d\x01\0\0\0\0\0\0\xaf\x01\0\0\x01\0\0\0\xc5\x01\0\0\x02\0\0\
\0\xdb\x01\0\0\x03\0\0\0\xe9\x01\0\0\x04\0\0\0\xfc\x01\0\0\x05\0\0\0\0\0\0\0\0\
\0\0\x02\x24\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x0e\0\
\0\0\0\0\0\0\0\0\0\x02\x26\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\
\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\0\0\0\0\x0a\x29\0\0\0\x0f\
\x02\0\0\x03\0\0\x04\x0c\0\0\0\xbf\0\0\0\x0e\0\0\0\0\0\0\0\x1a\x02\0\0\x2a\0\0\
\0\x20\0\0\0\x21\x02\0\0\x0e\0\0\0\x40\0\0\0\x2b\x02\0\0\0\0\0\x08\x2b\0\0\0\
\x31\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x02\x2d\0\0\0\0\0\0\
\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x2e\0\0\0\0\0\0\0\0\0\0\x02\
\x2f\0\0\0\0\0\0\0\0\0\0\x0a\x30\0\0\0\x35\x02\0\0\x0d\0\0\x04\x38\0\0\0\x41\
\x02\0\0\x31\0\0\0\0\0\0\0\x4e\x02\0\0\x0e\0\0\0\x40\0\0\0\x5e\x02\0\0\x2a\0\0\
\0\x60\0\0\0\x68\x02\0\0\x32\0\0\0\x80\0\0\0\x74\x02\0\0\x0e\0\0\0\xc0\0\0\0\
\x84\x02\0\0\x0e\0\0\0\xe0\0\0\0\x1a\x02\0\0\x32\0\0\0\0\x01\0\0\x94\x02\0\0\
\x2b\0\0\0\x40\x01\0\0\x9b\x02\0\0\x0e\0\0\0\x60\x01\0\0\xa8\x02\0\0\x0e\0\0\0\
\x80\x01\0\0\xb8\x02\0\0\x33\0\0\0\xa0\x01\0\0\xc7\x02\0\0\x33\0\0\0\xa8\x01\0\
\0\xd2\x02\0\0\x33\0\0\0\xb0\x01\0\0\xe1\x02\0\0\0\0\0\x08\x02\0\0\0\xe7\x02\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xec\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\
\0\0\0\0\0\0\0\x02\0\0\0\0\xf2\x02\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xee\x03\0\
\0\x01\0\0\x0f\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\xf6\x03\0\0\x01\0\0\x0f\
\x06\0\0\0\x0b\0\0\0\0\0\0\0\x06\0\0\0\xfe\x03\0\0\x01\0\0\x0f\x80\0\0\0\x35\0\
\0\0\0\0\0\0\x80\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x64\x63\x74\x63\x70\x5f\x6e\x6f\x75\x73\
\x65\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x63\x75\x62\x69\x63\0\x74\x63\x70\x5f\x63\x6f\x6e\x67\x65\x73\
\x74\x69\x6f\x6e\x5f\x6f\x70\x73\0\x6e\x61\x6d\x65\0\x66\x6c\x61\x67\x73\0\x69\
\x6e\x69\x74\0\x72\x65\x6c\x65\x61\x73\x65\0\x73\x73\x74\x68\x72\x65\x73\x68\0\
\x63\x6f\x6e\x67\x5f\x61\x76\x6f\x69\x64\0\x73\x65\x74\x5f\x73\x74\x61\x74\x65\
\0\x63\x77\x6e\x64\x5f\x65\x76\x65\x6e\x74\0\x69\x6e\x5f\x61\x63\x6b\x5f\x65\
\x76\x65\x6e\x74\0\x75\x6e\x64\x6f\x5f\x63\x77\x6e\x64\0\x70\x6b\x74\x73\x5f\
\x61\x63\x6b\x65\x64\0\x6d\x69\x6e\x5f\x74\x73\x6f\x5f\x73\x65\x67\x73\0\x73\
\x6e\x64\x62\x75\x66\x5f\x65\x78\x70\x61\x6e\x64\0\x63\x6f\x6e\x67\x5f\x63\x6f\
\x6e\x74\x72\x6f\x6c\0\x6f\x77\x6e\x65\x72\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\
\x63\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\
\x65\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x73\
\x6f\x63\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\
\0\x73\x6b\x63\x5f\x6e\x75\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\
\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\
\x75\x38\0\x74\x63\x70\x5f\x63\x61\x5f\x65\x76\x65\x6e\x74\0\x43\x41\x5f\x45\
\x56\x45\x4e\x54\x5f\x54\x58\x5f\x53\x54\x41\x52\x54\0\x43\x41\x5f\x45\x56\x45\
\x4e\x54\x5f\x43\x57\x4e\x44\x5f\x52\x45\x53\x54\x41\x52\x54\0\x43\x41\x5f\x45\
\x56\x45\x4e\x54\x5f\x43\x4f\x4d\x50\x4c\x45\x54\x45\x5f\x43\x57\x52\0\x43\x41\
\x5f\x45\x56\x45\x4e\x54\x5f\x4c\x4f\x53\x53\0\x43\x41\x5f\x45\x56\x45\x4e\x54\
\x5f\x45\x43\x4e\x5f\x4e\x4f\x5f\x43\x45\0\x43\x41\x5f\x45\x56\x45\x4e\x54\x5f\
\x45\x43\x4e\x5f\x49\x53\x5f\x43\x45\0\x61\x63\x6b\x5f\x73\x61\x6d\x70\x6c\x65\
\0\x72\x74\x74\x5f\x75\x73\0\x69\x6e\x5f\x66\x6c\x69\x67\x68\x74\0\x5f\x5f\x73\
\x33\x32\0\x69\x6e\x74\0\x72\x61\x74\x65\x5f\x73\x61\x6d\x70\x6c\x65\0\x70\x72\
\x69\x6f\x72\x5f\x6d\x73\x74\x61\x6d\x70\0\x70\x72\x69\x6f\x72\x5f\x64\x65\x6c\
\x69\x76\x65\x72\x65\x64\0\x64\x65\x6c\x69\x76\x65\x72\x65\x64\0\x69\x6e\x74\
\x65\x72\x76\x61\x6c\x5f\x75\x73\0\x73\x6e\x64\x5f\x69\x6e\x74\x65\x72\x76\x61\
\x6c\x5f\x75\x73\0\x72\x63\x76\x5f\x69\x6e\x74\x65\x72\x76\x61\x6c\x5f\x75\x73\
\0\x6c\x6f\x73\x73\x65\x73\0\x61\x63\x6b\x65\x64\x5f\x73\x61\x63\x6b\x65\x64\0\
\x70\x72\x69\x6f\x72\x5f\x69\x6e\x5f\x66\x6c\x69\x67\x68\x74\0\x69\x73\x5f\x61\
\x70\x70\x5f\x6c\x69\x6d\x69\x74\x65\x64\0\x69\x73\x5f\x72\x65\x74\x72\x61\x6e\
\x73\0\x69\x73\x5f\x61\x63\x6b\x5f\x64\x65\x6c\x61\x79\x65\x64\0\x5f\x5f\x75\
\x36\x34\0\x6c\x6f\x6e\x67\0\x5f\x42\x6f\x6f\x6c\0\x64\x63\x74\x63\x70\x5f\x72\
\x65\x6c\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\
\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x64\x63\x74\x63\x70\x5f\x72\x65\
\x6c\x65\x61\x73\x65\x2e\x63\0\x76\x6f\x69\x64\x20\x42\x50\x46\x5f\x53\x54\x52\
\x55\x43\x54\x5f\x4f\x50\x53\x28\x64\x63\x74\x63\x70\x5f\x6e\x6f\x75\x73\x65\
\x5f\x72\x65\x6c\x65\x61\x73\x65\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\
\x63\x6b\x20\x2a\x73\x6b\x29\0\x09\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\
\x6f\x70\x74\x28\x73\x6b\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\
\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\
\x73\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x64\x63\x74\x63\x70\x5f\x6e\
\x6f\x75\x73\x65\x5f\x72\x65\x6c\x65\x61\x73\x65\0\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x3c\0\0\0\x50\0\0\0\0\0\0\0\x08\0\0\0\x0a\x04\0\
\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x0a\x04\0\0\x03\0\0\0\0\0\0\0\xfc\x02\
\0\0\x87\x03\0\0\x06\x40\0\0\x08\0\0\0\xfc\x02\0\0\xc1\x03\0\0\x02\x48\0\0\x38\
\0\0\0\xfc\x02\0\0\x87\x03\0\0\x06\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\xce\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\xa8\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xfc\x01\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x02\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x8d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x02\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xb0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\xbd\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0c\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_dctcp_release *bpf_dctcp_release::open(const struct bpf_object_open_opts *opts) { return bpf_dctcp_release__open_opts(opts); }
struct bpf_dctcp_release *bpf_dctcp_release::open_and_load() { return bpf_dctcp_release__open_and_load(); }
int bpf_dctcp_release::load(struct bpf_dctcp_release *skel) { return bpf_dctcp_release__load(skel); }
int bpf_dctcp_release::attach(struct bpf_dctcp_release *skel) { return bpf_dctcp_release__attach(skel); }
void bpf_dctcp_release::detach(struct bpf_dctcp_release *skel) { bpf_dctcp_release__detach(skel); }
void bpf_dctcp_release::destroy(struct bpf_dctcp_release *skel) { bpf_dctcp_release__destroy(skel); }
const void *bpf_dctcp_release::elf_bytes(size_t *sz) { return bpf_dctcp_release__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_dctcp_release__assert(struct bpf_dctcp_release *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->cubic) == 6, "unexpected size of 'cubic'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_DCTCP_RELEASE_SKEL_H__ */
