/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CGRP_LS_NEGATIVE_SKEL_H__
#define __CGRP_LS_NEGATIVE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cgrp_ls_negative {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_a;
	} maps;
	struct {
		struct bpf_program *on_enter;
	} progs;
	struct {
		struct bpf_link *on_enter;
	} links;

#ifdef __cplusplus
	static inline struct cgrp_ls_negative *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cgrp_ls_negative *open_and_load();
	static inline int load(struct cgrp_ls_negative *skel);
	static inline int attach(struct cgrp_ls_negative *skel);
	static inline void detach(struct cgrp_ls_negative *skel);
	static inline void destroy(struct cgrp_ls_negative *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cgrp_ls_negative__destroy(struct cgrp_ls_negative *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cgrp_ls_negative__create_skeleton(struct cgrp_ls_negative *obj);

static inline struct cgrp_ls_negative *
cgrp_ls_negative__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cgrp_ls_negative *obj;
	int err;

	obj = (struct cgrp_ls_negative *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cgrp_ls_negative__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cgrp_ls_negative__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cgrp_ls_negative *
cgrp_ls_negative__open(void)
{
	return cgrp_ls_negative__open_opts(NULL);
}

static inline int
cgrp_ls_negative__load(struct cgrp_ls_negative *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cgrp_ls_negative *
cgrp_ls_negative__open_and_load(void)
{
	struct cgrp_ls_negative *obj;
	int err;

	obj = cgrp_ls_negative__open();
	if (!obj)
		return NULL;
	err = cgrp_ls_negative__load(obj);
	if (err) {
		cgrp_ls_negative__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cgrp_ls_negative__attach(struct cgrp_ls_negative *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cgrp_ls_negative__detach(struct cgrp_ls_negative *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cgrp_ls_negative__elf_bytes(size_t *sz);

static inline int
cgrp_ls_negative__create_skeleton(struct cgrp_ls_negative *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cgrp_ls_negative";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_a";
	s->maps[0].map = &obj->maps.map_a;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "on_enter";
	s->progs[0].prog = &obj->progs.on_enter;
	s->progs[0].link = &obj->links.on_enter;

	s->data = cgrp_ls_negative__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cgrp_ls_negative__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x6d\x61\x70\x73\0\x63\x67\x72\x70\x5f\x6c\x73\x5f\x6e\x65\x67\
\x61\x74\x69\x76\x65\x2e\x63\0\x6f\x6e\x5f\x65\x6e\x74\x65\x72\0\x6d\x61\x70\
\x5f\x61\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\
\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x48\0\0\0\
\0\0\0\0\x4c\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x52\0\0\0\x11\
\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\
\0\0\x85\0\0\0\xd2\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x80\x01\0\0\x80\
\x01\0\0\xac\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x20\0\0\0\x05\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\
\x02\x09\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x23\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\
\x07\0\0\0\x80\0\0\0\x31\0\0\0\x08\0\0\0\xc0\0\0\0\x37\0\0\0\0\0\0\x0e\x0a\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x3d\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x50\0\0\0\x0c\0\0\0\x54\0\0\0\x01\0\0\x0c\x0e\
\0\0\0\x5d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\
\0\0\0\x04\0\0\0\x04\0\0\0\x62\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x8d\x01\0\0\
\x01\0\0\x0f\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\x95\x01\0\0\x01\0\0\x0f\x20\
\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\0\x74\x79\
\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x6d\x61\x70\x5f\x61\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x6f\x6e\x5f\x65\x6e\x74\x65\x72\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\
\x72\x70\x5f\x6c\x73\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x2e\x63\0\x09\x74\x61\
\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x3b\0\x09\x28\x76\x6f\x69\x64\
\x29\x62\x70\x66\x5f\x63\x67\x72\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\
\x65\x74\x28\x26\x6d\x61\x70\x5f\x61\x2c\x20\x28\x73\x74\x72\x75\x63\x74\x20\
\x63\x67\x72\x6f\x75\x70\x20\x2a\x29\x74\x61\x73\x6b\x2c\x20\x30\x2c\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6f\x6e\x5f\x65\x6e\x74\x65\x72\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\
\x65\x67\x73\x2c\x20\x6c\x6f\x6e\x67\x20\x69\x64\x29\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6d\x61\x70\x73\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x3c\0\0\0\x50\0\0\0\0\0\0\0\x08\0\0\0\x9b\x01\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\
\x10\0\0\0\x9b\x01\0\0\x03\0\0\0\0\0\0\0\x6b\0\0\0\xf5\0\0\0\x09\x58\0\0\x08\0\
\0\0\x6b\0\0\0\x19\x01\0\0\x08\x5c\0\0\x38\0\0\0\x6b\0\0\0\x57\x01\0\0\x05\x48\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x7e\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x44\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct cgrp_ls_negative *cgrp_ls_negative::open(const struct bpf_object_open_opts *opts) { return cgrp_ls_negative__open_opts(opts); }
struct cgrp_ls_negative *cgrp_ls_negative::open_and_load() { return cgrp_ls_negative__open_and_load(); }
int cgrp_ls_negative::load(struct cgrp_ls_negative *skel) { return cgrp_ls_negative__load(skel); }
int cgrp_ls_negative::attach(struct cgrp_ls_negative *skel) { return cgrp_ls_negative__attach(skel); }
void cgrp_ls_negative::detach(struct cgrp_ls_negative *skel) { cgrp_ls_negative__detach(skel); }
void cgrp_ls_negative::destroy(struct cgrp_ls_negative *skel) { cgrp_ls_negative__destroy(skel); }
const void *cgrp_ls_negative::elf_bytes(size_t *sz) { return cgrp_ls_negative__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cgrp_ls_negative__assert(struct cgrp_ls_negative *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CGRP_LS_NEGATIVE_SKEL_H__ */
