/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STRNCMP_TEST_SKEL_H__
#define __STRNCMP_TEST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct strncmp_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *do_strncmp;
		struct bpf_program *strncmp_bad_not_const_str_size;
		struct bpf_program *strncmp_bad_writable_target;
		struct bpf_program *strncmp_bad_not_null_term_target;
	} progs;
	struct {
		struct bpf_link *do_strncmp;
		struct bpf_link *strncmp_bad_not_const_str_size;
		struct bpf_link *strncmp_bad_writable_target;
		struct bpf_link *strncmp_bad_not_null_term_target;
	} links;
	struct strncmp_test__rodata {
		char target[8];
		char no_str_target[8];
	} *rodata;
	struct strncmp_test__bss {
		int cmp_ret;
		int target_pid;
		char str[8];
		char writable_target[8];
	} *bss;
	struct strncmp_test__data {
		unsigned int no_const_str_size;
	} *data;

#ifdef __cplusplus
	static inline struct strncmp_test *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct strncmp_test *open_and_load();
	static inline int load(struct strncmp_test *skel);
	static inline int attach(struct strncmp_test *skel);
	static inline void detach(struct strncmp_test *skel);
	static inline void destroy(struct strncmp_test *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
strncmp_test__destroy(struct strncmp_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
strncmp_test__create_skeleton(struct strncmp_test *obj);

static inline struct strncmp_test *
strncmp_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct strncmp_test *obj;
	int err;

	obj = (struct strncmp_test *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = strncmp_test__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	strncmp_test__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct strncmp_test *
strncmp_test__open(void)
{
	return strncmp_test__open_opts(NULL);
}

static inline int
strncmp_test__load(struct strncmp_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct strncmp_test *
strncmp_test__open_and_load(void)
{
	struct strncmp_test *obj;
	int err;

	obj = strncmp_test__open();
	if (!obj)
		return NULL;
	err = strncmp_test__load(obj);
	if (err) {
		strncmp_test__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
strncmp_test__attach(struct strncmp_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
strncmp_test__detach(struct strncmp_test *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *strncmp_test__elf_bytes(size_t *sz);

static inline int
strncmp_test__create_skeleton(struct strncmp_test *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "strncmp_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "strncmp_.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "strncmp_.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	s->maps[2].name = "strncmp_.data";
	s->maps[2].map = &obj->maps.data;
	s->maps[2].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "do_strncmp";
	s->progs[0].prog = &obj->progs.do_strncmp;
	s->progs[0].link = &obj->links.do_strncmp;

	s->progs[1].name = "strncmp_bad_not_const_str_size";
	s->progs[1].prog = &obj->progs.strncmp_bad_not_const_str_size;
	s->progs[1].link = &obj->links.strncmp_bad_not_const_str_size;

	s->progs[2].name = "strncmp_bad_writable_target";
	s->progs[2].prog = &obj->progs.strncmp_bad_writable_target;
	s->progs[2].link = &obj->links.strncmp_bad_writable_target;

	s->progs[3].name = "strncmp_bad_not_null_term_target";
	s->progs[3].prog = &obj->progs.strncmp_bad_not_null_term_target;
	s->progs[3].link = &obj->links.strncmp_bad_not_null_term_target;

	s->data = strncmp_test__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *strncmp_test__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\
\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x74\x72\
\x6e\x63\x6d\x70\x5f\x74\x65\x73\x74\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x64\
\x6f\x5f\x73\x74\x72\x6e\x63\x6d\x70\0\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\
\0\x73\x74\x72\0\x74\x61\x72\x67\x65\x74\0\x63\x6d\x70\x5f\x72\x65\x74\0\x73\
\x74\x72\x6e\x63\x6d\x70\x5f\x62\x61\x64\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\
\x74\x5f\x73\x74\x72\x5f\x73\x69\x7a\x65\0\x6e\x6f\x5f\x63\x6f\x6e\x73\x74\x5f\
\x73\x74\x72\x5f\x73\x69\x7a\x65\0\x73\x74\x72\x6e\x63\x6d\x70\x5f\x62\x61\x64\
\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x74\x61\x72\x67\x65\x74\0\x77\x72\x69\
\x74\x61\x62\x6c\x65\x5f\x74\x61\x72\x67\x65\x74\0\x73\x74\x72\x6e\x63\x6d\x70\
\x5f\x62\x61\x64\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x74\x65\x72\x6d\x5f\
\x74\x61\x72\x67\x65\x74\0\x6e\x6f\x5f\x73\x74\x72\x5f\x74\x61\x72\x67\x65\x74\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x74\x70\x2f\x73\x79\
\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x5c\0\0\0\0\0\x03\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x6e\0\0\0\x11\0\x05\0\x04\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x7d\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x84\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\x12\0\x03\0\x88\0\0\0\0\0\0\
\0\x68\0\0\0\0\0\0\0\xab\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xbd\0\0\0\x12\0\x03\0\xf0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xd9\0\0\0\x11\0\x05\
\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe9\0\0\0\x12\0\x03\0\x48\x01\0\0\0\0\0\
\0\x58\0\0\0\0\0\0\0\x0a\x01\0\0\x11\0\x04\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\
\x5d\x10\x09\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\
\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\xb6\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\xb6\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x18\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\xb6\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\xb6\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x45\x45\x45\x45\x45\x45\x45\0\x31\x32\x33\x34\x35\x36\
\x37\x38\x08\0\0\0\x47\x50\x4c\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x30\0\0\
\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x60\0\0\0\
\0\0\0\0\x01\0\0\0\x08\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa0\0\0\0\0\
\0\0\0\x01\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xc8\0\0\0\0\0\
\0\0\x01\0\0\0\x08\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x08\x01\0\0\0\0\
\0\0\x01\0\0\0\x0c\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x48\x01\0\0\0\
\0\0\0\x01\0\0\0\x06\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x78\x01\0\0\
\0\0\0\0\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf4\x01\0\0\xf4\
\x01\0\0\xda\x02\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\
\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\
\0\x0c\x02\0\0\0\x14\0\0\0\x01\0\0\x0c\x02\0\0\0\x33\0\0\0\x01\0\0\x0c\x02\0\0\
\0\x4f\0\0\0\x01\0\0\x0c\x02\0\0\0\0\0\0\0\0\0\0\x0a\x09\0\0\0\x70\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0b\0\0\0\x08\0\
\0\0\x75\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x89\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\
\0\0\0\x90\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x98\0\0\0\0\0\0\x0e\x03\0\0\0\
\x01\0\0\0\xa3\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\xb1\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\xbe\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x09\0\0\0\x0b\0\0\0\x04\0\0\0\xd0\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x08\0\0\0\xd9\0\0\0\0\0\0\x0e\x14\0\0\0\
\x01\0\0\0\xdd\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\x9e\x02\0\0\x02\0\0\x0f\x10\
\0\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x08\0\0\0\x08\0\0\0\xa6\x02\0\0\
\x04\0\0\x0f\x18\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\
\0\x15\0\0\0\x08\0\0\0\x08\0\0\0\x16\0\0\0\x10\0\0\0\x08\0\0\0\xab\x02\0\0\x01\
\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\xb1\x02\0\0\x01\0\0\x0f\x04\0\0\
\0\x13\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x64\x6f\x5f\x73\
\x74\x72\x6e\x63\x6d\x70\0\x73\x74\x72\x6e\x63\x6d\x70\x5f\x62\x61\x64\x5f\x6e\
\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x5f\x73\x74\x72\x5f\x73\x69\x7a\x65\0\x73\x74\
\x72\x6e\x63\x6d\x70\x5f\x62\x61\x64\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\
\x74\x61\x72\x67\x65\x74\0\x73\x74\x72\x6e\x63\x6d\x70\x5f\x62\x61\x64\x5f\x6e\
\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x74\x65\x72\x6d\x5f\x74\x61\x72\x67\x65\x74\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x61\x72\x67\x65\x74\0\x63\x6d\x70\x5f\x72\x65\x74\0\x74\
\x61\x72\x67\x65\x74\x5f\x70\x69\x64\0\x6e\x6f\x5f\x73\x74\x72\x5f\x74\x61\x72\
\x67\x65\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6e\x6f\x5f\
\x63\x6f\x6e\x73\x74\x5f\x73\x74\x72\x5f\x73\x69\x7a\x65\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x73\x74\x72\0\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x74\x61\x72\
\x67\x65\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x74\x72\x6e\x63\x6d\x70\x5f\x74\x65\x73\
\x74\x2e\x63\0\x09\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\
\x20\x33\x32\x29\x20\x21\x3d\x20\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\x29\0\
\x09\x63\x6d\x70\x5f\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x74\x72\x6e\
\x63\x6d\x70\x28\x73\x74\x72\x2c\x20\x53\x54\x52\x4e\x43\x4d\x50\x5f\x53\x54\
\x52\x5f\x53\x5a\x2c\x20\x74\x61\x72\x67\x65\x74\x29\x3b\0\x7d\0\x09\x63\x6d\
\x70\x5f\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x74\x72\x6e\x63\x6d\x70\
\x28\x73\x74\x72\x2c\x20\x6e\x6f\x5f\x63\x6f\x6e\x73\x74\x5f\x73\x74\x72\x5f\
\x73\x69\x7a\x65\x2c\x20\x74\x61\x72\x67\x65\x74\x29\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x30\x3b\0\x09\x63\x6d\x70\x5f\x72\x65\x74\x20\x3d\x20\x62\x70\x66\
\x5f\x73\x74\x72\x6e\x63\x6d\x70\x28\x73\x74\x72\x2c\x20\x53\x54\x52\x4e\x43\
\x4d\x50\x5f\x53\x54\x52\x5f\x53\x5a\x2c\x20\x77\x72\x69\x74\x61\x62\x6c\x65\
\x5f\x74\x61\x72\x67\x65\x74\x29\x3b\0\x09\x63\x6d\x70\x5f\x72\x65\x74\x20\x3d\
\x20\x62\x70\x66\x5f\x73\x74\x72\x6e\x63\x6d\x70\x28\x73\x74\x72\x2c\x20\x53\
\x54\x52\x4e\x43\x4d\x50\x5f\x53\x54\x52\x5f\x53\x5a\x2c\x20\x6e\x6f\x5f\x73\
\x74\x72\x5f\x74\x61\x72\x67\x65\x74\x29\x3b\0\x2e\x72\x6f\x64\x61\x74\x61\0\
\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x3f\x74\
\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\
\0\0\x2c\0\0\0\x2c\0\0\0\x1c\x01\0\0\x48\x01\0\0\0\0\0\0\x08\0\0\0\xb9\x02\0\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\x88\0\0\0\x05\0\0\0\xf0\0\0\0\x06\0\0\0\x48\x01\0\
\0\x07\0\0\0\x10\0\0\0\xb9\x02\0\0\x11\0\0\0\0\0\0\0\xed\0\0\0\x73\x01\0\0\x07\
\x64\0\0\x08\0\0\0\xed\0\0\0\x73\x01\0\0\x2c\x64\0\0\x20\0\0\0\xed\0\0\0\x73\
\x01\0\0\x22\x64\0\0\x28\0\0\0\xed\0\0\0\x73\x01\0\0\x06\x64\0\0\x30\0\0\0\xed\
\0\0\0\xaa\x01\0\0\x0c\x70\0\0\x60\0\0\0\xed\0\0\0\xaa\x01\0\0\x0a\x70\0\0\x78\
\0\0\0\xed\0\0\0\xdf\x01\0\0\x01\x78\0\0\x88\0\0\0\xed\0\0\0\xe1\x01\0\0\x1d\
\x90\0\0\xa0\0\0\0\xed\0\0\0\xe1\x01\0\0\x0c\x90\0\0\xc8\0\0\0\xed\0\0\0\xe1\
\x01\0\0\x0a\x90\0\0\xe0\0\0\0\xed\0\0\0\x19\x02\0\0\x02\x94\0\0\xf0\0\0\0\xed\
\0\0\0\x24\x02\0\0\x0c\xb0\0\0\x20\x01\0\0\xed\0\0\0\x24\x02\0\0\x0a\xb0\0\0\
\x38\x01\0\0\xed\0\0\0\x19\x02\0\0\x02\xb4\0\0\x48\x01\0\0\xed\0\0\0\x62\x02\0\
\0\x0c\xd0\0\0\x78\x01\0\0\xed\0\0\0\x62\x02\0\0\x0a\xd0\0\0\x90\x01\0\0\xed\0\
\0\0\x19\x02\0\0\x02\xd4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x54\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xc8\x04\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x45\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\x04\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x01\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x04\0\0\0\0\0\0\xe0\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x46\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\xe6\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x01\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0a\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct strncmp_test *strncmp_test::open(const struct bpf_object_open_opts *opts) { return strncmp_test__open_opts(opts); }
struct strncmp_test *strncmp_test::open_and_load() { return strncmp_test__open_and_load(); }
int strncmp_test::load(struct strncmp_test *skel) { return strncmp_test__load(skel); }
int strncmp_test::attach(struct strncmp_test *skel) { return strncmp_test__attach(skel); }
void strncmp_test::detach(struct strncmp_test *skel) { strncmp_test__detach(skel); }
void strncmp_test::destroy(struct strncmp_test *skel) { strncmp_test__destroy(skel); }
const void *strncmp_test::elf_bytes(size_t *sz) { return strncmp_test__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
strncmp_test__assert(struct strncmp_test *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->target) == 8, "unexpected size of 'target'");
	_Static_assert(sizeof(s->rodata->no_str_target) == 8, "unexpected size of 'no_str_target'");
	_Static_assert(sizeof(s->bss->cmp_ret) == 4, "unexpected size of 'cmp_ret'");
	_Static_assert(sizeof(s->bss->target_pid) == 4, "unexpected size of 'target_pid'");
	_Static_assert(sizeof(s->bss->str) == 8, "unexpected size of 'str'");
	_Static_assert(sizeof(s->bss->writable_target) == 8, "unexpected size of 'writable_target'");
	_Static_assert(sizeof(s->data->no_const_str_size) == 4, "unexpected size of 'no_const_str_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STRNCMP_TEST_SKEL_H__ */
