/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_KFUNC_DYNPTR_PARAM_SKEL_H__
#define __TEST_KFUNC_DYNPTR_PARAM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_kfunc_dynptr_param {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf;
		struct bpf_map *array_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *not_valid_dynptr;
		struct bpf_program *not_ptr_to_stack;
		struct bpf_program *dynptr_data_null;
	} progs;
	struct {
		struct bpf_link *not_valid_dynptr;
		struct bpf_link *not_ptr_to_stack;
		struct bpf_link *dynptr_data_null;
	} links;
	struct test_kfunc_dynptr_param__bss {
		int err;
		int pid;
	} *bss;

#ifdef __cplusplus
	static inline struct test_kfunc_dynptr_param *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_kfunc_dynptr_param *open_and_load();
	static inline int load(struct test_kfunc_dynptr_param *skel);
	static inline int attach(struct test_kfunc_dynptr_param *skel);
	static inline void detach(struct test_kfunc_dynptr_param *skel);
	static inline void destroy(struct test_kfunc_dynptr_param *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_kfunc_dynptr_param__destroy(struct test_kfunc_dynptr_param *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_kfunc_dynptr_param__create_skeleton(struct test_kfunc_dynptr_param *obj);

static inline struct test_kfunc_dynptr_param *
test_kfunc_dynptr_param__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_kfunc_dynptr_param *obj;
	int err;

	obj = (struct test_kfunc_dynptr_param *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_kfunc_dynptr_param__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_kfunc_dynptr_param__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_kfunc_dynptr_param *
test_kfunc_dynptr_param__open(void)
{
	return test_kfunc_dynptr_param__open_opts(NULL);
}

static inline int
test_kfunc_dynptr_param__load(struct test_kfunc_dynptr_param *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_kfunc_dynptr_param *
test_kfunc_dynptr_param__open_and_load(void)
{
	struct test_kfunc_dynptr_param *obj;
	int err;

	obj = test_kfunc_dynptr_param__open();
	if (!obj)
		return NULL;
	err = test_kfunc_dynptr_param__load(obj);
	if (err) {
		test_kfunc_dynptr_param__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_kfunc_dynptr_param__attach(struct test_kfunc_dynptr_param *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_kfunc_dynptr_param__detach(struct test_kfunc_dynptr_param *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_kfunc_dynptr_param__elf_bytes(size_t *sz);

static inline int
test_kfunc_dynptr_param__create_skeleton(struct test_kfunc_dynptr_param *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_kfunc_dynptr_param";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "ringbuf";
	s->maps[0].map = &obj->maps.ringbuf;

	s->maps[1].name = "array_map";
	s->maps[1].map = &obj->maps.array_map;

	s->maps[2].name = "test_kfu.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "not_valid_dynptr";
	s->progs[0].prog = &obj->progs.not_valid_dynptr;
	s->progs[0].link = &obj->links.not_valid_dynptr;

	s->progs[1].name = "not_ptr_to_stack";
	s->progs[1].prog = &obj->progs.not_ptr_to_stack;
	s->progs[1].link = &obj->links.not_ptr_to_stack;

	s->progs[2].name = "dynptr_data_null";
	s->progs[2].prog = &obj->progs.dynptr_data_null;
	s->progs[2].link = &obj->links.dynptr_data_null;

	s->data = test_kfunc_dynptr_param__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_kfunc_dynptr_param__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x6c\
\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x74\x65\x73\
\x74\x5f\x6b\x66\x75\x6e\x63\x5f\x64\x79\x6e\x70\x74\x72\x5f\x70\x61\x72\x61\
\x6d\x2e\x63\0\x4c\x42\x42\x32\x5f\x35\0\x6e\x6f\x74\x5f\x76\x61\x6c\x69\x64\
\x5f\x64\x79\x6e\x70\x74\x72\0\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\
\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\0\x6e\x6f\x74\x5f\x70\
\x74\x72\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\0\x64\x79\x6e\x70\x74\x72\x5f\x64\
\x61\x74\x61\x5f\x6e\x75\x6c\x6c\0\x70\x69\x64\0\x61\x72\x72\x61\x79\x5f\x6d\
\x61\x70\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\
\x5f\x6b\x65\x79\0\x65\x72\x72\0\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x69\x6e\x67\x62\x75\x66\0\x2e\x72\x65\
\x6c\x3f\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\
\x73\x2f\x62\x70\x66\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x04\0\x10\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\x6b\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x12\0\x03\0\
\x30\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x97\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x20\
\x01\0\0\0\0\0\0\xa8\0\0\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xac\
\0\0\0\x11\0\x06\0\x10\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb6\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xd0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\0\0\0\x11\0\x05\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe5\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xbf\x12\0\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xb7\x01\
\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\0\x62\x0a\xec\xff\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x10\x1b\0\
\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xec\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x15\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\
\x04\0\0\xf0\xff\xff\xff\xbf\x01\0\0\0\0\0\0\xb4\x02\0\0\x04\0\0\0\xb7\x03\0\0\
\xff\xff\xff\xff\x85\0\0\0\xc5\0\0\0\x56\0\x0e\0\xea\xff\xff\xff\xb7\x01\0\0\0\
\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x0b\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf0\xff\xff\xff\xbf\x12\0\0\0\0\0\0\xbf\x03\0\0\0\0\0\0\xbf\x06\0\0\0\
\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\
\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa8\0\0\0\0\0\0\0\
\x0a\0\0\0\x0b\0\0\0\xe0\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe8\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x08\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xf0\x03\0\0\xf0\x03\0\0\x7a\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\0\0\0\0\x02\
\0\0\x04\x10\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\
\x2a\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\
\0\x32\0\0\0\0\0\0\x08\x0f\0\0\0\x38\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x0b\0\0\0\x40\0\
\0\0\x45\0\0\0\x0d\0\0\0\x80\0\0\0\x49\0\0\0\x0d\0\0\0\xc0\0\0\0\x4f\0\0\0\0\0\
\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x59\0\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6c\0\0\0\x12\0\0\0\x70\0\0\0\
\x01\0\0\x0c\x14\0\0\0\x81\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x9d\0\0\0\
\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x19\
\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\xdb\0\0\
\0\x01\0\0\x04\x10\0\0\0\xe6\0\0\0\x1c\0\0\0\0\0\0\0\xef\0\0\0\0\0\0\x08\x13\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\
\x1e\0\0\0\xf5\0\0\0\x02\0\0\x04\x10\0\0\0\x45\0\0\0\x1f\0\0\0\0\0\0\0\xfd\0\0\
\0\x20\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\x05\x01\0\0\0\0\0\x08\x21\0\
\0\0\x0a\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x10\x01\0\0\x02\0\0\x0c\x18\0\
\0\0\x2b\x01\0\0\x01\0\0\x0c\x14\0\0\0\x81\0\0\0\0\0\0\x11\x23\0\0\0\xff\xff\
\xff\xff\x3c\x01\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x82\x01\0\0\x01\0\0\
\x0c\x14\0\0\0\0\0\0\0\x01\0\0\x0d\x1d\0\0\0\0\0\0\0\x1b\0\0\0\x93\x01\0\0\x02\
\0\0\x0c\x27\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x1d\0\0\0\xa9\x01\0\0\
\x02\0\0\x0c\x29\0\0\0\xb5\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x2b\0\0\0\x04\0\0\0\x04\0\0\0\xba\x01\0\0\0\0\0\x0e\x2c\0\0\0\
\x01\0\0\0\xc3\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xc7\x01\0\0\0\0\0\x0e\x02\
\0\0\0\x01\0\0\0\x45\0\0\0\0\0\0\x07\0\0\0\0\x4b\x05\0\0\x01\0\0\x0f\x04\0\0\0\
\x2d\0\0\0\0\0\0\0\x04\0\0\0\x53\x05\0\0\x02\0\0\x0f\x30\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\x11\0\0\0\x10\0\0\0\x20\0\0\0\x59\x05\0\0\x02\0\0\x0f\x08\0\0\0\
\x2e\0\0\0\0\0\0\0\x04\0\0\0\x2f\0\0\0\x04\0\0\0\x04\0\0\0\x5e\x05\0\0\x03\0\0\
\x0f\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\0\0\
\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x72\x69\x6e\x67\x62\x75\x66\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x6e\x6f\x74\x5f\x76\x61\x6c\
\x69\x64\x5f\x64\x79\x6e\x70\x74\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x63\x61\x6e\x6e\x6f\x74\x20\x70\x61\x73\x73\x20\x69\x6e\x20\x64\
\x79\x6e\x70\x74\x72\x20\x61\x74\x20\x61\x6e\x20\x6f\x66\x66\x73\x65\x74\x3d\
\x2d\x38\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x6b\x65\x79\0\x68\x61\x73\x5f\
\x72\x65\x66\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\x76\x65\
\x72\x69\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\
\x65\0\x6e\x6f\x74\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x61\x72\x67\x23\x30\x20\x65\x78\x70\x65\x63\x74\x65\x64\x20\
\x70\x6f\x69\x6e\x74\x65\x72\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x6f\x72\
\x20\x64\x79\x6e\x70\x74\x72\x5f\x70\x74\x72\0\x64\x79\x6e\x70\x74\x72\x5f\x64\
\x61\x74\x61\x5f\x6e\x75\x6c\x6c\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x73\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\
\x75\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\x72\x72\0\
\x70\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6b\x66\x75\x6e\x63\x5f\
\x64\x79\x6e\x70\x74\x72\x5f\x70\x61\x72\x61\x6d\x2e\x63\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x6f\x74\x5f\x76\x61\x6c\x69\x64\x5f\x64\
\x79\x6e\x70\x74\x72\x2c\x20\x69\x6e\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\
\x6f\x6e\x20\x62\x70\x66\x5f\x61\x74\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\
\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\x28\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x29\x26\x76\
\x61\x6c\x2c\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x76\x65\x72\x69\
\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\x28\
\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\
\x2a\x29\x76\x61\x6c\x2c\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x6e\x6f\x74\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\x2c\x20\x69\
\x6e\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\x6f\x6e\x20\x62\x70\x66\x5f\x61\
\x74\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x09\x69\x6e\x74\x20\x72\x65\x74\x2c\
\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\
\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x76\
\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\
\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x75\x65\
\x29\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\
\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\x28\x76\x61\x6c\x75\x65\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x2a\x76\x61\x6c\x75\x65\x29\x2c\x20\x28\x28\x5f\x5f\x75\x36\
\x34\x29\x7e\x30\x55\x4c\x4c\x29\x2c\x20\x26\x70\x74\x72\x29\x3b\0\x09\x69\x66\
\x20\x28\x72\x65\x74\x20\x21\x3d\x20\x2d\x45\x49\x4e\x56\x41\x4c\x29\0\x09\x74\
\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x20\x3d\x20\x62\x70\
\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\
\x28\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\
\x65\x79\x72\x69\x6e\x67\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x76\
\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\
\x72\x65\x28\x26\x70\x74\x72\x2c\x20\x26\x70\x74\x72\x2c\x20\x74\x72\x75\x73\
\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x29\x3b\0\x09\x62\x70\x66\x5f\x6b\
\x65\x79\x5f\x70\x75\x74\x28\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\
\x69\x6e\x67\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\
\x79\x6e\x70\x74\x72\x5f\x64\x61\x74\x61\x5f\x6e\x75\x6c\x6c\x2c\x20\x69\x6e\
\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\x6f\x6e\x20\x62\x70\x66\x5f\x61\x74\
\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x6c\x73\x6d\x2e\
\x73\x2f\x62\x70\x66\0\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x54\x01\0\0\x80\x01\0\0\0\0\0\
\0\x08\0\0\0\x65\x05\0\0\x02\0\0\0\0\0\0\0\x15\0\0\0\x30\0\0\0\x23\0\0\0\x70\
\x05\0\0\x01\0\0\0\0\0\0\0\x26\0\0\0\x10\0\0\0\x65\x05\0\0\x05\0\0\0\0\0\0\0\
\xcb\x01\0\0\x5c\x02\0\0\0\x9c\0\0\x08\0\0\0\xcb\x01\0\0\xad\x02\0\0\x09\xac\0\
\0\x28\0\0\0\xcb\x01\0\0\x5c\x02\0\0\x05\x9c\0\0\x30\0\0\0\xcb\x01\0\0\xeb\x02\
\0\0\x09\xd4\0\0\x50\0\0\0\xcb\x01\0\0\x28\x03\0\0\x05\xc4\0\0\x70\x05\0\0\x0f\
\0\0\0\0\0\0\0\xcb\x01\0\0\x79\x03\0\0\x0b\xfc\0\0\x08\0\0\0\xcb\x01\0\0\x8d\
\x03\0\0\x06\x04\x01\0\x10\0\0\0\xcb\x01\0\0\x8d\x03\0\0\x2a\x04\x01\0\x28\0\0\
\0\xcb\x01\0\0\x8d\x03\0\0\x21\x04\x01\0\x30\0\0\0\xcb\x01\0\0\x8d\x03\0\0\x06\
\x04\x01\0\x40\0\0\0\xcb\x01\0\0\xbb\x03\0\0\x0a\x10\x01\0\x60\0\0\0\xcb\x01\0\
\0\xec\x03\0\0\x06\x14\x01\0\x70\0\0\0\xcb\x01\0\0\xf9\x03\0\0\x08\x24\x01\0\
\x98\0\0\0\xcb\x01\0\0\x42\x04\0\0\x06\x28\x01\0\xa0\0\0\0\xcb\x01\0\0\x57\x04\
\0\0\x14\x34\x01\0\xb0\0\0\0\xcb\x01\0\0\x84\x04\0\0\x06\x38\x01\0\xc0\0\0\0\
\xcb\x01\0\0\x9b\x04\0\0\x08\x44\x01\0\xe8\0\0\0\xcb\x01\0\0\x9b\x04\0\0\x06\
\x44\x01\0\0\x01\0\0\xcb\x01\0\0\xdb\x04\0\0\x02\x4c\x01\0\x10\x01\0\0\xcb\x01\
\0\0\xfa\x04\0\0\x05\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x34\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x04\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x04\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfc\0\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0a\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x05\0\0\0\0\0\0\x82\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x90\x0e\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_kfunc_dynptr_param *test_kfunc_dynptr_param::open(const struct bpf_object_open_opts *opts) { return test_kfunc_dynptr_param__open_opts(opts); }
struct test_kfunc_dynptr_param *test_kfunc_dynptr_param::open_and_load() { return test_kfunc_dynptr_param__open_and_load(); }
int test_kfunc_dynptr_param::load(struct test_kfunc_dynptr_param *skel) { return test_kfunc_dynptr_param__load(skel); }
int test_kfunc_dynptr_param::attach(struct test_kfunc_dynptr_param *skel) { return test_kfunc_dynptr_param__attach(skel); }
void test_kfunc_dynptr_param::detach(struct test_kfunc_dynptr_param *skel) { test_kfunc_dynptr_param__detach(skel); }
void test_kfunc_dynptr_param::destroy(struct test_kfunc_dynptr_param *skel) { test_kfunc_dynptr_param__destroy(skel); }
const void *test_kfunc_dynptr_param::elf_bytes(size_t *sz) { return test_kfunc_dynptr_param__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_kfunc_dynptr_param__assert(struct test_kfunc_dynptr_param *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->err) == 4, "unexpected size of 'err'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_KFUNC_DYNPTR_PARAM_SKEL_H__ */
