/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_VERIFY_PKCS7_SIG_SKEL_H__
#define __TEST_VERIFY_PKCS7_SIG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_verify_pkcs7_sig {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data_input;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bpf;
	} progs;
	struct {
		struct bpf_link *bpf;
	} links;
	struct test_verify_pkcs7_sig__bss {
		__u32 monitored_pid;
		__u32 user_keyring_serial;
		__u64 system_keyring_id;
	} *bss;

#ifdef __cplusplus
	static inline struct test_verify_pkcs7_sig *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_verify_pkcs7_sig *open_and_load();
	static inline int load(struct test_verify_pkcs7_sig *skel);
	static inline int attach(struct test_verify_pkcs7_sig *skel);
	static inline void detach(struct test_verify_pkcs7_sig *skel);
	static inline void destroy(struct test_verify_pkcs7_sig *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_verify_pkcs7_sig__destroy(struct test_verify_pkcs7_sig *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_verify_pkcs7_sig__create_skeleton(struct test_verify_pkcs7_sig *obj);

static inline struct test_verify_pkcs7_sig *
test_verify_pkcs7_sig__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_verify_pkcs7_sig *obj;
	int err;

	obj = (struct test_verify_pkcs7_sig *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_verify_pkcs7_sig__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_verify_pkcs7_sig__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_verify_pkcs7_sig *
test_verify_pkcs7_sig__open(void)
{
	return test_verify_pkcs7_sig__open_opts(NULL);
}

static inline int
test_verify_pkcs7_sig__load(struct test_verify_pkcs7_sig *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_verify_pkcs7_sig *
test_verify_pkcs7_sig__open_and_load(void)
{
	struct test_verify_pkcs7_sig *obj;
	int err;

	obj = test_verify_pkcs7_sig__open();
	if (!obj)
		return NULL;
	err = test_verify_pkcs7_sig__load(obj);
	if (err) {
		test_verify_pkcs7_sig__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_verify_pkcs7_sig__attach(struct test_verify_pkcs7_sig *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_verify_pkcs7_sig__detach(struct test_verify_pkcs7_sig *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_verify_pkcs7_sig__elf_bytes(size_t *sz);

static inline int
test_verify_pkcs7_sig__create_skeleton(struct test_verify_pkcs7_sig *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_verify_pkcs7_sig";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "data_input";
	s->maps[0].map = &obj->maps.data_input;

	s->maps[1].name = "test_ver.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf";
	s->progs[0].prog = &obj->progs.bpf;
	s->progs[0].link = &obj->links.bpf;

	s->data = test_verify_pkcs7_sig__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_verify_pkcs7_sig__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\x6d\
\x2e\x73\x2f\x62\x70\x66\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x74\x65\x73\x74\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\
\x73\x37\x5f\x73\x69\x67\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x31\0\x4c\x42\x42\
\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x39\0\x62\x70\x66\0\x6d\x6f\x6e\x69\x74\x6f\
\x72\x65\x64\x5f\x70\x69\x64\0\x64\x61\x74\x61\x5f\x69\x6e\x70\x75\x74\0\x75\
\x73\x65\x72\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x73\x65\x72\x69\x61\x6c\0\x62\
\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x75\x73\x65\x72\x5f\x6b\x65\x79\0\x73\
\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x69\x64\0\x62\x70\x66\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\0\x62\
\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\
\x6e\x61\x74\x75\x72\x65\0\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\x73\x2f\x62\x70\
\x66\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\0\0\
\x03\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\0\0\x03\0\xd0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\0\0\x03\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x60\0\0\0\x11\0\x05\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x6e\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8d\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x11\0\x05\0\x08\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\xb3\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc9\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xb4\x06\0\0\0\0\0\0\x79\x18\x08\0\0\0\0\0\x62\x0a\xd4\xff\0\0\0\0\x85\0\0\
\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\
\x20\0\0\0\x5e\x01\x41\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd4\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\
\0\x15\x07\x3a\0\0\0\0\0\xb7\x01\0\0\x10\0\0\0\x0f\x18\0\0\0\0\0\0\xbf\xa1\0\0\
\0\0\0\0\x07\x01\0\0\xd8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\xbf\x83\0\0\0\0\0\0\
\x85\0\0\0\x71\0\0\0\xbf\x06\0\0\0\0\0\0\x56\x06\x31\0\0\0\0\0\x79\xa3\xd8\xff\
\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\x08\x04\x10\0\x85\0\0\0\x94\0\0\0\xbf\
\x06\0\0\0\0\0\0\x56\x06\x2b\0\0\0\0\0\xb4\x06\0\0\xea\xff\xff\xff\xbf\x71\0\0\
\0\0\0\0\x07\x01\0\0\0\0\x10\0\x61\x12\0\0\0\0\0\0\x26\x02\x26\0\0\0\x10\0\xbf\
\xa4\0\0\0\0\0\0\x07\x04\0\0\xf0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x03\0\0\0\
\0\0\0\x85\0\0\0\xc5\0\0\0\xbf\x71\0\0\0\0\0\0\x07\x01\0\0\x04\x04\x10\0\x61\
\x12\0\0\0\0\0\0\x26\x02\x1d\0\0\x04\0\0\x07\x07\0\0\x04\0\x10\0\xbf\xa4\0\0\0\
\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\
\0\0\0\xc5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\
\x01\x03\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x05\0\x04\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb4\x06\0\0\xfe\xff\xff\xff\x15\0\x0a\0\0\0\0\0\xbf\xa1\0\0\0\
\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\
\xff\xbf\x03\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\
\x06\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x60\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x58\0\0\
\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xc0\x01\
\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xe8\
\x01\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x30\x02\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\
\x48\x02\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x28\
\x0f\0\0\x28\x0f\0\0\x99\x0b\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\
\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\x04\0\0\x04\x08\x04\x10\0\x2c\0\0\0\x0e\0\0\0\0\
\0\0\0\x31\0\0\0\x08\0\0\0\0\0\x80\0\x3a\0\0\0\x0f\0\0\0\x20\0\x80\0\x3e\0\0\0\
\x08\0\0\0\x20\x20\x80\0\x46\0\0\0\0\0\0\x08\x0d\0\0\0\x4b\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x04\0\0\0\0\x04\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x59\0\0\0\x01\0\0\0\0\0\0\0\x5e\0\0\0\x05\0\0\0\x40\0\0\0\x6a\0\0\0\x07\0\0\
\0\x80\0\0\0\x6e\0\0\0\x0a\0\0\0\xc0\0\0\0\x74\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x7f\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\
\0\x01\0\0\x0d\x02\0\0\0\x92\0\0\0\x12\0\0\0\x96\0\0\0\x01\0\0\x0c\x14\0\0\0\
\x9a\0\0\0\x13\0\0\x05\x90\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\
\0\0\0\xa3\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\xa9\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\
\0\0\0\0\0\xae\0\0\0\x28\0\0\0\0\0\0\0\xb3\0\0\0\x29\0\0\0\0\0\0\0\xb9\0\0\0\
\x2b\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\xc8\0\0\0\x2d\0\0\0\0\0\0\0\xd6\0\
\0\0\x2e\0\0\0\0\0\0\0\xe2\0\0\0\x38\0\0\0\0\0\0\0\xee\0\0\0\x3b\0\0\0\0\0\0\0\
\xfa\0\0\0\x3c\0\0\0\0\0\0\0\x07\x01\0\0\x3d\0\0\0\0\0\0\0\x13\x01\0\0\x3e\0\0\
\0\0\0\0\0\0\0\0\0\x0e\0\0\x04\x48\0\0\0\x21\x01\0\0\x08\0\0\0\0\0\0\0\x2a\x01\
\0\0\x08\0\0\0\x20\0\0\0\x33\x01\0\0\x08\0\0\0\x40\0\0\0\x5e\0\0\0\x08\0\0\0\
\x60\0\0\0\x3e\x01\0\0\x08\0\0\0\x80\0\0\0\x48\x01\0\0\x08\0\0\0\xa0\0\0\0\x55\
\x01\0\0\x08\0\0\0\xc0\0\0\0\x5f\x01\0\0\x19\0\0\0\xe0\0\0\0\x68\x01\0\0\x08\0\
\0\0\x60\x01\0\0\x74\x01\0\0\x08\0\0\0\x80\x01\0\0\x7b\x01\0\0\x08\0\0\0\xa0\
\x01\0\0\x8b\x01\0\0\x08\0\0\0\xc0\x01\0\0\x9d\x01\0\0\x08\0\0\0\xe0\x01\0\0\
\xb7\x01\0\0\x1a\0\0\0\0\x02\0\0\xc1\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x10\0\0\0\xc6\x01\0\0\0\0\0\x08\
\x13\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\xcc\x01\0\0\x08\0\0\0\0\0\0\0\x6a\0\0\
\0\x1a\0\0\0\x40\0\0\0\0\0\0\0\x1c\0\0\0\x80\0\0\0\xd3\x01\0\0\x1a\0\0\0\xc0\0\
\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x6e\0\0\0\x1a\0\0\0\0\0\0\0\xd9\x01\0\0\x1a\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x04\x38\0\0\0\xe2\x01\0\0\x1a\0\0\0\0\0\0\0\xeb\
\x01\0\0\x1a\0\0\0\x40\0\0\0\xf5\x01\0\0\x1a\0\0\0\x80\0\0\0\xfa\x01\0\0\x1a\0\
\0\0\xc0\0\0\0\x01\x02\0\0\x08\0\0\0\0\x01\0\0\xcc\x01\0\0\x08\0\0\0\x20\x01\0\
\0\x07\x02\0\0\x1a\0\0\0\x40\x01\0\0\xd3\x01\0\0\x1a\0\0\0\x80\x01\0\0\0\0\0\0\
\x1a\0\0\x04\x90\0\0\0\x12\x02\0\0\x08\0\0\0\0\0\0\0\x1c\x02\0\0\x08\0\0\0\x20\
\0\0\0\x25\x02\0\0\x1a\0\0\0\x40\0\0\0\x2b\x02\0\0\x1a\0\0\0\x80\0\0\0\x33\x02\
\0\0\x08\0\0\0\xc0\0\0\0\x3d\x02\0\0\x08\0\0\0\xe0\0\0\0\x46\x02\0\0\x1a\0\0\0\
\0\x01\0\0\x4e\x02\0\0\x08\0\0\0\x40\x01\0\0\x5b\x02\0\0\x08\0\0\0\x60\x01\0\0\
\x66\x02\0\0\x19\0\0\0\x80\x01\0\0\x70\x02\0\0\x08\0\0\0\0\x02\0\0\x7d\x02\0\0\
\x08\0\0\0\x20\x02\0\0\x92\x02\0\0\x08\0\0\0\x40\x02\0\0\x9e\x02\0\0\x08\0\0\0\
\x60\x02\0\0\xb1\x02\0\0\x1a\0\0\0\x80\x02\0\0\xbb\x02\0\0\x08\0\0\0\xc0\x02\0\
\0\xc9\x02\0\0\x08\0\0\0\xe0\x02\0\0\xdc\x02\0\0\x1a\0\0\0\0\x03\0\0\xe6\x02\0\
\0\x08\0\0\0\x40\x03\0\0\xf4\x02\0\0\x08\0\0\0\x60\x03\0\0\0\0\0\0\x1f\0\0\0\
\x80\x03\0\0\x02\x03\0\0\x08\0\0\0\xa0\x03\0\0\x10\x03\0\0\x1a\0\0\0\xc0\x03\0\
\0\x19\x03\0\0\x1a\0\0\0\0\x04\0\0\x24\x03\0\0\x08\0\0\0\x40\x04\0\0\x37\x03\0\
\0\x08\0\0\0\x60\x04\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x45\x03\0\0\x08\0\0\0\0\
\0\0\0\x54\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x66\x03\0\0\
\x1a\0\0\0\0\0\0\0\x6f\x03\0\0\x08\0\0\0\x40\0\0\0\x76\x03\0\0\x08\0\0\0\x60\0\
\0\0\x81\x03\0\0\x21\0\0\0\x80\0\0\0\x89\x03\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\
\x07\0\0\x04\x20\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\x8f\x03\0\0\x08\0\0\0\x20\0\0\
\0\x9d\x03\0\0\x08\0\0\0\x40\0\0\0\xa9\x03\0\0\x08\0\0\0\x60\0\0\0\xb6\x03\0\0\
\x08\0\0\0\x80\0\0\0\0\0\0\0\x24\0\0\0\xa0\0\0\0\xc5\x03\0\0\x1a\0\0\0\xc0\0\0\
\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xd7\x03\0\0\x08\0\0\0\0\0\0\0\xe1\x03\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xf0\x03\0\0\x08\0\0\0\0\0\0\0\xfc\
\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\x04\x50\0\0\0\x08\x04\0\0\x08\0\0\0\
\0\0\0\0\x10\x04\0\0\x08\0\0\0\x20\0\0\0\x17\x04\0\0\x08\0\0\0\x40\0\0\0\x24\
\x04\0\0\x08\0\0\0\x60\0\0\0\x32\x04\0\0\x1a\0\0\0\x80\0\0\0\x3a\x04\0\0\x1a\0\
\0\0\xc0\0\0\0\x43\x04\0\0\x08\0\0\0\0\x01\0\0\x4a\x04\0\0\x08\0\0\0\x20\x01\0\
\0\x53\x04\0\0\x08\0\0\0\x40\x01\0\0\x5f\x04\0\0\x08\0\0\0\x60\x01\0\0\x6c\x04\
\0\0\x1a\0\0\0\x80\x01\0\0\x73\x04\0\0\x1a\0\0\0\xc0\x01\0\0\xd3\x01\0\0\x08\0\
\0\0\0\x02\0\0\x7b\x04\0\0\x08\0\0\0\x20\x02\0\0\x7f\x04\0\0\x08\0\0\0\x40\x02\
\0\0\0\0\0\0\x03\0\0\x04\x0c\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\x8a\x04\0\0\x08\0\
\0\0\x20\0\0\0\x92\x04\0\0\x08\0\0\0\x40\0\0\0\0\0\0\0\x05\0\0\x05\x04\0\0\0\
\x9d\x04\0\0\x08\0\0\0\0\0\0\0\xa6\x04\0\0\x08\0\0\0\0\0\0\0\xae\x04\0\0\x08\0\
\0\0\0\0\0\0\xb5\x04\0\0\x08\0\0\0\0\0\0\0\xbc\x04\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x04\x10\0\0\0\x6f\x03\0\0\x08\0\0\0\0\0\0\0\xc4\x04\0\0\x08\0\0\0\
\x20\0\0\0\xae\0\0\0\x1a\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\x04\x40\0\0\0\0\0\0\0\
\x23\0\0\0\0\0\0\0\x9d\x03\0\0\x08\0\0\0\x20\0\0\0\xcd\x04\0\0\x08\0\0\0\x40\0\
\0\0\xa9\x03\0\0\x08\0\0\0\x60\0\0\0\xd9\x04\0\0\x1a\0\0\0\x80\0\0\0\0\0\0\0\
\x2a\0\0\0\xc0\0\0\0\xe2\x04\0\0\x1a\0\0\0\0\x01\0\0\xf4\x04\0\0\x1a\0\0\0\x40\
\x01\0\0\xfd\x04\0\0\x1a\0\0\0\x80\x01\0\0\x0f\x05\0\0\x1a\0\0\0\xc0\x01\0\0\0\
\0\0\0\x02\0\0\x05\x04\0\0\0\x18\x05\0\0\x08\0\0\0\0\0\0\0\x01\x02\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x21\x05\0\0\x1a\0\0\0\0\0\0\0\x08\x04\
\0\0\x08\0\0\0\x40\0\0\0\0\0\0\0\x06\0\0\x04\x20\0\0\0\x26\x05\0\0\x1a\0\0\0\0\
\0\0\0\x2a\x05\0\0\x1a\0\0\0\x40\0\0\0\x36\x05\0\0\x08\0\0\0\x80\0\0\0\x3f\x05\
\0\0\x08\0\0\0\xa0\0\0\0\x4c\x05\0\0\x08\0\0\0\xc0\0\0\0\x5a\x05\0\0\x08\0\0\0\
\xe0\0\0\0\0\0\0\0\x09\0\0\x04\x30\0\0\0\x6c\x05\0\0\x08\0\0\0\0\0\0\0\x70\x05\
\0\0\x08\0\0\0\x20\0\0\0\xd3\x01\0\0\x08\0\0\0\x40\0\0\0\x73\x05\0\0\x08\0\0\0\
\x60\0\0\0\x7b\x05\0\0\x1a\0\0\0\x80\0\0\0\xa6\x04\0\0\x08\0\0\0\xc0\0\0\0\x7f\
\x05\0\0\x08\0\0\0\xe0\0\0\0\x87\x05\0\0\x1a\0\0\0\0\x01\0\0\x94\x05\0\0\x1a\0\
\0\0\x40\x01\0\0\0\0\0\0\x05\0\0\x04\x40\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\0\0\0\
\0\x23\0\0\0\x20\0\0\0\x9d\x03\0\0\x08\0\0\0\x40\0\0\0\xd3\x01\0\0\x08\0\0\0\
\x60\0\0\0\0\0\0\0\x30\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x08\x04\0\
\0\x08\0\0\0\0\0\0\0\xcc\x01\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\x05\x30\0\0\
\0\x9f\x05\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\0\0\0\0\xad\x05\0\0\x32\0\0\
\0\0\0\0\0\xb8\x05\0\0\x33\0\0\0\0\0\0\0\xc5\x05\0\0\x34\0\0\0\0\0\0\0\xcd\x05\
\0\0\x35\0\0\0\0\0\0\0\xd7\x05\0\0\x36\0\0\0\0\0\0\0\xdb\x05\0\0\x37\0\0\0\0\0\
\0\0\xe8\x05\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\xef\x05\0\0\
\x1a\0\0\0\0\0\0\0\xf9\x05\0\0\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\
\0\x07\x06\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\xd3\x01\0\0\x08\
\0\0\0\0\0\0\0\x12\x06\0\0\x08\0\0\0\x20\0\0\0\x16\x06\0\0\x1a\0\0\0\x40\0\0\0\
\x1b\x06\0\0\x1a\0\0\0\x80\0\0\0\x21\x06\0\0\x1a\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\
\0\x04\x10\0\0\0\x9f\x05\0\0\x08\0\0\0\0\0\0\0\x29\x06\0\0\x1a\0\0\0\x40\0\0\0\
\0\0\0\0\x04\0\0\x04\x10\0\0\0\x30\x06\0\0\x08\0\0\0\0\0\0\0\x33\x06\0\0\x08\0\
\0\0\x20\0\0\0\x3b\x06\0\0\x21\0\0\0\x40\0\0\0\xd3\x01\0\0\x08\0\0\0\x60\0\0\0\
\0\0\0\0\x02\0\0\x04\x10\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\xc5\x03\0\0\x1a\0\0\0\
\x40\0\0\0\0\0\0\0\x07\0\0\x04\x30\0\0\0\x44\x06\0\0\x1a\0\0\0\0\0\0\0\x49\x06\
\0\0\x1a\0\0\0\x40\0\0\0\x51\x06\0\0\x1a\0\0\0\x80\0\0\0\x21\x06\0\0\x1a\0\0\0\
\xc0\0\0\0\x12\x06\0\0\x08\0\0\0\0\x01\0\0\xd3\x01\0\0\x08\0\0\0\x20\x01\0\0\
\x6c\x05\0\0\x08\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\x04\x10\0\0\0\x61\x06\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x20\0\0\0\xd3\x01\0\0\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x3a\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x69\x06\0\0\x08\0\0\
\0\0\0\0\0\x75\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x80\x06\
\0\0\x08\0\0\0\0\0\0\0\x8c\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\
\0\0\x61\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x59\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x08\0\0\0\x61\x06\0\0\x08\0\0\0\0\0\0\0\xd3\
\x01\0\0\x08\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x0c\0\0\0\x08\x04\0\0\x08\0\0\
\0\0\0\0\0\xcc\x01\0\0\x08\0\0\0\x20\0\0\0\xd3\x01\0\0\x08\0\0\0\x40\0\0\0\0\0\
\0\0\x02\0\0\x0d\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\
\x02\x41\0\0\0\x97\x06\0\0\x02\0\0\x04\x10\0\0\0\x6a\0\0\0\x42\0\0\0\0\0\0\0\
\x9f\x06\0\0\x43\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x54\0\0\0\xa7\x06\0\0\0\0\0\
\x08\x44\0\0\0\xac\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xb2\x06\0\0\x02\0\0\
\x0c\x3f\0\0\0\0\0\0\0\x01\0\0\x0d\x40\0\0\0\0\0\0\0\x1a\0\0\0\xc6\x06\0\0\x02\
\0\0\x0c\x46\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x49\0\0\0\0\0\0\0\x49\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x4a\0\0\0\xdc\x06\0\0\x01\0\0\x04\
\x10\0\0\0\xe7\x06\0\0\x4b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\
\x04\0\0\0\x02\0\0\0\xf0\x06\0\0\x02\0\0\x0c\x48\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\
\0\0\0\0\0\0\x40\0\0\0\x0b\x07\0\0\x02\0\0\x0c\x4d\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x18\0\0\0\x04\0\0\0\x04\0\0\0\x17\x07\0\0\0\0\0\x0e\x4f\0\0\0\x01\0\0\0\
\x20\x07\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x2e\x07\0\0\0\0\0\x0e\x08\0\0\0\x01\
\0\0\0\x42\x07\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x6a\0\0\0\0\0\0\x07\0\0\0\0\
\x2b\x02\0\0\x01\0\0\x0f\x04\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x7d\x0b\0\0\x03\
\0\0\x0f\x10\0\0\0\x51\0\0\0\0\0\0\0\x04\0\0\0\x52\0\0\0\x04\0\0\0\x04\0\0\0\
\x53\0\0\0\x08\0\0\0\x08\0\0\0\x82\x0b\0\0\x01\0\0\x0f\x20\0\0\0\x11\0\0\0\0\0\
\0\0\x20\0\0\0\x88\x0b\0\0\x04\0\0\x0f\0\0\0\0\x45\0\0\0\0\0\0\0\0\0\0\0\x47\0\
\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\0\0\0\0\0\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x6c\x65\x6e\0\x73\x69\x67\0\x73\
\x69\x67\x5f\x6c\x65\x6e\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x63\x68\x61\x72\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x64\x61\x74\x61\x5f\x69\x6e\x70\
\x75\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x62\x70\x66\0\x62\x70\x66\x5f\x61\x74\x74\x72\0\x62\x61\
\x74\x63\x68\0\x74\x65\x73\x74\0\x69\x6e\x66\x6f\0\x71\x75\x65\x72\x79\0\x72\
\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x74\x61\x73\x6b\x5f\x66\
\x64\x5f\x71\x75\x65\x72\x79\0\x6c\x69\x6e\x6b\x5f\x63\x72\x65\x61\x74\x65\0\
\x6c\x69\x6e\x6b\x5f\x75\x70\x64\x61\x74\x65\0\x6c\x69\x6e\x6b\x5f\x64\x65\x74\
\x61\x63\x68\0\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\x73\0\x69\x74\x65\
\x72\x5f\x63\x72\x65\x61\x74\x65\0\x70\x72\x6f\x67\x5f\x62\x69\x6e\x64\x5f\x6d\
\x61\x70\0\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\
\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\
\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x66\x64\0\x6e\x75\x6d\x61\x5f\x6e\
\x6f\x64\x65\0\x6d\x61\x70\x5f\x6e\x61\x6d\x65\0\x6d\x61\x70\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x62\x74\x66\x5f\x66\x64\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\
\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\
\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\
\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x6d\x61\x70\x5f\x65\x78\x74\x72\
\x61\0\x63\x68\x61\x72\0\x5f\x5f\x75\x36\x34\0\x6d\x61\x70\x5f\x66\x64\0\x66\
\x6c\x61\x67\x73\0\x6e\x65\x78\x74\x5f\x6b\x65\x79\0\x69\x6e\x5f\x62\x61\x74\
\x63\x68\0\x6f\x75\x74\x5f\x62\x61\x74\x63\x68\0\x6b\x65\x79\x73\0\x76\x61\x6c\
\x75\x65\x73\0\x63\x6f\x75\x6e\x74\0\x65\x6c\x65\x6d\x5f\x66\x6c\x61\x67\x73\0\
\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x69\x6e\x73\x6e\x5f\x63\x6e\x74\0\x69\
\x6e\x73\x6e\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x6f\x67\x5f\x6c\x65\x76\
\x65\x6c\0\x6c\x6f\x67\x5f\x73\x69\x7a\x65\0\x6c\x6f\x67\x5f\x62\x75\x66\0\x6b\
\x65\x72\x6e\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x70\x72\x6f\x67\x5f\x66\x6c\x61\
\x67\x73\0\x70\x72\x6f\x67\x5f\x6e\x61\x6d\x65\0\x70\x72\x6f\x67\x5f\x69\x66\
\x69\x6e\x64\x65\x78\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x61\x74\x74\x61\x63\
\x68\x5f\x74\x79\x70\x65\0\x70\x72\x6f\x67\x5f\x62\x74\x66\x5f\x66\x64\0\x66\
\x75\x6e\x63\x5f\x69\x6e\x66\x6f\x5f\x72\x65\x63\x5f\x73\x69\x7a\x65\0\x66\x75\
\x6e\x63\x5f\x69\x6e\x66\x6f\0\x66\x75\x6e\x63\x5f\x69\x6e\x66\x6f\x5f\x63\x6e\
\x74\0\x6c\x69\x6e\x65\x5f\x69\x6e\x66\x6f\x5f\x72\x65\x63\x5f\x73\x69\x7a\x65\
\0\x6c\x69\x6e\x65\x5f\x69\x6e\x66\x6f\0\x6c\x69\x6e\x65\x5f\x69\x6e\x66\x6f\
\x5f\x63\x6e\x74\0\x61\x74\x74\x61\x63\x68\x5f\x62\x74\x66\x5f\x69\x64\0\x63\
\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x5f\x63\x6e\x74\0\x66\x64\x5f\x61\x72\x72\x61\
\x79\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x73\0\x63\x6f\x72\x65\x5f\x72\x65\
\x6c\x6f\x5f\x72\x65\x63\x5f\x73\x69\x7a\x65\0\x6c\x6f\x67\x5f\x74\x72\x75\x65\
\x5f\x73\x69\x7a\x65\0\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x67\x5f\x66\x64\
\0\x61\x74\x74\x61\x63\x68\x5f\x62\x74\x66\x5f\x6f\x62\x6a\x5f\x66\x64\0\x70\
\x61\x74\x68\x6e\x61\x6d\x65\0\x62\x70\x66\x5f\x66\x64\0\x66\x69\x6c\x65\x5f\
\x66\x6c\x61\x67\x73\0\x70\x61\x74\x68\x5f\x66\x64\0\x5f\x5f\x73\x33\x32\0\x61\
\x74\x74\x61\x63\x68\x5f\x62\x70\x66\x5f\x66\x64\0\x61\x74\x74\x61\x63\x68\x5f\
\x74\x79\x70\x65\0\x61\x74\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\x72\x65\
\x70\x6c\x61\x63\x65\x5f\x62\x70\x66\x5f\x66\x64\0\x65\x78\x70\x65\x63\x74\x65\
\x64\x5f\x72\x65\x76\x69\x73\x69\x6f\x6e\0\x74\x61\x72\x67\x65\x74\x5f\x66\x64\
\0\x74\x61\x72\x67\x65\x74\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x65\x6c\x61\
\x74\x69\x76\x65\x5f\x66\x64\0\x72\x65\x6c\x61\x74\x69\x76\x65\x5f\x69\x64\0\
\x70\x72\x6f\x67\x5f\x66\x64\0\x72\x65\x74\x76\x61\x6c\0\x64\x61\x74\x61\x5f\
\x73\x69\x7a\x65\x5f\x69\x6e\0\x64\x61\x74\x61\x5f\x73\x69\x7a\x65\x5f\x6f\x75\
\x74\0\x64\x61\x74\x61\x5f\x69\x6e\0\x64\x61\x74\x61\x5f\x6f\x75\x74\0\x72\x65\
\x70\x65\x61\x74\0\x64\x75\x72\x61\x74\x69\x6f\x6e\0\x63\x74\x78\x5f\x73\x69\
\x7a\x65\x5f\x69\x6e\0\x63\x74\x78\x5f\x73\x69\x7a\x65\x5f\x6f\x75\x74\0\x63\
\x74\x78\x5f\x69\x6e\0\x63\x74\x78\x5f\x6f\x75\x74\0\x63\x70\x75\0\x62\x61\x74\
\x63\x68\x5f\x73\x69\x7a\x65\0\x6e\x65\x78\x74\x5f\x69\x64\0\x6f\x70\x65\x6e\
\x5f\x66\x6c\x61\x67\x73\0\x73\x74\x61\x72\x74\x5f\x69\x64\0\x70\x72\x6f\x67\
\x5f\x69\x64\0\x6d\x61\x70\x5f\x69\x64\0\x62\x74\x66\x5f\x69\x64\0\x6c\x69\x6e\
\x6b\x5f\x69\x64\0\x69\x6e\x66\x6f\x5f\x6c\x65\x6e\0\x71\x75\x65\x72\x79\x5f\
\x66\x6c\x61\x67\x73\0\x70\x72\x6f\x67\x5f\x69\x64\x73\0\x70\x72\x6f\x67\x5f\
\x61\x74\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\x6c\x69\x6e\x6b\x5f\x69\x64\
\x73\0\x6c\x69\x6e\x6b\x5f\x61\x74\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\
\x72\x65\x76\x69\x73\x69\x6f\x6e\0\x70\x72\x6f\x67\x5f\x63\x6e\x74\0\x6e\x61\
\x6d\x65\0\x62\x74\x66\0\x62\x74\x66\x5f\x6c\x6f\x67\x5f\x62\x75\x66\0\x62\x74\
\x66\x5f\x73\x69\x7a\x65\0\x62\x74\x66\x5f\x6c\x6f\x67\x5f\x73\x69\x7a\x65\0\
\x62\x74\x66\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\0\x62\x74\x66\x5f\x6c\x6f\
\x67\x5f\x74\x72\x75\x65\x5f\x73\x69\x7a\x65\0\x70\x69\x64\0\x66\x64\0\x62\x75\
\x66\x5f\x6c\x65\x6e\0\x62\x75\x66\0\x66\x64\x5f\x74\x79\x70\x65\0\x70\x72\x6f\
\x62\x65\x5f\x6f\x66\x66\x73\x65\x74\0\x70\x72\x6f\x62\x65\x5f\x61\x64\x64\x72\
\0\x74\x61\x72\x67\x65\x74\x5f\x62\x74\x66\x5f\x69\x64\0\x70\x65\x72\x66\x5f\
\x65\x76\x65\x6e\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x74\
\x72\x61\x63\x69\x6e\x67\0\x6e\x65\x74\x66\x69\x6c\x74\x65\x72\0\x74\x63\x78\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x6e\x65\x74\x6b\x69\x74\0\
\x69\x74\x65\x72\x5f\x69\x6e\x66\x6f\0\x69\x74\x65\x72\x5f\x69\x6e\x66\x6f\x5f\
\x6c\x65\x6e\0\x62\x70\x66\x5f\x63\x6f\x6f\x6b\x69\x65\0\x63\x6e\x74\0\x73\x79\
\x6d\x73\0\x61\x64\x64\x72\x73\0\x63\x6f\x6f\x6b\x69\x65\x73\0\x63\x6f\x6f\x6b\
\x69\x65\0\x70\x66\0\x68\x6f\x6f\x6b\x6e\x75\x6d\0\x70\x72\x69\x6f\x72\x69\x74\
\x79\0\x70\x61\x74\x68\0\x6f\x66\x66\x73\x65\x74\x73\0\x72\x65\x66\x5f\x63\x74\
\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x6c\x69\x6e\x6b\x5f\x66\x64\0\x6e\x65\
\x77\x5f\x70\x72\x6f\x67\x5f\x66\x64\0\x6e\x65\x77\x5f\x6d\x61\x70\x5f\x66\x64\
\0\x6f\x6c\x64\x5f\x70\x72\x6f\x67\x5f\x66\x64\0\x6f\x6c\x64\x5f\x6d\x61\x70\
\x5f\x66\x64\0\x62\x70\x66\x5f\x6b\x65\x79\0\x68\x61\x73\x5f\x72\x65\x66\0\x62\
\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x75\x73\x65\x72\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x64\x79\x6e\x70\
\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x62\x70\x66\x5f\x76\x65\x72\x69\
\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\0\x62\
\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x75\x73\x65\x72\x5f\x6b\
\x65\x79\x72\x69\x6e\x67\x5f\x73\x65\x72\x69\x61\x6c\0\x73\x79\x73\x74\x65\x6d\
\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x2e\
\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x62\x70\x66\x2c\x20\
\x69\x6e\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\x6f\x6e\x20\x62\x70\x66\x5f\
\x61\x74\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x09\x69\x6e\x74\x20\x72\x65\x74\
\x2c\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x70\x69\x64\x20\x3d\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\
\x69\x64\x20\x21\x3d\x20\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\
\x29\0\x09\x64\x61\x74\x61\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\
\x5f\x69\x6e\x70\x75\x74\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x64\x61\x74\x61\x5f\x76\x61\x6c\x29\0\x09\x72\x65\x74\x20\x3d\x20\x62\
\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\
\x6c\x28\x26\x76\x61\x6c\x75\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\
\x6c\x75\x65\x29\x2c\x20\x26\x61\x74\x74\x72\x2d\x3e\x76\x61\x6c\x75\x65\x29\
\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x29\0\x09\x09\x09\x09\x20\x28\x76\x6f\
\x69\x64\x20\x2a\x29\x28\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x29\x76\x61\x6c\x75\x65\x29\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\
\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x64\x61\x74\x61\
\x5f\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\
\x20\x64\x61\x74\x61\x29\x2c\0\x09\x69\x66\x20\x28\x64\x61\x74\x61\x5f\x76\x61\
\x6c\x2d\x3e\x64\x61\x74\x61\x5f\x6c\x65\x6e\x20\x3e\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x64\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x64\x61\x74\x61\x29\x29\0\x09\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\
\x28\x64\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x64\x61\x74\x61\x2c\x20\x64\x61\
\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x64\x61\x74\x61\x5f\x6c\x65\x6e\x2c\x20\x30\
\x2c\x20\x26\x64\x61\x74\x61\x5f\x70\x74\x72\x29\x3b\0\x09\x69\x66\x20\x28\x64\
\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x73\x69\x67\x5f\x6c\x65\x6e\x20\x3e\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x73\x69\
\x67\x29\x29\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\
\x5f\x6d\x65\x6d\x28\x64\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x73\x69\x67\x2c\
\x20\x64\x61\x74\x61\x5f\x76\x61\x6c\x2d\x3e\x73\x69\x67\x5f\x6c\x65\x6e\x2c\
\x20\x30\x2c\x20\x26\x73\x69\x67\x5f\x70\x74\x72\x29\x3b\0\x09\x69\x66\x20\x28\
\x75\x73\x65\x72\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x73\x65\x72\x69\x61\x6c\
\x29\0\x09\x09\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x20\
\x3d\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x75\x73\x65\x72\x5f\x6b\
\x65\x79\x28\x75\x73\x65\x72\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x73\x65\x72\
\x69\x61\x6c\x2c\x20\x30\x29\x3b\0\x09\x09\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\
\x65\x79\x72\x69\x6e\x67\x20\x3d\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\x65\x79\x28\x73\x79\x73\x74\x65\x6d\x5f\
\x6b\x65\x79\x72\x69\x6e\x67\x5f\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\
\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x29\0\x09\x72\x65\x74\
\x20\x3d\x20\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\x73\x37\
\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\x28\x26\x64\x61\x74\x61\x5f\x70\x74\
\x72\x2c\x20\x26\x73\x69\x67\x5f\x70\x74\x72\x2c\x20\x74\x72\x75\x73\x74\x65\
\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x29\x3b\0\x09\x62\x70\x66\x5f\x6b\x65\x79\
\x5f\x70\x75\x74\x28\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\
\x67\x29\x3b\0\x30\x3a\x31\x3a\x32\x3a\x30\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\0\0\0\0\
\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\x01\0\0\0\x02\0\
\0\x1c\0\0\0\x08\0\0\0\x8f\x0b\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\x8f\
\x0b\0\0\x1e\0\0\0\0\0\0\0\x54\x07\0\0\xe3\x07\0\0\0\xb4\0\0\x08\0\0\0\x54\x07\
\0\0\xe3\x07\0\0\x05\xb4\0\0\x10\0\0\0\x54\x07\0\0\x27\x08\0\0\x0b\xd0\0\0\x18\
\0\0\0\x54\x07\0\0\x3b\x08\0\0\x08\xd8\0\0\x20\0\0\0\x54\x07\0\0\x64\x08\0\0\
\x0d\xdc\0\0\x38\0\0\0\x54\x07\0\0\x3b\x08\0\0\x23\xd8\0\0\x40\0\0\0\x54\x07\0\
\0\x64\x08\0\0\x06\xdc\0\0\x50\0\0\0\x54\x07\0\0\x7f\x08\0\0\x0d\xe8\0\0\x78\0\
\0\0\x54\x07\0\0\xb4\x08\0\0\x06\xec\0\0\x98\0\0\0\x54\x07\0\0\xc4\x08\0\0\x08\
\xf8\0\0\xc0\0\0\0\x54\x07\0\0\x07\x09\0\0\x06\xfc\0\0\xc8\0\0\0\x54\x07\0\0\
\x11\x09\0\0\x1d\x0c\x01\0\xd0\0\0\0\x54\x07\0\0\x35\x09\0\0\x08\x08\x01\0\xf0\
\0\0\0\x54\x07\0\0\x07\x09\0\0\x06\x10\x01\0\0\x01\0\0\x54\x07\0\0\x6e\x09\0\0\
\x10\x1c\x01\0\x18\x01\0\0\x54\x07\0\0\x6e\x09\0\0\x06\x1c\x01\0\x28\x01\0\0\
\x54\x07\0\0\xa0\x09\0\0\x02\x28\x01\0\x48\x01\0\0\x54\x07\0\0\xe8\x09\0\0\x10\
\x30\x01\0\x60\x01\0\0\x54\x07\0\0\xe8\x09\0\0\x06\x30\x01\0\x68\x01\0\0\x54\
\x07\0\0\x18\x0a\0\0\x20\x3c\x01\0\x80\x01\0\0\x54\x07\0\0\x18\x0a\0\0\x02\x3c\
\x01\0\x98\x01\0\0\x54\x07\0\0\x5d\x0a\0\0\x06\x44\x01\0\xb0\x01\0\0\x54\x07\0\
\0\x5d\x0a\0\0\x06\x44\x01\0\xb8\x01\0\0\x54\x07\0\0\x77\x0a\0\0\x15\x48\x01\0\
\xd0\x01\0\0\x54\x07\0\0\xb8\x0a\0\0\x2b\x50\x01\0\xe8\x01\0\0\x54\x07\0\0\xb8\
\x0a\0\0\x15\x50\x01\0\xf8\x01\0\0\x54\x07\0\0\xf6\x0a\0\0\x06\x58\x01\0\x08\
\x02\0\0\x54\x07\0\0\x0d\x0b\0\0\x08\x64\x01\0\x40\x02\0\0\x54\x07\0\0\x56\x0b\
\0\0\x02\x6c\x01\0\x50\x02\0\0\x54\x07\0\0\xe3\x07\0\0\x05\xb4\0\0\x10\0\0\0\
\x8f\x0b\0\0\x01\0\0\0\x80\0\0\0\x16\0\0\0\x75\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x58\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x02\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x05\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\
\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\xd9\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x20\0\0\0\0\0\0\x3c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_verify_pkcs7_sig *test_verify_pkcs7_sig::open(const struct bpf_object_open_opts *opts) { return test_verify_pkcs7_sig__open_opts(opts); }
struct test_verify_pkcs7_sig *test_verify_pkcs7_sig::open_and_load() { return test_verify_pkcs7_sig__open_and_load(); }
int test_verify_pkcs7_sig::load(struct test_verify_pkcs7_sig *skel) { return test_verify_pkcs7_sig__load(skel); }
int test_verify_pkcs7_sig::attach(struct test_verify_pkcs7_sig *skel) { return test_verify_pkcs7_sig__attach(skel); }
void test_verify_pkcs7_sig::detach(struct test_verify_pkcs7_sig *skel) { test_verify_pkcs7_sig__detach(skel); }
void test_verify_pkcs7_sig::destroy(struct test_verify_pkcs7_sig *skel) { test_verify_pkcs7_sig__destroy(skel); }
const void *test_verify_pkcs7_sig::elf_bytes(size_t *sz) { return test_verify_pkcs7_sig__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_verify_pkcs7_sig__assert(struct test_verify_pkcs7_sig *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->monitored_pid) == 4, "unexpected size of 'monitored_pid'");
	_Static_assert(sizeof(s->bss->user_keyring_serial) == 4, "unexpected size of 'user_keyring_serial'");
	_Static_assert(sizeof(s->bss->system_keyring_id) == 8, "unexpected size of 'system_keyring_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_VERIFY_PKCS7_SIG_SKEL_H__ */
