/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FIB_LOOKUP_SKEL_H__
#define __FIB_LOOKUP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct fib_lookup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fib_lookup;
	} progs;
	struct {
		struct bpf_link *fib_lookup;
	} links;
	struct fib_lookup__bss {
		struct bpf_fib_lookup fib_params;
		int fib_lookup_ret;
		int lookup_flags;
	} *bss;

#ifdef __cplusplus
	static inline struct fib_lookup *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct fib_lookup *open_and_load();
	static inline int load(struct fib_lookup *skel);
	static inline int attach(struct fib_lookup *skel);
	static inline void detach(struct fib_lookup *skel);
	static inline void destroy(struct fib_lookup *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
fib_lookup__destroy(struct fib_lookup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fib_lookup__create_skeleton(struct fib_lookup *obj);

static inline struct fib_lookup *
fib_lookup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fib_lookup *obj;
	int err;

	obj = (struct fib_lookup *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = fib_lookup__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	fib_lookup__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct fib_lookup *
fib_lookup__open(void)
{
	return fib_lookup__open_opts(NULL);
}

static inline int
fib_lookup__load(struct fib_lookup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fib_lookup *
fib_lookup__open_and_load(void)
{
	struct fib_lookup *obj;
	int err;

	obj = fib_lookup__open();
	if (!obj)
		return NULL;
	err = fib_lookup__load(obj);
	if (err) {
		fib_lookup__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
fib_lookup__attach(struct fib_lookup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fib_lookup__detach(struct fib_lookup *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *fib_lookup__elf_bytes(size_t *sz);

static inline int
fib_lookup__create_skeleton(struct fib_lookup *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "fib_lookup";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "fib_look.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fib_lookup";
	s->progs[0].prog = &obj->progs.fib_lookup;
	s->progs[0].link = &obj->links.fib_lookup;

	s->data = fib_lookup__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *fib_lookup__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x69\x62\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x2e\x63\0\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x66\x6c\x61\x67\x73\0\x66\x69\x62\x5f\x70\x61\x72\x61\x6d\x73\
\0\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x72\x65\x74\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x39\0\0\0\x11\0\x04\0\x44\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x46\0\0\0\x11\0\x04\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x51\0\0\0\x11\0\x04\0\x40\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x60\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x24\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb4\x03\0\0\x40\0\0\0\x85\0\0\0\x45\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x50\x05\0\0\x50\x05\0\0\xb3\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\
\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\
\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\
\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\
\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\
\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\
\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\
\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\
\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\
\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\
\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\
\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\
\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\
\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\
\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\
\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x25\0\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x26\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\
\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\
\xa4\x01\0\0\x0c\0\0\x04\x40\0\0\0\xa8\0\0\0\x0e\0\0\0\0\0\0\0\xb3\x01\0\0\x0e\
\0\0\0\x08\0\0\0\xbf\x01\0\0\x14\0\0\0\x10\0\0\0\xc5\x01\0\0\x14\0\0\0\x20\0\0\
\0\0\0\0\0\x17\0\0\0\x30\0\0\0\x6e\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\0\
\x60\0\0\0\0\0\0\0\x1a\0\0\0\x80\0\0\0\0\0\0\0\x1b\0\0\0\0\x01\0\0\0\0\0\0\x1c\
\0\0\0\x80\x01\0\0\xcb\x01\0\0\x1e\0\0\0\xa0\x01\0\0\xd0\x01\0\0\x1e\0\0\0\xd0\
\x01\0\0\xd5\x01\0\0\0\0\0\x08\x15\0\0\0\xdc\x01\0\0\0\0\0\x08\x16\0\0\0\xe2\
\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\x05\x02\0\0\0\xf1\x01\0\
\0\x15\0\0\0\0\0\0\0\xf9\x01\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\
\0\x04\x02\0\0\x0e\0\0\0\0\0\0\0\x08\x02\0\0\x19\0\0\0\0\0\0\0\x11\x02\0\0\x03\
\0\0\0\0\0\0\0\x1b\x02\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\x02\0\0\x05\x10\0\0\0\
\x22\x02\0\0\x19\0\0\0\0\0\0\0\x2b\x02\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\x05\x10\0\0\0\x34\x02\0\0\x19\0\0\0\0\0\0\0\x3d\x02\0\0\x07\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\x05\x04\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\x46\x02\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x4b\x02\0\0\x14\0\0\0\0\0\0\0\x58\x02\0\0\
\x14\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x06\0\0\0\x06\0\0\0\
\x63\x02\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\x6e\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\
\0\0\0\x7d\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x8a\x02\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x22\0\0\0\x06\0\0\0\x04\0\0\0\x8f\x02\
\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\x98\x02\0\0\0\0\0\x07\0\0\0\0\xa6\x02\0\0\0\
\0\0\x07\0\0\0\0\xa3\x03\0\0\x03\0\0\x0f\x48\0\0\0\x1f\0\0\0\0\0\0\0\x40\0\0\0\
\x20\0\0\0\x40\0\0\0\x04\0\0\0\x21\0\0\0\x44\0\0\0\x04\0\0\0\xa8\x03\0\0\x01\0\
\0\x0f\x04\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\
\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\
\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\
\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\
\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\
\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\
\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\
\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\
\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\
\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\
\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x66\x69\x62\x5f\x6c\x6f\
\x6f\x6b\x75\x70\0\x62\x70\x66\x5f\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\0\
\x6c\x34\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x73\x70\x6f\x72\x74\0\x64\x70\
\x6f\x72\x74\0\x73\x6d\x61\x63\0\x64\x6d\x61\x63\0\x5f\x5f\x62\x65\x31\x36\0\
\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\
\0\x74\x6f\x74\x5f\x6c\x65\x6e\0\x6d\x74\x75\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x6f\x73\0\x66\x6c\x6f\x77\x69\x6e\x66\x6f\0\x72\x74\x5f\x6d\x65\x74\x72\x69\
\x63\0\x5f\x5f\x62\x65\x33\x32\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\x69\x70\x76\
\x36\x5f\x73\x72\x63\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\x5f\
\x64\x73\x74\0\x74\x62\x69\x64\0\x68\x5f\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\
\x6f\0\x68\x5f\x76\x6c\x61\x6e\x5f\x54\x43\x49\0\x66\x69\x62\x5f\x70\x61\x72\
\x61\x6d\x73\0\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x72\x65\x74\0\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x66\x6c\x61\x67\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\
\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x69\x62\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x2e\x63\0\x09\x09\x09\x09\x09\x6c\x6f\x6f\x6b\x75\x70\x5f\x66\
\x6c\x61\x67\x73\x29\x3b\0\x09\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x72\
\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x66\x69\x62\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x28\x73\x6b\x62\x2c\x20\x26\x66\x69\x62\x5f\x70\x61\x72\x61\x6d\x73\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x66\x69\x62\x5f\x70\x61\x72\x61\x6d\x73\x29\x2c\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x54\x43\x5f\x41\x43\x54\x5f\x53\x48\x4f\x54\
\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x4c\0\0\0\x60\0\0\0\0\0\0\0\
\x08\0\0\0\xb0\x03\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\xb0\x03\0\0\x04\0\
\0\0\0\0\0\0\xaf\x02\0\0\x33\x03\0\0\x06\x44\0\0\x18\0\0\0\xaf\x02\0\0\x47\x03\
\0\0\x13\x40\0\0\x38\0\0\0\xaf\x02\0\0\x47\x03\0\0\x11\x40\0\0\x50\0\0\0\xaf\
\x02\0\0\x8e\x03\0\0\x02\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x7e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x69\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x70\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\x1b\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0b\0\0\0\0\0\0\x80\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct fib_lookup *fib_lookup::open(const struct bpf_object_open_opts *opts) { return fib_lookup__open_opts(opts); }
struct fib_lookup *fib_lookup::open_and_load() { return fib_lookup__open_and_load(); }
int fib_lookup::load(struct fib_lookup *skel) { return fib_lookup__load(skel); }
int fib_lookup::attach(struct fib_lookup *skel) { return fib_lookup__attach(skel); }
void fib_lookup::detach(struct fib_lookup *skel) { fib_lookup__detach(skel); }
void fib_lookup::destroy(struct fib_lookup *skel) { fib_lookup__destroy(skel); }
const void *fib_lookup::elf_bytes(size_t *sz) { return fib_lookup__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
fib_lookup__assert(struct fib_lookup *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->fib_params) == 64, "unexpected size of 'fib_params'");
	_Static_assert(sizeof(s->bss->fib_lookup_ret) == 4, "unexpected size of 'fib_lookup_ret'");
	_Static_assert(sizeof(s->bss->lookup_flags) == 4, "unexpected size of 'lookup_flags'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FIB_LOOKUP_SKEL_H__ */
