/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_KPTR_STASH_SKEL_H__
#define __LOCAL_KPTR_STASH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct local_kptr_stash {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *some_nodes;
		struct bpf_map *refcounted_node_stash;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *stash_rb_nodes;
		struct bpf_program *stash_plain;
		struct bpf_program *stash_local_with_root;
		struct bpf_program *unstash_rb_node;
		struct bpf_program *stash_test_ref_kfunc;
		struct bpf_program *refcount_acquire_without_unstash;
		struct bpf_program *stash_refcounted_node;
	} progs;
	struct {
		struct bpf_link *stash_rb_nodes;
		struct bpf_link *stash_plain;
		struct bpf_link *stash_local_with_root;
		struct bpf_link *unstash_rb_node;
		struct bpf_link *stash_test_ref_kfunc;
		struct bpf_link *refcount_acquire_without_unstash;
		struct bpf_link *stash_refcounted_node;
	} links;
	struct local_kptr_stash__bss {
		struct node_data *just_here_because_btf_bug;
		struct refcounted_node *just_here_because_btf_bug2;
	} *bss;

#ifdef __cplusplus
	static inline struct local_kptr_stash *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_kptr_stash *open_and_load();
	static inline int load(struct local_kptr_stash *skel);
	static inline int attach(struct local_kptr_stash *skel);
	static inline void detach(struct local_kptr_stash *skel);
	static inline void destroy(struct local_kptr_stash *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_kptr_stash__destroy(struct local_kptr_stash *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_kptr_stash__create_skeleton(struct local_kptr_stash *obj);

static inline struct local_kptr_stash *
local_kptr_stash__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_kptr_stash *obj;
	int err;

	obj = (struct local_kptr_stash *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_kptr_stash__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_kptr_stash__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_kptr_stash *
local_kptr_stash__open(void)
{
	return local_kptr_stash__open_opts(NULL);
}

static inline int
local_kptr_stash__load(struct local_kptr_stash *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_kptr_stash *
local_kptr_stash__open_and_load(void)
{
	struct local_kptr_stash *obj;
	int err;

	obj = local_kptr_stash__open();
	if (!obj)
		return NULL;
	err = local_kptr_stash__load(obj);
	if (err) {
		local_kptr_stash__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_kptr_stash__attach(struct local_kptr_stash *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_kptr_stash__detach(struct local_kptr_stash *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_kptr_stash__elf_bytes(size_t *sz);

static inline int
local_kptr_stash__create_skeleton(struct local_kptr_stash *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_kptr_stash";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "some_nodes";
	s->maps[0].map = &obj->maps.some_nodes;

	s->maps[1].name = "refcounted_node_stash";
	s->maps[1].map = &obj->maps.refcounted_node_stash;

	s->maps[2].name = "local_kp.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stash_rb_nodes";
	s->progs[0].prog = &obj->progs.stash_rb_nodes;
	s->progs[0].link = &obj->links.stash_rb_nodes;

	s->progs[1].name = "stash_plain";
	s->progs[1].prog = &obj->progs.stash_plain;
	s->progs[1].link = &obj->links.stash_plain;

	s->progs[2].name = "stash_local_with_root";
	s->progs[2].prog = &obj->progs.stash_local_with_root;
	s->progs[2].link = &obj->links.stash_local_with_root;

	s->progs[3].name = "unstash_rb_node";
	s->progs[3].prog = &obj->progs.unstash_rb_node;
	s->progs[3].link = &obj->links.unstash_rb_node;

	s->progs[4].name = "stash_test_ref_kfunc";
	s->progs[4].prog = &obj->progs.stash_test_ref_kfunc;
	s->progs[4].link = &obj->links.stash_test_ref_kfunc;

	s->progs[5].name = "refcount_acquire_without_unstash";
	s->progs[5].prog = &obj->progs.refcount_acquire_without_unstash;
	s->progs[5].link = &obj->links.refcount_acquire_without_unstash;

	s->progs[6].name = "stash_refcounted_node";
	s->progs[6].prog = &obj->progs.stash_refcounted_node;
	s->progs[6].link = &obj->links.stash_refcounted_node;

	s->data = local_kptr_stash__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_kptr_stash__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x27\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x6c\x6f\x63\x61\x6c\x5f\x6b\x70\x74\x72\x5f\x73\x74\x61\x73\
\x68\x2e\x63\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\
\x30\x5f\x38\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\x35\0\x4c\x42\x42\
\x32\x5f\x34\0\x6c\x65\x73\x73\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x34\x5f\
\x33\0\x4c\x42\x42\x35\x5f\x33\0\x4c\x42\x42\x36\x5f\x36\0\x4c\x42\x42\x36\x5f\
\x35\0\x4c\x42\x42\x37\x5f\x34\0\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\
\x64\x65\x73\0\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x62\x70\x66\x5f\x6f\
\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\
\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x70\x6c\x61\x69\
\x6e\0\x73\x74\x61\x73\x68\x5f\x6c\x6f\x63\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\
\x6f\x6f\x74\0\x62\x70\x66\x5f\x72\x62\x74\x72\x65\x65\x5f\x61\x64\x64\x5f\x69\
\x6d\x70\x6c\0\x75\x6e\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\
\x73\x74\x61\x73\x68\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\
\x63\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\
\x63\x71\x75\x69\x72\x65\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x73\x74\
\x61\x73\x68\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x5f\
\x73\x74\x61\x73\x68\0\x62\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\
\x63\x71\x75\x69\x72\x65\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x72\x65\
\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\x65\x63\x61\x75\x73\x65\
\x5f\x62\x74\x66\x5f\x62\x75\x67\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\
\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\x32\0\x2e\x72\x65\x6c\
\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x04\0\xa8\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x04\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\
\0\0\0\x04\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\0\0\x04\0\x88\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\0\0\x04\0\x40\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x63\0\0\0\0\0\x04\0\x20\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x02\0\
\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x03\0\x28\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x76\0\0\0\0\0\x04\0\xe0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\
\0\0\0\0\x04\0\x78\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\0\0\x04\0\x68\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\0\0\x04\0\x38\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x92\0\0\0\0\0\x04\0\x50\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\0\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\xa8\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\xb3\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x12\0\x04\0\xb8\x01\0\
\0\0\0\0\0\xe0\0\0\0\0\0\0\0\xe2\0\0\0\x12\0\x04\0\x98\x02\0\0\0\0\0\0\xb8\x01\
\0\0\0\0\0\0\xf8\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\
\x12\0\x04\0\x50\x04\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x1c\x01\0\0\x12\0\x04\0\xf0\
\x04\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x31\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4d\x01\0\0\x12\0\x04\0\x88\x05\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x6e\
\x01\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x84\x01\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\x01\0\0\x12\0\x04\0\x70\x06\0\0\0\0\0\0\
\xe8\0\0\0\0\0\0\0\xb4\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xbd\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd7\x01\0\0\x11\0\
\x07\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x79\x22\xf0\xff\0\0\0\0\x79\x11\xf0\
\xff\0\0\0\0\xb4\0\0\0\x01\0\0\0\xcd\x21\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x2c\0\0\0\0\0\x18\x01\0\0\x1d\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x27\0\0\0\0\0\
\xb7\x01\0\0\x29\0\0\0\x7b\x10\0\0\0\0\0\0\x07\x06\0\0\x10\0\0\0\xbf\x61\0\0\0\
\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\
\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x01\0\0\x01\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\
\0\0\x01\0\0\0\x15\x06\x14\0\0\0\0\0\x18\x01\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x02\0\0\0\0\0\0\xb7\0\0\0\x01\
\0\0\0\x15\x02\x0d\0\0\0\0\0\xb7\x01\0\0\x2a\0\0\0\x7b\x12\0\0\0\0\0\0\x07\x06\
\0\0\x10\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xb7\0\0\0\0\0\0\0\x05\0\x01\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\
\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\xbf\x07\0\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\x15\x07\x10\0\0\0\0\0\x18\x01\0\0\
\x28\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\
\0\x0b\0\0\0\0\0\xb7\x01\0\0\x29\0\0\0\x7b\x10\0\0\0\0\0\0\x07\x07\0\0\x18\0\0\
\0\xbf\x71\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\xb7\x06\0\0\0\0\
\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\
\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\xb7\x08\0\0\
\x01\0\0\0\x15\x07\x2b\0\0\0\0\0\x18\x01\0\0\x2b\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\
\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\xb7\x08\0\0\x02\0\
\0\0\x15\x06\x24\0\0\0\0\0\xb7\x01\0\0\x29\0\0\0\x7b\x16\0\0\0\0\0\0\xb7\x08\0\
\0\0\0\0\0\x18\x01\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\
\0\xff\xff\xff\xff\xbf\x09\0\0\0\0\0\0\xb7\x01\0\0\x03\0\0\0\x15\x09\x16\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x07\x01\0\0\x08\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x85\0\0\
\0\x5d\0\0\0\x07\x09\0\0\x10\0\0\0\xbf\x61\0\0\0\0\0\0\x07\x01\0\0\x10\0\0\0\
\xbf\x92\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\
\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x79\xa1\xf0\xff\0\0\0\0\x85\0\
\0\0\x5e\0\0\0\x07\x07\0\0\x20\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\
\x85\0\0\0\xc2\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\x01\0\0\x04\0\0\0\x15\x06\x04\0\0\
\0\0\0\xbf\x18\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xbf\x80\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\x06\0\0\x01\0\0\0\x15\
\0\x09\0\0\0\0\0\x07\0\0\0\x10\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\0\0\0\xc2\0\0\0\x15\0\x04\0\0\0\0\0\x79\x06\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\
\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xb7\x06\0\0\x01\0\0\0\x15\0\x08\0\0\0\0\0\x07\0\0\0\x08\0\0\0\xb7\x06\0\0\0\
\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x02\0\
\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x06\x12\0\0\0\0\0\xb7\0\
\0\0\x02\0\0\0\x79\x61\x08\0\0\0\0\0\x15\x01\x0f\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x03\0\0\0\x15\x01\
\x0a\0\0\0\0\0\xb4\x02\0\0\xff\xff\xff\xff\x79\x63\x08\0\0\0\0\0\x15\x03\x01\0\
\0\0\0\0\x79\x32\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x61\xa0\xfc\xff\0\0\0\0\x67\0\0\0\x20\0\0\0\xc7\0\0\0\
\x20\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x06\x12\0\0\
\0\0\0\x18\x01\0\0\x4e\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xbf\x02\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x15\x02\x0b\0\0\0\0\0\
\xb7\x01\0\0\x2a\0\0\0\x7b\x12\0\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\xbf\x61\0\0\0\
\0\0\0\x85\0\0\0\xc2\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\x03\0\
\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\x03\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\
\0\x13\0\0\0\xb8\0\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\x28\x01\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x90\x01\0\0\0\0\0\0\x0a\0\0\
\0\x14\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x20\x02\0\0\0\0\0\0\x0a\0\
\0\0\x13\0\0\0\x80\x02\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\xb8\x02\0\0\0\0\0\0\x01\
\0\0\0\x12\0\0\0\0\x03\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x50\x03\0\0\0\0\0\0\x0a\
\0\0\0\x13\0\0\0\xb0\x03\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xd0\x03\0\0\0\0\0\0\
\x0a\0\0\0\x17\0\0\0\x38\x04\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x70\x04\0\0\0\0\0\
\0\x01\0\0\0\x12\0\0\0\xd8\x04\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x10\x05\0\0\0\0\
\0\0\x01\0\0\0\x12\0\0\0\x70\x05\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\xa8\x05\0\0\0\
\0\0\0\x01\0\0\0\x1c\0\0\0\xf8\x05\0\0\0\0\0\0\x0a\0\0\0\x1d\0\0\0\x48\x06\0\0\
\0\0\0\0\x0a\0\0\0\x14\0\0\0\x90\x06\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\xd8\x06\0\
\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x40\x07\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x94\x07\0\0\x94\x07\0\0\x76\x09\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\x05\0\0\x04\x28\0\0\
\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x2c\0\0\0\x09\0\0\0\x40\0\0\0\x30\0\0\0\x0a\0\0\
\0\x80\0\0\0\x35\0\0\0\x0b\0\0\0\xc0\0\0\0\x3b\0\0\0\x0c\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\x02\x3c\0\0\0\0\0\0\0\0\0\0\x02\x55\0\0\0\0\0\0\0\0\0\0\x02\x54\0\0\0\
\0\0\0\0\0\0\0\x02\x52\0\0\0\0\0\0\0\0\0\0\x02\x53\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\x4b\0\0\0\x05\0\0\0\x40\0\0\0\x4f\0\0\0\
\x06\0\0\0\x80\0\0\0\x55\0\0\0\x01\0\0\0\xc0\0\0\0\x61\0\0\0\0\0\0\x0e\x0d\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\x6c\0\0\0\x02\0\0\x04\x10\0\0\0\x72\0\
\0\0\x11\0\0\0\0\0\0\0\x74\0\0\0\x14\0\0\0\x40\0\0\0\x7c\0\0\0\x01\0\0\x04\x04\
\0\0\0\x2c\0\0\0\x12\0\0\0\0\0\0\0\x8a\0\0\0\0\0\0\x08\x13\0\0\0\x90\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x56\0\0\0\0\0\0\0\0\0\0\x02\x16\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\x4b\0\0\0\x05\0\0\0\x40\0\0\0\x4f\0\
\0\0\x0f\0\0\0\x80\0\0\0\x55\0\0\0\x15\0\0\0\xc0\0\0\0\x9d\0\0\0\0\0\0\x0e\x17\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x1b\0\0\0\xb3\0\
\0\0\x19\0\0\0\xb7\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xbc\0\0\0\x01\0\0\x0c\
\x1a\0\0\0\xcb\0\0\0\x03\0\0\x04\x30\0\0\0\x4b\0\0\0\x1b\0\0\0\0\0\0\0\xd5\0\0\
\0\x1b\0\0\0\x40\0\0\0\x30\0\0\0\x1e\0\0\0\x80\0\0\0\xda\0\0\0\x01\0\0\x04\x20\
\0\0\0\xe6\0\0\0\x21\0\0\0\0\0\0\0\xef\0\0\0\0\0\0\x08\x20\0\0\0\xf5\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\0\x04\0\0\0\x04\0\
\0\0\0\0\0\0\x02\0\0\x0d\x19\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\x19\0\0\0\x08\x01\
\0\0\x02\0\0\x0c\x22\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\
\0\x19\0\0\0\x19\x01\0\0\x02\0\0\x0c\x24\0\0\0\x2b\x01\0\0\x01\0\0\x0c\x1a\0\0\
\0\x37\x01\0\0\x02\0\0\x04\x10\0\0\0\x4b\0\0\0\x1b\0\0\0\0\0\0\0\xd5\0\0\0\x1b\
\0\0\0\x40\0\0\0\x43\x01\0\0\x01\0\0\x0c\x1a\0\0\0\x59\x01\0\0\x03\0\0\x04\x20\
\0\0\0\x4b\0\0\0\x1b\0\0\0\0\0\0\0\x72\0\0\0\x11\0\0\0\x40\0\0\0\x69\x01\0\0\
\x2a\0\0\0\x80\0\0\0\x6b\x01\0\0\x01\0\0\x04\x10\0\0\0\xe6\0\0\0\x2b\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\0\x04\0\0\0\x02\0\0\0\x77\x01\0\0\0\0\0\
\x11\x29\0\0\0\x02\0\0\0\0\0\0\0\x05\0\0\x0d\x02\0\0\0\0\0\0\0\x2e\0\0\0\0\0\0\
\0\x2f\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\0\0\
\0\x02\x2a\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\0\0\0\0\0\0\0\0\0\x02\x31\0\0\0\0\0\0\
\0\x02\0\0\x0d\x32\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\x34\0\0\0\x8f\x01\0\0\0\0\0\
\x08\x33\0\0\0\x94\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\0\0\0\x02\
\x35\0\0\0\0\0\0\0\0\0\0\x0a\x1e\0\0\0\x9a\x01\0\0\x02\0\0\x0c\x2d\0\0\0\0\0\0\
\0\x02\0\0\x0d\x32\0\0\0\xae\x01\0\0\x2f\0\0\0\xb0\x01\0\0\x34\0\0\0\xb2\x01\0\
\0\0\0\0\x0c\x37\0\0\0\xb7\x01\0\0\x01\0\0\x0c\x1a\0\0\0\xc7\x01\0\0\x01\0\0\
\x0c\x1a\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x08\0\0\0\xdc\x01\0\0\x05\0\
\0\x04\x20\0\0\0\xae\x01\0\0\x02\0\0\0\0\0\0\0\xb0\x01\0\0\x02\0\0\0\x20\0\0\0\
\xf0\x01\0\0\x3d\0\0\0\x40\0\0\0\xf5\x01\0\0\x08\0\0\0\x80\0\0\0\xfa\x01\0\0\
\x3f\0\0\0\xc0\0\0\0\xfe\x01\0\0\x02\0\0\x04\x08\0\0\0\x0f\x02\0\0\x3e\0\0\0\0\
\0\0\0\x11\x02\0\0\x02\0\0\0\x20\0\0\0\x13\x02\0\0\x01\0\0\x04\x04\0\0\0\xae\
\x01\0\0\x02\0\0\0\0\0\0\0\x25\x02\0\0\0\0\0\x08\x40\0\0\0\x30\x02\0\0\x01\0\0\
\x04\x04\0\0\0\x40\x02\0\0\x41\0\0\0\0\0\0\0\x45\x02\0\0\0\0\0\x08\x42\0\0\0\0\
\0\0\0\x01\0\0\x04\x04\0\0\0\x4e\x02\0\0\x02\0\0\0\0\0\0\0\x56\x02\0\0\x02\0\0\
\x0c\x3b\0\0\0\x72\x02\0\0\x01\0\0\x0c\x1a\0\0\0\0\0\0\0\x02\0\0\x0d\x19\0\0\0\
\0\0\0\0\x19\0\0\0\0\0\0\0\x19\0\0\0\x93\x02\0\0\x02\0\0\x0c\x45\0\0\0\xad\x02\
\0\0\x01\0\0\x0c\x1a\0\0\0\xc3\x02\0\0\x03\0\0\x04\x30\0\0\0\xd5\0\0\0\x1b\0\0\
\0\0\0\0\0\xd3\x02\0\0\x1e\0\0\0\x40\0\0\0\xdb\x02\0\0\x49\0\0\0\x40\x01\0\0\
\xe4\x02\0\0\x01\0\0\x04\x04\0\0\0\xe6\0\0\0\x4a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x12\0\0\0\x04\0\0\0\x01\0\0\0\xf1\x02\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x4b\0\0\0\x04\0\0\0\x04\0\0\0\xf6\x02\0\0\0\
\0\0\x0e\x4c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\xff\x02\0\0\0\0\0\x0e\
\x4e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\x19\x03\0\0\0\0\0\x0e\x50\0\0\
\0\x01\0\0\0\x34\x03\0\0\0\0\0\x12\x27\0\0\0\x34\x03\0\0\0\0\0\x12\x29\0\0\0\
\x34\x03\0\0\0\0\0\x12\x1d\0\0\0\x34\x03\0\0\0\0\0\x12\x3c\0\0\0\x34\x03\0\0\0\
\0\0\x12\x48\0\0\0\x53\x09\0\0\x02\0\0\x0f\x40\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\
\0\x18\0\0\0\x20\0\0\0\x20\0\0\0\x59\x09\0\0\x01\0\0\x0f\x04\0\0\0\x4d\0\0\0\0\
\0\0\0\x04\0\0\0\x61\x09\0\0\x02\0\0\x0f\x10\0\0\0\x4f\0\0\0\0\0\0\0\x08\0\0\0\
\x51\0\0\0\x08\0\0\0\x08\0\0\0\x66\x09\0\0\x05\0\0\x0f\0\0\0\0\x23\0\0\0\0\0\0\
\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\0\0\0\
\0\0\0\0\0\x46\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6d\x61\x70\x5f\x76\x61\
\x6c\x75\x65\0\x6e\x6f\x74\x5f\x6b\x70\x74\x72\0\x76\x61\x6c\0\x6e\x6f\x64\x65\
\0\x70\x6c\x61\x69\x6e\0\x6c\x6f\x63\x61\x6c\x5f\x72\x6f\x6f\x74\0\x74\x79\x70\
\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x73\x74\x61\x73\x68\0\x6c\
\0\x73\x74\x61\x73\x68\x65\x64\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x5f\x73\x74\
\x61\x73\x68\0\x63\x74\x78\0\x6c\x6f\x6e\x67\0\x73\x74\x61\x73\x68\x5f\x72\x62\
\x5f\x6e\x6f\x64\x65\x73\0\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\0\x64\x61\x74\
\x61\0\x62\x70\x66\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\
\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\
\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x70\x6c\x61\x69\x6e\0\x70\x6c\x61\x69\x6e\
\x5f\x6c\x6f\x63\x61\x6c\0\x73\x74\x61\x73\x68\x5f\x6c\x6f\x63\x61\x6c\x5f\x77\
\x69\x74\x68\x5f\x72\x6f\x6f\x74\0\x6c\x6f\x63\x61\x6c\x5f\x77\x69\x74\x68\x5f\
\x72\x6f\x6f\x74\0\x72\0\x62\x70\x66\x5f\x72\x62\x5f\x72\x6f\x6f\x74\0\x63\x6f\
\x6e\x74\x61\x69\x6e\x73\x3a\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\x3a\x6e\x6f\
\x64\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\x72\x62\x74\
\x72\x65\x65\x5f\x61\x64\x64\x5f\x69\x6d\x70\x6c\0\x61\0\x62\0\x6c\x65\x73\x73\
\0\x75\x6e\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\x73\x74\x61\
\x73\x68\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\0\x70\x72\
\x6f\x67\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\0\x6d\x65\
\x6d\x62\0\x6e\x65\x78\x74\0\x63\x6e\x74\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\
\x5f\x6d\x65\x6d\x62\x65\x72\0\x6d\0\x63\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\
\x5f\x6d\x65\x6d\x62\x65\x72\x31\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\
\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\
\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\x65\
\x6c\x65\x61\x73\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\x71\x75\x69\
\x72\x65\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x73\x74\x61\x73\x68\0\x62\
\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\x71\x75\x69\x72\x65\
\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\
\x65\x64\x5f\x6e\x6f\x64\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\
\x6f\x64\x65\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\0\
\x62\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\x65\x63\
\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\0\x6a\x75\x73\x74\x5f\x68\x65\
\x72\x65\x5f\x62\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\x32\0\
\x6b\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\
\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x63\x61\x6c\x5f\x6b\x70\x74\x72\
\x5f\x73\x74\x61\x73\x68\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x6e\x6f\x64\
\x65\x5f\x61\x2d\x3e\x6b\x65\x79\x20\x3c\x20\x6e\x6f\x64\x65\x5f\x62\x2d\x3e\
\x6b\x65\x79\x3b\0\x6c\x6f\x6e\x67\x20\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\
\x6f\x64\x65\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x6d\x61\x70\
\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\x2c\
\x20\x26\x69\x64\x78\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x61\x70\x76\x61\x6c\
\x29\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\
\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x72\x65\x73\x29\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x72\x65\x73\x29\0\x09\x72\x65\x73\x2d\x3e\x6b\x65\x79\x20\x3d\x20\x76\
\x61\x6c\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\
\x78\x63\x68\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x6e\x6f\x64\x65\x2c\
\x20\x72\x65\x73\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x73\x29\0\x09\x09\x62\
\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x72\x65\x73\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x73\x74\
\x61\x73\x68\x28\x30\x2c\x20\x34\x31\x29\x20\x3f\x3a\x20\x63\x72\x65\x61\x74\
\x65\x5f\x61\x6e\x64\x5f\x73\x74\x61\x73\x68\x28\x31\x2c\x20\x34\x32\x29\x3b\0\
\x6c\x6f\x6e\x67\x20\x73\x74\x61\x73\x68\x5f\x70\x6c\x61\x69\x6e\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x69\x64\x78\x20\x3d\x20\
\x30\x3b\0\x09\x72\x65\x73\x2d\x3e\x6b\x65\x79\x20\x3d\x20\x34\x31\x3b\0\x09\
\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\
\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x70\x6c\x61\x69\x6e\x2c\x20\x72\x65\
\x73\x29\x3b\0\x7d\0\x6c\x6f\x6e\x67\x20\x73\x74\x61\x73\x68\x5f\x6c\x6f\x63\
\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x6f\x6f\x74\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x6e\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\
\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x6e\x29\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x6e\x29\x20\x7b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\
\x28\x26\x72\x65\x73\x2d\x3e\x6c\x29\x3b\0\x09\x62\x70\x66\x5f\x72\x62\x74\x72\
\x65\x65\x5f\x61\x64\x64\x28\x26\x72\x65\x73\x2d\x3e\x72\x2c\x20\x26\x6e\x2d\
\x3e\x6e\x6f\x64\x65\x2c\x20\x6c\x65\x73\x73\x29\x3b\0\x09\x62\x70\x66\x5f\x73\
\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x72\x65\x73\x2d\x3e\x6c\x29\
\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\
\x68\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x61\x6c\x5f\x72\
\x6f\x6f\x74\x2c\x20\x72\x65\x73\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x73\x29\
\x20\x7b\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\
\x6f\x64\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\
\x6b\x65\x79\x20\x3d\x20\x31\x3b\0\x09\x6d\x61\x70\x76\x61\x6c\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\
\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\
\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x6e\x6f\x64\x65\x2c\x20\x4e\x55\
\x4c\x4c\x29\x3b\0\x09\x09\x72\x65\x74\x76\x61\x6c\x20\x3d\x20\x72\x65\x73\x2d\
\x3e\x6b\x65\x79\x3b\0\x6c\x6f\x6e\x67\x20\x73\x74\x61\x73\x68\x5f\x74\x65\x73\
\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x72\
\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\
\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x76\x61\x6c\x2c\x20\x4e\x55\x4c\x4c\x29\
\x3b\0\x09\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x72\x65\x73\x29\x3b\0\x6c\x6f\
\x6e\x67\x20\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\x71\x75\x69\x72\x65\
\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x73\x74\x61\x73\x68\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\
\x30\x3b\0\x09\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\
\x5f\x6e\x6f\x64\x65\x5f\x73\x74\x61\x73\x68\x2c\x20\x26\x72\x65\x74\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x73\x29\0\x09\x69\x66\x20\x28\x21\x73\x2d\x3e\x73\x74\
\x61\x73\x68\x65\x64\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x72\x65\x66\x63\
\x6f\x75\x6e\x74\x5f\x61\x63\x71\x75\x69\x72\x65\x28\x73\x2d\x3e\x73\x74\x61\
\x73\x68\x65\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x72\x65\x74\
\x20\x3d\x20\x73\x2d\x3e\x73\x74\x61\x73\x68\x65\x64\x20\x3f\x20\x73\x2d\x3e\
\x73\x74\x61\x73\x68\x65\x64\x2d\x3e\x64\x61\x74\x61\x20\x3a\x20\x2d\x31\x3b\0\
\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x72\x65\x74\x3b\0\x6c\x6f\x6e\x67\x20\x73\x74\x61\x73\
\x68\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\x66\
\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x5f\x73\x74\x61\x73\x68\x2c\
\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\
\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x70\x29\x29\x3b\0\x09\x70\
\x2d\x3e\x64\x61\x74\x61\x20\x3d\x20\x34\x32\x3b\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x73\x2d\x3e\x73\x74\x61\
\x73\x68\x65\x64\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\x20\x7b\0\
\x09\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\x3b\0\x30\
\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\0\0\0\0\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x74\x06\0\0\xc8\x06\0\0\x6c\0\0\0\x08\
\0\0\0\x6d\x09\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x73\x09\0\0\x07\0\0\0\0\0\0\0\
\x1c\0\0\0\xb8\x01\0\0\x26\0\0\0\x98\x02\0\0\x28\0\0\0\x50\x04\0\0\x39\0\0\0\
\xf0\x04\0\0\x3a\0\0\0\x88\x05\0\0\x44\0\0\0\x70\x06\0\0\x47\0\0\0\x10\0\0\0\
\x6d\x09\0\0\x04\0\0\0\0\0\0\0\x39\x03\0\0\xc3\x03\0\0\x1f\x4c\x01\0\x08\0\0\0\
\x39\x03\0\0\xc3\x03\0\0\x11\x4c\x01\0\x18\0\0\0\x39\x03\0\0\xc3\x03\0\0\x15\
\x4c\x01\0\x28\0\0\0\x39\x03\0\0\xc3\x03\0\0\x02\x4c\x01\0\x73\x09\0\0\x62\0\0\
\0\0\0\0\0\x39\x03\0\0\xe6\x03\0\0\0\xac\x01\0\x18\0\0\0\x39\x03\0\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\x39\x03\0\0\x05\x04\0\0\x0b\x6c\x01\0\x40\0\0\0\x39\x03\0\0\
\x37\x04\0\0\x06\x70\x01\0\x48\0\0\0\x39\x03\0\0\x45\x04\0\0\x08\x7c\x01\0\x68\
\0\0\0\x39\x03\0\0\x67\x04\0\0\x06\x80\x01\0\x78\0\0\0\x39\x03\0\0\x72\x04\0\0\
\x0b\x88\x01\0\x80\0\0\0\x39\x03\0\0\x83\x04\0\0\x1f\x90\x01\0\x88\0\0\0\x39\
\x03\0\0\x83\x04\0\0\x08\x90\x01\0\xa0\0\0\0\x39\x03\0\0\xad\x04\0\0\x06\x94\
\x01\0\xa8\0\0\0\x39\x03\0\0\xb7\x04\0\0\x03\x98\x01\0\xd8\0\0\0\x39\x03\0\0\0\
\0\0\0\0\0\0\0\xe0\0\0\0\x39\x03\0\0\x05\x04\0\0\x0b\x6c\x01\0\x08\x01\0\0\x39\
\x03\0\0\x37\x04\0\0\x06\x70\x01\0\x10\x01\0\0\x39\x03\0\0\x45\x04\0\0\x08\x7c\
\x01\0\x40\x01\0\0\x39\x03\0\0\x67\x04\0\0\x06\x80\x01\0\x50\x01\0\0\x39\x03\0\
\0\x72\x04\0\0\x0b\x88\x01\0\x58\x01\0\0\x39\x03\0\0\x83\x04\0\0\x1f\x90\x01\0\
\x60\x01\0\0\x39\x03\0\0\x83\x04\0\0\x08\x90\x01\0\x80\x01\0\0\x39\x03\0\0\xad\
\x04\0\0\x06\x94\x01\0\x88\x01\0\0\x39\x03\0\0\xb7\x04\0\0\x03\x98\x01\0\xb0\
\x01\0\0\x39\x03\0\0\xcc\x04\0\0\x02\xb4\x01\0\xb8\x01\0\0\x39\x03\0\0\x08\x05\
\0\0\0\xc4\x01\0\xc0\x01\0\0\x39\x03\0\0\x24\x05\0\0\x06\xd4\x01\0\xd8\x01\0\0\
\x39\x03\0\0\x05\x04\0\0\x0b\xdc\x01\0\0\x02\0\0\x39\x03\0\0\x37\x04\0\0\x06\
\xe0\x01\0\x08\x02\0\0\x39\x03\0\0\x45\x04\0\0\x08\xec\x01\0\x28\x02\0\0\x39\
\x03\0\0\x67\x04\0\0\x06\xf0\x01\0\x38\x02\0\0\x39\x03\0\0\x32\x05\0\0\x0b\xf8\
\x01\0\x40\x02\0\0\x39\x03\0\0\x42\x05\0\0\x1f\0\x02\0\x48\x02\0\0\x39\x03\0\0\
\x42\x05\0\0\x08\0\x02\0\x68\x02\0\0\x39\x03\0\0\xad\x04\0\0\x06\x04\x02\0\x70\
\x02\0\0\x39\x03\0\0\xb7\x04\0\0\x03\x08\x02\0\x88\x02\0\0\x39\x03\0\0\x6d\x05\
\0\0\x01\x10\x02\0\x98\x02\0\0\x39\x03\0\0\x6f\x05\0\0\0\x1c\x02\0\xa0\x02\0\0\
\x39\x03\0\0\x24\x05\0\0\x06\x30\x02\0\xb8\x02\0\0\x39\x03\0\0\x05\x04\0\0\x0b\
\x38\x02\0\xe0\x02\0\0\x39\x03\0\0\x37\x04\0\0\x06\x3c\x02\0\xe8\x02\0\0\x39\
\x03\0\0\x45\x04\0\0\x08\x48\x02\0\x18\x03\0\0\x39\x03\0\0\x67\x04\0\0\x06\x4c\
\x02\0\x28\x03\0\0\x39\x03\0\0\x32\x05\0\0\x0b\x54\x02\0\x38\x03\0\0\x39\x03\0\
\0\x95\x05\0\0\x06\x5c\x02\0\x68\x03\0\0\x39\x03\0\0\xb3\x05\0\0\x06\x60\x02\0\
\x70\x03\0\0\x39\x03\0\0\xbe\x05\0\0\x16\x74\x02\0\x80\x03\0\0\x39\x03\0\0\xbe\
\x05\0\0\x02\x74\x02\0\x90\x03\0\0\x39\x03\0\0\xd7\x05\0\0\x02\x78\x02\0\xd8\
\x03\0\0\x39\x03\0\0\x01\x06\0\0\x02\x7c\x02\0\xe8\x03\0\0\x39\x03\0\0\x1c\x06\
\0\0\x1f\x84\x02\0\xf0\x03\0\0\x39\x03\0\0\x1c\x06\0\0\x08\x84\x02\0\x18\x04\0\
\0\x39\x03\0\0\x4c\x06\0\0\x06\x88\x02\0\x28\x04\0\0\x39\x03\0\0\0\0\0\0\0\0\0\
\0\x40\x04\0\0\x39\x03\0\0\x6d\x05\0\0\x01\x9c\x02\0\x50\x04\0\0\x39\x03\0\0\
\x58\x06\0\0\0\xa8\x02\0\x58\x04\0\0\x39\x03\0\0\x78\x06\0\0\x06\xbc\x02\0\x70\
\x04\0\0\x39\x03\0\0\x86\x06\0\0\x0b\xc4\x02\0\x90\x04\0\0\x39\x03\0\0\x37\x04\
\0\0\x06\xc8\x02\0\x98\x04\0\0\x39\x03\0\0\xb8\x06\0\0\x1f\xd4\x02\0\xa0\x04\0\
\0\x39\x03\0\0\xb8\x06\0\0\x08\xd4\x02\0\xb8\x04\0\0\x39\x03\0\0\x4c\x06\0\0\
\x06\xd8\x02\0\xc0\x04\0\0\x39\x03\0\0\xe3\x06\0\0\x11\xdc\x02\0\xc8\x04\0\0\
\x39\x03\0\0\xb7\x04\0\0\x03\xe0\x02\0\xe0\x04\0\0\x39\x03\0\0\x6d\x05\0\0\x01\
\xf0\x02\0\xf0\x04\0\0\x39\x03\0\0\xf8\x06\0\0\0\xfc\x02\0\xf8\x04\0\0\x39\x03\
\0\0\x1d\x07\0\0\x06\x0c\x03\0\x10\x05\0\0\x39\x03\0\0\x86\x06\0\0\x0b\x14\x03\
\0\x30\x05\0\0\x39\x03\0\0\x37\x04\0\0\x06\x18\x03\0\x38\x05\0\0\x39\x03\0\0\
\x2b\x07\0\0\x1f\x24\x03\0\x48\x05\0\0\x39\x03\0\0\x2b\x07\0\0\x08\x24\x03\0\
\x60\x05\0\0\x39\x03\0\0\xad\x04\0\0\x06\x28\x03\0\x68\x05\0\0\x39\x03\0\0\x55\
\x07\0\0\x03\x2c\x03\0\x78\x05\0\0\x39\x03\0\0\x6d\x05\0\0\x01\x34\x03\0\x88\
\x05\0\0\x39\x03\0\0\x79\x07\0\0\0\x40\x03\0\x90\x05\0\0\x39\x03\0\0\xaa\x07\0\
\0\x06\x50\x03\0\xa8\x05\0\0\x39\x03\0\0\xb8\x07\0\0\x06\x58\x03\0\xd0\x05\0\0\
\x39\x03\0\0\xf0\x07\0\0\x06\x5c\x03\0\xe0\x05\0\0\x39\x03\0\0\xf9\x07\0\0\x0a\
\x68\x03\0\xe8\x05\0\0\x39\x03\0\0\xf9\x07\0\0\x06\x68\x03\0\xf0\x05\0\0\x39\
\x03\0\0\x0b\x08\0\0\x06\x80\x03\0\x10\x06\0\0\x39\x03\0\0\x32\x08\0\0\x06\x84\
\x03\0\x20\x06\0\0\x39\x03\0\0\x3b\x08\0\0\x0b\x90\x03\0\x28\x06\0\0\x39\x03\0\
\0\x3b\x08\0\0\x08\x90\x03\0\x30\x06\0\0\x39\x03\0\0\x3b\x08\0\0\x21\x90\x03\0\
\x38\x06\0\0\x39\x03\0\0\x3b\x08\0\0\x06\x90\x03\0\x40\x06\0\0\x39\x03\0\0\x66\
\x08\0\0\x02\x94\x03\0\x50\x06\0\0\x39\x03\0\0\x78\x08\0\0\x09\x98\x03\0\x68\
\x06\0\0\x39\x03\0\0\x6d\x05\0\0\x01\x9c\x03\0\x70\x06\0\0\x39\x03\0\0\x85\x08\
\0\0\0\xac\x03\0\x78\x06\0\0\x39\x03\0\0\x1d\x07\0\0\x06\xbc\x03\0\x90\x06\0\0\
\x39\x03\0\0\xab\x08\0\0\x06\xc4\x03\0\xb8\x06\0\0\x39\x03\0\0\xf0\x07\0\0\x06\
\xc8\x03\0\xc0\x06\0\0\x39\x03\0\0\xe3\x08\0\0\x06\xd4\x03\0\xf0\x06\0\0\x39\
\x03\0\0\x32\x08\0\0\x06\xd8\x03\0\0\x07\0\0\x39\x03\0\0\x01\x09\0\0\x0a\xe0\
\x03\0\x08\x07\0\0\x39\x03\0\0\x10\x09\0\0\x18\xe8\x03\0\x10\x07\0\0\x39\x03\0\
\0\x10\x09\0\0\x06\xe8\x03\0\x30\x07\0\0\x39\x03\0\0\x34\x09\0\0\x06\xec\x03\0\
\x38\x07\0\0\x39\x03\0\0\x3e\x09\0\0\x03\xf0\x03\0\x50\x07\0\0\x39\x03\0\0\x6d\
\x05\0\0\x01\x04\x04\0\x10\0\0\0\x73\x09\0\0\x06\0\0\0\x48\0\0\0\x1d\0\0\0\x51\
\x09\0\0\x06\0\0\0\x10\x01\0\0\x1d\0\0\0\x51\x09\0\0\x06\0\0\0\x08\x02\0\0\x27\
\0\0\0\x51\x09\0\0\x06\0\0\0\xe8\x02\0\0\x29\0\0\0\x51\x09\0\0\x06\0\0\0\x38\
\x03\0\0\x1d\0\0\0\x51\x09\0\0\x06\0\0\0\xc0\x06\0\0\x48\0\0\0\x51\x09\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x07\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x78\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa8\x05\0\0\0\0\0\0\x58\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x08\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\x01\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0d\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf9\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0e\0\0\0\0\0\0\x22\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfe\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\x54\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_kptr_stash *local_kptr_stash::open(const struct bpf_object_open_opts *opts) { return local_kptr_stash__open_opts(opts); }
struct local_kptr_stash *local_kptr_stash::open_and_load() { return local_kptr_stash__open_and_load(); }
int local_kptr_stash::load(struct local_kptr_stash *skel) { return local_kptr_stash__load(skel); }
int local_kptr_stash::attach(struct local_kptr_stash *skel) { return local_kptr_stash__attach(skel); }
void local_kptr_stash::detach(struct local_kptr_stash *skel) { local_kptr_stash__detach(skel); }
void local_kptr_stash::destroy(struct local_kptr_stash *skel) { local_kptr_stash__destroy(skel); }
const void *local_kptr_stash::elf_bytes(size_t *sz) { return local_kptr_stash__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_kptr_stash__assert(struct local_kptr_stash *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->just_here_because_btf_bug) == 8, "unexpected size of 'just_here_because_btf_bug'");
	_Static_assert(sizeof(s->bss->just_here_because_btf_bug2) == 8, "unexpected size of 'just_here_because_btf_bug2'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_KPTR_STASH_SKEL_H__ */
