/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_ITER_BPF_LINK_SKEL_H__
#define __BPF_ITER_BPF_LINK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_iter_bpf_link {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *dump_bpf_link;
	} progs;
	struct {
		struct bpf_link *dump_bpf_link;
	} links;

#ifdef __cplusplus
	static inline struct bpf_iter_bpf_link *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_iter_bpf_link *open_and_load();
	static inline int load(struct bpf_iter_bpf_link *skel);
	static inline int attach(struct bpf_iter_bpf_link *skel);
	static inline void detach(struct bpf_iter_bpf_link *skel);
	static inline void destroy(struct bpf_iter_bpf_link *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_iter_bpf_link__destroy(struct bpf_iter_bpf_link *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_bpf_link__create_skeleton(struct bpf_iter_bpf_link *obj);

static inline struct bpf_iter_bpf_link *
bpf_iter_bpf_link__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_bpf_link *obj;
	int err;

	obj = (struct bpf_iter_bpf_link *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_bpf_link__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_bpf_link__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_bpf_link *
bpf_iter_bpf_link__open(void)
{
	return bpf_iter_bpf_link__open_opts(NULL);
}

static inline int
bpf_iter_bpf_link__load(struct bpf_iter_bpf_link *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_bpf_link *
bpf_iter_bpf_link__open_and_load(void)
{
	struct bpf_iter_bpf_link *obj;
	int err;

	obj = bpf_iter_bpf_link__open();
	if (!obj)
		return NULL;
	err = bpf_iter_bpf_link__load(obj);
	if (err) {
		bpf_iter_bpf_link__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_bpf_link__attach(struct bpf_iter_bpf_link *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_bpf_link__detach(struct bpf_iter_bpf_link *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_bpf_link__elf_bytes(size_t *sz);

static inline int
bpf_iter_bpf_link__create_skeleton(struct bpf_iter_bpf_link *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_iter_bpf_link";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_bpf_link";
	s->progs[0].prog = &obj->progs.dump_bpf_link;
	s->progs[0].link = &obj->links.dump_bpf_link;

	s->data = bpf_iter_bpf_link__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_iter_bpf_link__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\
\x65\x72\x2f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x2e\x63\0\
\x4c\x42\x42\x30\x5f\x32\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x3b\0\0\0\0\0\x03\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x50\0\0\0\x11\0\x04\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\xbf\x12\0\0\0\0\0\0\x79\x21\0\0\0\0\0\0\x79\x11\0\0\0\
\0\0\0\x79\x22\x08\0\0\0\0\0\x15\x02\x06\0\0\0\0\0\x61\x22\x08\0\0\0\0\0\x63\
\x2a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xb7\x03\0\
\0\x04\0\0\0\x85\0\0\0\x7f\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x68\x03\0\0\x68\x03\0\0\x3a\x04\
\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x10\0\0\0\x14\0\0\0\x03\
\0\0\0\0\0\0\0\x19\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\
\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x1e\0\0\0\x01\0\0\0\x22\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x26\0\0\0\x01\0\0\x0c\x05\0\0\0\x34\0\0\0\
\x03\0\0\x04\x18\0\0\0\x42\0\0\0\x09\0\0\0\0\0\0\0\x46\0\0\0\x0a\0\0\0\x40\0\0\
\0\x51\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x25\0\0\0\x59\0\0\0\0\0\0\
\x08\x0b\0\0\0\x5f\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x72\0\0\0\x06\0\0\x04\
\x40\0\0\0\x7b\0\0\0\x0d\0\0\0\0\0\0\0\x82\0\0\0\x12\0\0\0\x40\0\0\0\x85\0\0\0\
\x15\0\0\0\x60\0\0\0\x8a\0\0\0\x16\0\0\0\x80\0\0\0\x8e\0\0\0\x18\0\0\0\xc0\0\0\
\0\x93\0\0\0\x19\0\0\0\0\x01\0\0\x98\0\0\0\0\0\0\x08\x0e\0\0\0\0\0\0\0\x01\0\0\
\x04\x08\0\0\0\xa3\0\0\0\x0f\0\0\0\0\0\0\0\xab\0\0\0\0\0\0\x08\x10\0\0\0\xaf\0\
\0\0\0\0\0\x08\x11\0\0\0\xb5\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xbf\0\0\0\0\
\0\0\x08\x13\0\0\0\xc3\0\0\0\0\0\0\x08\x14\0\0\0\xc9\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\xd6\0\0\0\x0f\0\0\x06\x04\0\0\0\xe4\0\0\0\0\0\0\0\xf9\0\0\0\x01\0\0\
\0\x16\x01\0\0\x02\0\0\0\x2c\x01\0\0\x03\0\0\0\x41\x01\0\0\x04\0\0\0\x54\x01\0\
\0\x05\0\0\0\x68\x01\0\0\x06\0\0\0\x7a\x01\0\0\x07\0\0\0\x93\x01\0\0\x08\0\0\0\
\xae\x01\0\0\x09\0\0\0\xc7\x01\0\0\x0a\0\0\0\xdf\x01\0\0\x0b\0\0\0\xf1\x01\0\0\
\x0c\0\0\0\x0c\x02\0\0\x0d\0\0\0\x21\x02\0\0\x0e\0\0\0\0\0\0\0\0\0\0\x02\x17\0\
\0\0\0\0\0\0\0\0\0\x0a\x27\0\0\0\0\0\0\0\0\0\0\x02\x26\0\0\0\x35\x02\0\0\x03\0\
\0\x04\x20\0\0\0\x41\x02\0\0\x1a\0\0\0\0\0\0\0\x46\x02\0\0\x1b\0\0\0\x40\0\0\0\
\x4c\x02\0\0\x1d\0\0\0\xc0\0\0\0\x51\x02\0\0\0\0\0\x08\x0d\0\0\0\x5f\x02\0\0\
\x02\0\0\x04\x10\0\0\0\x69\x02\0\0\x1c\0\0\0\0\0\0\0\x6e\x02\0\0\x1c\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\x02\x1b\0\0\0\x73\x02\0\0\0\0\0\x08\x1e\0\0\0\0\0\0\0\0\0\
\0\x02\x1f\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x19\0\0\0\x7f\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x21\0\0\0\x23\0\0\0\x04\0\0\0\x84\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x98\x02\0\0\0\0\0\x0e\x22\0\0\0\x01\0\0\0\xa1\x02\0\0\0\0\0\x07\0\0\0\0\xaa\
\x02\0\0\0\0\0\x07\0\0\0\0\xb3\x02\0\0\0\0\0\x07\0\0\0\0\x24\x04\0\0\x01\0\0\
\x0f\x04\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\0\x6d\x65\x74\x61\0\x6c\x69\x6e\x6b\0\
\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6c\x69\x6e\
\x6b\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\x61\0\x73\x65\x71\0\x73\
\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\0\x72\x65\x66\x63\x6e\x74\0\x69\x64\
\0\x74\x79\x70\x65\0\x6f\x70\x73\0\x70\x72\x6f\x67\0\x77\x6f\x72\x6b\0\x61\x74\
\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\
\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x33\x32\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\
\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4c\x49\x4e\
\x4b\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\
\x4e\x54\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\
\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x43\
\x47\x52\x4f\x55\x50\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\
\x49\x54\x45\x52\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x4e\
\x45\x54\x4e\x53\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x58\
\x44\x50\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\
\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\
\x45\x5f\x4b\x50\x52\x4f\x42\x45\x5f\x4d\x55\x4c\x54\x49\0\x42\x50\x46\x5f\x4c\
\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\
\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x4e\x45\x54\x46\x49\
\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x54\
\x43\x58\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\x5f\x55\x50\x52\
\x4f\x42\x45\x5f\x4d\x55\x4c\x54\x49\0\x42\x50\x46\x5f\x4c\x49\x4e\x4b\x5f\x54\
\x59\x50\x45\x5f\x4e\x45\x54\x4b\x49\x54\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\x46\
\x5f\x4c\x49\x4e\x4b\x5f\x54\x59\x50\x45\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\
\x63\x74\0\x64\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\
\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\
\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\
\x5f\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x65\x71\
\x5f\x66\x69\x6c\x65\0\x62\x70\x66\x5f\x70\x72\x6f\x67\0\x62\x70\x66\x5f\x6c\
\x69\x6e\x6b\x5f\x6f\x70\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\
\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x69\x74\x65\
\x72\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x69\x6e\x74\x20\x64\x75\x6d\
\x70\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x20\x2a\
\x63\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x73\x65\x71\x5f\x66\x69\x6c\
\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\
\x3e\x73\x65\x71\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6c\x69\
\x6e\x6b\x20\x2a\x6c\x69\x6e\x6b\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6c\x69\x6e\
\x6b\x3b\0\x09\x69\x66\x20\x28\x21\x6c\x69\x6e\x6b\x29\0\x09\x6c\x69\x6e\x6b\
\x5f\x69\x64\x20\x3d\x20\x6c\x69\x6e\x6b\x2d\x3e\x69\x64\x3b\0\x09\x62\x70\x66\
\x5f\x73\x65\x71\x5f\x77\x72\x69\x74\x65\x28\x73\x65\x71\x2c\x20\x26\x6c\x69\
\x6e\x6b\x5f\x69\x64\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6c\x69\x6e\x6b\x5f\
\x69\x64\x29\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x31\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\0\0\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\0\0\0\xc0\0\0\0\x2c\0\
\0\0\x08\0\0\0\x2c\x04\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x2c\x04\0\0\
\x0a\0\0\0\0\0\0\0\xc0\x02\0\0\x4b\x03\0\0\0\x24\0\0\x08\0\0\0\xc0\x02\0\0\x7d\
\x03\0\0\x1e\x2c\0\0\x10\0\0\0\xc0\x02\0\0\x7d\x03\0\0\x24\x2c\0\0\x18\0\0\0\
\xc0\x02\0\0\xa5\x03\0\0\x1f\x30\0\0\x20\0\0\0\xc0\x02\0\0\xc9\x03\0\0\x06\x3c\
\0\0\x28\0\0\0\xc0\x02\0\0\xd5\x03\0\0\x12\x48\0\0\x30\0\0\0\xc0\x02\0\0\xd5\
\x03\0\0\x0a\x48\0\0\x40\0\0\0\xc0\x02\0\0\xd5\x03\0\0\x12\x48\0\0\x48\0\0\0\
\xc0\x02\0\0\xea\x03\0\0\x02\x4c\0\0\x58\0\0\0\xc0\x02\0\0\x1a\x04\0\0\x01\x54\
\0\0\x10\0\0\0\x2c\x04\0\0\x02\0\0\0\x10\0\0\0\x08\0\0\0\x1c\x04\0\0\0\0\0\0\
\x28\0\0\0\x0c\0\0\0\x20\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x90\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x68\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\xba\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x68\x09\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_iter_bpf_link *bpf_iter_bpf_link::open(const struct bpf_object_open_opts *opts) { return bpf_iter_bpf_link__open_opts(opts); }
struct bpf_iter_bpf_link *bpf_iter_bpf_link::open_and_load() { return bpf_iter_bpf_link__open_and_load(); }
int bpf_iter_bpf_link::load(struct bpf_iter_bpf_link *skel) { return bpf_iter_bpf_link__load(skel); }
int bpf_iter_bpf_link::attach(struct bpf_iter_bpf_link *skel) { return bpf_iter_bpf_link__attach(skel); }
void bpf_iter_bpf_link::detach(struct bpf_iter_bpf_link *skel) { bpf_iter_bpf_link__detach(skel); }
void bpf_iter_bpf_link::destroy(struct bpf_iter_bpf_link *skel) { bpf_iter_bpf_link__destroy(skel); }
const void *bpf_iter_bpf_link::elf_bytes(size_t *sz) { return bpf_iter_bpf_link__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_iter_bpf_link__assert(struct bpf_iter_bpf_link *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_ITER_BPF_LINK_SKEL_H__ */
