/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __GET_FUNC_IP_UPROBE_TEST_SKEL_H__
#define __GET_FUNC_IP_UPROBE_TEST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct get_func_ip_uprobe_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
	} progs;
	struct {
		struct bpf_link *test1;
	} links;
	struct get_func_ip_uprobe_test__bss {
		__u64 test1_result;
		unsigned long uprobe_trigger_body;
	} *bss;

#ifdef __cplusplus
	static inline struct get_func_ip_uprobe_test *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct get_func_ip_uprobe_test *open_and_load();
	static inline int load(struct get_func_ip_uprobe_test *skel);
	static inline int attach(struct get_func_ip_uprobe_test *skel);
	static inline void detach(struct get_func_ip_uprobe_test *skel);
	static inline void destroy(struct get_func_ip_uprobe_test *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
get_func_ip_uprobe_test__destroy(struct get_func_ip_uprobe_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
get_func_ip_uprobe_test__create_skeleton(struct get_func_ip_uprobe_test *obj);

static inline struct get_func_ip_uprobe_test *
get_func_ip_uprobe_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct get_func_ip_uprobe_test *obj;
	int err;

	obj = (struct get_func_ip_uprobe_test *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = get_func_ip_uprobe_test__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	get_func_ip_uprobe_test__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct get_func_ip_uprobe_test *
get_func_ip_uprobe_test__open(void)
{
	return get_func_ip_uprobe_test__open_opts(NULL);
}

static inline int
get_func_ip_uprobe_test__load(struct get_func_ip_uprobe_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct get_func_ip_uprobe_test *
get_func_ip_uprobe_test__open_and_load(void)
{
	struct get_func_ip_uprobe_test *obj;
	int err;

	obj = get_func_ip_uprobe_test__open();
	if (!obj)
		return NULL;
	err = get_func_ip_uprobe_test__load(obj);
	if (err) {
		get_func_ip_uprobe_test__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
get_func_ip_uprobe_test__attach(struct get_func_ip_uprobe_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
get_func_ip_uprobe_test__detach(struct get_func_ip_uprobe_test *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *get_func_ip_uprobe_test__elf_bytes(size_t *sz);

static inline int
get_func_ip_uprobe_test__create_skeleton(struct get_func_ip_uprobe_test *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "get_func_ip_uprobe_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "get_func.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->data = get_func_ip_uprobe_test__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *get_func_ip_uprobe_test__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x75\x70\x72\x6f\x62\x65\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x62\x6f\x64\
\x79\x2b\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x67\x65\x74\x5f\
\x66\x75\x6e\x63\x5f\x69\x70\x5f\x75\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x74\x65\x73\x74\x31\0\x75\x70\x72\x6f\x62\
\x65\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x62\x6f\x64\x79\0\x74\x65\x73\x74\x31\
\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\
\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\
\x62\x6f\x64\x79\x2b\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x64\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x71\0\0\0\x11\0\x05\0\x08\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x85\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x92\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\xad\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\
\0\xb7\x01\0\0\x01\0\0\0\x1d\x02\x01\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb4\x02\0\0\xb4\x02\0\0\
\x75\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x09\0\0\x04\x50\x01\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\x0a\0\0\0\x80\x08\0\0\x11\0\0\0\x0c\0\0\0\xc0\
\x08\0\0\x1b\0\0\0\x0f\0\0\0\xe0\x08\0\0\x23\0\0\0\x0a\0\0\0\0\x09\0\0\x2e\0\0\
\0\x0a\0\0\0\x40\x09\0\0\x37\0\0\0\x12\0\0\0\x80\x09\0\0\x42\0\0\0\x0a\0\0\0\0\
\x0a\0\0\x53\0\0\0\x0a\0\0\0\x40\x0a\0\0\0\0\0\0\x02\0\0\x05\x10\x01\0\0\x5c\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x66\0\0\0\x04\0\0\x04\x10\x01\
\0\0\x73\0\0\0\x07\0\0\0\0\0\0\0\x78\0\0\0\x05\0\0\0\xc0\x07\0\0\x7b\0\0\0\x05\
\0\0\0\0\x08\0\0\x7e\0\0\0\x05\0\0\0\x40\x08\0\0\x85\0\0\0\0\0\0\x08\x06\0\0\0\
\x8b\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\
\x08\0\0\0\x1f\0\0\0\x9e\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\
\x04\x10\x01\0\0\x73\0\0\0\x0b\0\0\0\0\0\0\0\x78\0\0\0\x0a\0\0\0\xc0\x07\0\0\
\x7b\0\0\0\x0a\0\0\0\0\x08\0\0\x7e\0\0\0\x0a\0\0\0\x40\x08\0\0\xb2\0\0\0\0\0\0\
\x08\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1f\0\0\0\xb6\0\0\
\0\0\0\0\x08\x0d\0\0\0\xba\0\0\0\0\0\0\x08\x0e\0\0\0\xc0\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\xc4\0\0\0\0\0\0\x08\x10\0\0\0\xc8\0\0\0\0\0\0\x08\x11\0\0\0\
\xce\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\
\x08\0\0\0\x02\0\0\0\0\0\0\0\x01\0\0\x0d\x0e\0\0\0\xdb\0\0\0\x01\0\0\0\xdf\0\0\
\0\x01\0\0\x0c\x13\0\0\0\xe5\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x15\0\0\0\x08\0\0\0\x04\0\0\0\xea\0\0\0\0\0\0\x0e\x16\0\0\0\x01\
\0\0\0\xf3\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\x01\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\x0e\x01\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\x3c\x02\0\0\x01\0\0\x0f\
\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x44\x02\0\0\x02\0\0\x0f\x10\0\0\0\x18\0\
\0\0\0\0\0\0\x08\0\0\0\x1a\0\0\0\x08\0\0\0\x08\0\0\0\0\x70\x74\x5f\x72\x65\x67\
\x73\0\x6f\x72\x69\x67\x5f\x78\x30\0\x73\x79\x73\x63\x61\x6c\x6c\x6e\x6f\0\x75\
\x6e\x75\x73\x65\x64\x32\0\x73\x64\x65\x69\x5f\x74\x74\x62\x72\x31\0\x70\x6d\
\x72\x5f\x73\x61\x76\x65\0\x73\x74\x61\x63\x6b\x66\x72\x61\x6d\x65\0\x6c\x6f\
\x63\x6b\x64\x65\x70\x5f\x68\x61\x72\x64\x69\x72\x71\x73\0\x65\x78\x69\x74\x5f\
\x72\x63\x75\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\
\x74\x5f\x72\x65\x67\x73\0\x72\x65\x67\x73\0\x73\x70\0\x70\x63\0\x70\x73\x74\
\x61\x74\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x36\x34\0\x73\x33\x32\0\x5f\x5f\x73\x33\
\x32\0\x69\x6e\x74\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x74\x65\x73\x74\x31\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\
\x75\x6c\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x75\x70\
\x72\x6f\x62\x65\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x62\x6f\x64\x79\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\
\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x69\x70\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x74\x65\x73\x74\x2e\x63\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x64\x64\
\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x69\x70\
\x28\x63\x74\x78\x29\x3b\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x29\x20\x61\
\x64\x64\x72\x20\x3d\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\
\x2a\x29\x20\x75\x70\x72\x6f\x62\x65\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x62\
\x6f\x64\x79\x20\x2b\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\
\x4f\x42\x45\x28\x74\x65\x73\x74\x31\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x74\x72\x69\x67\x67\x65\
\x72\x5f\x62\x6f\x64\x79\x2b\x31\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\x49\x02\0\0\x01\0\
\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x49\x02\0\0\x06\0\0\0\0\0\0\0\x22\x01\0\0\xb3\
\x01\0\0\x0f\x38\0\0\x08\0\0\0\x22\x01\0\0\xd7\x01\0\0\x37\x40\0\0\x20\0\0\0\
\x22\x01\0\0\xd7\x01\0\0\x4b\x40\0\0\x30\0\0\0\x22\x01\0\0\xd7\x01\0\0\x25\x40\
\0\0\x40\0\0\0\x22\x01\0\0\xd7\x01\0\0\x0f\x40\0\0\x58\0\0\0\x22\x01\0\0\x26\
\x02\0\0\x05\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd9\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x48\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x45\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcb\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x41\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x07\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct get_func_ip_uprobe_test *get_func_ip_uprobe_test::open(const struct bpf_object_open_opts *opts) { return get_func_ip_uprobe_test__open_opts(opts); }
struct get_func_ip_uprobe_test *get_func_ip_uprobe_test::open_and_load() { return get_func_ip_uprobe_test__open_and_load(); }
int get_func_ip_uprobe_test::load(struct get_func_ip_uprobe_test *skel) { return get_func_ip_uprobe_test__load(skel); }
int get_func_ip_uprobe_test::attach(struct get_func_ip_uprobe_test *skel) { return get_func_ip_uprobe_test__attach(skel); }
void get_func_ip_uprobe_test::detach(struct get_func_ip_uprobe_test *skel) { get_func_ip_uprobe_test__detach(skel); }
void get_func_ip_uprobe_test::destroy(struct get_func_ip_uprobe_test *skel) { get_func_ip_uprobe_test__destroy(skel); }
const void *get_func_ip_uprobe_test::elf_bytes(size_t *sz) { return get_func_ip_uprobe_test__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
get_func_ip_uprobe_test__assert(struct get_func_ip_uprobe_test *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->uprobe_trigger_body) == 8, "unexpected size of 'uprobe_trigger_body'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __GET_FUNC_IP_UPROBE_TEST_SKEL_H__ */
