/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KPROBE_MULTI_OVERRIDE_SKEL_H__
#define __KPROBE_MULTI_OVERRIDE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kprobe_multi_override {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test_override;
	} progs;
	struct {
		struct bpf_link *test_override;
	} links;

#ifdef __cplusplus
	static inline struct kprobe_multi_override *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kprobe_multi_override *open_and_load();
	static inline int load(struct kprobe_multi_override *skel);
	static inline int attach(struct kprobe_multi_override *skel);
	static inline void detach(struct kprobe_multi_override *skel);
	static inline void destroy(struct kprobe_multi_override *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kprobe_multi_override__destroy(struct kprobe_multi_override *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kprobe_multi_override__create_skeleton(struct kprobe_multi_override *obj);

static inline struct kprobe_multi_override *
kprobe_multi_override__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kprobe_multi_override *obj;
	int err;

	obj = (struct kprobe_multi_override *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kprobe_multi_override__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kprobe_multi_override__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kprobe_multi_override *
kprobe_multi_override__open(void)
{
	return kprobe_multi_override__open_opts(NULL);
}

static inline int
kprobe_multi_override__load(struct kprobe_multi_override *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kprobe_multi_override *
kprobe_multi_override__open_and_load(void)
{
	struct kprobe_multi_override *obj;
	int err;

	obj = kprobe_multi_override__open();
	if (!obj)
		return NULL;
	err = kprobe_multi_override__load(obj);
	if (err) {
		kprobe_multi_override__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kprobe_multi_override__attach(struct kprobe_multi_override *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kprobe_multi_override__detach(struct kprobe_multi_override *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kprobe_multi_override__elf_bytes(size_t *sz);

static inline int
kprobe_multi_override__create_skeleton(struct kprobe_multi_override *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kprobe_multi_override";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_override";
	s->progs[0].prog = &obj->progs.test_override;
	s->progs[0].link = &obj->links.test_override;

	s->data = kprobe_multi_override__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kprobe_multi_override__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\
\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x6f\x76\x65\x72\x72\x69\x64\
\x65\x2e\x63\0\x74\x65\x73\x74\x5f\x6f\x76\x65\x72\x72\x69\x64\x65\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x02\0\0\x7b\0\0\0\x85\0\0\0\
\x3a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\xa8\0\0\0\xa8\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\x02\x02\
\0\0\0\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\
\0\0\0\x0d\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\
\0\x1f\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\
\0\x08\0\0\0\x04\0\0\0\x24\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x38\0\0\0\0\0\0\
\x0e\x07\0\0\0\x01\0\0\0\xfb\0\0\0\x01\0\0\x0f\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\
\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\
\x74\x5f\x6f\x76\x65\x72\x72\x69\x64\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\
\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x6f\x76\x65\x72\x72\x69\x64\x65\x2e\x63\0\x09\x62\x70\x66\x5f\x6f\
\x76\x65\x72\x72\x69\x64\x65\x5f\x72\x65\x74\x75\x72\x6e\x28\x63\x74\x78\x2c\
\x20\x31\x32\x33\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\0\0\0\x40\0\0\0\0\0\0\0\
\x08\0\0\0\x03\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x03\x01\0\0\x02\0\
\0\0\0\0\0\0\x41\0\0\0\xd0\0\0\0\x02\x2c\0\0\x10\0\0\0\x41\0\0\0\xf0\0\0\0\x02\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x63\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x55\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\xd0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct kprobe_multi_override *kprobe_multi_override::open(const struct bpf_object_open_opts *opts) { return kprobe_multi_override__open_opts(opts); }
struct kprobe_multi_override *kprobe_multi_override::open_and_load() { return kprobe_multi_override__open_and_load(); }
int kprobe_multi_override::load(struct kprobe_multi_override *skel) { return kprobe_multi_override__load(skel); }
int kprobe_multi_override::attach(struct kprobe_multi_override *skel) { return kprobe_multi_override__attach(skel); }
void kprobe_multi_override::detach(struct kprobe_multi_override *skel) { kprobe_multi_override__detach(skel); }
void kprobe_multi_override::destroy(struct kprobe_multi_override *skel) { kprobe_multi_override__destroy(skel); }
const void *kprobe_multi_override::elf_bytes(size_t *sz) { return kprobe_multi_override__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kprobe_multi_override__assert(struct kprobe_multi_override *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KPROBE_MULTI_OVERRIDE_SKEL_H__ */
