/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __NETNS_COOKIE_PROG_SKEL_H__
#define __NETNS_COOKIE_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct netns_cookie_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sockops_netns_cookies;
		struct bpf_map *sock_map;
		struct bpf_map *sk_msg_netns_cookies;
	} maps;
	struct {
		struct bpf_program *get_netns_cookie_sockops;
		struct bpf_program *get_netns_cookie_sk_msg;
	} progs;
	struct {
		struct bpf_link *get_netns_cookie_sockops;
		struct bpf_link *get_netns_cookie_sk_msg;
	} links;

#ifdef __cplusplus
	static inline struct netns_cookie_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct netns_cookie_prog *open_and_load();
	static inline int load(struct netns_cookie_prog *skel);
	static inline int attach(struct netns_cookie_prog *skel);
	static inline void detach(struct netns_cookie_prog *skel);
	static inline void destroy(struct netns_cookie_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
netns_cookie_prog__destroy(struct netns_cookie_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
netns_cookie_prog__create_skeleton(struct netns_cookie_prog *obj);

static inline struct netns_cookie_prog *
netns_cookie_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct netns_cookie_prog *obj;
	int err;

	obj = (struct netns_cookie_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = netns_cookie_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	netns_cookie_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct netns_cookie_prog *
netns_cookie_prog__open(void)
{
	return netns_cookie_prog__open_opts(NULL);
}

static inline int
netns_cookie_prog__load(struct netns_cookie_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct netns_cookie_prog *
netns_cookie_prog__open_and_load(void)
{
	struct netns_cookie_prog *obj;
	int err;

	obj = netns_cookie_prog__open();
	if (!obj)
		return NULL;
	err = netns_cookie_prog__load(obj);
	if (err) {
		netns_cookie_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
netns_cookie_prog__attach(struct netns_cookie_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
netns_cookie_prog__detach(struct netns_cookie_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *netns_cookie_prog__elf_bytes(size_t *sz);

static inline int
netns_cookie_prog__create_skeleton(struct netns_cookie_prog *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "netns_cookie_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "sockops_netns_cookies";
	s->maps[0].map = &obj->maps.sockops_netns_cookies;

	s->maps[1].name = "sock_map";
	s->maps[1].map = &obj->maps.sock_map;

	s->maps[2].name = "sk_msg_netns_cookies";
	s->maps[2].map = &obj->maps.sk_msg_netns_cookies;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "get_netns_cookie_sockops";
	s->progs[0].prog = &obj->progs.get_netns_cookie_sockops;
	s->progs[0].link = &obj->links.get_netns_cookie_sockops;

	s->progs[1].name = "get_netns_cookie_sk_msg";
	s->progs[1].prog = &obj->progs.get_netns_cookie_sk_msg;
	s->progs[1].link = &obj->links.get_netns_cookie_sk_msg;

	s->data = netns_cookie_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *netns_cookie_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x6f\x70\x73\0\x73\x6b\x5f\x6d\x73\x67\0\x2e\x6d\x61\x70\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x70\
\x72\x6f\x67\x2e\x63\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x36\0\x4c\
\x42\x42\x31\x5f\x34\0\x67\x65\x74\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\
\x69\x65\x5f\x73\x6f\x63\x6b\x6f\x70\x73\0\x73\x6f\x63\x6b\x6f\x70\x73\x5f\x6e\
\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x73\0\x73\x6f\x63\x6b\x5f\x6d\x61\
\x70\0\x67\x65\x74\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x73\
\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x6d\x73\x67\x5f\x6e\x65\x74\x6e\x73\x5f\x63\
\x6f\x6f\x6b\x69\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x73\x6f\x63\x6b\x6f\x70\x73\0\x2e\x72\x65\x6c\x73\x6b\x5f\x6d\x73\x67\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\0\0\x03\
\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\
\x04\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\xe8\0\0\0\0\0\0\0\x70\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x86\
\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8f\0\0\0\x12\0\x04\0\0\
\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\xbc\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\
\xb8\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x63\x3a\xfc\xff\0\0\0\0\x61\x13\x14\0\0\0\0\
\0\x55\x03\x16\0\x0a\0\0\0\x15\x02\x15\0\0\0\0\0\x61\x13\0\0\0\0\0\0\x15\x03\
\x0d\0\x04\0\0\0\x55\x03\x12\0\x03\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x6b\0\0\
\0\xbf\x61\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x09\0\0\0\0\0\x85\0\0\0\x7a\
\0\0\0\x63\x06\0\0\0\0\0\0\x05\0\x06\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\
\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\
\0\0\0\x35\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x79\
\x62\x48\0\0\0\0\0\x61\x61\x10\0\0\0\0\0\x55\x01\x0b\0\x0a\0\0\0\x15\x02\x0a\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\
\x01\0\0\0\x85\0\0\0\x6b\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x03\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x85\0\0\0\x7a\0\0\0\x63\x07\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\
\x28\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf8\x05\
\0\0\xf8\x05\0\0\x88\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\
\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\
\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\
\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\0\0\0\
\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x48\0\0\
\0\0\0\0\x08\x10\0\0\0\x4e\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x12\0\0\0\x5b\0\0\0\0\0\0\x08\x13\0\0\0\x61\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x0a\0\0\0\0\0\0\0\x74\0\0\0\x0c\
\0\0\0\x40\0\0\0\x28\0\0\0\x0e\0\0\0\x80\0\0\0\x2c\0\0\0\x11\0\0\0\xc0\0\0\0\
\x80\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\x89\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x18\0\0\0\x9e\0\0\0\x29\0\0\x04\xe0\0\0\0\xab\0\0\0\x0f\0\
\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x20\0\0\0\xae\0\0\0\x0f\0\0\0\xa0\0\0\0\xb5\0\0\
\0\x0f\0\0\0\xc0\0\0\0\xc0\0\0\0\x0f\0\0\0\xe0\0\0\0\xca\0\0\0\x1a\0\0\0\0\x01\
\0\0\xd5\0\0\0\x1a\0\0\0\x80\x01\0\0\xdf\0\0\0\x0f\0\0\0\0\x02\0\0\xeb\0\0\0\
\x0f\0\0\0\x20\x02\0\0\xf6\0\0\0\x0f\0\0\0\x40\x02\0\0\x02\x01\0\0\x0f\0\0\0\
\x60\x02\0\0\x0b\x01\0\0\x0f\0\0\0\x80\x02\0\0\x13\x01\0\0\x0f\0\0\0\xa0\x02\0\
\0\x29\x01\0\0\x0f\0\0\0\xc0\x02\0\0\x2f\x01\0\0\x0f\0\0\0\xe0\x02\0\0\x37\x01\
\0\0\x0f\0\0\0\0\x03\0\0\x44\x01\0\0\x0f\0\0\0\x20\x03\0\0\x4c\x01\0\0\x0f\0\0\
\0\x40\x03\0\0\x54\x01\0\0\x0f\0\0\0\x60\x03\0\0\x5c\x01\0\0\x0f\0\0\0\x80\x03\
\0\0\x66\x01\0\0\x0f\0\0\0\xa0\x03\0\0\x70\x01\0\0\x0f\0\0\0\xc0\x03\0\0\x7f\
\x01\0\0\x0f\0\0\0\xe0\x03\0\0\x90\x01\0\0\x0f\0\0\0\0\x04\0\0\x9c\x01\0\0\x0f\
\0\0\0\x20\x04\0\0\xa8\x01\0\0\x0f\0\0\0\x40\x04\0\0\xb6\x01\0\0\x0f\0\0\0\x60\
\x04\0\0\xbe\x01\0\0\x0f\0\0\0\x80\x04\0\0\xcb\x01\0\0\x0f\0\0\0\xa0\x04\0\0\
\xd4\x01\0\0\x0f\0\0\0\xc0\x04\0\0\xe2\x01\0\0\x0f\0\0\0\xe0\x04\0\0\xeb\x01\0\
\0\x0f\0\0\0\0\x05\0\0\xf6\x01\0\0\x0f\0\0\0\x20\x05\0\0\0\x02\0\0\x12\0\0\0\
\x40\x05\0\0\x0f\x02\0\0\x12\0\0\0\x80\x05\0\0\0\0\0\0\x1b\0\0\0\xc0\x05\0\0\0\
\0\0\0\x1d\0\0\0\0\x06\0\0\0\0\0\0\x1f\0\0\0\x40\x06\0\0\x1b\x02\0\0\x0f\0\0\0\
\x80\x06\0\0\x23\x02\0\0\x0f\0\0\0\xa0\x06\0\0\x31\x02\0\0\x12\0\0\0\xc0\x06\0\
\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x3e\x02\0\0\x1a\0\0\0\0\0\0\0\x43\x02\0\0\x0f\
\0\0\0\0\0\0\0\x49\x02\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0f\0\0\
\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x53\x02\0\0\x1c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x56\x02\0\0\x1e\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x5f\x02\
\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6c\x02\0\0\x17\0\0\0\x70\
\x02\0\0\x01\0\0\x0c\x20\0\0\0\0\0\0\0\0\0\0\x02\x23\0\0\0\x89\x02\0\0\x0b\0\0\
\x04\x50\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x40\0\0\0\xae\0\0\0\
\x0f\0\0\0\x80\0\0\0\xb5\0\0\0\x0f\0\0\0\xa0\0\0\0\xc0\0\0\0\x0f\0\0\0\xc0\0\0\
\0\xca\0\0\0\x1a\0\0\0\xe0\0\0\0\xd5\0\0\0\x1a\0\0\0\x60\x01\0\0\xdf\0\0\0\x0f\
\0\0\0\xe0\x01\0\0\xeb\0\0\0\x0f\0\0\0\0\x02\0\0\x93\x02\0\0\x0f\0\0\0\x20\x02\
\0\0\0\0\0\0\x1b\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x98\x02\0\0\
\x1e\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x9d\x02\0\0\x1e\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xa6\x02\0\0\x22\0\0\0\xaa\x02\0\0\x01\0\0\x0c\
\x26\0\0\0\xc2\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\x28\0\0\0\x04\0\0\0\x04\0\0\0\xc7\x02\0\0\0\0\0\x0e\x29\0\0\0\x01\0\0\0\xd0\
\x02\0\0\0\0\0\x07\0\0\0\0\x6b\x05\0\0\x03\0\0\x0f\x60\0\0\0\x09\0\0\0\0\0\0\0\
\x20\0\0\0\x15\0\0\0\x20\0\0\0\x20\0\0\0\x16\0\0\0\x40\0\0\0\x20\0\0\0\x71\x05\
\0\0\x01\0\0\x0f\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x73\x6f\x63\x6b\x6f\x70\x73\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\
\x69\x65\x73\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\x6b\x5f\x6d\x73\x67\x5f\x6e\x65\x74\x6e\
\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\
\x70\x73\0\x6f\x70\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x69\x73\x5f\
\x66\x75\x6c\x6c\x73\x6f\x63\x6b\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\0\x73\x72\
\x74\x74\x5f\x75\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\x63\
\x62\x5f\x66\x6c\x61\x67\x73\0\x73\x74\x61\x74\x65\0\x72\x74\x74\x5f\x6d\x69\
\x6e\0\x73\x6e\x64\x5f\x73\x73\x74\x68\x72\x65\x73\x68\0\x72\x63\x76\x5f\x6e\
\x78\x74\0\x73\x6e\x64\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x75\x6e\x61\0\x6d\x73\
\x73\x5f\x63\x61\x63\x68\x65\0\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\0\x72\x61\
\x74\x65\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\x64\0\x72\x61\x74\x65\x5f\x69\x6e\
\x74\x65\x72\x76\x61\x6c\x5f\x75\x73\0\x70\x61\x63\x6b\x65\x74\x73\x5f\x6f\x75\
\x74\0\x72\x65\x74\x72\x61\x6e\x73\x5f\x6f\x75\x74\0\x74\x6f\x74\x61\x6c\x5f\
\x72\x65\x74\x72\x61\x6e\x73\0\x73\x65\x67\x73\x5f\x69\x6e\0\x64\x61\x74\x61\
\x5f\x73\x65\x67\x73\x5f\x69\x6e\0\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x64\x61\
\x74\x61\x5f\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x6c\x6f\x73\x74\x5f\x6f\x75\x74\
\0\x73\x61\x63\x6b\x65\x64\x5f\x6f\x75\x74\0\x73\x6b\x5f\x74\x78\x68\x61\x73\
\x68\0\x62\x79\x74\x65\x73\x5f\x72\x65\x63\x65\x69\x76\x65\x64\0\x62\x79\x74\
\x65\x73\x5f\x61\x63\x6b\x65\x64\0\x73\x6b\x62\x5f\x6c\x65\x6e\0\x73\x6b\x62\
\x5f\x74\x63\x70\x5f\x66\x6c\x61\x67\x73\0\x73\x6b\x62\x5f\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x61\x72\x67\x73\0\x72\x65\x70\x6c\x79\0\x72\x65\x70\x6c\x79\x6c\
\x6f\x6e\x67\0\x73\x6b\0\x73\x6b\x62\x5f\x64\x61\x74\x61\0\x73\x6b\x62\x5f\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x63\x74\x78\0\x67\x65\x74\x5f\x6e\x65\x74\x6e\
\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x73\x6f\x63\x6b\x6f\x70\x73\0\x73\x6b\x5f\
\x6d\x73\x67\x5f\x6d\x64\0\x73\x69\x7a\x65\0\x64\x61\x74\x61\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6d\x73\x67\0\x67\x65\x74\x5f\x6e\x65\x74\x6e\x73\x5f\x63\
\x6f\x6f\x6b\x69\x65\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\
\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\
\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x70\x72\x6f\x67\x2e\
\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x20\x2a\
\x73\x6b\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x6b\x3b\0\x09\x5f\x5f\x75\x33\x32\
\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\
\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\0\
\x09\x73\x77\x69\x74\x63\x68\x20\x28\x63\x74\x78\x2d\x3e\x6f\x70\x29\x20\x7b\0\
\x09\x09\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\
\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\x6f\x63\x6b\x6f\x70\x73\
\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x73\x2c\x20\x73\x6b\x2c\
\x20\x30\x2c\0\x09\x09\x69\x66\x20\x28\x21\x63\x6f\x6f\x6b\x69\x65\x29\0\x09\
\x09\x2a\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x3b\0\x09\
\x09\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x28\x63\x74\x78\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\
\x6b\x65\x79\x2c\x20\x42\x50\x46\x5f\x4e\x4f\x45\x58\x49\x53\x54\x29\x3b\0\x7d\
\0\x69\x6e\x74\x20\x67\x65\x74\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\
\x65\x5f\x73\x6b\x5f\x6d\x73\x67\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\
\x6d\x73\x67\x5f\x6d\x64\x20\x2a\x6d\x73\x67\x29\0\x09\x73\x74\x72\x75\x63\x74\
\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x20\x3d\x20\x6d\x73\x67\
\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\x28\x6d\x73\x67\x2d\x3e\x66\x61\x6d\x69\
\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\0\x09\x63\x6f\x6f\
\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x67\x65\x74\x28\x26\x73\x6b\x5f\x6d\x73\x67\x5f\x6e\x65\x74\x6e\x73\
\x5f\x63\x6f\x6f\x6b\x69\x65\x73\x2c\x20\x73\x6b\x2c\x20\x30\x2c\0\x09\x69\x66\
\x20\x28\x21\x63\x6f\x6f\x6b\x69\x65\x29\0\x09\x2a\x63\x6f\x6f\x6b\x69\x65\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x65\x74\x6e\x73\x5f\x63\x6f\x6f\
\x6b\x69\x65\x28\x6d\x73\x67\x29\x3b\0\x30\x3a\x33\x35\x3a\x30\0\x30\x3a\x32\0\
\x30\x3a\x30\0\x30\x3a\x31\x30\x3a\x30\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x73\x6f\x63\x6b\x6f\x70\x73\0\x73\x6b\x5f\x6d\x73\x67\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x64\x01\0\0\x88\x01\0\0\x64\0\0\0\
\x08\0\0\0\x79\x05\0\0\x01\0\0\0\0\0\0\0\x21\0\0\0\x81\x05\0\0\x01\0\0\0\0\0\0\
\0\x27\0\0\0\x10\0\0\0\x79\x05\0\0\x0c\0\0\0\0\0\0\0\xd9\x02\0\0\x64\x03\0\0\
\x1d\x84\0\0\x10\0\0\0\xd9\x02\0\0\x84\x03\0\0\x08\x8c\0\0\x18\0\0\0\xd9\x02\0\
\0\x94\x03\0\0\x0b\x94\0\0\x20\0\0\0\xd9\x02\0\0\x94\x03\0\0\x06\x94\0\0\x30\0\
\0\0\xd9\x02\0\0\xb2\x03\0\0\x0f\xac\0\0\x38\0\0\0\xd9\x02\0\0\xb2\x03\0\0\x02\
\xac\0\0\x50\0\0\0\xd9\x02\0\0\xc6\x03\0\0\x0c\xb4\0\0\x88\0\0\0\xd9\x02\0\0\
\x03\x04\0\0\x07\xbc\0\0\x90\0\0\0\xd9\x02\0\0\x12\x04\0\0\x0d\xc8\0\0\x98\0\0\
\0\xd9\x02\0\0\x12\x04\0\0\x0b\xc8\0\0\xb0\0\0\0\xd9\x02\0\0\x39\x04\0\0\x03\
\xd4\0\0\xd8\0\0\0\xd9\x02\0\0\x73\x04\0\0\x01\xf0\0\0\x81\x05\0\0\x09\0\0\0\0\
\0\0\0\xd9\x02\0\0\x75\x04\0\0\0\xfc\0\0\x08\0\0\0\xd9\x02\0\0\xa8\x04\0\0\x1d\
\x04\x01\0\x10\0\0\0\xd9\x02\0\0\xc8\x04\0\0\x0b\x10\x01\0\x18\0\0\0\xd9\x02\0\
\0\xc8\x04\0\0\x06\x10\x01\0\x28\0\0\0\xd9\x02\0\0\xe6\x04\0\0\x0b\x28\x01\0\
\x58\0\0\0\xd9\x02\0\0\x21\x05\0\0\x06\x30\x01\0\x60\0\0\0\xd9\x02\0\0\x2f\x05\
\0\0\x0c\x3c\x01\0\x70\0\0\0\xd9\x02\0\0\x2f\x05\0\0\x0a\x3c\x01\0\x78\0\0\0\
\xd9\x02\0\0\x73\x04\0\0\x01\x48\x01\0\x10\0\0\0\x79\x05\0\0\x03\0\0\0\0\0\0\0\
\x18\0\0\0\x55\x05\0\0\0\0\0\0\x18\0\0\0\x18\0\0\0\x5c\x05\0\0\0\0\0\0\x30\0\0\
\0\x18\0\0\0\x60\x05\0\0\0\0\0\0\x81\x05\0\0\x02\0\0\0\x08\0\0\0\x23\0\0\0\x64\
\x05\0\0\0\0\0\0\x10\0\0\0\x23\0\0\0\x5c\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xea\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x01\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\
\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x19\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x88\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x60\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xdc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\
\x04\0\0\0\0\0\0\x98\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\
\0\x0c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct netns_cookie_prog *netns_cookie_prog::open(const struct bpf_object_open_opts *opts) { return netns_cookie_prog__open_opts(opts); }
struct netns_cookie_prog *netns_cookie_prog::open_and_load() { return netns_cookie_prog__open_and_load(); }
int netns_cookie_prog::load(struct netns_cookie_prog *skel) { return netns_cookie_prog__load(skel); }
int netns_cookie_prog::attach(struct netns_cookie_prog *skel) { return netns_cookie_prog__attach(skel); }
void netns_cookie_prog::detach(struct netns_cookie_prog *skel) { netns_cookie_prog__detach(skel); }
void netns_cookie_prog::destroy(struct netns_cookie_prog *skel) { netns_cookie_prog__destroy(skel); }
const void *netns_cookie_prog::elf_bytes(size_t *sz) { return netns_cookie_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
netns_cookie_prog__assert(struct netns_cookie_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __NETNS_COOKIE_PROG_SKEL_H__ */
