/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TASK_STORAGE_NODEADLOCK_SKEL_H__
#define __TASK_STORAGE_NODEADLOCK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct task_storage_nodeadlock {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task_storage;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *socket_post_create;
	} progs;
	struct {
		struct bpf_link *socket_post_create;
	} links;
	struct task_storage_nodeadlock__bss {
		int nr_get_errs;
		int nr_del_errs;
	} *bss;
	struct task_storage_nodeadlock__kconfig {
		bool CONFIG_PREEMPT;
	} *kconfig;

#ifdef __cplusplus
	static inline struct task_storage_nodeadlock *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct task_storage_nodeadlock *open_and_load();
	static inline int load(struct task_storage_nodeadlock *skel);
	static inline int attach(struct task_storage_nodeadlock *skel);
	static inline void detach(struct task_storage_nodeadlock *skel);
	static inline void destroy(struct task_storage_nodeadlock *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
task_storage_nodeadlock__destroy(struct task_storage_nodeadlock *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
task_storage_nodeadlock__create_skeleton(struct task_storage_nodeadlock *obj);

static inline struct task_storage_nodeadlock *
task_storage_nodeadlock__open_opts(const struct bpf_object_open_opts *opts)
{
	struct task_storage_nodeadlock *obj;
	int err;

	obj = (struct task_storage_nodeadlock *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = task_storage_nodeadlock__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	task_storage_nodeadlock__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct task_storage_nodeadlock *
task_storage_nodeadlock__open(void)
{
	return task_storage_nodeadlock__open_opts(NULL);
}

static inline int
task_storage_nodeadlock__load(struct task_storage_nodeadlock *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct task_storage_nodeadlock *
task_storage_nodeadlock__open_and_load(void)
{
	struct task_storage_nodeadlock *obj;
	int err;

	obj = task_storage_nodeadlock__open();
	if (!obj)
		return NULL;
	err = task_storage_nodeadlock__load(obj);
	if (err) {
		task_storage_nodeadlock__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
task_storage_nodeadlock__attach(struct task_storage_nodeadlock *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
task_storage_nodeadlock__detach(struct task_storage_nodeadlock *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *task_storage_nodeadlock__elf_bytes(size_t *sz);

static inline int
task_storage_nodeadlock__create_skeleton(struct task_storage_nodeadlock *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "task_storage_nodeadlock";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "task_storage";
	s->maps[0].map = &obj->maps.task_storage;

	s->maps[1].name = "task_sto.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	s->maps[2].name = "task_st.kconfig";
	s->maps[2].map = &obj->maps.kconfig;
	s->maps[2].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "socket_post_create";
	s->progs[0].prog = &obj->progs.socket_post_create;
	s->progs[0].link = &obj->links.socket_post_create;

	s->data = task_storage_nodeadlock__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *task_storage_nodeadlock__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2e\x73\x2f\x73\x6f\x63\x6b\x65\x74\x5f\x70\x6f\x73\x74\x5f\x63\x72\x65\
\x61\x74\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6e\x6f\x64\x65\x61\
\x64\x6c\x6f\x63\x6b\x2e\x63\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\
\x33\0\x73\x6f\x63\x6b\x65\x74\x5f\x70\x6f\x73\x74\x5f\x63\x72\x65\x61\x74\x65\
\0\x43\x4f\x4e\x46\x49\x47\x5f\x50\x52\x45\x45\x4d\x50\x54\0\x74\x61\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x6e\x72\x5f\x67\x65\x74\x5f\x65\x72\x72\x73\
\0\x6e\x72\x5f\x64\x65\x6c\x5f\x65\x72\x72\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\x73\x2f\x73\x6f\x63\x6b\x65\x74\x5f\x70\
\x6f\x73\x74\x5f\x63\x72\x65\x61\x74\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\0\0\x03\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5e\0\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x78\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x87\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x94\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\xac\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x71\x11\0\0\0\0\0\0\x15\x01\x1b\0\0\0\0\0\x85\0\0\0\x9e\0\0\0\xbf\xa3\0\0\0\
\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\xb7\x06\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\
\x55\0\x03\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x61\0\0\0\0\0\0\
\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\
\x85\0\0\0\x9d\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\xf0\
\xff\xff\xff\0\0\0\0\0\0\0\0\x5d\x10\x04\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x01\
\0\0\0\x07\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\
\0\0\x07\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\
\0\0\0\xec\x01\0\0\xec\x01\0\0\x0b\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x1d\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\
\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\
\0\x32\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x3f\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x52\0\0\0\x0a\0\
\0\0\x56\0\0\0\x01\0\0\x0c\x0c\0\0\0\x69\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\0\x6e\0\0\0\0\0\0\x0e\
\x0f\0\0\0\x01\0\0\0\x77\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x83\0\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\x8f\0\0\0\0\0\0\x08\x14\0\0\0\x94\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x04\x9a\0\0\0\0\0\0\x0e\x13\0\0\0\x02\0\0\0\xd6\x02\0\0\x01\0\0\
\x0f\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\xde\x02\0\0\x02\0\0\x0f\x08\0\0\0\
\x11\0\0\0\0\0\0\0\x04\0\0\0\x12\0\0\0\x04\0\0\0\x04\0\0\0\xe3\x02\0\0\x01\0\0\
\x0f\x20\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\xe9\x02\0\0\x01\0\0\x0f\0\0\0\0\x15\
\0\0\0\0\0\0\0\x01\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\
\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x74\x61\x73\x6b\x5f\
\x73\x74\x6f\x72\x61\x67\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x73\x6f\x63\x6b\x65\x74\x5f\x70\x6f\
\x73\x74\x5f\x63\x72\x65\x61\x74\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x6e\x72\x5f\x67\x65\x74\x5f\x65\x72\x72\x73\0\x6e\x72\x5f\x64\
\x65\x6c\x5f\x65\x72\x72\x73\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x43\x4f\
\x4e\x46\x49\x47\x5f\x50\x52\x45\x45\x4d\x50\x54\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x61\
\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6e\x6f\x64\x65\x61\x64\x6c\x6f\
\x63\x6b\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\
\x63\x6b\x65\x74\x5f\x70\x6f\x73\x74\x5f\x63\x72\x65\x61\x74\x65\x2c\x20\x73\
\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x65\x74\x20\x2a\x73\x6f\x63\x6b\x2c\
\x20\x69\x6e\x74\x20\x66\x61\x6d\x69\x6c\x79\x2c\x20\x69\x6e\x74\x20\x74\x79\
\x70\x65\x2c\0\x09\x69\x6e\x74\x20\x72\x65\x74\x2c\x20\x7a\x65\x72\x6f\x20\x3d\
\x20\x30\x3b\0\x09\x69\x66\x20\x28\x21\x43\x4f\x4e\x46\x49\x47\x5f\x50\x52\x45\
\x45\x4d\x50\x54\x29\0\x09\x74\x61\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\
\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\
\x29\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x74\x61\x73\x6b\x5f\
\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x74\x61\x73\x6b\x2c\x20\x26\x7a\x65\x72\
\x6f\x2c\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x75\x65\x29\0\x09\x09\x5f\x5f\
\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\
\x26\x6e\x72\x5f\x67\x65\x74\x5f\x65\x72\x72\x73\x2c\x20\x31\x29\x3b\0\x09\x09\
\x09\x09\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x29\x3b\0\x09\x72\
\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x64\x65\x6c\x65\x74\x65\x28\x26\x74\x61\x73\x6b\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x2c\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3d\x3d\x20\x2d\x45\
\x42\x55\x53\x59\x29\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x6e\x72\x5f\x64\x65\x6c\x5f\x65\x72\
\x72\x73\x2c\x20\x31\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x6c\x73\x6d\x2e\x73\
\x2f\x73\x6f\x63\x6b\x65\x74\x5f\x70\x6f\x73\x74\x5f\x63\x72\x65\x61\x74\x65\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\0\0\0\0\
\0\0\x08\0\0\0\xf2\x02\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\xf2\x02\0\0\
\x0e\0\0\0\0\0\0\0\xa9\0\0\0\x3a\x01\0\0\0\x64\0\0\x08\0\0\0\xa9\0\0\0\x86\x01\
\0\0\x0b\x74\0\0\x10\0\0\0\xa9\0\0\0\x9a\x01\0\0\x07\x80\0\0\x28\0\0\0\xa9\0\0\
\0\x9a\x01\0\0\x06\x80\0\0\x30\0\0\0\xa9\0\0\0\xb0\x01\0\0\x09\x8c\0\0\x50\0\0\
\0\xa9\0\0\0\xd4\x01\0\0\x0a\x90\0\0\x78\0\0\0\xa9\0\0\0\x0e\x02\0\0\x06\x98\0\
\0\x80\0\0\0\xa9\0\0\0\x1b\x02\0\0\x03\x9c\0\0\x98\0\0\0\xa9\0\0\0\x44\x02\0\0\
\x0b\xa8\0\0\xa0\0\0\0\xa9\0\0\0\x6b\x02\0\0\x08\xa4\0\0\xc0\0\0\0\xa9\0\0\0\
\x99\x02\0\0\x0a\xac\0\0\xe0\0\0\0\xa9\0\0\0\x99\x02\0\0\x06\xac\0\0\xf0\0\0\0\
\xa9\0\0\0\xad\x02\0\0\x03\xb0\0\0\x08\x01\0\0\xa9\0\0\0\x3a\x01\0\0\x05\x64\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x02\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x32\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\x03\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb8\x03\0\0\0\0\0\0\x0f\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc8\x08\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct task_storage_nodeadlock *task_storage_nodeadlock::open(const struct bpf_object_open_opts *opts) { return task_storage_nodeadlock__open_opts(opts); }
struct task_storage_nodeadlock *task_storage_nodeadlock::open_and_load() { return task_storage_nodeadlock__open_and_load(); }
int task_storage_nodeadlock::load(struct task_storage_nodeadlock *skel) { return task_storage_nodeadlock__load(skel); }
int task_storage_nodeadlock::attach(struct task_storage_nodeadlock *skel) { return task_storage_nodeadlock__attach(skel); }
void task_storage_nodeadlock::detach(struct task_storage_nodeadlock *skel) { task_storage_nodeadlock__detach(skel); }
void task_storage_nodeadlock::destroy(struct task_storage_nodeadlock *skel) { task_storage_nodeadlock__destroy(skel); }
const void *task_storage_nodeadlock::elf_bytes(size_t *sz) { return task_storage_nodeadlock__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
task_storage_nodeadlock__assert(struct task_storage_nodeadlock *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_get_errs) == 4, "unexpected size of 'nr_get_errs'");
	_Static_assert(sizeof(s->bss->nr_del_errs) == 4, "unexpected size of 'nr_del_errs'");
	_Static_assert(sizeof(s->kconfig->CONFIG_PREEMPT) == 1, "unexpected size of 'CONFIG_PREEMPT'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TASK_STORAGE_NODEADLOCK_SKEL_H__ */
