/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__
#define __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_global_func_ctx_args {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *kprobe_typedef_ctx;
		struct bpf_program *kprobe_resolved_ctx;
		struct bpf_program *kprobe_workaround_ctx;
		struct bpf_program *arg_tag_ctx_kprobe;
		struct bpf_program *raw_tp_ctx;
		struct bpf_program *raw_tp_writable_ctx;
		struct bpf_program *arg_tag_ctx_raw_tp;
		struct bpf_program *perf_event_ctx;
		struct bpf_program *arg_tag_ctx_perf;
	} progs;
	struct {
		struct bpf_link *kprobe_typedef_ctx;
		struct bpf_link *kprobe_resolved_ctx;
		struct bpf_link *kprobe_workaround_ctx;
		struct bpf_link *arg_tag_ctx_kprobe;
		struct bpf_link *raw_tp_ctx;
		struct bpf_link *raw_tp_writable_ctx;
		struct bpf_link *arg_tag_ctx_raw_tp;
		struct bpf_link *perf_event_ctx;
		struct bpf_link *arg_tag_ctx_perf;
	} links;

#ifdef __cplusplus
	static inline struct test_global_func_ctx_args *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_func_ctx_args *open_and_load();
	static inline int load(struct test_global_func_ctx_args *skel);
	static inline int attach(struct test_global_func_ctx_args *skel);
	static inline void detach(struct test_global_func_ctx_args *skel);
	static inline void destroy(struct test_global_func_ctx_args *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_func_ctx_args__destroy(struct test_global_func_ctx_args *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func_ctx_args__create_skeleton(struct test_global_func_ctx_args *obj);

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func_ctx_args *obj;
	int err;

	obj = (struct test_global_func_ctx_args *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_func_ctx_args__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_global_func_ctx_args__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open(void)
{
	return test_global_func_ctx_args__open_opts(NULL);
}

static inline int
test_global_func_ctx_args__load(struct test_global_func_ctx_args *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open_and_load(void)
{
	struct test_global_func_ctx_args *obj;
	int err;

	obj = test_global_func_ctx_args__open();
	if (!obj)
		return NULL;
	err = test_global_func_ctx_args__load(obj);
	if (err) {
		test_global_func_ctx_args__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_func_ctx_args__attach(struct test_global_func_ctx_args *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func_ctx_args__detach(struct test_global_func_ctx_args *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_func_ctx_args__elf_bytes(size_t *sz);

static inline int
test_global_func_ctx_args__create_skeleton(struct test_global_func_ctx_args *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_func_ctx_args";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_glo.bss";
	s->maps[0].map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 9;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kprobe_typedef_ctx";
	s->progs[0].prog = &obj->progs.kprobe_typedef_ctx;
	s->progs[0].link = &obj->links.kprobe_typedef_ctx;

	s->progs[1].name = "kprobe_resolved_ctx";
	s->progs[1].prog = &obj->progs.kprobe_resolved_ctx;
	s->progs[1].link = &obj->links.kprobe_resolved_ctx;

	s->progs[2].name = "kprobe_workaround_ctx";
	s->progs[2].prog = &obj->progs.kprobe_workaround_ctx;
	s->progs[2].link = &obj->links.kprobe_workaround_ctx;

	s->progs[3].name = "arg_tag_ctx_kprobe";
	s->progs[3].prog = &obj->progs.arg_tag_ctx_kprobe;
	s->progs[3].link = &obj->links.arg_tag_ctx_kprobe;

	s->progs[4].name = "raw_tp_ctx";
	s->progs[4].prog = &obj->progs.raw_tp_ctx;
	s->progs[4].link = &obj->links.raw_tp_ctx;

	s->progs[5].name = "raw_tp_writable_ctx";
	s->progs[5].prog = &obj->progs.raw_tp_writable_ctx;
	s->progs[5].link = &obj->links.raw_tp_writable_ctx;

	s->progs[6].name = "arg_tag_ctx_raw_tp";
	s->progs[6].prog = &obj->progs.arg_tag_ctx_raw_tp;
	s->progs[6].link = &obj->links.arg_tag_ctx_raw_tp;

	s->progs[7].name = "perf_event_ctx";
	s->progs[7].prog = &obj->progs.perf_event_ctx;
	s->progs[7].link = &obj->links.perf_event_ctx;

	s->progs[8].name = "arg_tag_ctx_perf";
	s->progs[8].prog = &obj->progs.arg_tag_ctx_perf;
	s->progs[8].link = &obj->links.arg_tag_ctx_perf;

	s->data = test_global_func_ctx_args__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_func_ctx_args__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x3f\x6b\x70\x72\x6f\x62\x65\0\x3f\x72\x61\x77\x5f\x74\x70\0\x3f\
\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\
\x5f\x63\x74\x78\x5f\x61\x72\x67\x73\x2e\x63\0\x73\x74\x61\x63\x6b\0\x4c\x42\
\x42\x31\x33\x5f\x32\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\
\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\
\x74\x79\x70\x65\x64\x65\x66\x5f\x63\x74\x78\0\x6b\x70\x72\x6f\x62\x65\x5f\x73\
\x74\x72\x75\x63\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x73\x6f\x6c\x76\x65\x64\x5f\x63\x74\x78\0\x6b\x70\
\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\
\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\
\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\
\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\
\0\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\x74\x78\
\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\
\x61\x62\x6c\x65\x5f\x63\x74\x78\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x65\x72\x66\x5f\x65\x76\x65\
\x6e\x74\x5f\x63\x74\x78\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x74\x78\x5f\x74\
\x61\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x74\x78\
\x5f\x74\x61\x67\x73\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x72\x61\
\x77\x5f\x74\x70\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x70\x65\x72\
\x66\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x6b\x70\x72\x6f\x62\x65\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x3f\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\
\x74\x70\0\x2e\x72\x65\x6c\x3f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x01\0\x08\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\0\0\x03\0\xf8\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x22\0\
\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x85\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x98\0\0\0\x22\0\x03\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\xb2\0\0\0\x12\0\x04\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc6\0\0\0\x22\0\x03\
\0\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xe4\0\0\0\x12\0\x04\0\x20\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xfa\0\0\0\x22\0\x03\0\x90\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x0d\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x18\x01\0\0\x22\0\
\x03\0\xc0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x34\x01\0\0\x12\0\x05\0\x10\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x48\x01\0\0\x22\0\x03\0\xf0\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x5f\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6e\x01\0\0\
\x22\0\x03\0\x20\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x7e\x01\0\0\x22\0\x03\0\x50\
\x01\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x95\x01\0\0\x12\0\x05\0\x20\0\0\0\0\0\0\0\
\x68\0\0\0\0\0\0\0\xa8\x01\0\0\x12\0\x06\0\x10\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\
\xb9\x01\0\0\x12\0\x04\0\x30\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xcc\x01\0\0\x11\0\
\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\x36\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x07\x11\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x08\0\0\xb7\x04\0\0\0\0\
\0\0\x85\0\0\0\x43\0\0\0\xbf\x08\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x0f\x18\0\0\0\
\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\
\x08\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x80\0\
\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\x7b\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\
\x07\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\x61\0\0\0\
\0\0\0\xbf\x63\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x0f\x70\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\x7b\0\0\0\x63\
\x1a\xfc\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x07\0\
\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\xbf\x63\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x0f\x70\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\
\x01\0\0\x7b\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xbf\x07\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\
\xff\xbf\x61\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x0f\
\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\
\0\x08\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x10\0\0\0\0\0\0\0\x0a\0\0\0\
\x0b\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\
\x15\0\0\0\x80\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x0f\
\0\0\0\x10\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x15\0\
\0\0\x70\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\
\x30\0\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x78\x04\0\0\x78\x04\0\0\x66\x06\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x08\x03\0\0\0\x14\0\0\0\x04\0\0\x04\x10\x01\
\0\0\x21\0\0\0\x06\0\0\0\0\0\0\0\x26\0\0\0\x04\0\0\0\xc0\x07\0\0\x29\0\0\0\x04\
\0\0\0\0\x08\0\0\x2c\0\0\0\x04\0\0\0\x40\x08\0\0\x33\0\0\0\0\0\0\x08\x05\0\0\0\
\x39\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\0\0\
\x07\0\0\0\x1f\0\0\0\x4c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\
\x0d\x09\0\0\0\x60\0\0\0\x01\0\0\0\x64\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x68\0\0\0\x01\0\0\x0c\x08\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x09\0\0\0\x60\0\0\0\x0b\0\0\0\x83\0\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\
\x11\x0d\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x0a\
\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x60\0\0\0\x0f\0\0\0\xb2\0\0\0\x01\0\0\
\x0c\x11\0\0\0\xcc\0\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\x11\x13\0\0\0\
\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\x16\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\x01\0\0\x0d\x09\0\0\0\x60\0\0\0\x15\0\0\0\xe0\0\0\0\x01\0\0\x0c\x17\0\0\0\
\xfe\0\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\
\0\0\0\0\0\0\0\x02\x1c\0\0\0\x14\x01\0\0\x01\0\0\x04\0\0\0\0\x2c\x01\0\0\x1d\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x09\0\0\0\x60\0\0\0\x1b\0\0\0\x31\x01\0\0\x01\0\0\x0c\x1e\0\0\0\x44\
\x01\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\
\x4f\x01\0\0\x01\0\0\x0c\x1e\0\0\0\x6b\x01\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\
\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\x26\0\0\0\x7f\x01\0\0\
\x03\0\0\x04\x20\x01\0\0\x21\0\0\0\x02\0\0\0\0\0\0\0\x93\x01\0\0\x04\0\0\0\x80\
\x08\0\0\xa1\x01\0\0\x04\0\0\0\xc0\x08\0\0\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x60\0\
\0\0\x25\0\0\0\xa6\x01\0\0\x01\0\0\x0c\x27\0\0\0\xbd\x01\0\0\x01\0\0\x0c\x0c\0\
\0\0\x96\0\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\xcc\x01\0\0\x01\0\0\x0c\x0c\
\0\0\0\xdc\x01\0\0\0\0\0\x11\x2b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2e\0\0\0\xe4\
\x01\0\0\x01\0\0\x04\x04\0\0\0\xee\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x0d\x09\0\0\0\xf0\x01\0\0\x0b\0\0\0\xf5\x01\0\0\x2d\0\0\0\xf9\x01\0\0\x0b\0\0\
\0\xfe\x01\0\0\x01\0\0\x0c\x2f\0\0\0\xdc\x01\0\0\0\0\0\x11\x30\0\0\0\0\0\0\0\
\xdc\x01\0\0\0\0\0\x11\x30\0\0\0\x02\0\0\0\x15\x02\0\0\x01\0\0\x0c\x0c\0\0\0\
\x96\0\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\x28\x02\0\0\0\0\0\x11\x33\0\0\0\
\xff\xff\xff\xff\x41\x02\0\0\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\x11\x36\0\0\
\0\xff\xff\xff\xff\x28\x02\0\0\0\0\0\x11\x36\0\0\0\xff\xff\xff\xff\x52\x02\0\0\
\x01\0\0\x0c\x0c\0\0\0\x96\0\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x28\x02\0\
\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x65\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3c\0\0\0\x07\0\0\0\x04\0\0\0\x6a\x02\0\0\0\0\0\
\x0e\x3d\0\0\0\x01\0\0\0\x73\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x3f\0\0\0\x07\0\0\0\0\x01\0\0\x78\x02\0\0\0\0\0\x0e\x40\0\0\0\
\0\0\0\0\x37\x06\0\0\x01\0\0\x0f\x04\0\0\0\x3e\0\0\0\0\0\0\0\x04\0\0\0\x3f\x06\
\0\0\x01\0\0\x0f\0\x08\0\0\x41\0\0\0\0\0\0\0\0\x08\0\0\0\x62\x70\x66\x5f\x75\
\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\x5f\x74\0\x75\x73\x65\x72\x5f\x70\
\x74\x5f\x72\x65\x67\x73\0\x72\x65\x67\x73\0\x73\x70\0\x70\x63\0\x70\x73\x74\
\x61\x74\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\x74\x78\0\x69\x6e\x74\0\x6b\x70\x72\x6f\
\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\
\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x63\
\x74\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x6b\x70\x72\x6f\x62\x65\x5f\x73\x74\
\x72\x75\x63\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x73\x6f\x6c\x76\x65\x64\x5f\x63\x74\x78\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\x5f\
\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\
\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\0\x61\x72\x67\x73\0\x72\
\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\
\x77\x5f\x74\x70\x5f\x63\x74\x78\0\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\
\x61\x62\x6c\x65\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\x77\
\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\x74\x78\0\x62\x70\x66\
\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x64\x61\x74\x61\0\x73\x61\x6d\
\x70\x6c\x65\x5f\x70\x65\x72\x69\x6f\x64\0\x61\x64\x64\x72\0\x70\x65\x72\x66\
\x5f\x65\x76\x65\x6e\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x63\x74\x78\0\x73\x75\x62\x70\x72\x6f\
\x67\x5f\x63\x74\x78\x5f\x74\x61\x67\0\x61\x72\x67\x3a\x63\x74\x78\0\x6d\x79\
\x5f\x73\x74\x72\x75\x63\x74\0\x78\0\x63\x74\x78\x31\0\x6d\x65\x6d\0\x63\x74\
\x78\x32\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x74\x78\
\x5f\x74\x61\x67\x73\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x72\x61\
\x77\x5f\x74\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\
\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\
\x78\x5f\x70\x65\x72\x66\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x6b\
\x70\x72\x6f\x62\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\
\x6f\x6e\x67\0\x73\x74\x61\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\
\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\
\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x5f\x63\x74\x78\x5f\x61\x72\x67\
\x73\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\x26\x73\x74\x61\x63\x6b\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x28\x28\x76\x6f\x69\x64\x20\x2a\x29\x63\x74\x78\x2c\x20\x26\x73\x74\x61\
\x63\x6b\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\
\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x5f\x5f\
\x77\x65\x61\x6b\x20\x69\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\
\x6c\x74\x69\x5f\x63\x74\x78\x5f\x74\x61\x67\x73\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x31\x20\x5f\x5f\x61\x72\x67\x5f\x63\x74\x78\x2c\0\x09\x69\x66\x20\
\x28\x21\x6d\x65\x6d\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x31\x2c\x20\x73\x74\x61\x63\
\x6b\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\
\x29\x20\x2b\0\x09\x20\x20\x20\x20\x20\x20\x20\x6d\x65\x6d\x2d\x3e\x78\x20\x2b\
\0\x09\x20\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\
\x63\x6b\x28\x63\x74\x78\x32\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x7d\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\
\x66\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x6b\x70\x72\x6f\x62\x65\x5f\x73\x74\x72\x75\
\x63\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\
\x6b\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\
\x28\x63\x74\x78\x29\x3b\0\x69\x6e\x74\x20\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\
\x74\x78\x5f\x6b\x70\x72\x6f\x62\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x6d\x79\x5f\x73\x74\x72\x75\x63\x74\x20\
\x78\x20\x3d\x20\x7b\x20\x2e\x78\x20\x3d\x20\x31\x32\x33\x20\x7d\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x74\x78\x5f\x74\
\x61\x67\x28\x63\x74\x78\x29\x20\x2b\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\
\x75\x6c\x74\x69\x5f\x63\x74\x78\x5f\x74\x61\x67\x73\x28\x63\x74\x78\x2c\x20\
\x26\x78\x2c\x20\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x61\
\x77\x5f\x74\x70\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\
\x78\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x61\x77\x5f\x74\x70\x5f\x77\
\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\
\x28\x63\x74\x78\x29\x3b\0\x69\x6e\x74\x20\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\
\x74\x78\x5f\x72\x61\x77\x5f\x74\x70\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\
\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x69\
\x6e\x74\x20\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x70\x65\x72\x66\
\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x2e\x74\x65\x78\x74\0\x3f\x6b\x70\x72\x6f\x62\x65\0\x3f\x72\
\x61\x77\x5f\x74\x70\0\x3f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\xac\0\0\0\xac\0\0\0\x94\x03\0\0\x40\x04\0\0\0\0\0\
\0\x08\0\0\0\x44\x06\0\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x30\0\0\0\x12\0\0\0\x60\0\
\0\0\x18\0\0\0\x90\0\0\0\x1f\0\0\0\xc0\0\0\0\x22\0\0\0\xf0\0\0\0\x28\0\0\0\x20\
\x01\0\0\x2b\0\0\0\x50\x01\0\0\x30\0\0\0\x4a\x06\0\0\x04\0\0\0\0\0\0\0\x0d\0\0\
\0\x10\0\0\0\x13\0\0\0\x20\0\0\0\x19\0\0\0\x30\0\0\0\x39\0\0\0\x52\x06\0\0\x03\
\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\x23\0\0\0\x20\0\0\0\x33\0\0\0\x5a\x06\0\0\
\x02\0\0\0\0\0\0\0\x29\0\0\0\x10\0\0\0\x36\0\0\0\x10\0\0\0\x44\x06\0\0\x16\0\0\
\0\0\0\0\0\x7e\x02\0\0\x11\x03\0\0\x09\x4c\0\0\x28\0\0\0\x7e\x02\0\0\x11\x03\0\
\0\x02\x4c\0\0\x30\0\0\0\x7e\x02\0\0\x47\x03\0\0\x09\x84\0\0\x58\0\0\0\x7e\x02\
\0\0\x47\x03\0\0\x02\x84\0\0\x60\0\0\0\x7e\x02\0\0\x11\x03\0\0\x09\xc0\0\0\x88\
\0\0\0\x7e\x02\0\0\x11\x03\0\0\x02\xc0\0\0\x90\0\0\0\x7e\x02\0\0\x11\x03\0\0\
\x09\0\x01\0\xb8\0\0\0\x7e\x02\0\0\x11\x03\0\0\x02\0\x01\0\xc0\0\0\0\x7e\x02\0\
\0\x11\x03\0\0\x09\x40\x01\0\xe8\0\0\0\x7e\x02\0\0\x11\x03\0\0\x02\x40\x01\0\
\xf0\0\0\0\x7e\x02\0\0\x11\x03\0\0\x09\x80\x01\0\x18\x01\0\0\x7e\x02\0\0\x11\
\x03\0\0\x02\x80\x01\0\x20\x01\0\0\x7e\x02\0\0\x85\x03\0\0\x09\xbc\x01\0\x48\
\x01\0\0\x7e\x02\0\0\x85\x03\0\0\x02\xbc\x01\0\x50\x01\0\0\x7e\x02\0\0\xba\x03\
\0\0\0\xd0\x01\0\x68\x01\0\0\x7e\x02\0\0\xf2\x03\0\0\x06\xe0\x01\0\x70\x01\0\0\
\x7e\x02\0\0\xfd\x03\0\0\x09\xec\x01\0\xa0\x01\0\0\x7e\x02\0\0\x34\x04\0\0\x0e\
\xf0\x01\0\xa8\x01\0\0\x7e\x02\0\0\xfd\x03\0\0\x36\xec\x01\0\xb0\x01\0\0\x7e\
\x02\0\0\x45\x04\0\0\x09\xf4\x01\0\xf0\x01\0\0\x7e\x02\0\0\x34\x04\0\0\x10\xf0\
\x01\0\xf8\x01\0\0\x7e\x02\0\0\x7b\x04\0\0\x01\xf8\x01\0\x4a\x06\0\0\x0d\0\0\0\
\0\0\0\0\x7e\x02\0\0\x7d\x04\0\0\x09\x68\0\0\x08\0\0\0\x7e\x02\0\0\x7d\x04\0\0\
\x02\x68\0\0\x10\0\0\0\x7e\x02\0\0\xa6\x04\0\0\x09\xa0\0\0\x18\0\0\0\x7e\x02\0\
\0\xa6\x04\0\0\x02\xa0\0\0\x20\0\0\0\x7e\x02\0\0\xce\x04\0\0\x09\xdc\0\0\x28\0\
\0\0\x7e\x02\0\0\xce\x04\0\0\x02\xdc\0\0\x30\0\0\0\x7e\x02\0\0\xfa\x04\0\0\0\
\x50\x02\0\x40\0\0\0\x7e\x02\0\0\x1c\x05\0\0\x13\x58\x02\0\x48\0\0\0\x7e\x02\0\
\0\x40\x05\0\0\x09\x60\x02\0\x68\0\0\0\x7e\x02\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\
\x7e\x02\0\0\x40\x05\0\0\x20\x60\x02\0\x88\0\0\0\x7e\x02\0\0\x40\x05\0\0\x1e\
\x60\x02\0\x90\0\0\0\x7e\x02\0\0\x40\x05\0\0\x02\x60\x02\0\x52\x06\0\0\x0b\0\0\
\0\0\0\0\0\x7e\x02\0\0\x85\x05\0\0\x09\x1c\x01\0\x08\0\0\0\x7e\x02\0\0\x85\x05\
\0\0\x02\x1c\x01\0\x10\0\0\0\x7e\x02\0\0\xa6\x05\0\0\x09\x5c\x01\0\x18\0\0\0\
\x7e\x02\0\0\xa6\x05\0\0\x02\x5c\x01\0\x20\0\0\0\x7e\x02\0\0\xd0\x05\0\0\0\x08\
\x02\0\x30\0\0\0\x7e\x02\0\0\x1c\x05\0\0\x13\x10\x02\0\x38\0\0\0\x7e\x02\0\0\
\x40\x05\0\0\x09\x18\x02\0\x58\0\0\0\x7e\x02\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x7e\
\x02\0\0\x40\x05\0\0\x20\x18\x02\0\x78\0\0\0\x7e\x02\0\0\x40\x05\0\0\x1e\x18\
\x02\0\x80\0\0\0\x7e\x02\0\0\x40\x05\0\0\x02\x18\x02\0\x5a\x06\0\0\x09\0\0\0\0\
\0\0\0\x7e\x02\0\0\xf2\x05\0\0\x09\x9c\x01\0\x08\0\0\0\x7e\x02\0\0\xf2\x05\0\0\
\x02\x9c\x01\0\x10\0\0\0\x7e\x02\0\0\x17\x06\0\0\0\x2c\x02\0\x20\0\0\0\x7e\x02\
\0\0\x1c\x05\0\0\x13\x34\x02\0\x28\0\0\0\x7e\x02\0\0\x40\x05\0\0\x09\x3c\x02\0\
\x48\0\0\0\x7e\x02\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x7e\x02\0\0\x40\x05\0\0\x20\
\x3c\x02\0\x68\0\0\0\x7e\x02\0\0\x40\x05\0\0\x1e\x3c\x02\0\x70\0\0\0\x7e\x02\0\
\0\x40\x05\0\0\x02\x3c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x88\x02\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x04\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe0\x06\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x78\x07\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x33\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x08\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x08\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\x01\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x08\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdf\x01\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x09\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x04\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xeb\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x60\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf7\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa0\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xd0\x09\0\0\0\0\0\0\xf6\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0c\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x14\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_func_ctx_args *test_global_func_ctx_args::open(const struct bpf_object_open_opts *opts) { return test_global_func_ctx_args__open_opts(opts); }
struct test_global_func_ctx_args *test_global_func_ctx_args::open_and_load() { return test_global_func_ctx_args__open_and_load(); }
int test_global_func_ctx_args::load(struct test_global_func_ctx_args *skel) { return test_global_func_ctx_args__load(skel); }
int test_global_func_ctx_args::attach(struct test_global_func_ctx_args *skel) { return test_global_func_ctx_args__attach(skel); }
void test_global_func_ctx_args::detach(struct test_global_func_ctx_args *skel) { test_global_func_ctx_args__detach(skel); }
void test_global_func_ctx_args::destroy(struct test_global_func_ctx_args *skel) { test_global_func_ctx_args__destroy(skel); }
const void *test_global_func_ctx_args::elf_bytes(size_t *sz) { return test_global_func_ctx_args__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_func_ctx_args__assert(struct test_global_func_ctx_args *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__ */
