/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_STACK_VAR_OFF_SKEL_H__
#define __TEST_STACK_VAR_OFF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_stack_var_off {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *probe;
	} progs;
	struct {
		struct bpf_link *probe;
	} links;
	struct test_stack_var_off__bss {
		char input[4];
		int test_pid;
		int probe_res;
	} *bss;

#ifdef __cplusplus
	static inline struct test_stack_var_off *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_stack_var_off *open_and_load();
	static inline int load(struct test_stack_var_off *skel);
	static inline int attach(struct test_stack_var_off *skel);
	static inline void detach(struct test_stack_var_off *skel);
	static inline void destroy(struct test_stack_var_off *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_stack_var_off__destroy(struct test_stack_var_off *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_stack_var_off__create_skeleton(struct test_stack_var_off *obj);

static inline struct test_stack_var_off *
test_stack_var_off__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_stack_var_off *obj;
	int err;

	obj = (struct test_stack_var_off *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_stack_var_off__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_stack_var_off__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_stack_var_off *
test_stack_var_off__open(void)
{
	return test_stack_var_off__open_opts(NULL);
}

static inline int
test_stack_var_off__load(struct test_stack_var_off *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_stack_var_off *
test_stack_var_off__open_and_load(void)
{
	struct test_stack_var_off *obj;
	int err;

	obj = test_stack_var_off__open();
	if (!obj)
		return NULL;
	err = test_stack_var_off__load(obj);
	if (err) {
		test_stack_var_off__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_stack_var_off__attach(struct test_stack_var_off *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_stack_var_off__detach(struct test_stack_var_off *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_stack_var_off__elf_bytes(size_t *sz);

static inline int
test_stack_var_off__create_skeleton(struct test_stack_var_off *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_stack_var_off";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_sta.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "probe";
	s->progs[0].prog = &obj->progs.probe;
	s->progs[0].link = &obj->links.probe;

	s->data = test_stack_var_off__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_stack_var_off__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\
\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x74\x61\
\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\x66\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\
\x70\x72\x6f\x62\x65\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x69\x6e\x70\x75\x74\0\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x04\0\xf1\xff\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5b\0\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x68\0\0\0\x11\0\x04\0\x04\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x71\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x77\0\0\0\
\x11\0\x04\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\
\x20\0\0\0\x5d\x10\x15\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x63\x1a\xf0\xff\0\0\0\0\xbf\x12\0\0\0\0\0\0\x57\x02\0\0\x0f\0\0\0\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\x34\0\0\0\0\0\0\x0f\x24\0\
\0\0\0\0\0\xb7\x02\0\0\x2a\0\0\0\x73\x24\0\0\0\0\0\0\x07\x01\0\0\xff\xff\xff\
\xff\x57\x01\0\0\x0f\0\0\0\x0f\x13\0\0\0\0\0\0\x71\x31\0\0\0\0\0\0\x67\x01\0\0\
\x38\0\0\0\xc7\x01\0\0\x38\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xd0\0\0\0\0\
\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xfc\0\0\0\xfc\0\0\0\
\xd2\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\
\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\
\0\0\0\x0f\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x05\
\0\0\0\x07\0\0\0\x04\0\0\0\x14\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x28\0\0\0\0\
\0\0\x0e\x06\0\0\0\x01\0\0\0\x2e\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x37\0\0\0\
\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x41\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x9d\x01\
\0\0\x03\0\0\x0f\x0c\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\x09\0\0\0\x04\0\0\0\x04\
\0\0\0\x0a\0\0\0\x08\0\0\0\x04\0\0\0\xa2\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\
\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x70\x72\x6f\x62\x65\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x69\x6e\x70\x75\x74\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\
\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\
\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\
\x66\x2e\x63\0\x09\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\
\x20\x33\x32\x29\x20\x21\x3d\x20\x74\x65\x73\x74\x5f\x70\x69\x64\x29\0\x09\x5f\
\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x73\x74\x61\
\x63\x6b\x5f\x62\x75\x66\x2c\x20\x69\x6e\x70\x75\x74\x2c\x20\x34\x29\x3b\0\x09\
\x6c\x65\x6e\x20\x3d\x20\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x30\x5d\x20\
\x26\x20\x30\x78\x66\x3b\0\x09\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x6c\x65\
\x6e\x5d\x20\x3d\x20\x34\x32\x3b\0\x09\x6c\x61\x73\x74\x20\x3d\x20\x28\x6c\x65\
\x6e\x20\x2d\x20\x31\x29\x20\x26\x20\x30\x78\x66\x3b\0\x09\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x73\x20\x3d\x20\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x6c\x61\
\x73\x74\x5d\x3b\0\x7d\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\0\0\0\
\0\0\0\x08\0\0\0\xaa\x01\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\xaa\x01\0\0\
\x0e\0\0\0\0\0\0\0\x4a\0\0\0\xd6\0\0\0\x07\x54\0\0\x08\0\0\0\x4a\0\0\0\xd6\0\0\
\0\x22\x54\0\0\x10\0\0\0\x4a\0\0\0\xd6\0\0\0\x2c\x54\0\0\x38\0\0\0\x4a\0\0\0\
\xd6\0\0\0\x06\x54\0\0\x40\0\0\0\x4a\0\0\0\x0b\x01\0\0\x02\x64\0\0\x60\0\0\0\
\x4a\0\0\0\x33\x01\0\0\x15\x70\0\0\x78\0\0\0\x4a\0\0\0\x0b\x01\0\0\x02\x64\0\0\
\x80\0\0\0\x4a\0\0\0\x4e\x01\0\0\x02\x88\0\0\x98\0\0\0\x4a\0\0\0\x4e\x01\0\0\
\x11\x88\0\0\xa0\0\0\0\x4a\0\0\0\x64\x01\0\0\x0e\x74\0\0\xa8\0\0\0\x4a\0\0\0\
\x64\x01\0\0\x13\x74\0\0\xb0\0\0\0\x4a\0\0\0\x7d\x01\0\0\x0e\xbc\0\0\xd0\0\0\0\
\x4a\0\0\0\x7d\x01\0\0\x0c\xbc\0\0\xe8\0\0\0\x4a\0\0\0\x9b\x01\0\0\x01\xc4\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe0\x01\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x39\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\
\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb6\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\xe6\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf8\x05\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_stack_var_off *test_stack_var_off::open(const struct bpf_object_open_opts *opts) { return test_stack_var_off__open_opts(opts); }
struct test_stack_var_off *test_stack_var_off::open_and_load() { return test_stack_var_off__open_and_load(); }
int test_stack_var_off::load(struct test_stack_var_off *skel) { return test_stack_var_off__load(skel); }
int test_stack_var_off::attach(struct test_stack_var_off *skel) { return test_stack_var_off__attach(skel); }
void test_stack_var_off::detach(struct test_stack_var_off *skel) { test_stack_var_off__detach(skel); }
void test_stack_var_off::destroy(struct test_stack_var_off *skel) { test_stack_var_off__destroy(skel); }
const void *test_stack_var_off::elf_bytes(size_t *sz) { return test_stack_var_off__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_stack_var_off__assert(struct test_stack_var_off *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->input) == 4, "unexpected size of 'input'");
	_Static_assert(sizeof(s->bss->test_pid) == 4, "unexpected size of 'test_pid'");
	_Static_assert(sizeof(s->bss->probe_res) == 4, "unexpected size of 'probe_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_STACK_VAR_OFF_SKEL_H__ */
