/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_STATIC_LINKED_SKEL_H__
#define __TEST_STATIC_LINKED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_static_linked {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handler1;
		struct bpf_program *handler2;
	} progs;
	struct {
		struct bpf_link *handler1;
		struct bpf_link *handler2;
	} links;
	struct test_static_linked__data {
		int var1;
		char __pad0[20];
		int var2;
	} *data;
	struct test_static_linked__rodata {
		int rovar1;
		char __pad0[4];
		long rovar2;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_static_linked *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_static_linked *open_and_load();
	static inline int load(struct test_static_linked *skel);
	static inline int attach(struct test_static_linked *skel);
	static inline void detach(struct test_static_linked *skel);
	static inline void destroy(struct test_static_linked *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_static_linked__destroy(struct test_static_linked *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_static_linked__create_skeleton(struct test_static_linked *obj);

static inline struct test_static_linked *
test_static_linked__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_static_linked *obj;
	int err;

	obj = (struct test_static_linked *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_static_linked__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_static_linked__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_static_linked *
test_static_linked__open(void)
{
	return test_static_linked__open_opts(NULL);
}

static inline int
test_static_linked__load(struct test_static_linked *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_static_linked *
test_static_linked__open_and_load(void)
{
	struct test_static_linked *obj;
	int err;

	obj = test_static_linked__open();
	if (!obj)
		return NULL;
	err = test_static_linked__load(obj);
	if (err) {
		test_static_linked__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_static_linked__attach(struct test_static_linked *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_static_linked__detach(struct test_static_linked *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_static_linked__elf_bytes(size_t *sz);

static inline int
test_static_linked__create_skeleton(struct test_static_linked *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_static_linked";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_sta.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "test_sta.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handler1";
	s->progs[0].prog = &obj->progs.handler1;
	s->progs[0].link = &obj->links.handler1;

	s->progs[1].name = "handler2";
	s->progs[1].prog = &obj->progs.handler2;
	s->progs[1].link = &obj->links.handler2;

	s->data = test_static_linked__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_static_linked__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x2e\x64\x61\x74\x61\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\x74\x65\x73\x74\x5f\x73\x74\x61\x74\x69\
\x63\x5f\x6c\x69\x6e\x6b\x65\x64\x31\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\0\
\x73\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x31\0\x73\x74\x61\x74\x69\x63\x5f\x76\
\x61\x72\x32\0\x68\x61\x6e\x64\x6c\x65\x72\x31\0\x72\x6f\x76\x61\x72\x31\0\x76\
\x61\x72\x31\0\x4c\x49\x43\x45\x4e\x53\x45\0\x56\x45\x52\x53\x49\x4f\x4e\0\x74\
\x65\x73\x74\x5f\x73\x74\x61\x74\x69\x63\x5f\x6c\x69\x6e\x6b\x65\x64\x32\x2e\
\x63\0\x68\x61\x6e\x64\x6c\x65\x72\x32\0\x72\x6f\x76\x61\x72\x32\0\x76\x61\x72\
\x32\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x64\0\0\0\x01\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x70\0\0\0\x01\0\x05\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\x85\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x91\0\0\0\x11\0\x07\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x99\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xa1\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x02\0\x03\
\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x64\0\0\0\x01\0\x05\0\x1c\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x70\0\0\0\x01\0\x05\0\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\0\0\0\x12\0\x04\0\x88\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xc0\0\0\0\x11\0\x06\
\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc7\0\0\0\x11\0\x05\0\x18\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x67\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x27\0\0\0\x03\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x85\x10\0\0\x02\0\0\
\0\x18\x01\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\
\0\x18\x02\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\xff\xff\xff\xff\x05\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x47\x50\x4c\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x88\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\xa8\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xe8\0\0\0\0\0\0\0\
\x01\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x34\x02\0\0\x34\x02\0\0\
\x8a\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x12\0\0\0\
\x04\0\0\0\x14\0\0\0\0\0\0\x0c\x06\0\0\0\x1c\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x0a\x0a\0\0\0\0\0\0\0\0\0\0\x09\x04\0\0\0\x21\0\0\0\0\0\0\x0e\
\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\x0d\0\0\0\x28\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\x01\x2d\0\0\0\0\0\0\x0e\x0c\0\0\0\0\0\0\0\x39\0\0\0\0\0\0\x0e\x0a\0\0\
\0\0\0\0\0\x45\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x10\0\0\0\x12\0\0\0\x04\0\0\0\x4a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x5e\0\0\
\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x66\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x6e\0\
\0\0\x01\0\0\x0c\x03\0\0\0\x77\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x0a\x0c\0\0\0\x7c\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\x2d\0\0\0\0\0\0\x0e\
\x0a\0\0\0\0\0\0\0\x39\0\0\0\0\0\0\x0e\x0a\0\0\0\0\0\0\0\x55\x02\0\0\x06\0\0\
\x0f\x24\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x08\0\0\0\x08\0\0\0\x0f\0\
\0\0\x10\0\0\0\x04\0\0\0\x16\0\0\0\x18\0\0\0\x04\0\0\0\x19\0\0\0\x1c\0\0\0\x04\
\0\0\0\x1a\0\0\0\x20\0\0\0\x04\0\0\0\x5b\x02\0\0\x02\0\0\x0f\x10\0\0\0\x0b\0\0\
\0\0\0\0\0\x04\0\0\0\x18\0\0\0\x08\0\0\0\x08\0\0\0\x63\x02\0\0\x01\0\0\x0f\x04\
\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x6b\x02\0\0\x01\0\0\x0f\x04\0\0\0\x14\0\0\0\
\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\
\x31\0\x78\0\x73\x75\x62\x70\x72\x6f\x67\0\x76\x61\x72\x31\0\x72\x6f\x76\x61\
\x72\x31\0\x6c\x6f\x6e\x67\0\x73\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x31\0\x73\
\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\x56\x45\x52\x53\x49\x4f\x4e\0\x68\x61\x6e\x64\x6c\x65\x72\x32\0\
\x76\x61\x72\x32\0\x72\x6f\x76\x61\x72\x32\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x73\x74\x61\x74\x69\x63\x5f\x6c\x69\x6e\x6b\x65\x64\x31\x2e\x63\0\x73\
\x74\x61\x74\x69\x63\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\
\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x28\x69\x6e\x74\x20\x78\x29\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x78\x20\x2a\x20\x32\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x73\x74\x61\x74\x69\x63\x5f\x6c\x69\x6e\x6b\x65\x64\x32\x2e\x63\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x78\x20\x2a\x20\x33\x3b\0\x09\x76\x61\x72\x31\x20\
\x3d\x20\x73\x75\x62\x70\x72\x6f\x67\x28\x72\x6f\x76\x61\x72\x31\x29\x20\x2b\
\x20\x73\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x31\x20\x2b\x20\x73\x74\x61\x74\
\x69\x63\x5f\x76\x61\x72\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x09\x76\x61\x72\x32\x20\x3d\x20\x73\x75\x62\x70\x72\x6f\x67\x28\x72\x6f\x76\
\x61\x72\x32\x29\x20\x2b\x20\x73\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x31\x20\
\x2b\x20\x73\x74\x61\x74\x69\x63\x5f\x76\x61\x72\x32\x3b\0\x2e\x64\x61\x74\x61\
\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x73\
\x69\x6f\x6e\0\x2e\x74\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\
\0\0\x74\x01\0\0\xa8\x01\0\0\0\0\0\0\x08\0\0\0\x73\x02\0\0\x02\0\0\0\0\0\0\0\
\x07\0\0\0\x18\0\0\0\x07\0\0\0\x79\x02\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x88\0\0\
\0\x15\0\0\0\x10\0\0\0\x73\x02\0\0\x06\0\0\0\0\0\0\0\x83\0\0\0\x10\x01\0\0\0\
\x3c\0\0\x08\0\0\0\x83\0\0\0\x35\x01\0\0\x0b\x48\0\0\x10\0\0\0\x83\0\0\0\x35\
\x01\0\0\x02\x48\0\0\x18\0\0\0\x44\x01\0\0\x10\x01\0\0\0\x3c\0\0\x20\0\0\0\x44\
\x01\0\0\xd1\x01\0\0\x0b\x48\0\0\x28\0\0\0\x44\x01\0\0\xd1\x01\0\0\x02\x48\0\0\
\x79\x02\0\0\x10\0\0\0\0\0\0\0\x83\0\0\0\xe0\x01\0\0\x11\x60\0\0\x10\0\0\0\x83\
\0\0\0\xe0\x01\0\0\x09\x60\0\0\x20\0\0\0\x83\0\0\0\xe0\x01\0\0\x1b\x60\0\0\x38\
\0\0\0\x83\0\0\0\xe0\x01\0\0\x09\x60\0\0\x40\0\0\0\x83\0\0\0\xe0\x01\0\0\x29\
\x60\0\0\x58\0\0\0\x83\0\0\0\xe0\x01\0\0\x09\x60\0\0\x60\0\0\0\x83\0\0\0\xe0\
\x01\0\0\x07\x60\0\0\x78\0\0\0\x83\0\0\0\x15\x02\0\0\x02\x68\0\0\x88\0\0\0\x44\
\x01\0\0\x20\x02\0\0\x11\x60\0\0\xa0\0\0\0\x44\x01\0\0\x20\x02\0\0\x09\x60\0\0\
\xa8\0\0\0\x44\x01\0\0\x20\x02\0\0\x1b\x60\0\0\xc0\0\0\0\x44\x01\0\0\x20\x02\0\
\0\x19\x60\0\0\xc8\0\0\0\x44\x01\0\0\x20\x02\0\0\x29\x60\0\0\xe0\0\0\0\x44\x01\
\0\0\x20\x02\0\0\x27\x60\0\0\xe8\0\0\0\x44\x01\0\0\x20\x02\0\0\x07\x60\0\0\0\
\x01\0\0\x44\x01\0\0\x15\x02\0\0\x02\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\xe0\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\x04\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\xa0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe1\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x05\0\0\0\0\0\0\xd6\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x0a\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_static_linked *test_static_linked::open(const struct bpf_object_open_opts *opts) { return test_static_linked__open_opts(opts); }
struct test_static_linked *test_static_linked::open_and_load() { return test_static_linked__open_and_load(); }
int test_static_linked::load(struct test_static_linked *skel) { return test_static_linked__load(skel); }
int test_static_linked::attach(struct test_static_linked *skel) { return test_static_linked__attach(skel); }
void test_static_linked::detach(struct test_static_linked *skel) { test_static_linked__detach(skel); }
void test_static_linked::destroy(struct test_static_linked *skel) { test_static_linked__destroy(skel); }
const void *test_static_linked::elf_bytes(size_t *sz) { return test_static_linked__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_static_linked__assert(struct test_static_linked *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->var1) == 4, "unexpected size of 'var1'");
	_Static_assert(sizeof(s->data->var2) == 4, "unexpected size of 'var2'");
	_Static_assert(sizeof(s->rodata->rovar1) == 4, "unexpected size of 'rovar1'");
	_Static_assert(sizeof(s->rodata->rovar2) == 8, "unexpected size of 'rovar2'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_STATIC_LINKED_SKEL_H__ */
