/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_UPROBE_SKEL_H__
#define __TEST_UPROBE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_uprobe {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
		struct bpf_program *test4;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
		struct bpf_link *test4;
	} links;
	struct test_uprobe__bss {
		pid_t my_pid;
		int test1_result;
		int test2_result;
		int test3_result;
		int test4_result;
	} *bss;

#ifdef __cplusplus
	static inline struct test_uprobe *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_uprobe *open_and_load();
	static inline int load(struct test_uprobe *skel);
	static inline int attach(struct test_uprobe *skel);
	static inline void detach(struct test_uprobe *skel);
	static inline void destroy(struct test_uprobe *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_uprobe__destroy(struct test_uprobe *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_uprobe__create_skeleton(struct test_uprobe *obj);

static inline struct test_uprobe *
test_uprobe__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_uprobe *obj;
	int err;

	obj = (struct test_uprobe *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_uprobe__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_uprobe__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_uprobe *
test_uprobe__open(void)
{
	return test_uprobe__open_opts(NULL);
}

static inline int
test_uprobe__load(struct test_uprobe *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_uprobe *
test_uprobe__open_and_load(void)
{
	struct test_uprobe *obj;
	int err;

	obj = test_uprobe__open();
	if (!obj)
		return NULL;
	err = test_uprobe__load(obj);
	if (err) {
		test_uprobe__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_uprobe__attach(struct test_uprobe *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_uprobe__detach(struct test_uprobe *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_uprobe__elf_bytes(size_t *sz);

static inline int
test_uprobe__create_skeleton(struct test_uprobe *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_uprobe";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_upr.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "test3";
	s->progs[2].prog = &obj->progs.test3;
	s->progs[2].link = &obj->links.test3;

	s->progs[3].name = "test4";
	s->progs[3].prog = &obj->progs.test4;
	s->progs[3].link = &obj->links.test4;

	s->data = test_uprobe__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_uprobe__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2f\x2e\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\
\x65\x61\x64\x2e\x73\x6f\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\
\x5f\x73\x61\x6d\x65\x6f\x66\x66\x73\x65\x74\0\x75\x70\x72\x6f\x62\x65\x2f\x2e\
\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\x6f\
\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\x6f\
\x66\x66\x73\x65\x74\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\x52\x45\
\x41\x44\x5f\x31\x2e\x30\x2e\x30\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2e\
\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\x6f\
\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\x6f\
\x66\x66\x73\x65\x74\x40\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\x52\
\x45\x41\x44\x5f\x32\x2e\x30\x2e\x30\0\x75\x70\x72\x6f\x62\x65\0\x2e\x62\x73\
\x73\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x2e\x63\0\x4c\x42\x42\x30\
\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x33\
\x5f\x32\0\x74\x65\x73\x74\x31\0\x6d\x79\x5f\x70\x69\x64\0\x74\x65\x73\x74\x31\
\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x32\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x6c\x69\
\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\x6f\x3a\x75\x72\
\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\x6f\x66\x66\x73\
\x65\x74\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x6c\x69\x62\x75\
\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\x6f\x3a\x75\x72\x61\x6e\
\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\x6f\x66\x66\x73\x65\x74\
\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\x52\x45\x41\x44\x5f\x31\x2e\
\x30\x2e\x30\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2e\x2f\
\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\x6f\x3a\
\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\x6f\x66\
\x66\x73\x65\x74\x40\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\x52\x45\
\x41\x44\x5f\x32\x2e\x30\x2e\x30\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe9\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\0\0\x03\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xfe\0\0\0\0\0\x04\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x01\0\0\0\0\x05\0\x50\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\0\0\
\x06\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\x19\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x20\x01\0\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x2d\x01\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x33\x01\0\0\x11\0\x07\0\x08\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x40\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x46\x01\0\0\x11\0\x07\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x53\x01\0\0\x12\
\0\x06\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x59\x01\0\0\x11\0\x07\0\x10\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x01\x04\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x01\x04\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x79\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x01\x03\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x61\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x01\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x30\0\0\0\0\0\0\0\x01\
\0\0\0\x0c\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x30\0\0\0\0\0\0\0\x01\0\
\0\0\x0e\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\
\0\x10\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe4\x02\0\0\xe4\x02\0\0\x9f\x03\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x09\0\0\x04\x50\x01\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\x09\0\0\0\x0a\0\0\0\x80\x08\0\0\x11\0\0\0\x0c\0\0\0\xc0\x08\0\0\x1b\
\0\0\0\x0f\0\0\0\xe0\x08\0\0\x23\0\0\0\x0a\0\0\0\0\x09\0\0\x2e\0\0\0\x0a\0\0\0\
\x40\x09\0\0\x37\0\0\0\x12\0\0\0\x80\x09\0\0\x42\0\0\0\x0a\0\0\0\0\x0a\0\0\x53\
\0\0\0\x0a\0\0\0\x40\x0a\0\0\0\0\0\0\x02\0\0\x05\x10\x01\0\0\x5c\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x66\0\0\0\x04\0\0\x04\x10\x01\0\0\x73\0\0\
\0\x07\0\0\0\0\0\0\0\x78\0\0\0\x05\0\0\0\xc0\x07\0\0\x7b\0\0\0\x05\0\0\0\0\x08\
\0\0\x7e\0\0\0\x05\0\0\0\x40\x08\0\0\x85\0\0\0\0\0\0\x08\x06\0\0\0\x8b\0\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x08\0\0\0\x1f\
\0\0\0\x9e\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x04\x10\x01\0\0\
\x73\0\0\0\x0b\0\0\0\0\0\0\0\x78\0\0\0\x0a\0\0\0\xc0\x07\0\0\x7b\0\0\0\x0a\0\0\
\0\0\x08\0\0\x7e\0\0\0\x0a\0\0\0\x40\x08\0\0\xb2\0\0\0\0\0\0\x08\x05\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1f\0\0\0\xb6\0\0\0\0\0\0\x08\x0d\0\
\0\0\xba\0\0\0\0\0\0\x08\x0e\0\0\0\xc0\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\xc4\0\0\0\0\0\0\x08\x10\0\0\0\xc8\0\0\0\0\0\0\x08\x11\0\0\0\xce\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x08\0\0\0\x02\0\0\
\0\0\0\0\0\x01\0\0\x0d\x0e\0\0\0\xdb\0\0\0\x01\0\0\0\xdf\0\0\0\x01\0\0\x0c\x13\
\0\0\0\xe5\0\0\0\x01\0\0\x0c\x13\0\0\0\xeb\0\0\0\x01\0\0\x0c\x13\0\0\0\xf1\0\0\
\0\x01\0\0\x0c\x13\0\0\0\xf7\0\0\0\0\0\0\x08\x19\0\0\0\xfd\0\0\0\0\0\0\x08\x0e\
\0\0\0\x0c\x01\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\x13\x01\0\0\0\0\0\x0e\x0e\0\0\
\0\x01\0\0\0\x20\x01\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x2d\x01\0\0\0\0\0\x0e\
\x0e\0\0\0\x01\0\0\0\x3a\x01\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xc7\x02\0\0\x05\
\0\0\x0f\x14\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\0\
\x1c\0\0\0\x08\0\0\0\x04\0\0\0\x1d\0\0\0\x0c\0\0\0\x04\0\0\0\x1e\0\0\0\x10\0\0\
\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x78\x30\0\x73\
\x79\x73\x63\x61\x6c\x6c\x6e\x6f\0\x75\x6e\x75\x73\x65\x64\x32\0\x73\x64\x65\
\x69\x5f\x74\x74\x62\x72\x31\0\x70\x6d\x72\x5f\x73\x61\x76\x65\0\x73\x74\x61\
\x63\x6b\x66\x72\x61\x6d\x65\0\x6c\x6f\x63\x6b\x64\x65\x70\x5f\x68\x61\x72\x64\
\x69\x72\x71\x73\0\x65\x78\x69\x74\x5f\x72\x63\x75\0\x75\x73\x65\x72\x5f\x72\
\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x72\x65\x67\
\x73\0\x73\x70\0\x70\x63\0\x70\x73\x74\x61\x74\x65\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x36\
\x34\0\x73\x33\x32\0\x5f\x5f\x73\x33\x32\0\x69\x6e\x74\0\x75\x33\x32\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\
\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x33\0\x74\x65\x73\
\x74\x34\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\
\x64\x5f\x74\0\x6d\x79\x5f\x70\x69\x64\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\
\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\
\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\
\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\
\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x2e\
\x63\0\x09\x70\x69\x64\x5f\x74\x20\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\
\x3d\x20\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\
\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\
\x4f\x42\x45\x28\x74\x65\x73\x74\x31\x29\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\
\x52\x4f\x42\x45\x28\x74\x65\x73\x74\x32\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x74\x65\x73\x74\x33\x2c\x20\x69\x6e\
\x74\x20\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x72\x65\x74\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\
\x74\x20\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\
\x45\x28\x74\x65\x73\x74\x34\x29\0\x30\x3a\x30\x3a\x30\0\x2e\x62\x73\x73\0\x75\
\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\
\x72\x65\x61\x64\x2e\x73\x6f\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\
\x69\x5f\x73\x61\x6d\x65\x6f\x66\x66\x73\x65\x74\0\x75\x70\x72\x6f\x62\x65\x2f\
\x2e\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\
\x6f\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\
\x6f\x66\x66\x73\x65\x74\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\x52\
\x45\x41\x44\x5f\x31\x2e\x30\x2e\x30\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\
\x2e\x2f\x6c\x69\x62\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\x61\x64\x2e\x73\
\x6f\x3a\x75\x72\x61\x6e\x64\x6c\x69\x62\x5f\x61\x70\x69\x5f\x73\x61\x6d\x65\
\x6f\x66\x66\x73\x65\x74\x40\x40\x4c\x49\x42\x55\x52\x41\x4e\x44\x4f\x4d\x5f\
\x52\x45\x41\x44\x5f\x32\x2e\x30\x2e\x30\0\x75\x70\x72\x6f\x62\x65\0\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\xb4\x01\0\0\xf8\x01\0\0\
\x1c\0\0\0\x08\0\0\0\xcc\x02\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\0\x03\0\0\x01\0\0\
\0\0\0\0\0\x15\0\0\0\x4a\x03\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x98\x03\0\0\x01\0\
\0\0\0\0\0\0\x17\0\0\0\x10\0\0\0\xcc\x02\0\0\x06\0\0\0\0\0\0\0\x47\x01\0\0\xcc\
\x01\0\0\x0e\x48\0\0\x08\0\0\0\x47\x01\0\0\xcc\x01\0\0\x29\x48\0\0\x10\0\0\0\
\x47\x01\0\0\xfb\x01\0\0\x0d\x50\0\0\x28\0\0\0\x47\x01\0\0\xfb\x01\0\0\x06\x50\
\0\0\x30\0\0\0\x47\x01\0\0\x0f\x02\0\0\x0f\x5c\0\0\x50\0\0\0\x47\x01\0\0\x22\
\x02\0\0\x05\x40\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\x47\x01\0\0\xcc\x01\0\0\x0e\
\x78\0\0\x08\0\0\0\x47\x01\0\0\xcc\x01\0\0\x29\x78\0\0\x10\0\0\0\x47\x01\0\0\
\xfb\x01\0\0\x0d\x80\0\0\x28\0\0\0\x47\x01\0\0\xfb\x01\0\0\x06\x80\0\0\x30\0\0\
\0\x47\x01\0\0\x38\x02\0\0\x0f\x8c\0\0\x50\0\0\0\x47\x01\0\0\x4b\x02\0\0\x05\
\x70\0\0\x4a\x03\0\0\x07\0\0\0\0\0\0\0\x47\x01\0\0\x61\x02\0\0\x05\xa0\0\0\x08\
\0\0\0\x47\x01\0\0\xcc\x01\0\0\x0e\xa8\0\0\x10\0\0\0\x47\x01\0\0\xcc\x01\0\0\
\x29\xa8\0\0\x18\0\0\0\x47\x01\0\0\xfb\x01\0\0\x0d\xb0\0\0\x30\0\0\0\x47\x01\0\
\0\xfb\x01\0\0\x06\xb0\0\0\x38\0\0\0\x47\x01\0\0\x83\x02\0\0\x0f\xbc\0\0\x50\0\
\0\0\x47\x01\0\0\x61\x02\0\0\x05\xa0\0\0\x98\x03\0\0\x06\0\0\0\0\0\0\0\x47\x01\
\0\0\xcc\x01\0\0\x0e\xd8\0\0\x08\0\0\0\x47\x01\0\0\xcc\x01\0\0\x29\xd8\0\0\x10\
\0\0\0\x47\x01\0\0\xfb\x01\0\0\x0d\xe0\0\0\x28\0\0\0\x47\x01\0\0\xfb\x01\0\0\
\x06\xe0\0\0\x30\0\0\0\x47\x01\0\0\x98\x02\0\0\x0f\xec\0\0\x50\0\0\0\x47\x01\0\
\0\xab\x02\0\0\x05\xd0\0\0\x10\0\0\0\x4a\x03\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\
\xc1\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x57\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\xc8\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x20\x05\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xdd\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x05\
\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe4\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\
\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\x01\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9e\x01\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xec\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x06\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3e\x02\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x06\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\
\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x49\x02\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\0\0\0\0\x9b\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x0d\0\0\0\0\0\0\x34\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_uprobe *test_uprobe::open(const struct bpf_object_open_opts *opts) { return test_uprobe__open_opts(opts); }
struct test_uprobe *test_uprobe::open_and_load() { return test_uprobe__open_and_load(); }
int test_uprobe::load(struct test_uprobe *skel) { return test_uprobe__load(skel); }
int test_uprobe::attach(struct test_uprobe *skel) { return test_uprobe__attach(skel); }
void test_uprobe::detach(struct test_uprobe *skel) { test_uprobe__detach(skel); }
void test_uprobe::destroy(struct test_uprobe *skel) { test_uprobe__destroy(skel); }
const void *test_uprobe::elf_bytes(size_t *sz) { return test_uprobe__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_uprobe__assert(struct test_uprobe *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->my_pid) == 4, "unexpected size of 'my_pid'");
	_Static_assert(sizeof(s->bss->test1_result) == 4, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 4, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 4, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 4, "unexpected size of 'test4_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_UPROBE_SKEL_H__ */
