/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TRACE_DUMMY_ST_OPS_SKEL_H__
#define __TRACE_DUMMY_ST_OPS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct trace_dummy_st_ops {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry_test_1;
	} progs;
	struct {
		struct bpf_link *fentry_test_1;
	} links;
	struct trace_dummy_st_ops__bss {
		int val;
	} *bss;

#ifdef __cplusplus
	static inline struct trace_dummy_st_ops *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct trace_dummy_st_ops *open_and_load();
	static inline int load(struct trace_dummy_st_ops *skel);
	static inline int attach(struct trace_dummy_st_ops *skel);
	static inline void detach(struct trace_dummy_st_ops *skel);
	static inline void destroy(struct trace_dummy_st_ops *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
trace_dummy_st_ops__destroy(struct trace_dummy_st_ops *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
trace_dummy_st_ops__create_skeleton(struct trace_dummy_st_ops *obj);

static inline struct trace_dummy_st_ops *
trace_dummy_st_ops__open_opts(const struct bpf_object_open_opts *opts)
{
	struct trace_dummy_st_ops *obj;
	int err;

	obj = (struct trace_dummy_st_ops *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = trace_dummy_st_ops__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	trace_dummy_st_ops__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct trace_dummy_st_ops *
trace_dummy_st_ops__open(void)
{
	return trace_dummy_st_ops__open_opts(NULL);
}

static inline int
trace_dummy_st_ops__load(struct trace_dummy_st_ops *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct trace_dummy_st_ops *
trace_dummy_st_ops__open_and_load(void)
{
	struct trace_dummy_st_ops *obj;
	int err;

	obj = trace_dummy_st_ops__open();
	if (!obj)
		return NULL;
	err = trace_dummy_st_ops__load(obj);
	if (err) {
		trace_dummy_st_ops__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
trace_dummy_st_ops__attach(struct trace_dummy_st_ops *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
trace_dummy_st_ops__detach(struct trace_dummy_st_ops *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *trace_dummy_st_ops__elf_bytes(size_t *sz);

static inline int
trace_dummy_st_ops__create_skeleton(struct trace_dummy_st_ops *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "trace_dummy_st_ops";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "trace_du.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry_test_1";
	s->progs[0].prog = &obj->progs.fentry_test_1;
	s->progs[0].link = &obj->links.fentry_test_1;

	s->data = trace_dummy_st_ops__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *trace_dummy_st_ops__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x31\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x72\x61\x63\x65\x5f\x64\x75\x6d\x6d\x79\x5f\x73\x74\x5f\x6f\
\x70\x73\x2e\x63\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x5f\x31\0\x76\
\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\
\x72\x79\x2f\x74\x65\x73\x74\x5f\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x4f\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x53\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa3\xf8\
\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\
\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd4\0\0\0\xd4\0\
\0\0\xa5\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x2a\0\0\0\0\0\0\x0e\x04\
\0\0\0\x01\0\0\0\x2e\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x07\0\0\0\x09\0\0\0\x04\0\0\0\x33\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x47\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x8a\x01\0\0\x01\0\0\x0f\x04\0\0\0\x06\
\0\0\0\0\0\0\0\x04\0\0\0\x8f\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x5f\x31\0\x76\x61\x6c\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\
\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x72\x61\x63\x65\x5f\x64\x75\x6d\x6d\x79\x5f\x73\x74\
\x5f\x6f\x70\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x5f\x31\x2c\x20\x5f\x5f\x75\x36\
\x34\x20\x2a\x73\x74\x5f\x6f\x70\x73\x5f\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\
\x73\x74\x61\x74\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x5f\x5f\x75\x36\x34\
\x29\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x73\x74\x5f\x6f\x70\x73\x5f\x63\
\x74\x78\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\
\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x5f\x5f\x75\x33\x32\x29\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x73\
\x74\x61\x74\x65\x29\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\
\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x31\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\
\x97\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x97\x01\0\0\x06\0\0\0\0\0\0\
\0\x50\0\0\0\xdc\0\0\0\x05\x24\0\0\x10\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\x50\0\0\0\x0b\x01\0\0\x02\x38\0\0\x28\0\0\0\x50\0\0\0\x4e\x01\0\0\x35\x40\0\
\0\x30\0\0\0\x50\0\0\0\x4e\x01\0\0\x02\x40\0\0\x50\0\0\0\x50\0\0\0\xdc\0\0\0\
\x05\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x7c\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x50\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x24\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6e\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x91\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct trace_dummy_st_ops *trace_dummy_st_ops::open(const struct bpf_object_open_opts *opts) { return trace_dummy_st_ops__open_opts(opts); }
struct trace_dummy_st_ops *trace_dummy_st_ops::open_and_load() { return trace_dummy_st_ops__open_and_load(); }
int trace_dummy_st_ops::load(struct trace_dummy_st_ops *skel) { return trace_dummy_st_ops__load(skel); }
int trace_dummy_st_ops::attach(struct trace_dummy_st_ops *skel) { return trace_dummy_st_ops__attach(skel); }
void trace_dummy_st_ops::detach(struct trace_dummy_st_ops *skel) { trace_dummy_st_ops__detach(skel); }
void trace_dummy_st_ops::destroy(struct trace_dummy_st_ops *skel) { trace_dummy_st_ops__destroy(skel); }
const void *trace_dummy_st_ops::elf_bytes(size_t *sz) { return trace_dummy_st_ops__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
trace_dummy_st_ops__assert(struct trace_dummy_st_ops *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->val) == 4, "unexpected size of 'val'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRACE_DUMMY_ST_OPS_SKEL_H__ */
