/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_METADATA_SKEL_H__
#define __XDP_METADATA_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_metadata {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *xsk;
		struct bpf_map *prog_arr;
	} maps;
	struct {
		struct bpf_program *rx;
	} progs;
	struct {
		struct bpf_link *rx;
	} links;

#ifdef __cplusplus
	static inline struct xdp_metadata *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_metadata *open_and_load();
	static inline int load(struct xdp_metadata *skel);
	static inline int attach(struct xdp_metadata *skel);
	static inline void detach(struct xdp_metadata *skel);
	static inline void destroy(struct xdp_metadata *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_metadata__destroy(struct xdp_metadata *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_metadata__create_skeleton(struct xdp_metadata *obj);

static inline struct xdp_metadata *
xdp_metadata__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_metadata *obj;
	int err;

	obj = (struct xdp_metadata *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_metadata__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_metadata__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_metadata *
xdp_metadata__open(void)
{
	return xdp_metadata__open_opts(NULL);
}

static inline int
xdp_metadata__load(struct xdp_metadata *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_metadata *
xdp_metadata__open_and_load(void)
{
	struct xdp_metadata *obj;
	int err;

	obj = xdp_metadata__open();
	if (!obj)
		return NULL;
	err = xdp_metadata__load(obj);
	if (err) {
		xdp_metadata__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_metadata__attach(struct xdp_metadata *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_metadata__detach(struct xdp_metadata *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_metadata__elf_bytes(size_t *sz);

static inline int
xdp_metadata__create_skeleton(struct xdp_metadata *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_metadata";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "xsk";
	s->maps[0].map = &obj->maps.xsk;

	s->maps[1].name = "prog_arr";
	s->maps[1].map = &obj->maps.prog_arr;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "rx";
	s->progs[0].prog = &obj->progs.rx;
	s->progs[0].link = &obj->links.rx;

	s->data = xdp_metadata__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_metadata__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\x5f\x6d\x65\
\x74\x61\x64\x61\x74\x61\x2e\x63\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\
\x5f\x34\0\x72\x78\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\
\x74\x61\x5f\x72\x78\x5f\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\0\x62\x70\x66\x5f\
\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x68\x61\x73\
\x68\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\
\x78\x5f\x76\x6c\x61\x6e\x5f\x74\x61\x67\0\x78\x73\x6b\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x70\x72\x6f\x67\x5f\x61\x72\x72\0\x2e\x72\x65\x6c\x78\x64\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\0\0\
\x03\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\0\0\x03\0\xc8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\
\x43\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x97\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9b\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\xff\xff\xff\xff\x7b\x1a\xf8\xff\
\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\xe0\xff\xff\xff\0\0\0\0\0\0\0\0\x85\0\
\0\0\x36\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x67\x01\0\0\x20\0\0\0\
\x77\x01\0\0\x20\0\0\0\x55\x01\x1e\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x61\x67\x08\0\
\0\0\0\0\xbf\x72\0\0\0\0\0\0\x07\x02\0\0\x20\0\0\0\x2d\x12\x19\0\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x79\xa1\xf8\xff\0\0\0\0\x55\x01\x02\0\0\0\0\0\xb7\x01\0\0\x01\
\0\0\0\x7b\x17\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x07\x02\0\0\x10\0\0\0\xbf\x73\0\
\0\0\0\0\0\x07\x03\0\0\x14\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xbf\x72\0\0\0\0\0\0\x07\x02\0\0\x18\0\0\0\x07\x07\0\0\x1a\0\0\0\xbf\x61\0\
\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x61\x62\x10\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x85\0\0\0\x33\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf0\0\0\0\0\0\0\0\x0a\0\0\
\0\x07\0\0\0\x20\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\
\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x04\0\0\x8c\x04\0\0\x73\x06\
\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x11\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\
\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\
\0\x01\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\0\x40\0\0\0\x3d\0\0\0\x07\0\0\0\x80\0\0\
\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x47\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x02\x0f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x0c\0\0\0\0\0\0\0\x31\0\0\0\x0e\
\0\0\0\x40\0\0\0\x3d\0\0\0\x07\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\
\x4b\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x54\0\0\0\
\x06\0\0\x04\x18\0\0\0\x5b\0\0\0\x08\0\0\0\0\0\0\0\x60\0\0\0\x08\0\0\0\x20\0\0\
\0\x69\0\0\0\x08\0\0\0\x40\0\0\0\x73\0\0\0\x08\0\0\0\x60\0\0\0\x83\0\0\0\x08\0\
\0\0\x80\0\0\0\x92\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xa1\
\0\0\0\x12\0\0\0\xa5\0\0\0\x01\0\0\x0c\x14\0\0\0\0\0\0\0\x02\0\0\x0d\x02\0\0\0\
\0\0\0\0\x17\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\
\x0a\x13\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\xa8\0\0\0\0\0\0\x08\x1b\0\0\0\xae\0\
\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xc1\0\0\0\x02\0\0\x0c\x16\0\0\0\0\0\0\0\x03\
\0\0\x0d\x02\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\
\0\0\0\0\x02\x1f\0\0\0\xdf\0\0\0\x1b\0\0\x06\x04\0\0\0\xf1\0\0\0\x01\0\0\0\x01\
\x01\0\0\x02\0\0\0\x11\x01\0\0\x04\0\0\0\x23\x01\0\0\x08\0\0\0\x2e\x01\0\0\x10\
\0\0\0\x3d\x01\0\0\x20\0\0\0\x4c\x01\0\0\x40\0\0\0\x5c\x01\0\0\x80\0\0\0\x6d\
\x01\0\0\0\x01\0\0\x7d\x01\0\0\0\0\0\0\x8f\x01\0\0\0\0\0\0\x9f\x01\0\0\x01\0\0\
\0\xb4\x01\0\0\x02\0\0\0\xc9\x01\0\0\x05\0\0\0\xe2\x01\0\0\x06\0\0\0\xfa\x01\0\
\0\x08\0\0\0\x0e\x02\0\0\x19\0\0\0\x27\x02\0\0\x29\0\0\0\x40\x02\0\0\x49\0\0\0\
\x5a\x02\0\0\x09\x01\0\0\x74\x02\0\0\x1a\0\0\0\x8d\x02\0\0\x2a\0\0\0\xa6\x02\0\
\0\x4a\0\0\0\xc0\x02\0\0\x0a\x01\0\0\xda\x02\0\0\x1e\0\0\0\xf6\x02\0\0\x2e\0\0\
\0\x12\x03\0\0\x4e\0\0\0\x2f\x03\0\0\x02\0\0\x0c\x1d\0\0\0\0\0\0\0\x03\0\0\x0d\
\x02\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\0\0\0\
\x02\x23\0\0\0\x48\x03\0\0\0\0\0\x08\x24\0\0\0\x4f\x03\0\0\0\0\0\x08\x25\0\0\0\
\x55\x03\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\x64\x03\
\0\0\x02\0\0\x0c\x21\0\0\0\x81\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x28\0\0\0\x04\0\0\0\x04\0\0\0\x86\x03\0\0\0\0\0\x0e\x29\0\0\
\0\x01\0\0\0\x5a\x06\0\0\x02\0\0\x0f\x40\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\x11\
\0\0\0\x20\0\0\0\x20\0\0\0\x60\x06\0\0\x01\0\0\x0f\x04\0\0\0\x2a\0\0\0\0\0\0\0\
\x04\0\0\0\x68\x06\0\0\x03\0\0\x0f\0\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x78\
\x73\x6b\0\x70\x72\x6f\x67\x5f\x61\x72\x72\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\
\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\
\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\
\x69\x66\x69\x6e\x64\x65\x78\0\x63\x74\x78\0\x72\x78\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\
\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\
\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\0\x78\x64\x70\x5f\x72\x73\x73\x5f\x68\x61\
\x73\x68\x5f\x74\x79\x70\x65\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x49\
\x50\x56\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x49\x50\x56\x36\0\
\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x44\x59\x4e\x48\x44\x52\0\x58\x44\
\x50\x5f\x52\x53\x53\x5f\x4c\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\
\x54\x43\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x55\x44\x50\0\x58\
\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x4c\x34\x5f\x49\x50\x53\x45\x43\0\x58\x44\x50\x5f\x52\x53\x53\x5f\
\x4c\x34\x5f\x49\x43\x4d\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\
\x5f\x4e\x4f\x4e\x45\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\
\x32\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\
\x56\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\
\x50\x56\x36\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\
\x49\x50\x56\x34\x5f\x4f\x50\x54\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\
\x45\x5f\x4c\x33\x5f\x49\x50\x56\x36\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\
\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x41\x4e\x59\0\x58\x44\x50\x5f\x52\x53\x53\
\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x54\x43\x50\0\x58\x44\
\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\
\x55\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\
\x49\x50\x56\x34\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\
\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x49\x43\x4d\x50\0\x58\x44\x50\x5f\
\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x54\x43\
\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\
\x56\x36\x5f\x55\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\
\x4c\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\x54\x50\0\x58\x44\x50\x5f\x52\x53\x53\
\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x49\x43\x4d\x50\0\x58\
\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\
\x5f\x54\x43\x50\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\
\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x55\x44\x50\x5f\x45\x58\0\x58\x44\x50\x5f\
\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\
\x54\x50\x5f\x45\x58\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\
\x74\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\0\x5f\x5f\x62\x65\x31\x36\0\x5f\x5f\
\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x62\
\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\
\x76\x6c\x61\x6e\x5f\x74\x61\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\
\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\
\x2e\x63\0\x69\x6e\x74\x20\x72\x78\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\
\x5f\x6d\x64\x20\x2a\x63\x74\x78\x29\0\x09\x75\x36\x34\x20\x74\x69\x6d\x65\x73\
\x74\x61\x6d\x70\x20\x3d\x20\x2d\x31\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\
\x66\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x6d\x65\x74\x61\x28\x63\
\x74\x78\x2c\x20\x2d\x28\x69\x6e\x74\x29\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\
\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x6d\x65\x74\x61\x29\x29\x3b\0\x09\x69\x66\
\x20\x28\x72\x65\x74\x20\x21\x3d\x20\x30\x29\0\x09\x64\x61\x74\x61\x20\x3d\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\
\x64\x61\x74\x61\x3b\0\x09\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x20\x3d\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\x3b\0\x09\x69\x66\x20\x28\x64\x61\x74\x61\x5f\
\x6d\x65\x74\x61\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x78\x64\x70\x5f\x6d\x65\x74\x61\x29\x20\x3e\x20\x64\x61\x74\x61\x29\0\
\x09\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\
\x78\x5f\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\x28\x63\x74\x78\x2c\x20\x26\x74\
\x69\x6d\x65\x73\x74\x61\x6d\x70\x29\x3b\0\x09\x69\x66\x20\x28\x74\x69\x6d\x65\
\x73\x74\x61\x6d\x70\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x6d\x65\x74\x61\x2d\x3e\
\x72\x78\x5f\x74\x69\x6d\x65\x73\x74\x61\x6d\x70\x20\x3d\x20\x31\x3b\0\x09\x62\
\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\
\x68\x61\x73\x68\x28\x63\x74\x78\x2c\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\
\x5f\x68\x61\x73\x68\x2c\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x68\x61\
\x73\x68\x5f\x74\x79\x70\x65\x29\x3b\0\x09\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\
\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x74\x61\x67\
\x28\x63\x74\x78\x2c\x20\x26\x6d\x65\x74\x61\x2d\x3e\x72\x78\x5f\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\x2c\0\x09\x09\x09\x09\x20\x20\x20\x20\x20\x26\x6d\
\x65\x74\x61\x2d\x3e\x72\x78\x5f\x76\x6c\x61\x6e\x5f\x74\x63\x69\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6d\x61\x70\x28\x26\x78\x73\x6b\x2c\x20\x63\x74\x78\x2d\x3e\x72\x78\x5f\
\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\x2c\x20\x58\x44\x50\x5f\x50\x41\
\x53\x53\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x32\0\x30\x3a\x34\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x78\x64\x70\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\x01\0\0\x80\x01\0\
\0\x3c\0\0\0\x08\0\0\0\x6f\x06\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\x6f\
\x06\0\0\x16\0\0\0\0\0\0\0\x8f\x03\0\0\x15\x04\0\0\0\x7c\0\0\x10\0\0\0\x8f\x03\
\0\0\x30\x04\0\0\x06\x8c\0\0\x18\0\0\0\x8f\x03\0\0\x45\x04\0\0\x08\xa0\0\0\x48\
\0\0\0\x8f\x03\0\0\x85\x04\0\0\x0a\xa4\0\0\x58\0\0\0\x8f\x03\0\0\x85\x04\0\0\
\x06\xa4\0\0\x60\0\0\0\x8f\x03\0\0\x94\x04\0\0\x1c\xb0\0\0\x68\0\0\0\x8f\x03\0\
\0\xb5\x04\0\0\x21\xb4\0\0\x70\0\0\0\x8f\x03\0\0\xe0\x04\0\0\x10\xbc\0\0\x80\0\
\0\0\x8f\x03\0\0\xe0\x04\0\0\x06\xbc\0\0\x90\0\0\0\x8f\x03\0\0\x11\x05\0\0\x02\
\xe8\0\0\xa8\0\0\0\x8f\x03\0\0\x42\x05\0\0\x06\xec\0\0\xb0\0\0\0\x8f\x03\0\0\
\x42\x05\0\0\x06\xec\0\0\xc0\0\0\0\x8f\x03\0\0\x57\x05\0\0\x16\xf0\0\0\xc8\0\0\
\0\x8f\x03\0\0\x71\x05\0\0\x27\xf8\0\0\xd8\0\0\0\x8f\x03\0\0\x71\x05\0\0\x37\
\xf8\0\0\xe8\0\0\0\x8f\x03\0\0\x71\x05\0\0\x02\xf8\0\0\xf8\0\0\0\x8f\x03\0\0\
\xb6\x05\0\0\x2b\xfc\0\0\x08\x01\0\0\x8f\x03\0\0\xef\x05\0\0\x11\0\x01\0\x10\
\x01\0\0\x8f\x03\0\0\xb6\x05\0\0\x02\xfc\0\0\x28\x01\0\0\x8f\x03\0\0\x0d\x06\0\
\0\x25\x08\x01\0\x30\x01\0\0\x8f\x03\0\0\x0d\x06\0\0\x09\x08\x01\0\x50\x01\0\0\
\x8f\x03\0\0\x4c\x06\0\0\x01\x0c\x01\0\x10\0\0\0\x6f\x06\0\0\x03\0\0\0\x60\0\0\
\0\x13\0\0\0\x4e\x06\0\0\0\0\0\0\x68\0\0\0\x13\0\0\0\x52\x06\0\0\0\0\0\0\x28\
\x01\0\0\x13\0\0\0\x56\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xc3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x20\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x58\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xc8\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xb5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x04\0\0\0\0\0\0\x17\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xba\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0f\0\0\0\0\0\
\0\xdc\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xdp_metadata *xdp_metadata::open(const struct bpf_object_open_opts *opts) { return xdp_metadata__open_opts(opts); }
struct xdp_metadata *xdp_metadata::open_and_load() { return xdp_metadata__open_and_load(); }
int xdp_metadata::load(struct xdp_metadata *skel) { return xdp_metadata__load(skel); }
int xdp_metadata::attach(struct xdp_metadata *skel) { return xdp_metadata__attach(skel); }
void xdp_metadata::detach(struct xdp_metadata *skel) { xdp_metadata__detach(skel); }
void xdp_metadata::destroy(struct xdp_metadata *skel) { xdp_metadata__destroy(skel); }
const void *xdp_metadata::elf_bytes(size_t *sz) { return xdp_metadata__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_metadata__assert(struct xdp_metadata *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_METADATA_SKEL_H__ */
