/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_TX_SKEL_H__
#define __XDP_TX_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_tx {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *xdp_tx;
	} progs;
	struct {
		struct bpf_link *xdp_tx;
	} links;

#ifdef __cplusplus
	static inline struct xdp_tx *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_tx *open_and_load();
	static inline int load(struct xdp_tx *skel);
	static inline int attach(struct xdp_tx *skel);
	static inline void detach(struct xdp_tx *skel);
	static inline void destroy(struct xdp_tx *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_tx__destroy(struct xdp_tx *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_tx__create_skeleton(struct xdp_tx *obj);

static inline struct xdp_tx *
xdp_tx__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_tx *obj;
	int err;

	obj = (struct xdp_tx *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_tx__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_tx__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_tx *
xdp_tx__open(void)
{
	return xdp_tx__open_opts(NULL);
}

static inline int
xdp_tx__load(struct xdp_tx *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_tx *
xdp_tx__open_and_load(void)
{
	struct xdp_tx *obj;
	int err;

	obj = xdp_tx__open();
	if (!obj)
		return NULL;
	err = xdp_tx__load(obj);
	if (err) {
		xdp_tx__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_tx__attach(struct xdp_tx *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_tx__detach(struct xdp_tx *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_tx__elf_bytes(size_t *sz);

static inline int
xdp_tx__create_skeleton(struct xdp_tx *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_tx";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_tx";
	s->progs[0].prog = &obj->progs.xdp_tx;
	s->progs[0].link = &obj->links.xdp_tx;

	s->data = xdp_tx__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_tx__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\x5f\x74\x78\x2e\x63\0\x78\x64\
\x70\x5f\x74\x78\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x2d\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\
\x03\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\x0c\x01\0\0\x0c\x01\0\0\x2a\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\
\x06\0\0\x04\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\
\0\x16\0\0\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\
\0\0\x80\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\
\x01\0\0\0\x65\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\
\0\0\0\x70\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\
\0\0\0\x0a\0\0\0\x04\0\0\0\x75\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x89\0\0\0\0\
\0\0\x0e\x09\0\0\0\x01\0\0\0\x22\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\0\0\0\
\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\
\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\
\x64\x70\0\x69\x6e\x74\0\x78\x64\x70\x5f\x74\x78\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\
\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\
\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x74\x78\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x58\x44\x50\x5f\x54\x58\x3b\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\
\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\
\x61\0\0\0\x01\0\0\0\0\0\0\0\x92\0\0\0\x12\x01\0\0\x02\x24\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x4e\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xdp_tx *xdp_tx::open(const struct bpf_object_open_opts *opts) { return xdp_tx__open_opts(opts); }
struct xdp_tx *xdp_tx::open_and_load() { return xdp_tx__open_and_load(); }
int xdp_tx::load(struct xdp_tx *skel) { return xdp_tx__load(skel); }
int xdp_tx::attach(struct xdp_tx *skel) { return xdp_tx__attach(skel); }
void xdp_tx::detach(struct xdp_tx *skel) { xdp_tx__detach(skel); }
void xdp_tx::destroy(struct xdp_tx *skel) { xdp_tx__destroy(skel); }
const void *xdp_tx::elf_bytes(size_t *sz) { return xdp_tx__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_tx__assert(struct xdp_tx *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_TX_SKEL_H__ */
