/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PERCPU_ALLOC_ARRAY_SKEL_H__
#define __PERCPU_ALLOC_ARRAY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct percpu_alloc_array {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_array_map_1;
		struct bpf_program *test_array_map_2;
		struct bpf_program *test_array_map_3;
		struct bpf_program *test_array_map_4;
		struct bpf_program *test_array_map_10;
	} progs;
	struct {
		struct bpf_link *test_array_map_1;
		struct bpf_link *test_array_map_2;
		struct bpf_link *test_array_map_3;
		struct bpf_link *test_array_map_4;
		struct bpf_link *test_array_map_10;
	} links;
	struct percpu_alloc_array__rodata {
		int nr_cpus;
	} *rodata;
	struct percpu_alloc_array__bss {
		int cpu0_field_d;
		int sum_field_c;
		int my_pid;
	} *bss;

#ifdef __cplusplus
	static inline struct percpu_alloc_array *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct percpu_alloc_array *open_and_load();
	static inline int load(struct percpu_alloc_array *skel);
	static inline int attach(struct percpu_alloc_array *skel);
	static inline void detach(struct percpu_alloc_array *skel);
	static inline void destroy(struct percpu_alloc_array *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
percpu_alloc_array__destroy(struct percpu_alloc_array *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
percpu_alloc_array__create_skeleton(struct percpu_alloc_array *obj);

static inline struct percpu_alloc_array *
percpu_alloc_array__open_opts(const struct bpf_object_open_opts *opts)
{
	struct percpu_alloc_array *obj;
	int err;

	obj = (struct percpu_alloc_array *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = percpu_alloc_array__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	percpu_alloc_array__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct percpu_alloc_array *
percpu_alloc_array__open(void)
{
	return percpu_alloc_array__open_opts(NULL);
}

static inline int
percpu_alloc_array__load(struct percpu_alloc_array *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct percpu_alloc_array *
percpu_alloc_array__open_and_load(void)
{
	struct percpu_alloc_array *obj;
	int err;

	obj = percpu_alloc_array__open();
	if (!obj)
		return NULL;
	err = percpu_alloc_array__load(obj);
	if (err) {
		percpu_alloc_array__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
percpu_alloc_array__attach(struct percpu_alloc_array *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
percpu_alloc_array__detach(struct percpu_alloc_array *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *percpu_alloc_array__elf_bytes(size_t *sz);

static inline int
percpu_alloc_array__create_skeleton(struct percpu_alloc_array *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "percpu_alloc_array";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "array";
	s->maps[0].map = &obj->maps.array;

	s->maps[1].name = "percpu_a.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "percpu_a.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_array_map_1";
	s->progs[0].prog = &obj->progs.test_array_map_1;
	s->progs[0].link = &obj->links.test_array_map_1;

	s->progs[1].name = "test_array_map_2";
	s->progs[1].prog = &obj->progs.test_array_map_2;
	s->progs[1].link = &obj->links.test_array_map_2;

	s->progs[2].name = "test_array_map_3";
	s->progs[2].prog = &obj->progs.test_array_map_3;
	s->progs[2].link = &obj->links.test_array_map_3;

	s->progs[3].name = "test_array_map_4";
	s->progs[3].prog = &obj->progs.test_array_map_4;
	s->progs[3].link = &obj->links.test_array_map_4;

	s->progs[4].name = "test_array_map_10";
	s->progs[4].prog = &obj->progs.test_array_map_10;
	s->progs[4].link = &obj->links.test_array_map_10;

	s->data = percpu_alloc_array__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *percpu_alloc_array__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x21\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x32\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x3f\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x3f\
\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x70\x65\x72\x63\x70\x75\x5f\
\x61\x6c\x6c\x6f\x63\x5f\x61\x72\x72\x61\x79\x2e\x63\0\x4c\x42\x42\x30\x5f\x34\
\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\x38\0\x4c\x42\x42\x32\x5f\x37\
\0\x4c\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x32\x5f\x39\0\x4c\x42\x42\x32\x5f\x31\
\x33\0\x4c\x42\x42\x32\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x33\0\x4c\x42\x42\x34\
\x5f\x31\x34\0\x4c\x42\x42\x34\x5f\x36\0\x4c\x42\x42\x34\x5f\x31\x33\0\x4c\x42\
\x42\x34\x5f\x31\x32\0\x4c\x42\x42\x34\x5f\x31\x30\0\x4c\x42\x42\x34\x5f\x31\
\x35\0\x4c\x42\x42\x34\x5f\x31\x39\0\x4c\x42\x42\x34\x5f\x31\x38\0\x74\x65\x73\
\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\0\x61\x72\x72\x61\x79\0\
\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\
\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\
\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\x5f\x33\0\x6d\x79\x5f\x70\x69\x64\0\x6e\x72\x5f\x63\x70\x75\x73\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x73\x75\x6d\x5f\x66\x69\x65\
\x6c\x64\x5f\x63\0\x63\x70\x75\x30\x5f\x66\x69\x65\x6c\x64\x5f\x64\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x74\
\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x74\x65\x73\x74\
\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x30\0\x62\x70\x66\x5f\x72\x63\
\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\
\x72\x65\x61\x64\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x2e\
\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x33\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x2e\x72\
\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\x03\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\0\0\x04\0\x88\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xce\0\0\0\0\0\x05\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\0\0\x05\0\
\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\0\0\0\0\0\x05\0\x88\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe3\0\0\0\0\0\x05\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\
\0\0\x05\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\0\0\x05\0\x48\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xfa\0\0\0\0\0\x06\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x01\0\0\0\0\x07\0\x10\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x01\0\0\0\0\x07\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\
\0\0\x07\0\x08\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\x07\0\xd8\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\x07\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\x01\0\0\0\0\x07\0\x30\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\
\0\x07\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\x07\0\x78\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\
\0\0\x51\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x57\x01\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x88\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x99\
\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xaa\x01\0\0\x11\0\x0b\
\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb1\x01\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb9\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\
\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\x01\0\0\x11\0\x0b\0\x04\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe8\x01\0\0\x11\0\x0b\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xf5\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x02\0\0\
\x12\0\x06\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x1b\x02\0\0\x12\0\x07\0\0\0\0\0\
\0\0\0\0\x20\x03\0\0\0\0\0\0\x2d\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x3f\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\x02\0\0\x11\0\
\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\
\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0d\0\0\0\0\0\x18\
\x01\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x15\0\x08\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x02\0\0\
\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\
\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x09\
\0\0\0\0\0\x79\x01\x08\0\0\0\0\0\x15\x01\x07\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\
\0\0\0\x99\0\0\0\x15\0\x04\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x7b\x10\x10\0\0\0\0\
\0\xb7\x01\0\0\x01\0\0\0\x7b\x10\x08\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\
\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\
\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x5d\x10\x2e\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\x15\0\x28\0\0\0\0\0\x79\x06\x08\0\0\0\0\0\x15\x06\x26\0\0\0\0\0\x18\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x83\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\
\xf0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x71\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x18\0\0\0\0\0\
\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x11\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\xbc\x72\0\0\0\0\0\0\x85\0\0\0\x99\0\0\0\x15\0\x09\0\0\0\0\0\x56\x07\x04\0\0\0\
\0\0\x79\x01\x10\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\
\0\0\x79\x01\x08\0\0\0\0\0\x61\x92\0\0\0\0\0\0\x0c\x12\0\0\0\0\0\0\x63\x29\0\0\
\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\
\xff\xff\x15\0\x04\0\0\0\0\0\x61\x07\0\0\0\0\0\0\xc6\x07\x02\0\0\0\0\0\x61\x81\
\0\0\0\0\0\0\xce\x17\xeb\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\
\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\
\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x08\
\0\0\0\0\0\x07\0\0\0\x08\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\
\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\
\0\x63\x1a\xfc\xff\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\
\x20\0\0\0\x5d\x10\x58\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\
\0\x15\x06\x51\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x67\0\0\0\0\0\0\x07\
\x07\0\0\x08\0\0\0\x79\x66\x08\0\0\0\0\0\x55\x06\x0d\0\0\0\0\0\x18\x01\0\0\x12\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\
\0\0\0\0\0\0\x15\x06\x45\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\
\0\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x9a\0\0\0\xb7\x01\0\
\0\x03\0\0\0\x7b\x10\x08\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x9a\0\0\0\xb7\
\x01\0\0\0\0\0\0\x7b\x10\x08\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\
\x85\0\0\0\x99\0\0\0\x15\0\x32\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x7b\x10\x10\0\0\
\0\0\0\xb7\x01\0\0\x01\0\0\0\x7b\x10\x08\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\
\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x2a\0\0\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\
\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x93\0\0\0\0\0\0\xbf\xa8\0\0\0\0\0\0\
\x07\x08\0\0\xf0\xff\xff\xff\xbf\x81\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\x10\0\
\0\xff\xff\xff\xff\xbf\x81\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x18\0\
\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x11\0\0\0\0\0\xbf\x61\0\0\0\
\0\0\0\xbc\x82\0\0\0\0\0\0\x85\0\0\0\x99\0\0\0\x15\0\x09\0\0\0\0\0\x56\x08\x04\
\0\0\0\0\0\x79\x01\x10\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\
\0\0\0\0\0\x79\x01\x08\0\0\0\0\0\x61\x72\0\0\0\0\0\0\x0c\x12\0\0\0\0\0\0\x63\
\x27\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\
\xff\xff\xff\xff\x15\0\x04\0\0\0\0\0\x61\x08\0\0\0\0\0\0\xc6\x08\x02\0\0\0\0\0\
\x61\x91\0\0\0\0\0\0\xce\x18\xeb\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x79\xa1\xe8\xff\0\0\0\0\xb7\x02\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x19\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\xa8\0\0\0\0\0\0\0\x0a\0\0\0\
\x1b\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x1e\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\
\x1f\0\0\0\xc8\0\0\0\0\0\0\0\x0a\0\0\0\x20\0\0\0\xd8\0\0\0\0\0\0\0\x0a\0\0\0\
\x21\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\0\
\x23\0\0\0\x78\x01\0\0\0\0\0\0\x0a\0\0\0\x21\0\0\0\xb8\x01\0\0\0\0\0\0\x0a\0\0\
\0\x24\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x78\0\0\0\0\0\0\0\x0a\0\0\0\
\x1b\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\
\x19\0\0\0\x88\0\0\0\0\0\0\0\x0a\0\0\0\x27\0\0\0\xc8\0\0\0\0\0\0\0\x0a\0\0\0\
\x1a\0\0\0\x10\x01\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\xc0\x01\0\0\0\0\0\0\x01\0\0\
\0\x1f\0\0\0\xf8\x01\0\0\0\0\0\0\x0a\0\0\0\x20\0\0\0\x08\x02\0\0\0\0\0\0\x0a\0\
\0\0\x21\0\0\0\x18\x02\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\x60\x02\0\0\0\0\0\0\x01\
\0\0\0\x23\0\0\0\xa8\x02\0\0\0\0\0\0\x0a\0\0\0\x21\0\0\0\xe8\x02\0\0\0\0\0\0\
\x0a\0\0\0\x24\0\0\0\0\x03\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\x08\x03\0\0\0\0\0\0\
\x0a\0\0\0\x28\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x54\x04\0\0\x54\x04\0\0\
\x96\x06\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\
\x09\0\0\0\x19\0\0\0\x02\0\0\x04\x10\0\0\0\x1e\0\0\0\x0a\0\0\0\0\0\0\0\x22\0\0\
\0\x0b\0\0\0\x40\0\0\0\x25\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\
\x02\x32\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x2f\0\
\0\0\x05\0\0\0\x40\0\0\0\x3b\0\0\0\x07\0\0\0\x80\0\0\0\x3f\0\0\0\x08\0\0\0\xc0\
\0\0\0\x45\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x4b\
\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5e\0\0\0\
\x0e\0\0\0\x62\0\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\x03\0\0\x04\x18\0\0\0\x79\
\0\0\0\x0a\0\0\0\0\0\0\0\x7b\0\0\0\x0a\0\0\0\x40\0\0\0\x7d\0\0\0\x0a\0\0\0\x80\
\0\0\0\0\0\0\0\x02\0\0\x0d\x14\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\0\x7f\0\0\0\0\0\0\x08\x0f\0\0\0\x85\0\0\0\x02\0\0\x0c\x13\0\
\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\x9d\0\0\0\
\x02\0\0\x0c\x17\0\0\0\xb6\0\0\0\x01\0\0\x0c\x10\0\0\0\xc7\0\0\0\x01\0\0\x0c\
\x10\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\xd8\0\0\0\x01\0\0\x04\x08\0\0\0\
\xe5\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x04\0\0\0\x01\
\0\0\0\xee\0\0\0\x02\0\0\x0c\x1b\0\0\0\0\0\0\0\x01\0\0\x0d\x07\0\0\0\0\0\0\0\
\x1c\0\0\0\xff\0\0\0\x02\0\0\x0c\x20\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\
\x1c\0\0\0\x11\x01\0\0\x02\0\0\x0c\x22\0\0\0\x26\x01\0\0\x01\0\0\x0c\x10\0\0\0\
\x37\x01\0\0\x01\0\0\x0c\x10\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x49\x01\0\0\x02\0\
\0\x0c\x26\0\0\0\x5b\x01\0\0\x02\0\0\x0c\x26\0\0\0\x6f\x01\0\0\0\0\0\x01\x01\0\
\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x29\0\0\0\x04\0\0\0\x04\0\0\0\x74\
\x01\0\0\0\0\0\x0e\x2a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x2d\0\0\0\0\0\0\0\0\0\
\0\x09\x02\0\0\0\x7d\x01\0\0\0\0\0\x0e\x2c\0\0\0\x01\0\0\0\x85\x01\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\x92\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x9e\x01\0\0\
\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xa5\x01\0\0\0\0\0\x12\x12\0\0\0\xf5\x05\0\0\x01\
\0\0\x0f\x04\0\0\0\x2b\0\0\0\0\0\0\0\x04\0\0\0\xfd\x05\0\0\x01\0\0\x0f\x20\0\0\
\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\x03\x06\0\0\x01\0\0\x0f\x04\0\0\0\x2e\0\0\0\0\0\
\0\0\x04\0\0\0\x0b\x06\0\0\x03\0\0\x0f\x0c\0\0\0\x2f\0\0\0\0\0\0\0\x04\0\0\0\
\x30\0\0\0\x04\0\0\0\x04\0\0\0\x31\0\0\0\x08\0\0\0\x04\0\0\0\x10\x06\0\0\x07\0\
\0\x0f\0\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\0\
\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\
\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\x6d\0\
\x73\x75\x6d\0\x70\x63\0\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\
\x61\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x31\0\x76\x61\x6c\x5f\x74\0\x62\0\x63\0\x64\0\x5f\x5f\x75\x36\x34\0\x62\
\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\
\x6d\x70\x6c\0\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\
\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x33\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x5f\x5f\x6f\x70\
\x61\x71\x75\x65\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\
\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\
\x79\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x74\
\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x30\0\x62\x70\x66\
\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\
\x63\x75\x5f\x72\x65\x61\x64\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x72\x5f\x63\x70\x75\x73\0\x63\x70\x75\
\x30\x5f\x66\x69\x65\x6c\x64\x5f\x64\0\x73\x75\x6d\x5f\x66\x69\x65\x6c\x64\x5f\
\x63\0\x6d\x79\x5f\x70\x69\x64\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x70\x74\x72\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\
\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x70\x65\x72\x63\x70\x75\x5f\x61\x6c\x6c\x6f\x63\x5f\x61\
\x72\x72\x61\x79\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x29\0\x09\x69\
\x6e\x74\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\x09\x65\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x69\x6e\x64\x65\x78\x29\x3b\0\x09\x69\x66\
\x20\x28\x21\x65\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\x61\
\x6c\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x70\x20\x3d\x20\
\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\x70\
\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\0\x09\x09\x62\x70\x66\
\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x32\x29\0\x09\x70\x20\x3d\x20\x65\x2d\
\x3e\x70\x63\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\
\x75\x5f\x70\x74\x72\x28\x70\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\
\x29\0\x09\x76\x2d\x3e\x64\x20\x3d\x20\x32\x3b\0\x09\x76\x2d\x3e\x63\x20\x3d\
\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\x29\0\x09\x69\x6e\x74\x20\
\x69\x2c\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x28\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x20\x21\x3d\x20\x6d\
\x79\x5f\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x28\x69\x2c\x20\x30\
\x2c\x20\x6e\x72\x5f\x63\x70\x75\x73\x29\x20\x7b\0\x09\x09\x76\x20\x3d\x20\x62\
\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x2c\x20\x69\
\x29\x3b\0\x09\x09\x69\x66\x20\x28\x76\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\
\x28\x69\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x09\x09\x63\x70\x75\x30\x5f\x66\x69\
\x65\x6c\x64\x5f\x64\x20\x3d\x20\x76\x2d\x3e\x64\x3b\0\x09\x09\x09\x73\x75\x6d\
\x5f\x66\x69\x65\x6c\x64\x5f\x63\x20\x2b\x3d\x20\x76\x2d\x3e\x63\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\
\x61\x79\x5f\x6d\x61\x70\x5f\x34\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\
\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\x70\x63\x2c\x20\x4e\x55\
\x4c\x4c\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\x20\x7b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x31\x30\x29\0\x09\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\
\x64\x5f\x6c\x6f\x63\x6b\x28\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\x20\x7b\
\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\
\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\x61\x6c\x5f\x74\x29\
\x3b\0\x09\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x09\x70\x31\x20\x3d\x20\x62\
\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\x70\x63\
\x2c\x20\x70\x29\x3b\0\x09\x09\x69\x66\x20\x28\x70\x31\x29\x20\x7b\0\x09\x09\
\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\
\x70\x28\x70\x31\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x74\x68\x69\x73\
\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x29\x3b\0\x09\x76\x2d\x3e\x63\x20\x3d\
\x20\x33\x3b\0\x09\x76\x2d\x3e\x63\x20\x3d\x20\x30\x3b\0\x09\x70\x31\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\
\x70\x63\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x31\x29\
\0\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\
\x70\x28\x70\x31\x29\x3b\0\x09\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\
\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x29\x3b\0\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6b\
\x73\x79\x6d\x73\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x3f\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\
\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x34\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x3c\x06\0\0\x90\x06\0\0\x34\0\0\0\x08\0\
\0\0\x17\x06\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\x30\x06\0\0\x01\0\0\0\0\0\0\0\x19\
\0\0\0\x49\x06\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\0\x62\x06\0\0\x01\0\0\0\0\0\0\0\
\x24\0\0\0\x7b\x06\0\0\x01\0\0\0\0\0\0\0\x25\0\0\0\x10\0\0\0\x17\x06\0\0\x0b\0\
\0\0\0\0\0\0\xb1\x01\0\0\x3d\x02\0\0\0\x68\0\0\x08\0\0\0\xb1\x01\0\0\x5c\x02\0\
\0\x06\x78\0\0\x20\0\0\0\xb1\x01\0\0\x6c\x02\0\0\x06\x80\0\0\x40\0\0\0\xb1\x01\
\0\0\x96\x02\0\0\x06\x84\0\0\x48\0\0\0\xb1\x01\0\0\x9f\x02\0\0\x06\x90\0\0\x68\
\0\0\0\xb1\x01\0\0\xc6\x02\0\0\x06\x94\0\0\x70\0\0\0\xb1\x01\0\0\xcf\x02\0\0\
\x18\xa0\0\0\x78\0\0\0\xb1\x01\0\0\xcf\x02\0\0\x06\xa0\0\0\x90\0\0\0\xb1\x01\0\
\0\xee\x02\0\0\x06\xa4\0\0\x98\0\0\0\xb1\x01\0\0\xf6\x02\0\0\x03\xa8\0\0\xb0\0\
\0\0\xb1\x01\0\0\x3d\x02\0\0\x05\x68\0\0\x30\x06\0\0\x0b\0\0\0\0\0\0\0\xb1\x01\
\0\0\x10\x03\0\0\0\xc4\0\0\x08\0\0\0\xb1\x01\0\0\x5c\x02\0\0\x06\xd8\0\0\x20\0\
\0\0\xb1\x01\0\0\x6c\x02\0\0\x06\xe0\0\0\x38\0\0\0\xb1\x01\0\0\x96\x02\0\0\x06\
\xe4\0\0\x40\0\0\0\xb1\x01\0\0\x2f\x03\0\0\x09\xf0\0\0\x48\0\0\0\xb1\x01\0\0\
\xc6\x02\0\0\x06\xf4\0\0\x50\0\0\0\xb1\x01\0\0\x3b\x03\0\0\x06\0\x01\0\x60\0\0\
\0\xb1\x01\0\0\x57\x03\0\0\x06\x04\x01\0\x70\0\0\0\xb1\x01\0\0\x60\x03\0\0\x07\
\x10\x01\0\x80\0\0\0\xb1\x01\0\0\x6b\x03\0\0\x07\x0c\x01\0\x88\0\0\0\xb1\x01\0\
\0\x10\x03\0\0\x05\xc4\0\0\x49\x06\0\0\x18\0\0\0\0\0\0\0\xb1\x01\0\0\x76\x03\0\
\0\0\x38\x01\0\x08\0\0\0\xb1\x01\0\0\x95\x03\0\0\x09\x44\x01\0\x10\0\0\0\xb1\
\x01\0\0\xa8\x03\0\0\x07\x54\x01\0\x18\0\0\0\xb1\x01\0\0\xa8\x03\0\0\x22\x54\
\x01\0\x20\0\0\0\xb1\x01\0\0\xa8\x03\0\0\x2c\x54\x01\0\x48\0\0\0\xb1\x01\0\0\
\xa8\x03\0\0\x06\x54\x01\0\x58\0\0\0\xb1\x01\0\0\x6c\x02\0\0\x06\x60\x01\0\x78\
\0\0\0\xb1\x01\0\0\x96\x02\0\0\x06\x64\x01\0\x80\0\0\0\xb1\x01\0\0\x2f\x03\0\0\
\x09\x70\x01\0\x88\0\0\0\xb1\x01\0\0\xc6\x02\0\0\x06\x74\x01\0\x90\0\0\0\xb1\
\x01\0\0\xdb\x03\0\0\x02\x80\x01\0\xd0\0\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\x80\
\x01\0\0\x01\0\0\xb1\x01\0\0\xf5\x03\0\0\x07\x84\x01\0\x18\x01\0\0\xb1\x01\0\0\
\x12\x04\0\0\x07\x88\x01\0\x20\x01\0\0\xb1\x01\0\0\x1d\x04\0\0\x08\x8c\x01\0\
\x28\x01\0\0\xb1\x01\0\0\x2c\x04\0\0\x17\x90\x01\0\x30\x01\0\0\xb1\x01\0\0\x2c\
\x04\0\0\x12\x90\x01\0\x48\x01\0\0\xb1\x01\0\0\x45\x04\0\0\x16\x94\x01\0\x50\
\x01\0\0\xb1\x01\0\0\x45\x04\0\0\x10\x94\x01\0\x70\x01\0\0\xb1\x01\0\0\0\0\0\0\
\0\0\0\0\x78\x01\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\x80\x01\0\xa0\x01\0\0\xb1\x01\
\0\0\xdb\x03\0\0\x02\x80\x01\0\xb0\x01\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\x80\x01\
\0\xc0\x01\0\0\xb1\x01\0\0\x76\x03\0\0\x05\x38\x01\0\x62\x06\0\0\x09\0\0\0\0\0\
\0\0\xb1\x01\0\0\x5d\x04\0\0\0\xb8\x01\0\x08\0\0\0\xb1\x01\0\0\x5c\x02\0\0\x06\
\xc8\x01\0\x20\0\0\0\xb1\x01\0\0\x6c\x02\0\0\x06\xd0\x01\0\x38\0\0\0\xb1\x01\0\
\0\x96\x02\0\0\x06\xd4\x01\0\x40\0\0\0\xb1\x01\0\0\x7c\x04\0\0\x18\xe4\x01\0\
\x48\0\0\0\xb1\x01\0\0\x7c\x04\0\0\x06\xe4\x01\0\x60\0\0\0\xb1\x01\0\0\x9e\x04\
\0\0\x06\xe8\x01\0\x68\0\0\0\xb1\x01\0\0\xf6\x02\0\0\x03\xec\x01\0\x80\0\0\0\
\xb1\x01\0\0\x5d\x04\0\0\x05\xb8\x01\0\x7b\x06\0\0\x2a\0\0\0\0\0\0\0\xb1\x01\0\
\0\xa8\x04\0\0\0\x08\x02\0\x08\0\0\0\xb1\x01\0\0\x95\x03\0\0\x09\x14\x02\0\x10\
\0\0\0\xb1\x01\0\0\xa8\x03\0\0\x07\x24\x02\0\x18\0\0\0\xb1\x01\0\0\xa8\x03\0\0\
\x22\x24\x02\0\x20\0\0\0\xb1\x01\0\0\xa8\x03\0\0\x2c\x24\x02\0\x48\0\0\0\xb1\
\x01\0\0\xa8\x03\0\0\x06\x24\x02\0\x58\0\0\0\xb1\x01\0\0\x6c\x02\0\0\x06\x30\
\x02\0\x80\0\0\0\xb1\x01\0\0\x96\x02\0\0\x06\x34\x02\0\x88\0\0\0\xb1\x01\0\0\
\xc8\x04\0\0\x02\x40\x02\0\x90\0\0\0\xb1\x01\0\0\x2f\x03\0\0\x09\x44\x02\0\xa8\
\0\0\0\xb1\x01\0\0\xde\x04\0\0\x06\x48\x02\0\xb0\0\0\0\xb1\x01\0\0\xe9\x04\0\0\
\x07\x4c\x02\0\xd8\0\0\0\xb1\x01\0\0\x11\x05\0\0\x07\x50\x02\0\xe0\0\0\0\xb1\
\x01\0\0\x1b\x05\0\0\x08\x5c\x02\0\xf8\0\0\0\xb1\x01\0\0\x3c\x05\0\0\x07\x60\
\x02\0\0\x01\0\0\xb1\x01\0\0\x48\x05\0\0\x04\x68\x02\0\x18\x01\0\0\xb1\x01\0\0\
\x64\x05\0\0\x06\x78\x02\0\x30\x01\0\0\xb1\x01\0\0\x7e\x05\0\0\x07\x7c\x02\0\
\x38\x01\0\0\xb1\x01\0\0\x64\x05\0\0\x06\x80\x02\0\x50\x01\0\0\xb1\x01\0\0\x89\
\x05\0\0\x07\x84\x02\0\x58\x01\0\0\xb1\x01\0\0\x3b\x03\0\0\x06\x8c\x02\0\x70\
\x01\0\0\xb1\x01\0\0\x57\x03\0\0\x06\x90\x02\0\x80\x01\0\0\xb1\x01\0\0\x60\x03\
\0\0\x07\x9c\x02\0\x90\x01\0\0\xb1\x01\0\0\x6b\x03\0\0\x07\x98\x02\0\x98\x01\0\
\0\xb1\x01\0\0\x94\x05\0\0\x07\xa8\x02\0\xb0\x01\0\0\xb1\x01\0\0\xb7\x05\0\0\
\x06\xac\x02\0\xc0\x01\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\xb8\x02\0\0\x02\0\0\xb1\
\x01\0\0\xdb\x03\0\0\x02\xb8\x02\0\x30\x02\0\0\xb1\x01\0\0\xf5\x03\0\0\x07\xbc\
\x02\0\x48\x02\0\0\xb1\x01\0\0\x12\x04\0\0\x07\xc0\x02\0\x50\x02\0\0\xb1\x01\0\
\0\x1d\x04\0\0\x08\xc4\x02\0\x58\x02\0\0\xb1\x01\0\0\x2c\x04\0\0\x17\xc8\x02\0\
\x60\x02\0\0\xb1\x01\0\0\x2c\x04\0\0\x12\xc8\x02\0\x78\x02\0\0\xb1\x01\0\0\x45\
\x04\0\0\x16\xcc\x02\0\x80\x02\0\0\xb1\x01\0\0\x45\x04\0\0\x10\xcc\x02\0\xa0\
\x02\0\0\xb1\x01\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\
\xb8\x02\0\xd0\x02\0\0\xb1\x01\0\0\xdb\x03\0\0\x02\xb8\x02\0\xe0\x02\0\0\xb1\
\x01\0\0\xdb\x03\0\0\x02\xb8\x02\0\xf0\x02\0\0\xb1\x01\0\0\xc1\x05\0\0\x02\xe0\
\x02\0\x08\x03\0\0\xb1\x01\0\0\xdb\x05\0\0\x02\xe8\x02\0\x10\x03\0\0\xb1\x01\0\
\0\xa8\x04\0\0\x05\x08\x02\0\x10\0\0\0\x17\x06\0\0\x01\0\0\0\x48\0\0\0\x12\0\0\
\0\xf3\x05\0\0\x06\0\0\0\x7b\x06\0\0\x01\0\0\0\xb0\0\0\0\x12\0\0\0\xf3\x05\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfd\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\xf0\x03\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x07\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x08\
\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0a\0\0\0\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0a\0\0\0\0\0\0\x20\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0e\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x30\x0e\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa6\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x0e\
\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x5c\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0e\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x79\
\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0e\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x96\x02\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0e\0\0\0\0\0\0\x90\0\0\0\0\
\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb3\x02\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0f\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd0\x02\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0f\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x02\0\
\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xef\x02\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\x1b\0\0\0\0\0\0\xe4\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct percpu_alloc_array *percpu_alloc_array::open(const struct bpf_object_open_opts *opts) { return percpu_alloc_array__open_opts(opts); }
struct percpu_alloc_array *percpu_alloc_array::open_and_load() { return percpu_alloc_array__open_and_load(); }
int percpu_alloc_array::load(struct percpu_alloc_array *skel) { return percpu_alloc_array__load(skel); }
int percpu_alloc_array::attach(struct percpu_alloc_array *skel) { return percpu_alloc_array__attach(skel); }
void percpu_alloc_array::detach(struct percpu_alloc_array *skel) { percpu_alloc_array__detach(skel); }
void percpu_alloc_array::destroy(struct percpu_alloc_array *skel) { percpu_alloc_array__destroy(skel); }
const void *percpu_alloc_array::elf_bytes(size_t *sz) { return percpu_alloc_array__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
percpu_alloc_array__assert(struct percpu_alloc_array *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->nr_cpus) == 4, "unexpected size of 'nr_cpus'");
	_Static_assert(sizeof(s->bss->cpu0_field_d) == 4, "unexpected size of 'cpu0_field_d'");
	_Static_assert(sizeof(s->bss->sum_field_c) == 4, "unexpected size of 'sum_field_c'");
	_Static_assert(sizeof(s->bss->my_pid) == 4, "unexpected size of 'my_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PERCPU_ALLOC_ARRAY_SKEL_H__ */
