/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TASK_LOCAL_STORAGE_EXIT_CREDS_SKEL_H__
#define __TASK_LOCAL_STORAGE_EXIT_CREDS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct task_local_storage_exit_creds {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task_storage;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *trace_exit_creds;
	} progs;
	struct {
		struct bpf_link *trace_exit_creds;
	} links;
	struct task_local_storage_exit_creds__bss {
		int run_count;
		int valid_ptr_count;
		int null_ptr_count;
	} *bss;

#ifdef __cplusplus
	static inline struct task_local_storage_exit_creds *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct task_local_storage_exit_creds *open_and_load();
	static inline int load(struct task_local_storage_exit_creds *skel);
	static inline int attach(struct task_local_storage_exit_creds *skel);
	static inline void detach(struct task_local_storage_exit_creds *skel);
	static inline void destroy(struct task_local_storage_exit_creds *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
task_local_storage_exit_creds__destroy(struct task_local_storage_exit_creds *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
task_local_storage_exit_creds__create_skeleton(struct task_local_storage_exit_creds *obj);

static inline struct task_local_storage_exit_creds *
task_local_storage_exit_creds__open_opts(const struct bpf_object_open_opts *opts)
{
	struct task_local_storage_exit_creds *obj;
	int err;

	obj = (struct task_local_storage_exit_creds *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = task_local_storage_exit_creds__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	task_local_storage_exit_creds__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct task_local_storage_exit_creds *
task_local_storage_exit_creds__open(void)
{
	return task_local_storage_exit_creds__open_opts(NULL);
}

static inline int
task_local_storage_exit_creds__load(struct task_local_storage_exit_creds *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct task_local_storage_exit_creds *
task_local_storage_exit_creds__open_and_load(void)
{
	struct task_local_storage_exit_creds *obj;
	int err;

	obj = task_local_storage_exit_creds__open();
	if (!obj)
		return NULL;
	err = task_local_storage_exit_creds__load(obj);
	if (err) {
		task_local_storage_exit_creds__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
task_local_storage_exit_creds__attach(struct task_local_storage_exit_creds *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
task_local_storage_exit_creds__detach(struct task_local_storage_exit_creds *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *task_local_storage_exit_creds__elf_bytes(size_t *sz);

static inline int
task_local_storage_exit_creds__create_skeleton(struct task_local_storage_exit_creds *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "task_local_storage_exit_creds";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "task_storage";
	s->maps[0].map = &obj->maps.task_storage;

	s->maps[1].name = "task_loc.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trace_exit_creds";
	s->progs[0].prog = &obj->progs.trace_exit_creds;
	s->progs[0].link = &obj->links.trace_exit_creds;

	s->data = task_local_storage_exit_creds__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *task_local_storage_exit_creds__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x65\x78\x69\x74\x5f\x63\x72\x65\x64\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x74\x61\x73\x6b\x5f\x6c\
\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x65\x78\x69\x74\x5f\x63\
\x72\x65\x64\x73\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x74\x72\x61\x63\x65\x5f\
\x65\x78\x69\x74\x5f\x63\x72\x65\x64\x73\0\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\
\x61\x67\x65\0\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x63\x6f\x75\x6e\x74\0\x76\
\x61\x6c\x69\x64\x5f\x70\x74\x72\x5f\x63\x6f\x75\x6e\x74\0\x72\x75\x6e\x5f\x63\
\x6f\x75\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\
\x6e\x74\x72\x79\x2f\x65\x78\x69\x74\x5f\x63\x72\x65\x64\x73\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\0\0\x03\0\x58\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\
\0\0\x6e\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x7b\0\0\0\x11\0\
\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8a\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x9a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xa4\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\
\x85\0\0\0\x9c\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\x02\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x01\0\0\
\0\xc3\x31\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\
\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\
\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xdc\
\x01\0\0\xdc\x01\0\0\xf3\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\0\0\0\x08\x0a\0\0\0\x1f\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\
\x37\0\0\0\x05\0\0\0\x40\0\0\0\x41\0\0\0\x07\0\0\0\x80\0\0\0\x45\0\0\0\x08\0\0\
\0\xc0\0\0\0\x4b\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\
\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x58\0\0\0\x0d\0\0\0\x5c\0\0\0\x01\0\0\x0c\x0e\
\0\0\0\x6d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\
\0\0\0\x04\0\0\0\x04\0\0\0\x72\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x7b\0\0\0\0\
\0\0\x0e\x02\0\0\0\x01\0\0\0\x85\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x95\0\0\0\
\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xce\x01\0\0\x01\0\0\x0f\x04\0\0\0\x12\0\0\0\0\0\
\0\0\x04\0\0\0\xd6\x01\0\0\x03\0\0\x0f\x0c\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\
\x14\0\0\0\x04\0\0\0\x04\0\0\0\x15\0\0\0\x08\0\0\0\x04\0\0\0\xdb\x01\0\0\x01\0\
\0\x0f\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x74\
\x78\0\x74\x72\x61\x63\x65\x5f\x65\x78\x69\x74\x5f\x63\x72\x65\x64\x73\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x75\x6e\x5f\x63\x6f\x75\
\x6e\x74\0\x76\x61\x6c\x69\x64\x5f\x70\x74\x72\x5f\x63\x6f\x75\x6e\x74\0\x6e\
\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x63\x6f\x75\x6e\x74\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\
\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x61\x73\x6b\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x65\
\x78\x69\x74\x5f\x63\x72\x65\x64\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x72\x61\x63\x65\x5f\x65\x78\x69\x74\x5f\x63\x72\x65\
\x64\x73\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\
\x75\x63\x74\x20\x2a\x74\x61\x73\x6b\x29\0\x09\x70\x74\x72\x20\x3d\x20\x62\x70\
\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\
\x26\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x74\x61\x73\x6b\
\x2c\x20\x30\x2c\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\
\x6e\x64\x5f\x61\x64\x64\x28\x26\x72\x75\x6e\x5f\x63\x6f\x75\x6e\x74\x2c\x20\
\x31\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x65\x78\x69\x74\x5f\x63\x72\x65\x64\x73\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\0\0\
\0\x08\0\0\0\xe1\x01\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\0\0\xe1\x01\0\0\x05\
\0\0\0\0\0\0\0\xa4\0\0\0\x3b\x01\0\0\x05\x58\0\0\x08\0\0\0\xa4\0\0\0\x74\x01\0\
\0\x08\x68\0\0\x60\0\0\0\xa4\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\xa4\0\0\0\xa8\x01\
\0\0\x02\x84\0\0\x88\0\0\0\xa4\0\0\0\x3b\x01\0\0\x05\x58\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\xd1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\
\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x08\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\x02\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc8\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xc3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\
\0\0\0\0\0\0\xe7\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x06\0\0\0\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct task_local_storage_exit_creds *task_local_storage_exit_creds::open(const struct bpf_object_open_opts *opts) { return task_local_storage_exit_creds__open_opts(opts); }
struct task_local_storage_exit_creds *task_local_storage_exit_creds::open_and_load() { return task_local_storage_exit_creds__open_and_load(); }
int task_local_storage_exit_creds::load(struct task_local_storage_exit_creds *skel) { return task_local_storage_exit_creds__load(skel); }
int task_local_storage_exit_creds::attach(struct task_local_storage_exit_creds *skel) { return task_local_storage_exit_creds__attach(skel); }
void task_local_storage_exit_creds::detach(struct task_local_storage_exit_creds *skel) { task_local_storage_exit_creds__detach(skel); }
void task_local_storage_exit_creds::destroy(struct task_local_storage_exit_creds *skel) { task_local_storage_exit_creds__destroy(skel); }
const void *task_local_storage_exit_creds::elf_bytes(size_t *sz) { return task_local_storage_exit_creds__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
task_local_storage_exit_creds__assert(struct task_local_storage_exit_creds *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->run_count) == 4, "unexpected size of 'run_count'");
	_Static_assert(sizeof(s->bss->valid_ptr_count) == 4, "unexpected size of 'valid_ptr_count'");
	_Static_assert(sizeof(s->bss->null_ptr_count) == 4, "unexpected size of 'null_ptr_count'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TASK_LOCAL_STORAGE_EXIT_CREDS_SKEL_H__ */
