/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_LIBBPF_GET_FD_BY_ID_OPTS_SKEL_H__
#define __TEST_LIBBPF_GET_FD_BY_ID_OPTS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_libbpf_get_fd_by_id_opts {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data_input;
	} maps;
	struct {
		struct bpf_program *check_access;
	} progs;
	struct {
		struct bpf_link *check_access;
	} links;

#ifdef __cplusplus
	static inline struct test_libbpf_get_fd_by_id_opts *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_libbpf_get_fd_by_id_opts *open_and_load();
	static inline int load(struct test_libbpf_get_fd_by_id_opts *skel);
	static inline int attach(struct test_libbpf_get_fd_by_id_opts *skel);
	static inline void detach(struct test_libbpf_get_fd_by_id_opts *skel);
	static inline void destroy(struct test_libbpf_get_fd_by_id_opts *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_libbpf_get_fd_by_id_opts__destroy(struct test_libbpf_get_fd_by_id_opts *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_libbpf_get_fd_by_id_opts__create_skeleton(struct test_libbpf_get_fd_by_id_opts *obj);

static inline struct test_libbpf_get_fd_by_id_opts *
test_libbpf_get_fd_by_id_opts__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_libbpf_get_fd_by_id_opts *obj;
	int err;

	obj = (struct test_libbpf_get_fd_by_id_opts *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_libbpf_get_fd_by_id_opts__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_libbpf_get_fd_by_id_opts__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_libbpf_get_fd_by_id_opts *
test_libbpf_get_fd_by_id_opts__open(void)
{
	return test_libbpf_get_fd_by_id_opts__open_opts(NULL);
}

static inline int
test_libbpf_get_fd_by_id_opts__load(struct test_libbpf_get_fd_by_id_opts *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_libbpf_get_fd_by_id_opts *
test_libbpf_get_fd_by_id_opts__open_and_load(void)
{
	struct test_libbpf_get_fd_by_id_opts *obj;
	int err;

	obj = test_libbpf_get_fd_by_id_opts__open();
	if (!obj)
		return NULL;
	err = test_libbpf_get_fd_by_id_opts__load(obj);
	if (err) {
		test_libbpf_get_fd_by_id_opts__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_libbpf_get_fd_by_id_opts__attach(struct test_libbpf_get_fd_by_id_opts *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_libbpf_get_fd_by_id_opts__detach(struct test_libbpf_get_fd_by_id_opts *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_libbpf_get_fd_by_id_opts__elf_bytes(size_t *sz);

static inline int
test_libbpf_get_fd_by_id_opts__create_skeleton(struct test_libbpf_get_fd_by_id_opts *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_libbpf_get_fd_by_id_opts";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "data_input";
	s->maps[0].map = &obj->maps.data_input;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "check_access";
	s->progs[0].prog = &obj->progs.check_access;
	s->progs[0].link = &obj->links.check_access;

	s->data = test_libbpf_get_fd_by_id_opts__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_libbpf_get_fd_by_id_opts__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x74\x65\x73\x74\x5f\x6c\x69\x62\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x66\x64\x5f\x62\x79\x5f\x69\x64\x5f\x6f\x70\x74\x73\x2e\x63\0\x4c\x42\x42\x30\
\x5f\x33\0\x63\x68\x65\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\0\x64\x61\x74\x61\
\x5f\x69\x6e\x70\x75\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x6c\x73\x6d\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x2b\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x52\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x5f\0\0\
\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x04\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x18\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x5d\x32\x04\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x57\x01\0\0\
\x02\0\0\0\x15\x01\x01\0\0\0\0\0\xb4\0\0\0\xf3\xff\xff\xff\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x80\x01\0\0\x80\x01\0\0\xb9\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\
\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\0\x40\0\
\0\0\x3d\0\0\0\x07\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x47\0\0\0\0\0\
\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x52\0\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x65\0\0\0\x0c\0\0\0\x69\0\0\0\
\x01\0\0\x0c\x0e\0\0\0\x76\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\0\0\x7b\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\
\0\0\x9f\x01\0\0\x01\0\0\x0f\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\xa7\x01\0\0\
\x01\0\0\x0f\x20\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x64\x61\x74\x61\x5f\x69\x6e\x70\x75\x74\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x63\x68\x65\x63\
\x6b\x5f\x61\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\
\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x69\x62\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x66\x64\x5f\x62\x79\x5f\x69\x64\x5f\x6f\x70\x74\x73\x2e\x63\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x63\x68\x65\x63\x6b\x5f\
\x61\x63\x63\x65\x73\x73\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x20\x2a\x6d\x61\x70\x2c\x20\x66\x6d\x6f\x64\x65\x5f\x74\x20\x66\
\x6d\x6f\x64\x65\x29\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\x21\x3d\x20\x28\x73\
\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\x2a\x29\x26\x64\x61\
\x74\x61\x5f\x69\x6e\x70\x75\x74\x29\0\x09\x69\x66\x20\x28\x66\x6d\x6f\x64\x65\
\x20\x26\x20\x46\x4d\x4f\x44\x45\x5f\x57\x52\x49\x54\x45\x29\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6c\x73\x6d\x2f\x62\x70\x66\x5f\x6d\x61\
\x70\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x8c\0\
\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\xad\x01\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\
\0\0\xad\x01\0\0\x08\0\0\0\0\0\0\0\x84\0\0\0\x1b\x01\0\0\0\x6c\0\0\x08\0\0\0\
\x84\0\0\0\x1b\x01\0\0\x05\x6c\0\0\x10\0\0\0\x84\0\0\0\x5a\x01\0\0\x0a\x74\0\0\
\x20\0\0\0\x84\0\0\0\x5a\x01\0\0\x06\x74\0\0\x28\0\0\0\x84\0\0\0\x1b\x01\0\0\
\x05\x6c\0\0\x30\0\0\0\x84\0\0\0\x85\x01\0\0\x0c\x80\0\0\x38\0\0\0\x84\0\0\0\0\
\0\0\0\0\0\0\0\x48\0\0\0\x84\0\0\0\x1b\x01\0\0\x05\x6c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x91\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\
\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x02\0\0\0\0\0\0\x51\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x88\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\
\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_libbpf_get_fd_by_id_opts *test_libbpf_get_fd_by_id_opts::open(const struct bpf_object_open_opts *opts) { return test_libbpf_get_fd_by_id_opts__open_opts(opts); }
struct test_libbpf_get_fd_by_id_opts *test_libbpf_get_fd_by_id_opts::open_and_load() { return test_libbpf_get_fd_by_id_opts__open_and_load(); }
int test_libbpf_get_fd_by_id_opts::load(struct test_libbpf_get_fd_by_id_opts *skel) { return test_libbpf_get_fd_by_id_opts__load(skel); }
int test_libbpf_get_fd_by_id_opts::attach(struct test_libbpf_get_fd_by_id_opts *skel) { return test_libbpf_get_fd_by_id_opts__attach(skel); }
void test_libbpf_get_fd_by_id_opts::detach(struct test_libbpf_get_fd_by_id_opts *skel) { test_libbpf_get_fd_by_id_opts__detach(skel); }
void test_libbpf_get_fd_by_id_opts::destroy(struct test_libbpf_get_fd_by_id_opts *skel) { test_libbpf_get_fd_by_id_opts__destroy(skel); }
const void *test_libbpf_get_fd_by_id_opts::elf_bytes(size_t *sz) { return test_libbpf_get_fd_by_id_opts__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_libbpf_get_fd_by_id_opts__assert(struct test_libbpf_get_fd_by_id_opts *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LIBBPF_GET_FD_BY_ID_OPTS_SKEL_H__ */
