/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_UNPRIV_BPF_DISABLED_SKEL_H__
#define __TEST_UNPRIV_BPF_DISABLED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_unpriv_bpf_disabled {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *perfbuf;
		struct bpf_map *ringbuf;
		struct bpf_map *array;
		struct bpf_map *percpu_array;
		struct bpf_map *hash;
		struct bpf_map *percpu_hash;
		struct bpf_map *prog_array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sys_nanosleep_enter;
		struct bpf_program *handle_perf_event;
	} progs;
	struct {
		struct bpf_link *sys_nanosleep_enter;
		struct bpf_link *handle_perf_event;
	} links;
	struct test_unpriv_bpf_disabled__bss {
		__u32 perfbuf_val;
		__u32 ringbuf_val;
		int test_pid;
	} *bss;

#ifdef __cplusplus
	static inline struct test_unpriv_bpf_disabled *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_unpriv_bpf_disabled *open_and_load();
	static inline int load(struct test_unpriv_bpf_disabled *skel);
	static inline int attach(struct test_unpriv_bpf_disabled *skel);
	static inline void detach(struct test_unpriv_bpf_disabled *skel);
	static inline void destroy(struct test_unpriv_bpf_disabled *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_unpriv_bpf_disabled__destroy(struct test_unpriv_bpf_disabled *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_unpriv_bpf_disabled__create_skeleton(struct test_unpriv_bpf_disabled *obj);

static inline struct test_unpriv_bpf_disabled *
test_unpriv_bpf_disabled__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_unpriv_bpf_disabled *obj;
	int err;

	obj = (struct test_unpriv_bpf_disabled *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_unpriv_bpf_disabled__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_unpriv_bpf_disabled__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_unpriv_bpf_disabled *
test_unpriv_bpf_disabled__open(void)
{
	return test_unpriv_bpf_disabled__open_opts(NULL);
}

static inline int
test_unpriv_bpf_disabled__load(struct test_unpriv_bpf_disabled *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_unpriv_bpf_disabled *
test_unpriv_bpf_disabled__open_and_load(void)
{
	struct test_unpriv_bpf_disabled *obj;
	int err;

	obj = test_unpriv_bpf_disabled__open();
	if (!obj)
		return NULL;
	err = test_unpriv_bpf_disabled__load(obj);
	if (err) {
		test_unpriv_bpf_disabled__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_unpriv_bpf_disabled__attach(struct test_unpriv_bpf_disabled *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_unpriv_bpf_disabled__detach(struct test_unpriv_bpf_disabled *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_unpriv_bpf_disabled__elf_bytes(size_t *sz);

static inline int
test_unpriv_bpf_disabled__create_skeleton(struct test_unpriv_bpf_disabled *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_unpriv_bpf_disabled";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 8;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "perfbuf";
	s->maps[0].map = &obj->maps.perfbuf;

	s->maps[1].name = "ringbuf";
	s->maps[1].map = &obj->maps.ringbuf;

	s->maps[2].name = "array";
	s->maps[2].map = &obj->maps.array;

	s->maps[3].name = "percpu_array";
	s->maps[3].map = &obj->maps.percpu_array;

	s->maps[4].name = "hash";
	s->maps[4].map = &obj->maps.hash;

	s->maps[5].name = "percpu_hash";
	s->maps[5].map = &obj->maps.percpu_hash;

	s->maps[6].name = "prog_array";
	s->maps[6].map = &obj->maps.prog_array;

	s->maps[7].name = "test_unp.bss";
	s->maps[7].map = &obj->maps.bss;
	s->maps[7].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sys_nanosleep_enter";
	s->progs[0].prog = &obj->progs.sys_nanosleep_enter;
	s->progs[0].link = &obj->links.sys_nanosleep_enter;

	s->progs[1].name = "handle_perf_event";
	s->progs[1].prog = &obj->progs.handle_perf_event;
	s->progs[1].link = &obj->links.handle_perf_event;

	s->data = test_unpriv_bpf_disabled__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_unpriv_bpf_disabled__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x61\x72\x6d\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x2e\
\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\
\x74\x5f\x75\x6e\x70\x72\x69\x76\x5f\x62\x70\x66\x5f\x64\x69\x73\x61\x62\x6c\
\x65\x64\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x73\x79\x73\x5f\x6e\x61\x6e\x6f\
\x73\x6c\x65\x65\x70\x5f\x65\x6e\x74\x65\x72\0\x74\x65\x73\x74\x5f\x70\x69\x64\
\0\x70\x65\x72\x66\x62\x75\x66\0\x70\x65\x72\x66\x62\x75\x66\x5f\x76\x61\x6c\0\
\x72\x69\x6e\x67\x62\x75\x66\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x76\x61\x6c\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x61\x72\x72\x61\x79\0\x70\x65\x72\x63\x70\x75\x5f\
\x61\x72\x72\x61\x79\0\x68\x61\x73\x68\0\x70\x65\x72\x63\x70\x75\x5f\x68\x61\
\x73\x68\0\x70\x72\x6f\x67\x5f\x61\x72\x72\x61\x79\0\x2e\x72\x65\x6c\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x61\x72\x6d\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x67\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\xc8\0\0\0\0\0\0\0\x82\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x8b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x93\0\0\0\x11\0\x05\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9f\0\0\0\x11\0\x06\0\x18\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb3\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\0\0\0\x11\0\x07\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xce\0\0\0\x11\0\x06\0\x28\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\xd4\0\0\0\x11\0\x06\0\x48\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xe1\0\
\0\0\x11\0\x06\0\x68\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xe6\0\0\0\x11\0\x06\0\x88\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xf2\0\0\0\x11\0\x06\0\xa8\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x10\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\
\xff\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x04\0\0\0\
\x85\0\0\0\x19\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x03\0\0\x04\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x82\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x40\0\0\0\0\0\
\0\0\x01\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x80\0\0\0\0\0\0\
\0\x01\0\0\0\x09\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xa0\x04\0\0\xa0\x04\0\0\xd9\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\x19\0\0\0\0\0\0\x08\x07\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\
\0\x40\0\0\0\x35\0\0\0\x05\0\0\0\x80\0\0\0\x3b\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x1b\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\0\x10\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x2c\0\0\0\x0a\0\0\0\0\0\0\0\x43\
\0\0\0\x0c\0\0\0\x40\0\0\0\x4f\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x11\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\x02\x13\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x12\0\0\0\
\x40\0\0\0\x31\0\0\0\x05\0\0\0\x80\0\0\0\x35\0\0\0\x05\0\0\0\xc0\0\0\0\x57\0\0\
\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x17\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\
\x16\0\0\0\0\0\0\0\x43\0\0\0\x12\0\0\0\x40\0\0\0\x31\0\0\0\x05\0\0\0\x80\0\0\0\
\x35\0\0\0\x05\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x12\0\0\0\0\0\0\0\x43\0\0\0\x12\0\0\0\x40\0\0\
\0\x31\0\0\0\x05\0\0\0\x80\0\0\0\x35\0\0\0\x05\0\0\0\xc0\0\0\0\x6a\0\0\0\0\0\0\
\x0e\x1a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x1c\0\0\
\0\0\0\0\0\x43\0\0\0\x12\0\0\0\x40\0\0\0\x31\0\0\0\x05\0\0\0\x80\0\0\0\x35\0\0\
\0\x05\0\0\0\xc0\0\0\0\x6f\0\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x21\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x20\0\0\0\0\0\0\0\x43\0\0\0\x12\0\0\0\x40\0\0\
\0\x7b\0\0\0\x01\0\0\0\x80\0\0\0\x84\0\0\0\x01\0\0\0\xc0\0\0\0\x8f\0\0\0\0\0\0\
\x0e\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\
\0\x9a\0\0\0\x24\0\0\0\x9e\0\0\0\x01\0\0\x0c\x25\0\0\0\xb2\0\0\0\x01\0\0\x0c\
\x25\0\0\0\xc4\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xd0\0\0\0\0\0\0\x0e\x06\0\0\
\0\x01\0\0\0\xdc\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xe5\0\0\0\0\0\0\x01\x01\0\
\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\0\0\x04\0\0\0\x04\0\0\0\xea\0\
\0\0\0\0\0\x0e\x2c\0\0\0\x01\0\0\0\x9e\x02\0\0\x03\0\0\x0f\x0c\0\0\0\x28\0\0\0\
\0\0\0\0\x04\0\0\0\x29\0\0\0\x04\0\0\0\x04\0\0\0\x2a\0\0\0\x08\0\0\0\x04\0\0\0\
\xa3\x02\0\0\x07\0\0\x0f\xc8\0\0\0\x09\0\0\0\0\0\0\0\x18\0\0\0\x0f\0\0\0\x18\0\
\0\0\x10\0\0\0\x15\0\0\0\x28\0\0\0\x20\0\0\0\x19\0\0\0\x48\0\0\0\x20\0\0\0\x1b\
\0\0\0\x68\0\0\0\x20\0\0\0\x1f\0\0\0\x88\0\0\0\x20\0\0\0\x23\0\0\0\xa8\0\0\0\
\x20\0\0\0\xa9\x02\0\0\x01\0\0\x0f\x04\0\0\0\x2d\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x70\x65\x72\x66\
\x62\x75\x66\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x72\x69\x6e\x67\
\x62\x75\x66\0\x61\x72\x72\x61\x79\0\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\
\x61\x79\0\x68\x61\x73\x68\0\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\0\x6b\
\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x70\
\x72\x6f\x67\x5f\x61\x72\x72\x61\x79\0\x63\x74\x78\0\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x65\x6e\x74\x65\x72\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x70\x65\x72\x66\x62\x75\x66\x5f\
\x76\x61\x6c\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x76\x61\x6c\0\x74\x65\x73\x74\
\x5f\x70\x69\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\
\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x75\x6e\x70\x72\x69\x76\x5f\x62\x70\x66\x5f\
\x64\x69\x73\x61\x62\x6c\x65\x64\x2e\x63\0\x69\x6e\x74\x20\x73\x79\x73\x5f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x65\x6e\x74\x65\x72\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\
\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x74\x65\x73\x74\x5f\x70\x69\x64\x29\0\x09\
\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\
\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x70\x65\x72\x66\x62\x75\x66\x2c\x20\x42\
\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\x20\x26\
\x70\x65\x72\x66\x62\x75\x66\x5f\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x70\x65\x72\x66\x62\x75\x66\x5f\x76\x61\x6c\x29\x29\x3b\0\x09\x62\x70\x66\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6f\x75\x74\x70\x75\x74\x28\x26\x72\x69\
\x6e\x67\x62\x75\x66\x2c\x20\x26\x72\x69\x6e\x67\x62\x75\x66\x5f\x76\x61\x6c\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x72\x69\x6e\x67\x62\x75\x66\x5f\x76\x61\
\x6c\x29\x2c\x20\x30\x29\x3b\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x61\x72\x6d\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\0\0\0\
\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xa4\0\0\0\xc8\0\0\
\0\0\0\0\0\x08\0\0\0\xb1\x02\0\0\x01\0\0\0\0\0\0\0\x26\0\0\0\xce\x02\0\0\x01\0\
\0\0\0\0\0\0\x27\0\0\0\x10\0\0\0\xb1\x02\0\0\x08\0\0\0\0\0\0\0\xf3\0\0\0\x85\
\x01\0\0\0\xf8\0\0\x08\0\0\0\xf3\0\0\0\xa8\x01\0\0\x0c\x08\x01\0\x10\0\0\0\xf3\
\0\0\0\xd5\x01\0\0\x11\x10\x01\0\x28\0\0\0\xf3\0\0\0\xa8\x01\0\0\x27\x08\x01\0\
\x30\0\0\0\xf3\0\0\0\xd5\x01\0\0\x06\x10\x01\0\x38\0\0\0\xf3\0\0\0\xef\x01\0\0\
\x02\x1c\x01\0\x80\0\0\0\xf3\0\0\0\x4c\x02\0\0\x02\x20\x01\0\xb8\0\0\0\xf3\0\0\
\0\x91\x02\0\0\x01\x2c\x01\0\xce\x02\0\0\x01\0\0\0\0\0\0\0\xf3\0\0\0\x93\x02\0\
\0\x02\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x2c\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe8\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x39\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\
\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\
\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1e\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\x91\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb0\x0c\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_unpriv_bpf_disabled *test_unpriv_bpf_disabled::open(const struct bpf_object_open_opts *opts) { return test_unpriv_bpf_disabled__open_opts(opts); }
struct test_unpriv_bpf_disabled *test_unpriv_bpf_disabled::open_and_load() { return test_unpriv_bpf_disabled__open_and_load(); }
int test_unpriv_bpf_disabled::load(struct test_unpriv_bpf_disabled *skel) { return test_unpriv_bpf_disabled__load(skel); }
int test_unpriv_bpf_disabled::attach(struct test_unpriv_bpf_disabled *skel) { return test_unpriv_bpf_disabled__attach(skel); }
void test_unpriv_bpf_disabled::detach(struct test_unpriv_bpf_disabled *skel) { test_unpriv_bpf_disabled__detach(skel); }
void test_unpriv_bpf_disabled::destroy(struct test_unpriv_bpf_disabled *skel) { test_unpriv_bpf_disabled__destroy(skel); }
const void *test_unpriv_bpf_disabled::elf_bytes(size_t *sz) { return test_unpriv_bpf_disabled__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_unpriv_bpf_disabled__assert(struct test_unpriv_bpf_disabled *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->perfbuf_val) == 4, "unexpected size of 'perfbuf_val'");
	_Static_assert(sizeof(s->bss->ringbuf_val) == 4, "unexpected size of 'ringbuf_val'");
	_Static_assert(sizeof(s->bss->test_pid) == 4, "unexpected size of 'test_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_UNPRIV_BPF_DISABLED_SKEL_H__ */
