/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CFG_SKEL_H__
#define __VERIFIER_CFG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_cfg {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *unreachable;
		struct bpf_program *unreachable2;
		struct bpf_program *out_of_range_jump;
		struct bpf_program *out_of_range_jump2;
		struct bpf_program *loop_back_edge;
		struct bpf_program *loop2_back_edge;
		struct bpf_program *conditional_loop;
		struct bpf_program *conditional_loop2;
		struct bpf_program *uncond_loop_after_cond_jmp;
		struct bpf_program *uncond_loop_in_subprog_after_cond_jmp;
	} progs;
	struct {
		struct bpf_link *unreachable;
		struct bpf_link *unreachable2;
		struct bpf_link *out_of_range_jump;
		struct bpf_link *out_of_range_jump2;
		struct bpf_link *loop_back_edge;
		struct bpf_link *loop2_back_edge;
		struct bpf_link *conditional_loop;
		struct bpf_link *conditional_loop2;
		struct bpf_link *uncond_loop_after_cond_jmp;
		struct bpf_link *uncond_loop_in_subprog_after_cond_jmp;
	} links;

#ifdef __cplusplus
	static inline struct verifier_cfg *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_cfg *open_and_load();
	static inline int load(struct verifier_cfg *skel);
	static inline int attach(struct verifier_cfg *skel);
	static inline void detach(struct verifier_cfg *skel);
	static inline void destroy(struct verifier_cfg *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_cfg__destroy(struct verifier_cfg *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_cfg__create_skeleton(struct verifier_cfg *obj);

static inline struct verifier_cfg *
verifier_cfg__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_cfg *obj;
	int err;

	obj = (struct verifier_cfg *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_cfg__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_cfg__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_cfg *
verifier_cfg__open(void)
{
	return verifier_cfg__open_opts(NULL);
}

static inline int
verifier_cfg__load(struct verifier_cfg *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_cfg *
verifier_cfg__open_and_load(void)
{
	struct verifier_cfg *obj;
	int err;

	obj = verifier_cfg__open();
	if (!obj)
		return NULL;
	err = verifier_cfg__load(obj);
	if (err) {
		verifier_cfg__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_cfg__attach(struct verifier_cfg *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_cfg__detach(struct verifier_cfg *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_cfg__elf_bytes(size_t *sz);

static inline int
verifier_cfg__create_skeleton(struct verifier_cfg *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_cfg";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "unreachable";
	s->progs[0].prog = &obj->progs.unreachable;
	s->progs[0].link = &obj->links.unreachable;

	s->progs[1].name = "unreachable2";
	s->progs[1].prog = &obj->progs.unreachable2;
	s->progs[1].link = &obj->links.unreachable2;

	s->progs[2].name = "out_of_range_jump";
	s->progs[2].prog = &obj->progs.out_of_range_jump;
	s->progs[2].link = &obj->links.out_of_range_jump;

	s->progs[3].name = "out_of_range_jump2";
	s->progs[3].prog = &obj->progs.out_of_range_jump2;
	s->progs[3].link = &obj->links.out_of_range_jump2;

	s->progs[4].name = "loop_back_edge";
	s->progs[4].prog = &obj->progs.loop_back_edge;
	s->progs[4].link = &obj->links.loop_back_edge;

	s->progs[5].name = "loop2_back_edge";
	s->progs[5].prog = &obj->progs.loop2_back_edge;
	s->progs[5].link = &obj->links.loop2_back_edge;

	s->progs[6].name = "conditional_loop";
	s->progs[6].prog = &obj->progs.conditional_loop;
	s->progs[6].link = &obj->links.conditional_loop;

	s->progs[7].name = "conditional_loop2";
	s->progs[7].prog = &obj->progs.conditional_loop2;
	s->progs[7].link = &obj->links.conditional_loop2;

	s->progs[8].name = "uncond_loop_after_cond_jmp";
	s->progs[8].prog = &obj->progs.uncond_loop_after_cond_jmp;
	s->progs[8].link = &obj->links.uncond_loop_after_cond_jmp;

	s->progs[9].name = "uncond_loop_in_subprog_after_cond_jmp";
	s->progs[9].prog = &obj->progs.uncond_loop_in_subprog_after_cond_jmp;
	s->progs[9].link = &obj->links.uncond_loop_in_subprog_after_cond_jmp;

	s->data = verifier_cfg__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_cfg__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x6f\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x63\x66\x67\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\
\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x31\x5f\
\x35\0\x6c\x30\x5f\x35\0\x6c\x31\x5f\x36\0\x6c\x30\x5f\x36\0\x6e\x65\x76\x65\
\x72\x5f\x65\x6e\x64\x69\x6e\x67\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6c\x31\x5f\
\x37\0\x6c\x30\x5f\x37\0\x75\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\x65\0\x75\x6e\
\x72\x65\x61\x63\x68\x61\x62\x6c\x65\x32\0\x6f\x75\x74\x5f\x6f\x66\x5f\x72\x61\
\x6e\x67\x65\x5f\x6a\x75\x6d\x70\0\x6f\x75\x74\x5f\x6f\x66\x5f\x72\x61\x6e\x67\
\x65\x5f\x6a\x75\x6d\x70\x32\0\x6c\x6f\x6f\x70\x5f\x62\x61\x63\x6b\x5f\x65\x64\
\x67\x65\0\x6c\x6f\x6f\x70\x32\x5f\x62\x61\x63\x6b\x5f\x65\x64\x67\x65\0\x63\
\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6e\x64\
\x69\x74\x69\x6f\x6e\x61\x6c\x5f\x6c\x6f\x6f\x70\x32\0\x75\x6e\x63\x6f\x6e\x64\
\x5f\x6c\x6f\x6f\x70\x5f\x61\x66\x74\x65\x72\x5f\x63\x6f\x6e\x64\x5f\x6a\x6d\
\x70\0\x75\x6e\x63\x6f\x6e\x64\x5f\x6c\x6f\x6f\x70\x5f\x69\x6e\x5f\x73\x75\x62\
\x70\x72\x6f\x67\x5f\x61\x66\x74\x65\x72\x5f\x63\x6f\x6e\x64\x5f\x6a\x6d\x70\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\0\0\x04\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3a\0\0\0\0\0\x04\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\0\0\
\x04\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\0\0\x04\0\x58\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x49\0\0\0\0\0\x04\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\
\0\0\0\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x04\0\xe8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\x04\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\0\0\0\0\0\x04\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\0\0\0\0\0\x04\0\x68\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x7c\0\0\0\0\0\x04\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8d\0\0\0\x12\0\x04\0\x10\0\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0\x9a\0\0\0\x12\0\x04\0\x28\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xac\0\0\0\x12\0\x04\0\x38\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbf\0\0\0\x12\
\0\x04\0\x48\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xce\0\0\0\x12\0\x04\0\x58\0\0\0\0\
\0\0\0\x28\0\0\0\0\0\0\0\xde\0\0\0\x12\0\x04\0\x80\0\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\xef\0\0\0\x12\0\x04\0\xa8\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\x01\0\0\x12\
\0\x04\0\x20\x01\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x1c\x01\0\0\x12\0\x04\0\x48\x01\
\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x42\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x05\0\xff\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x05\0\x01\0\0\0\0\0\x05\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x05\0\x01\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x05\0\xfe\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x05\0\xff\
\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xbf\x03\
\0\0\0\0\0\0\x05\0\xfc\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\xbf\
\x02\0\0\0\0\0\0\xbf\x03\0\0\0\0\0\0\x15\x01\xfd\xff\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x09\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\x18\x04\0\0\x35\0\0\0\0\0\0\0\0\0\0\0\xbf\x48\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\
\x1f\x39\0\0\0\0\0\0\x1f\x49\0\0\0\0\0\0\x1f\x89\0\0\0\0\0\0\x0f\x48\0\0\0\0\0\
\0\xa5\x08\xfb\xff\x64\0\0\0\xbf\x90\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x25\0\x02\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x05\0\xfe\xff\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x25\0\x02\0\0\0\0\0\x07\0\0\0\x01\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x60\x01\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x03\0\0\x8c\x03\0\0\
\x18\x05\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x0d\0\0\
\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\
\xff\xff\x4e\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x72\0\0\0\0\0\0\x11\x02\
\0\0\0\xff\xff\xff\xff\x95\0\0\0\x01\0\0\x0c\x01\0\0\0\xa2\0\0\0\0\0\0\x11\x07\
\0\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x4e\0\0\0\
\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x72\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\
\xff\xc8\0\0\0\x01\0\0\x0c\x01\0\0\0\xda\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\
\xff\x32\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x05\x01\0\0\0\0\0\x11\x0c\0\
\0\0\xff\xff\xff\xff\x72\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x2f\x01\0\0\
\x01\0\0\x0c\x01\0\0\0\x42\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x32\0\0\
\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x05\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\
\xff\xff\x72\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x6e\x01\0\0\x01\0\0\x0c\
\x01\0\0\0\x7d\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\
\x16\0\0\0\xff\xff\xff\xff\xa7\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xd2\
\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xfb\x01\0\0\x01\0\0\x0c\x01\0\0\0\
\x0b\x02\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\x1b\0\0\0\
\xff\xff\xff\xff\x36\x02\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\xd2\x01\0\0\0\
\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x61\x02\0\0\x01\0\0\x0c\x01\0\0\0\x72\x02\0\
\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\
\xff\xff\x9c\x02\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\xd2\x01\0\0\0\0\0\x11\
\x20\0\0\0\xff\xff\xff\xff\xcb\x02\0\0\x01\0\0\x0c\x01\0\0\0\xdd\x02\0\0\0\0\0\
\x11\x25\0\0\0\xff\xff\xff\xff\x0b\x03\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\
\x72\0\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x27\x03\0\0\0\0\0\x11\x25\0\0\0\
\xff\xff\xff\xff\x63\x03\0\0\x01\0\0\x0c\x01\0\0\0\x7e\x03\0\0\0\0\0\x11\x2a\0\
\0\0\xff\xff\xff\xff\x32\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x9c\x02\0\0\
\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x72\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\
\xff\xc1\x03\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0d\x31\0\0\
\0\xfb\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x09\x04\0\0\0\0\0\x0c\x30\0\0\0\
\x1e\x04\0\0\x01\0\0\x0c\x01\0\0\0\x7e\x03\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\
\xff\x32\0\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\x9c\x02\0\0\0\0\0\x11\x33\0\
\0\0\xff\xff\xff\xff\x44\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x37\0\0\0\x39\0\0\0\x04\0\0\0\x49\x04\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\x5d\x04\0\0\0\0\0\x0e\x38\0\0\0\x01\0\0\0\x03\x05\0\0\x01\0\0\x0f\x04\0\
\0\0\x3a\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\x65\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x75\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\x65\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\
\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x75\x6e\x72\x65\x61\x63\x68\x61\
\x62\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x75\
\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\x65\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x75\x6e\
\x72\x65\x61\x63\x68\x61\x62\x6c\x65\x32\0\x6f\x75\x74\x5f\x6f\x66\x5f\x72\x61\
\x6e\x67\x65\x5f\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6f\x75\x74\x20\x6f\
\x66\x20\x72\x61\x6e\x67\x65\x20\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6a\x75\
\x6d\x70\x20\x6f\x75\x74\x20\x6f\x66\x20\x72\x61\x6e\x67\x65\0\x6f\x75\x74\x5f\
\x6f\x66\x5f\x72\x61\x6e\x67\x65\x5f\x6a\x75\x6d\x70\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6f\x75\x74\x20\x6f\x66\x20\x72\x61\x6e\x67\x65\x20\x6a\x75\x6d\x70\x32\0\
\x6c\x6f\x6f\x70\x5f\x62\x61\x63\x6b\x5f\x65\x64\x67\x65\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6c\x6f\x6f\x70\x20\x28\x62\x61\x63\x6b\x2d\x65\x64\x67\x65\x29\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x75\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\x65\x20\x69\x6e\x73\x6e\
\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x62\x61\x63\x6b\x2d\
\x65\x64\x67\x65\0\x6c\x6f\x6f\x70\x32\x5f\x62\x61\x63\x6b\x5f\x65\x64\x67\x65\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6c\x6f\x6f\x70\x32\x20\x28\x62\x61\x63\x6b\x2d\x65\
\x64\x67\x65\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x75\x6e\x72\x65\x61\x63\x68\x61\x62\x6c\
\x65\x20\x69\x6e\x73\x6e\x20\x34\0\x63\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\
\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x64\x69\x74\x69\x6f\
\x6e\x61\x6c\x20\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x66\x69\x6e\x69\
\x74\x65\x20\x6c\x6f\x6f\x70\x20\x64\x65\x74\x65\x63\x74\x65\x64\0\x63\x6f\x6e\
\x64\x69\x74\x69\x6f\x6e\x61\x6c\x5f\x6c\x6f\x6f\x70\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x63\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\x20\x6c\x6f\x6f\x70\x20\x28\
\x32\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\
\x69\x76\x3d\x62\x61\x63\x6b\x2d\x65\x64\x67\x65\x20\x66\x72\x6f\x6d\x20\x69\
\x6e\x73\x6e\x20\x31\x30\x20\x74\x6f\x20\x31\x31\0\x75\x6e\x63\x6f\x6e\x64\x5f\
\x6c\x6f\x6f\x70\x5f\x61\x66\x74\x65\x72\x5f\x63\x6f\x6e\x64\x5f\x6a\x6d\x70\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x75\x6e\x63\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\
\x20\x6c\x6f\x6f\x70\x20\x61\x66\x74\x65\x72\x20\x63\x6f\x6e\x64\x69\x74\x69\
\x6f\x6e\x61\x6c\x20\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\
\x76\x3d\x62\x61\x63\x6b\x2d\x65\x64\x67\x65\x20\x66\x72\x6f\x6d\x20\x69\x6e\
\x73\x6e\x20\x33\x20\x74\x6f\x20\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\0\x6e\x65\x76\x65\x72\x5f\x65\x6e\x64\x69\x6e\x67\x5f\x73\x75\x62\
\x70\x72\x6f\x67\0\x75\x6e\x63\x6f\x6e\x64\x5f\x6c\x6f\x6f\x70\x5f\x69\x6e\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x61\x66\x74\x65\x72\x5f\x63\x6f\x6e\x64\x5f\
\x6a\x6d\x70\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\
\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x66\x67\x2e\x63\0\x09\x61\
\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\
\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x73\x6f\x63\x6b\x65\
\x74\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x6c\0\0\0\x6c\0\0\0\xc4\0\0\0\
\x30\x01\0\0\0\0\0\0\x08\0\0\0\x0b\x05\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\x11\x05\
\0\0\x0a\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\x07\0\0\0\x28\0\0\0\x0c\0\0\0\x38\0\
\0\0\x11\0\0\0\x48\0\0\0\x16\0\0\0\x58\0\0\0\x1b\0\0\0\x80\0\0\0\x20\0\0\0\xa8\
\0\0\0\x25\0\0\0\x20\x01\0\0\x2a\0\0\0\x48\x01\0\0\x33\0\0\0\x10\0\0\0\x0b\x05\
\0\0\x01\0\0\0\0\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\x34\x02\0\x11\x05\0\0\x0a\0\
\0\0\0\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\x38\0\0\x10\0\0\0\x66\x04\0\0\xec\x04\
\0\0\x02\x68\0\0\x28\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\x9c\0\0\x38\0\0\0\x66\
\x04\0\0\xec\x04\0\0\x02\xd0\0\0\x48\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\0\x01\0\
\x58\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\x30\x01\0\x80\0\0\0\x66\x04\0\0\xec\x04\
\0\0\x02\x6c\x01\0\xa8\0\0\0\x66\x04\0\0\xec\x04\0\0\x02\xa8\x01\0\x20\x01\0\0\
\x66\x04\0\0\xec\x04\0\0\x02\0\x02\0\x48\x01\0\0\x66\x04\0\0\xec\x04\0\0\x02\
\x64\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x64\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\x04\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4b\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x56\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x05\0\0\0\0\0\0\xbc\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0e\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_cfg *verifier_cfg::open(const struct bpf_object_open_opts *opts) { return verifier_cfg__open_opts(opts); }
struct verifier_cfg *verifier_cfg::open_and_load() { return verifier_cfg__open_and_load(); }
int verifier_cfg::load(struct verifier_cfg *skel) { return verifier_cfg__load(skel); }
int verifier_cfg::attach(struct verifier_cfg *skel) { return verifier_cfg__attach(skel); }
void verifier_cfg::detach(struct verifier_cfg *skel) { verifier_cfg__detach(skel); }
void verifier_cfg::destroy(struct verifier_cfg *skel) { verifier_cfg__destroy(skel); }
const void *verifier_cfg::elf_bytes(size_t *sz) { return verifier_cfg__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_cfg__assert(struct verifier_cfg *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CFG_SKEL_H__ */
