/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CONST_OR_SKEL_H__
#define __VERIFIER_CONST_OR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_const_or {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *constant_should_keep_constant_type;
		struct bpf_program *not_bypass_stack_boundary_checks_1;
		struct bpf_program *register_should_keep_constant_type;
		struct bpf_program *not_bypass_stack_boundary_checks_2;
	} progs;
	struct {
		struct bpf_link *constant_should_keep_constant_type;
		struct bpf_link *not_bypass_stack_boundary_checks_1;
		struct bpf_link *register_should_keep_constant_type;
		struct bpf_link *not_bypass_stack_boundary_checks_2;
	} links;

#ifdef __cplusplus
	static inline struct verifier_const_or *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_const_or *open_and_load();
	static inline int load(struct verifier_const_or *skel);
	static inline int attach(struct verifier_const_or *skel);
	static inline void detach(struct verifier_const_or *skel);
	static inline void destroy(struct verifier_const_or *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_const_or__destroy(struct verifier_const_or *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_const_or__create_skeleton(struct verifier_const_or *obj);

static inline struct verifier_const_or *
verifier_const_or__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_const_or *obj;
	int err;

	obj = (struct verifier_const_or *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_const_or__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_const_or__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_const_or *
verifier_const_or__open(void)
{
	return verifier_const_or__open_opts(NULL);
}

static inline int
verifier_const_or__load(struct verifier_const_or *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_const_or *
verifier_const_or__open_and_load(void)
{
	struct verifier_const_or *obj;
	int err;

	obj = verifier_const_or__open();
	if (!obj)
		return NULL;
	err = verifier_const_or__load(obj);
	if (err) {
		verifier_const_or__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_const_or__attach(struct verifier_const_or *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_const_or__detach(struct verifier_const_or *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_const_or__elf_bytes(size_t *sz);

static inline int
verifier_const_or__create_skeleton(struct verifier_const_or *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_const_or";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "constant_should_keep_constant_type";
	s->progs[0].prog = &obj->progs.constant_should_keep_constant_type;
	s->progs[0].link = &obj->links.constant_should_keep_constant_type;

	s->progs[1].name = "not_bypass_stack_boundary_checks_1";
	s->progs[1].prog = &obj->progs.not_bypass_stack_boundary_checks_1;
	s->progs[1].link = &obj->links.not_bypass_stack_boundary_checks_1;

	s->progs[2].name = "register_should_keep_constant_type";
	s->progs[2].prog = &obj->progs.register_should_keep_constant_type;
	s->progs[2].link = &obj->links.register_should_keep_constant_type;

	s->progs[3].name = "not_bypass_stack_boundary_checks_2";
	s->progs[3].prog = &obj->progs.not_bypass_stack_boundary_checks_2;
	s->progs[3].link = &obj->links.not_bypass_stack_boundary_checks_2;

	s->data = verifier_const_or__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_const_or__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x63\x6f\x6e\x73\x74\x5f\x6f\x72\x2e\x63\0\x63\x6f\x6e\
\x73\x74\x61\x6e\x74\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6b\x65\x65\x70\x5f\x63\
\x6f\x6e\x73\x74\x61\x6e\x74\x5f\x74\x79\x70\x65\0\x6e\x6f\x74\x5f\x62\x79\x70\
\x61\x73\x73\x5f\x73\x74\x61\x63\x6b\x5f\x62\x6f\x75\x6e\x64\x61\x72\x79\x5f\
\x63\x68\x65\x63\x6b\x73\x5f\x31\0\x72\x65\x67\x69\x73\x74\x65\x72\x5f\x73\x68\
\x6f\x75\x6c\x64\x5f\x6b\x65\x65\x70\x5f\x63\x6f\x6e\x73\x74\x61\x6e\x74\x5f\
\x74\x79\x70\x65\0\x6e\x6f\x74\x5f\x62\x79\x70\x61\x73\x73\x5f\x73\x74\x61\x63\
\x6b\x5f\x62\x6f\x75\x6e\x64\x61\x72\x79\x5f\x63\x68\x65\x63\x6b\x73\x5f\x32\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\x5b\0\0\0\x12\0\x03\0\x38\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x7e\0\0\0\x12\0\x03\
\0\x70\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa1\0\0\0\x12\0\x03\0\xb0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xc4\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xd0\xff\xff\xff\xb7\x02\0\0\x22\0\0\0\x47\x02\0\0\
\x0d\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa1\0\
\0\0\0\0\0\x07\x01\0\0\xd0\xff\xff\xff\xb7\x02\0\0\x22\0\0\0\x47\x02\0\0\x18\0\
\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\
\0\0\x07\x01\0\0\xd0\xff\xff\xff\xb7\x02\0\0\x22\0\0\0\xb7\x04\0\0\x0d\0\0\0\
\x4f\x42\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xd0\xff\xff\xff\xb7\x02\0\0\x22\0\0\0\xb7\x04\
\0\0\x18\0\0\0\x4f\x42\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x3c\x01\0\
\0\x3c\x01\0\0\x5a\x03\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\
\0\0\0\x24\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x75\0\0\0\0\0\0\x11\x02\0\
\0\0\xff\xff\xff\xff\x91\0\0\0\x01\0\0\x0c\x01\0\0\0\xb4\0\0\0\0\0\0\x11\x05\0\
\0\0\xff\xff\xff\xff\x13\x01\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\x2f\x01\0\
\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\x7b\x01\0\0\x01\0\0\x0c\x01\0\0\0\x9e\
\x01\0\0\0\0\0\x11\x09\0\0\0\xff\xff\xff\xff\x75\0\0\0\0\0\0\x11\x09\0\0\0\xff\
\xff\xff\xff\xf8\x01\0\0\x01\0\0\x0c\x01\0\0\0\x1b\x02\0\0\0\0\0\x11\x0c\0\0\0\
\xff\xff\xff\xff\x13\x01\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x2f\x01\0\0\0\
\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x83\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x12\0\0\0\x04\0\0\0\x88\x02\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x9c\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x47\x03\0\0\x01\
\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x6f\x6e\x73\x74\x61\x6e\
\x74\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6b\x65\x65\x70\x5f\x63\x6f\x6e\x73\x74\
\x61\x6e\x74\x5f\x74\x79\x70\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x73\x74\
\x61\x6e\x74\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x7c\x3d\x20\x63\x6f\x6e\
\x73\x74\x61\x6e\x74\x20\x73\x68\x6f\x75\x6c\x64\x20\x6b\x65\x65\x70\x20\x63\
\x6f\x6e\x73\x74\x61\x6e\x74\x20\x74\x79\x70\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\
\x73\0\x6e\x6f\x74\x5f\x62\x79\x70\x61\x73\x73\x5f\x73\x74\x61\x63\x6b\x5f\x62\
\x6f\x75\x6e\x64\x61\x72\x79\x5f\x63\x68\x65\x63\x6b\x73\x5f\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x63\x6f\x6e\x73\x74\x61\x6e\x74\x20\x72\x65\x67\x69\x73\x74\x65\
\x72\x20\x7c\x3d\x20\x63\x6f\x6e\x73\x74\x61\x6e\x74\x20\x73\x68\x6f\x75\x6c\
\x64\x20\x6e\x6f\x74\x20\x62\x79\x70\x61\x73\x73\x20\x73\x74\x61\x63\x6b\x20\
\x62\x6f\x75\x6e\x64\x61\x72\x79\x20\x63\x68\x65\x63\x6b\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\
\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x73\x74\
\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x34\x38\x20\x73\x69\x7a\x65\
\x3d\x35\x38\0\x72\x65\x67\x69\x73\x74\x65\x72\x5f\x73\x68\x6f\x75\x6c\x64\x5f\
\x6b\x65\x65\x70\x5f\x63\x6f\x6e\x73\x74\x61\x6e\x74\x5f\x74\x79\x70\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x73\x74\x61\x6e\x74\x20\x72\x65\x67\x69\x73\
\x74\x65\x72\x20\x7c\x3d\x20\x63\x6f\x6e\x73\x74\x61\x6e\x74\x20\x72\x65\x67\
\x69\x73\x74\x65\x72\x20\x73\x68\x6f\x75\x6c\x64\x20\x6b\x65\x65\x70\x20\x63\
\x6f\x6e\x73\x74\x61\x6e\x74\x20\x74\x79\x70\x65\0\x6e\x6f\x74\x5f\x62\x79\x70\
\x61\x73\x73\x5f\x73\x74\x61\x63\x6b\x5f\x62\x6f\x75\x6e\x64\x61\x72\x79\x5f\
\x63\x68\x65\x63\x6b\x73\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x73\x74\
\x61\x6e\x74\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x7c\x3d\x20\x63\x6f\x6e\
\x73\x74\x61\x6e\x74\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x73\x68\x6f\x75\
\x6c\x64\x20\x6e\x6f\x74\x20\x62\x79\x70\x61\x73\x73\x20\x73\x74\x61\x63\x6b\
\x20\x62\x6f\x75\x6e\x64\x61\x72\x79\x20\x63\x68\x65\x63\x6b\x73\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\
\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\
\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x63\x6f\x6e\x73\x74\x5f\x6f\x72\x2e\x63\0\x09\x61\x73\x6d\
\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x4c\0\0\0\x78\0\0\0\0\0\0\0\
\x08\0\0\0\x4f\x03\0\0\x04\0\0\0\0\0\0\0\x02\0\0\0\x38\0\0\0\x05\0\0\0\x70\0\0\
\0\x09\0\0\0\xb0\0\0\0\x0c\0\0\0\x10\0\0\0\x4f\x03\0\0\x04\0\0\0\0\0\0\0\xa5\
\x02\0\0\x30\x03\0\0\x02\x34\0\0\x38\0\0\0\xa5\x02\0\0\x30\x03\0\0\x02\x7c\0\0\
\x70\0\0\0\xa5\x02\0\0\x30\x03\0\0\x02\xc4\0\0\xb0\0\0\0\xa5\x02\0\0\x30\x03\0\
\0\x02\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xdb\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xd0\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xcd\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\
\0\0\0\xae\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x07\0\0\0\0\0\0\x98\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_const_or *verifier_const_or::open(const struct bpf_object_open_opts *opts) { return verifier_const_or__open_opts(opts); }
struct verifier_const_or *verifier_const_or::open_and_load() { return verifier_const_or__open_and_load(); }
int verifier_const_or::load(struct verifier_const_or *skel) { return verifier_const_or__load(skel); }
int verifier_const_or::attach(struct verifier_const_or *skel) { return verifier_const_or__attach(skel); }
void verifier_const_or::detach(struct verifier_const_or *skel) { verifier_const_or__detach(skel); }
void verifier_const_or::destroy(struct verifier_const_or *skel) { verifier_const_or__destroy(skel); }
const void *verifier_const_or::elf_bytes(size_t *sz) { return verifier_const_or__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_const_or__assert(struct verifier_const_or *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CONST_OR_SKEL_H__ */
