/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CTX_SKEL_H__
#define __VERIFIER_CTX_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_ctx {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *context_stores_via_bpf_atomic;
		struct bpf_program *make_ptr_to_ctx_unusable;
		struct bpf_program *unmodified_ctx_pointer_to_helper;
		struct bpf_program *ctx_pointer_to_helper_1;
		struct bpf_program *ctx_pointer_to_helper_3;
		struct bpf_program *ctx_pointer_to_helper_2;
		struct bpf_program *or_null_check_1_ctx;
		struct bpf_program *or_null_check_2_null;
		struct bpf_program *or_null_check_3_1;
		struct bpf_program *null_check_4_ctx_const;
		struct bpf_program *null_check_5_null_connect;
		struct bpf_program *null_check_6_null_bind;
		struct bpf_program *null_check_7_ctx_bind;
		struct bpf_program *null_check_8_null_bind;
	} progs;
	struct {
		struct bpf_link *context_stores_via_bpf_atomic;
		struct bpf_link *make_ptr_to_ctx_unusable;
		struct bpf_link *unmodified_ctx_pointer_to_helper;
		struct bpf_link *ctx_pointer_to_helper_1;
		struct bpf_link *ctx_pointer_to_helper_3;
		struct bpf_link *ctx_pointer_to_helper_2;
		struct bpf_link *or_null_check_1_ctx;
		struct bpf_link *or_null_check_2_null;
		struct bpf_link *or_null_check_3_1;
		struct bpf_link *null_check_4_ctx_const;
		struct bpf_link *null_check_5_null_connect;
		struct bpf_link *null_check_6_null_bind;
		struct bpf_link *null_check_7_ctx_bind;
		struct bpf_link *null_check_8_null_bind;
	} links;

#ifdef __cplusplus
	static inline struct verifier_ctx *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_ctx *open_and_load();
	static inline int load(struct verifier_ctx *skel);
	static inline int attach(struct verifier_ctx *skel);
	static inline void detach(struct verifier_ctx *skel);
	static inline void destroy(struct verifier_ctx *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_ctx__destroy(struct verifier_ctx *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_ctx__create_skeleton(struct verifier_ctx *obj);

static inline struct verifier_ctx *
verifier_ctx__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_ctx *obj;
	int err;

	obj = (struct verifier_ctx *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_ctx__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_ctx__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_ctx *
verifier_ctx__open(void)
{
	return verifier_ctx__open_opts(NULL);
}

static inline int
verifier_ctx__load(struct verifier_ctx *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_ctx *
verifier_ctx__open_and_load(void)
{
	struct verifier_ctx *obj;
	int err;

	obj = verifier_ctx__open();
	if (!obj)
		return NULL;
	err = verifier_ctx__load(obj);
	if (err) {
		verifier_ctx__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_ctx__attach(struct verifier_ctx *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_ctx__detach(struct verifier_ctx *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_ctx__elf_bytes(size_t *sz);

static inline int
verifier_ctx__create_skeleton(struct verifier_ctx *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_ctx";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 14;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "context_stores_via_bpf_atomic";
	s->progs[0].prog = &obj->progs.context_stores_via_bpf_atomic;
	s->progs[0].link = &obj->links.context_stores_via_bpf_atomic;

	s->progs[1].name = "make_ptr_to_ctx_unusable";
	s->progs[1].prog = &obj->progs.make_ptr_to_ctx_unusable;
	s->progs[1].link = &obj->links.make_ptr_to_ctx_unusable;

	s->progs[2].name = "unmodified_ctx_pointer_to_helper";
	s->progs[2].prog = &obj->progs.unmodified_ctx_pointer_to_helper;
	s->progs[2].link = &obj->links.unmodified_ctx_pointer_to_helper;

	s->progs[3].name = "ctx_pointer_to_helper_1";
	s->progs[3].prog = &obj->progs.ctx_pointer_to_helper_1;
	s->progs[3].link = &obj->links.ctx_pointer_to_helper_1;

	s->progs[4].name = "ctx_pointer_to_helper_3";
	s->progs[4].prog = &obj->progs.ctx_pointer_to_helper_3;
	s->progs[4].link = &obj->links.ctx_pointer_to_helper_3;

	s->progs[5].name = "ctx_pointer_to_helper_2";
	s->progs[5].prog = &obj->progs.ctx_pointer_to_helper_2;
	s->progs[5].link = &obj->links.ctx_pointer_to_helper_2;

	s->progs[6].name = "or_null_check_1_ctx";
	s->progs[6].prog = &obj->progs.or_null_check_1_ctx;
	s->progs[6].link = &obj->links.or_null_check_1_ctx;

	s->progs[7].name = "or_null_check_2_null";
	s->progs[7].prog = &obj->progs.or_null_check_2_null;
	s->progs[7].link = &obj->links.or_null_check_2_null;

	s->progs[8].name = "or_null_check_3_1";
	s->progs[8].prog = &obj->progs.or_null_check_3_1;
	s->progs[8].link = &obj->links.or_null_check_3_1;

	s->progs[9].name = "null_check_4_ctx_const";
	s->progs[9].prog = &obj->progs.null_check_4_ctx_const;
	s->progs[9].link = &obj->links.null_check_4_ctx_const;

	s->progs[10].name = "null_check_5_null_connect";
	s->progs[10].prog = &obj->progs.null_check_5_null_connect;
	s->progs[10].link = &obj->links.null_check_5_null_connect;

	s->progs[11].name = "null_check_6_null_bind";
	s->progs[11].prog = &obj->progs.null_check_6_null_bind;
	s->progs[11].link = &obj->links.null_check_6_null_bind;

	s->progs[12].name = "null_check_7_ctx_bind";
	s->progs[12].prog = &obj->progs.null_check_7_ctx_bind;
	s->progs[12].link = &obj->links.null_check_7_ctx_bind;

	s->progs[13].name = "null_check_8_null_bind";
	s->progs[13].prog = &obj->progs.null_check_8_null_bind;
	s->progs[13].link = &obj->links.null_check_8_null_bind;

	s->data = verifier_ctx__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_ctx__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x73\x6f\x63\x6b\x65\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x6e\x64\x6d\x73\
\x67\x36\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x34\0\x63\
\x67\x72\x6f\x75\x70\x2f\x70\x6f\x73\x74\x5f\x62\x69\x6e\x64\x34\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x74\x78\x2e\x63\0\
\x63\x6f\x6e\x74\x65\x78\x74\x5f\x73\x74\x6f\x72\x65\x73\x5f\x76\x69\x61\x5f\
\x62\x70\x66\x5f\x61\x74\x6f\x6d\x69\x63\0\x6d\x61\x6b\x65\x5f\x70\x74\x72\x5f\
\x74\x6f\x5f\x63\x74\x78\x5f\x75\x6e\x75\x73\x61\x62\x6c\x65\0\x75\x6e\x6d\x6f\
\x64\x69\x66\x69\x65\x64\x5f\x63\x74\x78\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\
\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\0\x63\x74\x78\x5f\x70\x6f\x69\x6e\x74\x65\
\x72\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\x5f\x31\0\x63\x74\x78\x5f\x70\x6f\
\x69\x6e\x74\x65\x72\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\x5f\x32\0\x63\x74\
\x78\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x33\0\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\
\x74\x78\0\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x6e\
\x75\x6c\x6c\0\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x33\x5f\
\x31\0\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x34\x5f\x63\x74\x78\x5f\x63\
\x6f\x6e\x73\x74\0\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x35\x5f\x6e\x75\
\x6c\x6c\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\
\x6b\x5f\x36\x5f\x6e\x75\x6c\x6c\x5f\x62\x69\x6e\x64\0\x6e\x75\x6c\x6c\x5f\x63\
\x68\x65\x63\x6b\x5f\x37\x5f\x63\x74\x78\x5f\x62\x69\x6e\x64\0\x6e\x75\x6c\x6c\
\x5f\x63\x68\x65\x63\x6b\x5f\x38\x5f\x6e\x75\x6c\x6c\x5f\x62\x69\x6e\x64\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x04\
\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x82\0\0\0\x12\0\x03\0\x18\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x9b\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\xbc\0\0\0\x12\0\x03\0\x50\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xd4\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xec\0\0\0\x12\0\x03\0\x78\0\0\0\
\0\0\0\0\x38\0\0\0\0\0\0\0\x04\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x18\x01\0\0\x12\0\x05\0\x18\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x2d\x01\0\0\
\x12\0\x05\0\x38\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x3f\x01\0\0\x12\0\x05\0\x58\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x56\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x70\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x87\x01\0\
\0\x12\0\x07\0\x20\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x9d\x01\0\0\x12\0\x07\0\x38\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb4\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xc3\x01\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\x07\x01\
\0\0\x44\0\0\0\x61\x10\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\
\0\0\0\x28\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x07\x01\0\0\x9c\xfd\xff\
\xff\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x28\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x13\0\0\0\0\0\0\x57\x03\0\0\x04\0\0\0\x0f\x31\0\0\0\0\0\0\xb7\x02\0\0\0\
\0\0\0\x85\0\0\0\x28\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x07\x01\0\0\x9c\
\xfd\xff\xff\x85\0\0\0\x2e\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\
\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\0\0\0\
\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x85\0\0\0\
\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x07\x01\0\0\x9c\xfd\xff\xff\x85\
\0\0\0\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\0\
\0\0\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\0\0\
\0\x7a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x2e\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\0\0\0\x2e\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x84\x03\0\0\x84\x03\0\0\xaa\x07\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\
\0\x0c\x01\0\0\0\x1f\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x72\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\xb7\0\0\0\x01\0\0\x0c\x01\0\0\0\xd0\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\
\x56\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x11\x01\0\0\0\0\0\x11\x06\0\0\0\
\xff\xff\xff\xff\x49\x01\0\0\x01\0\0\x0c\x01\0\0\0\x6a\x01\0\0\0\0\0\x11\x0a\0\
\0\0\xff\xff\xff\xff\xa9\x01\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xc5\x01\0\
\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xdb\x01\0\0\x01\0\0\x0c\x01\0\0\0\xf3\
\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x0e\0\0\0\xff\
\xff\xff\xff\x33\x02\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x7a\x02\0\0\x01\0\
\0\x0c\x01\0\0\0\x92\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\
\0\x11\x12\0\0\0\xff\xff\xff\xff\x33\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\
\xff\xd2\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xf5\x02\0\0\0\0\0\x11\x12\
\0\0\0\xff\xff\xff\xff\x43\x03\0\0\x01\0\0\x0c\x01\0\0\0\x5b\x03\0\0\0\0\0\x11\
\x18\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x9b\
\x03\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xda\x03\0\0\x01\0\0\x0c\x01\0\0\0\
\xee\x03\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\xa9\x01\0\0\0\0\0\x11\x1c\0\0\
\0\xff\xff\xff\xff\x26\x04\0\0\x01\0\0\x0c\x01\0\0\0\x3b\x04\0\0\0\0\0\x11\x1f\
\0\0\0\xff\xff\xff\xff\xa9\x01\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\x74\x04\
\0\0\x01\0\0\x0c\x01\0\0\0\x86\x04\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x56\
\0\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\xbc\x04\0\0\0\0\0\x11\x22\0\0\0\xff\
\xff\xff\xff\xf0\x04\0\0\x01\0\0\x0c\x01\0\0\0\x07\x05\0\0\0\0\0\x11\x26\0\0\0\
\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\x33\x02\0\0\0\0\
\0\x11\x26\0\0\0\xff\xff\xff\xff\x47\x05\0\0\x01\0\0\x0c\x01\0\0\0\x61\x05\0\0\
\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\xa9\x01\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\
\xff\xff\xa4\x05\0\0\x01\0\0\x0c\x01\0\0\0\xbb\x05\0\0\0\0\0\x11\x2d\0\0\0\xff\
\xff\xff\xff\xa9\x01\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\xfb\x05\0\0\x01\0\
\0\x0c\x01\0\0\0\x11\x06\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\xa9\x01\0\0\0\
\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x50\x06\0\0\x01\0\0\x0c\x01\0\0\0\x67\x06\0\
\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x33\0\0\0\xff\xff\
\xff\xff\xbc\x04\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\xa7\x06\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x37\0\0\0\x39\0\0\0\x04\0\0\0\
\xac\x06\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xc0\x06\0\0\0\0\0\x0e\x38\0\0\0\x01\
\0\0\0\x66\x07\0\0\x01\0\0\x0f\x04\0\0\0\x3a\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x6f\
\x6e\x74\x65\x78\x74\x5f\x73\x74\x6f\x72\x65\x73\x5f\x76\x69\x61\x5f\x62\x70\
\x66\x5f\x61\x74\x6f\x6d\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x74\x65\
\x78\x74\x20\x73\x74\x6f\x72\x65\x73\x20\x76\x69\x61\x20\x42\x50\x46\x5f\x41\
\x54\x4f\x4d\x49\x43\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x42\
\x50\x46\x5f\x41\x54\x4f\x4d\x49\x43\x20\x73\x74\x6f\x72\x65\x73\x20\x69\x6e\
\x74\x6f\x20\x52\x31\x20\x63\x74\x78\x20\x69\x73\x20\x6e\x6f\x74\x20\x61\x6c\
\x6c\x6f\x77\x65\x64\0\x6d\x61\x6b\x65\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x63\x74\
\x78\x5f\x75\x6e\x75\x73\x61\x62\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x61\x72\x69\
\x74\x68\x6d\x65\x74\x69\x63\x20\x6f\x70\x73\x20\x6d\x61\x6b\x65\x20\x50\x54\
\x52\x5f\x54\x4f\x5f\x43\x54\x58\x20\x75\x6e\x75\x73\x61\x62\x6c\x65\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x64\x65\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x6f\x66\x20\x6d\
\x6f\x64\x69\x66\x69\x65\x64\x20\x63\x74\x78\x20\x70\x74\x72\0\x75\x6e\x6d\x6f\
\x64\x69\x66\x69\x65\x64\x5f\x63\x74\x78\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\
\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\
\x20\x75\x6e\x6d\x6f\x64\x69\x66\x69\x65\x64\x20\x63\x74\x78\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x74\x6f\x20\x68\x65\x6c\x70\x65\x72\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\
\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x3d\x30\0\x63\x74\x78\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x74\x6f\
\x5f\x68\x65\x6c\x70\x65\x72\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\
\x20\x6d\x6f\x64\x69\x66\x69\x65\x64\x20\x63\x74\x78\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x74\x6f\x20\x68\x65\x6c\x70\x65\x72\x2c\x20\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6f\x66\x66\x73\x65\x74\x20\x63\x74\
\x78\x20\x70\x74\x72\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x36\x31\x32\x20\x64\
\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x63\x74\x78\x5f\x70\x6f\x69\x6e\x74\x65\
\x72\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x70\x61\x73\x73\x20\x6d\x6f\x64\x69\x66\x69\x65\x64\x20\x63\x74\x78\x20\x70\
\x6f\x69\x6e\x74\x65\x72\x20\x74\x6f\x20\x68\x65\x6c\x70\x65\x72\x2c\x20\x32\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x5f\x75\x6e\x70\x72\x69\x76\x3d\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6f\x66\
\x66\x73\x65\x74\x20\x63\x74\x78\x20\x70\x74\x72\x20\x52\x31\x20\x6f\x66\x66\
\x3d\x2d\x36\x31\x32\x20\x64\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x63\x74\x78\
\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\x5f\
\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\x20\x6d\x6f\x64\x69\x66\x69\x65\
\x64\x20\x63\x74\x78\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x74\x6f\x20\x68\x65\
\x6c\x70\x65\x72\x2c\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x76\x61\x72\x69\x61\x62\x6c\
\x65\x20\x63\x74\x78\x20\x61\x63\x63\x65\x73\x73\x20\x76\x61\x72\x5f\x6f\x66\
\x66\x3d\x28\x30\x78\x30\x3b\x20\x30\x78\x34\x29\0\x6f\x72\x5f\x6e\x75\x6c\x6c\
\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\x74\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\
\x61\x73\x73\x20\x63\x74\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\x65\
\x63\x6b\x2c\x20\x31\x3a\x20\x63\x74\x78\0\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x63\
\x68\x65\x63\x6b\x5f\x32\x5f\x6e\x75\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\
\x73\x73\x20\x63\x74\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\x65\x63\
\x6b\x2c\x20\x32\x3a\x20\x6e\x75\x6c\x6c\0\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x63\
\x68\x65\x63\x6b\x5f\x33\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\x20\
\x63\x74\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\x65\x63\x6b\x2c\x20\
\x33\x3a\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x73\x63\
\x61\x6c\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x63\x74\x78\0\x6e\x75\
\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x34\x5f\x63\x74\x78\x5f\x63\x6f\x6e\x73\
\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\x20\x63\x74\x78\x20\x6f\x72\x20\
\x6e\x75\x6c\x6c\x20\x63\x68\x65\x63\x6b\x2c\x20\x34\x3a\x20\x63\x74\x78\x20\
\x2d\x20\x63\x6f\x6e\x73\x74\0\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x35\
\x5f\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x70\x61\x73\x73\x20\x63\x74\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\
\x65\x63\x6b\x2c\x20\x35\x3a\x20\x6e\x75\x6c\x6c\x20\x28\x63\x6f\x6e\x6e\x65\
\x63\x74\x29\0\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x36\x5f\x6e\x75\x6c\
\x6c\x5f\x62\x69\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\x20\x63\x74\
\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\x65\x63\x6b\x2c\x20\x36\x3a\
\x20\x6e\x75\x6c\x6c\x20\x28\x62\x69\x6e\x64\x29\0\x6e\x75\x6c\x6c\x5f\x63\x68\
\x65\x63\x6b\x5f\x37\x5f\x63\x74\x78\x5f\x62\x69\x6e\x64\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x70\x61\x73\x73\x20\x63\x74\x78\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x63\
\x68\x65\x63\x6b\x2c\x20\x37\x3a\x20\x63\x74\x78\x20\x28\x62\x69\x6e\x64\x29\0\
\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\x38\x5f\x6e\x75\x6c\x6c\x5f\x62\
\x69\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x61\x73\x73\x20\x63\x74\x78\x20\x6f\
\x72\x20\x6e\x75\x6c\x6c\x20\x63\x68\x65\x63\x6b\x2c\x20\x38\x3a\x20\x6e\x75\
\x6c\x6c\x20\x28\x62\x69\x6e\x64\x29\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x74\
\x78\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\
\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\0\x73\x6f\x63\
\x6b\x65\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x6e\x64\x6d\x73\x67\x36\0\
\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x34\0\x63\x67\x72\x6f\
\x75\x70\x2f\x70\x6f\x73\x74\x5f\x62\x69\x6e\x64\x34\0\0\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x9c\0\0\0\x9c\0\0\0\x0c\x01\0\0\xa8\x01\0\0\0\0\0\0\x08\0\0\0\x6e\
\x07\0\0\x05\0\0\0\0\0\0\0\x02\0\0\0\x18\0\0\0\x06\0\0\0\x30\0\0\0\x0a\0\0\0\
\x50\0\0\0\x0e\0\0\0\x78\0\0\0\x18\0\0\0\x71\x07\0\0\x01\0\0\0\0\0\0\0\x12\0\0\
\0\x78\x07\0\0\x04\0\0\0\0\0\0\0\x1c\0\0\0\x18\0\0\0\x1f\0\0\0\x38\0\0\0\x22\0\
\0\0\x58\0\0\0\x26\0\0\0\x88\x07\0\0\x01\0\0\0\0\0\0\0\x2a\0\0\0\x98\x07\0\0\
\x03\0\0\0\0\0\0\0\x2d\0\0\0\x20\0\0\0\x30\0\0\0\x38\0\0\0\x33\0\0\0\x10\0\0\0\
\x6e\x07\0\0\x05\0\0\0\0\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\x34\0\0\x18\0\0\0\
\xc9\x06\0\0\x4f\x07\0\0\x02\x6c\0\0\x30\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\xac\
\0\0\x50\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\xe8\0\0\x78\0\0\0\xc9\x06\0\0\x4f\
\x07\0\0\x02\x68\x01\0\x71\x07\0\0\x01\0\0\0\0\0\0\0\xc9\x06\0\0\x4f\x07\0\0\
\x02\x2c\x01\0\x78\x07\0\0\x04\0\0\0\0\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\xb0\
\x01\0\x18\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\xe8\x01\0\x38\0\0\0\xc9\x06\0\0\
\x4f\x07\0\0\x02\x24\x02\0\x58\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\x60\x02\0\x88\
\x07\0\0\x01\0\0\0\0\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\x9c\x02\0\x98\x07\0\0\
\x03\0\0\0\0\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\xd8\x02\0\x20\0\0\0\xc9\x06\0\0\
\x4f\x07\0\0\x02\x14\x03\0\x38\0\0\0\xc9\x06\0\0\x4f\x07\0\0\x02\x4c\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xcb\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\x02\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x04\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x14\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x04\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x04\0\0\0\0\0\0\x78\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xbd\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x05\0\0\0\0\0\0\x46\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc2\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x11\0\0\0\0\
\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_ctx *verifier_ctx::open(const struct bpf_object_open_opts *opts) { return verifier_ctx__open_opts(opts); }
struct verifier_ctx *verifier_ctx::open_and_load() { return verifier_ctx__open_and_load(); }
int verifier_ctx::load(struct verifier_ctx *skel) { return verifier_ctx__load(skel); }
int verifier_ctx::attach(struct verifier_ctx *skel) { return verifier_ctx__attach(skel); }
void verifier_ctx::detach(struct verifier_ctx *skel) { verifier_ctx__detach(skel); }
void verifier_ctx::destroy(struct verifier_ctx *skel) { verifier_ctx__destroy(skel); }
const void *verifier_ctx::elf_bytes(size_t *sz) { return verifier_ctx__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_ctx__assert(struct verifier_ctx *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CTX_SKEL_H__ */
