/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_INT_PTR_SKEL_H__
#define __VERIFIER_INT_PTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_int_ptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *arg_ptr_to_long_uninitialized;
		struct bpf_program *ptr_to_long_half_uninitialized;
		struct bpf_program *arg_ptr_to_long_misaligned;
		struct bpf_program *to_long_size_sizeof_long;
		struct bpf_program *arg_ptr_to_long_initialized;
	} progs;
	struct {
		struct bpf_link *arg_ptr_to_long_uninitialized;
		struct bpf_link *ptr_to_long_half_uninitialized;
		struct bpf_link *arg_ptr_to_long_misaligned;
		struct bpf_link *to_long_size_sizeof_long;
		struct bpf_link *arg_ptr_to_long_initialized;
	} links;

#ifdef __cplusplus
	static inline struct verifier_int_ptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_int_ptr *open_and_load();
	static inline int load(struct verifier_int_ptr *skel);
	static inline int attach(struct verifier_int_ptr *skel);
	static inline void detach(struct verifier_int_ptr *skel);
	static inline void destroy(struct verifier_int_ptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_int_ptr__destroy(struct verifier_int_ptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_int_ptr__create_skeleton(struct verifier_int_ptr *obj);

static inline struct verifier_int_ptr *
verifier_int_ptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_int_ptr *obj;
	int err;

	obj = (struct verifier_int_ptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_int_ptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_int_ptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_int_ptr *
verifier_int_ptr__open(void)
{
	return verifier_int_ptr__open_opts(NULL);
}

static inline int
verifier_int_ptr__load(struct verifier_int_ptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_int_ptr *
verifier_int_ptr__open_and_load(void)
{
	struct verifier_int_ptr *obj;
	int err;

	obj = verifier_int_ptr__open();
	if (!obj)
		return NULL;
	err = verifier_int_ptr__load(obj);
	if (err) {
		verifier_int_ptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_int_ptr__attach(struct verifier_int_ptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_int_ptr__detach(struct verifier_int_ptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_int_ptr__elf_bytes(size_t *sz);

static inline int
verifier_int_ptr__create_skeleton(struct verifier_int_ptr *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_int_ptr";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "arg_ptr_to_long_uninitialized";
	s->progs[0].prog = &obj->progs.arg_ptr_to_long_uninitialized;
	s->progs[0].link = &obj->links.arg_ptr_to_long_uninitialized;

	s->progs[1].name = "ptr_to_long_half_uninitialized";
	s->progs[1].prog = &obj->progs.ptr_to_long_half_uninitialized;
	s->progs[1].link = &obj->links.ptr_to_long_half_uninitialized;

	s->progs[2].name = "arg_ptr_to_long_misaligned";
	s->progs[2].prog = &obj->progs.arg_ptr_to_long_misaligned;
	s->progs[2].link = &obj->links.arg_ptr_to_long_misaligned;

	s->progs[3].name = "to_long_size_sizeof_long";
	s->progs[3].prog = &obj->progs.to_long_size_sizeof_long;
	s->progs[3].link = &obj->links.to_long_size_sizeof_long;

	s->progs[4].name = "arg_ptr_to_long_initialized";
	s->progs[4].prog = &obj->progs.arg_ptr_to_long_initialized;
	s->progs[4].link = &obj->links.arg_ptr_to_long_initialized;

	s->data = verifier_int_ptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_int_ptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x79\x73\x63\x74\x6c\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x69\x6e\x74\x5f\
\x70\x74\x72\x2e\x63\0\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6c\x6f\x6e\
\x67\x5f\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x6c\x6f\x6e\x67\x5f\x68\x61\x6c\x66\x5f\x75\x6e\x69\x6e\x69\x74\
\x69\x61\x6c\x69\x7a\x65\x64\0\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6c\
\x6f\x6e\x67\x5f\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\0\x74\x6f\x5f\x6c\x6f\
\x6e\x67\x5f\x73\x69\x7a\x65\x5f\x73\x69\x7a\x65\x6f\x66\x5f\x6c\x6f\x6e\x67\0\
\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6c\x6f\x6e\x67\x5f\x69\x6e\x69\
\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x5f\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x7e\0\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x99\0\0\0\x12\0\x04\0\x78\0\0\0\0\0\0\
\0\x68\0\0\0\0\0\0\0\xb2\0\0\0\x12\0\x04\0\xe0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\
\xce\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\
\x07\x07\0\0\xf8\xff\xff\xff\xb7\0\0\0\x36\x30\x30\0\x7b\x07\0\0\0\0\0\0\xbf\
\x71\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xb7\x03\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\
\xff\xff\xbf\x74\0\0\0\0\0\0\x85\0\0\0\x6a\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\xb7\0\0\0\x36\x30\x30\
\0\x7b\x07\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xb7\x03\0\0\0\
\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\x63\x07\0\0\0\0\0\0\xbf\x74\0\0\0\0\0\0\x85\
\0\0\0\x6a\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\
\x07\0\0\xf8\xff\xff\xff\xb7\0\0\0\x36\x30\x30\0\x7b\x07\0\0\0\0\0\0\xbf\x71\0\
\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xb7\x03\0\0\0\0\0\0\x07\x07\0\0\xf4\xff\xff\
\xff\xb7\0\0\0\0\0\0\0\x63\x07\0\0\0\0\0\0\x7b\x07\x04\0\0\0\0\0\xbf\x74\0\0\0\
\0\0\0\x85\0\0\0\x6a\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa7\0\0\0\
\0\0\0\x07\x07\0\0\xf0\xff\xff\xff\xb7\0\0\0\x36\x30\x30\0\x7b\x07\0\0\0\0\0\0\
\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xb7\x03\0\0\0\0\0\0\x07\x07\0\0\x0c\
\0\0\0\x63\x07\0\0\0\0\0\0\xbf\x74\0\0\0\0\0\0\x85\0\0\0\x6a\0\0\0\xb7\0\0\0\
\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\
\xb7\0\0\0\x36\x30\x30\0\x7b\x07\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\
\x04\0\0\0\xb7\x03\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\x7b\x07\0\0\0\0\0\0\
\xbf\x74\0\0\0\0\0\0\x85\0\0\0\x6a\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\x01\0\0\xb8\x01\0\0\
\x2d\x04\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x1f\0\0\
\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\
\xff\xff\x72\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\x11\x02\
\0\0\0\xff\xff\xff\xff\xe9\0\0\0\x01\0\0\x0c\x01\0\0\0\x08\x01\0\0\0\0\0\x11\
\x07\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x72\0\
\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x44\x01\0\0\0\0\0\x11\x07\0\0\0\xff\
\xff\xff\xff\x98\x01\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xae\x01\0\0\x01\0\
\0\x0c\x01\0\0\0\xc9\x01\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\xfd\x01\0\0\0\
\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\
\xff\x5c\x02\0\0\x01\0\0\x0c\x01\0\0\0\x75\x02\0\0\0\0\0\x11\x11\0\0\0\xff\xff\
\xff\xff\xfd\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xb2\x02\0\0\0\0\0\x11\
\x11\0\0\0\xff\xff\xff\xff\xfc\x02\0\0\x01\0\0\x0c\x01\0\0\0\x18\x03\0\0\0\0\0\
\x11\x15\0\0\0\xff\xff\xff\xff\x56\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\
\x4d\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\
\0\x1a\0\0\0\x04\0\0\0\x52\x03\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x66\x03\0\0\0\
\0\0\x0e\x19\0\0\0\x01\0\0\0\x10\x04\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\0\
\0\x04\0\0\0\0\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6c\x6f\x6e\x67\x5f\
\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4c\x4f\x4e\x47\x20\x75\x6e\x69\
\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\
\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\
\x72\x65\x63\x74\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\
\x6b\x20\x52\x34\x20\x6f\x66\x66\x20\x2d\x31\x36\x2b\x30\x20\x73\x69\x7a\x65\
\x20\x38\0\x70\x74\x72\x5f\x74\x6f\x5f\x6c\x6f\x6e\x67\x5f\x68\x61\x6c\x66\x5f\
\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4c\x4f\x4e\x47\x20\x68\x61\x6c\
\x66\x2d\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\
\x69\x72\x65\x63\x74\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\
\x63\x6b\x20\x52\x34\x20\x6f\x66\x66\x20\x2d\x31\x36\x2b\x34\x20\x73\x69\x7a\
\x65\x20\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x3d\x30\0\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6c\x6f\x6e\
\x67\x5f\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x41\
\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4c\x4f\x4e\x47\x20\x6d\x69\x73\x61\
\x6c\x69\x67\x6e\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x61\x63\
\x63\x65\x73\x73\x20\x6f\x66\x66\x20\x30\x2b\x2d\x32\x30\x2b\x30\x20\x73\x69\
\x7a\x65\x20\x38\0\x74\x6f\x5f\x6c\x6f\x6e\x67\x5f\x73\x69\x7a\x65\x5f\x73\x69\
\x7a\x65\x6f\x66\x5f\x6c\x6f\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x41\x52\x47\x5f\
\x50\x54\x52\x5f\x54\x4f\x5f\x4c\x4f\x4e\x47\x20\x73\x69\x7a\x65\x20\x3c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x6c\x6f\x6e\x67\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\
\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\
\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x34\x20\x6f\x66\x66\x3d\
\x2d\x34\x20\x73\x69\x7a\x65\x3d\x38\0\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\
\x5f\x6c\x6f\x6e\x67\x5f\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4c\x4f\x4e\x47\
\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\
\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\
\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x69\x6e\x74\x5f\x70\x74\x72\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\
\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x6f\x63\x6b\x65\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x79\x73\x63\
\x74\x6c\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x64\0\0\0\
\xa0\0\0\0\0\0\0\0\x08\0\0\0\x18\x04\0\0\x02\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\
\x07\0\0\0\x1f\x04\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x78\0\0\0\x11\0\0\0\xe0\0\0\
\0\x15\0\0\0\x10\0\0\0\x18\x04\0\0\x02\0\0\0\0\0\0\0\x6f\x03\0\0\xf9\x03\0\0\
\x02\x38\0\0\x60\0\0\0\x6f\x03\0\0\xf9\x03\0\0\x02\xb4\0\0\x1f\x04\0\0\x03\0\0\
\0\0\0\0\0\x6f\x03\0\0\xf9\x03\0\0\x02\x28\x01\0\x78\0\0\0\x6f\x03\0\0\xf9\x03\
\0\0\x02\xa4\x01\0\xe0\0\0\0\x6f\x03\0\0\xf9\x03\0\0\x02\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x48\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\xfd\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x30\x0a\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_int_ptr *verifier_int_ptr::open(const struct bpf_object_open_opts *opts) { return verifier_int_ptr__open_opts(opts); }
struct verifier_int_ptr *verifier_int_ptr::open_and_load() { return verifier_int_ptr__open_and_load(); }
int verifier_int_ptr::load(struct verifier_int_ptr *skel) { return verifier_int_ptr__load(skel); }
int verifier_int_ptr::attach(struct verifier_int_ptr *skel) { return verifier_int_ptr__attach(skel); }
void verifier_int_ptr::detach(struct verifier_int_ptr *skel) { verifier_int_ptr__detach(skel); }
void verifier_int_ptr::destroy(struct verifier_int_ptr *skel) { verifier_int_ptr__destroy(skel); }
const void *verifier_int_ptr::elf_bytes(size_t *sz) { return verifier_int_ptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_int_ptr__assert(struct verifier_int_ptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_INT_PTR_SKEL_H__ */
