/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_JEQ_INFER_NOT_NULL_SKEL_H__
#define __VERIFIER_JEQ_INFER_NOT_NULL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_jeq_infer_not_null {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_xskmap;
	} maps;
	struct {
		struct bpf_program *socket_for_jne_false_branch;
		struct bpf_program *unchanged_for_jne_true_branch;
		struct bpf_program *socket_for_jeq_true_branch;
		struct bpf_program *unchanged_for_jeq_false_branch;
		struct bpf_program *null_ptr_to_map_value;
	} progs;
	struct {
		struct bpf_link *socket_for_jne_false_branch;
		struct bpf_link *unchanged_for_jne_true_branch;
		struct bpf_link *socket_for_jeq_true_branch;
		struct bpf_link *unchanged_for_jeq_false_branch;
		struct bpf_link *null_ptr_to_map_value;
	} links;

#ifdef __cplusplus
	static inline struct verifier_jeq_infer_not_null *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_jeq_infer_not_null *open_and_load();
	static inline int load(struct verifier_jeq_infer_not_null *skel);
	static inline int attach(struct verifier_jeq_infer_not_null *skel);
	static inline void detach(struct verifier_jeq_infer_not_null *skel);
	static inline void destroy(struct verifier_jeq_infer_not_null *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_jeq_infer_not_null__destroy(struct verifier_jeq_infer_not_null *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_jeq_infer_not_null__create_skeleton(struct verifier_jeq_infer_not_null *obj);

static inline struct verifier_jeq_infer_not_null *
verifier_jeq_infer_not_null__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_jeq_infer_not_null *obj;
	int err;

	obj = (struct verifier_jeq_infer_not_null *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_jeq_infer_not_null__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_jeq_infer_not_null__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_jeq_infer_not_null *
verifier_jeq_infer_not_null__open(void)
{
	return verifier_jeq_infer_not_null__open_opts(NULL);
}

static inline int
verifier_jeq_infer_not_null__load(struct verifier_jeq_infer_not_null *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_jeq_infer_not_null *
verifier_jeq_infer_not_null__open_and_load(void)
{
	struct verifier_jeq_infer_not_null *obj;
	int err;

	obj = verifier_jeq_infer_not_null__open();
	if (!obj)
		return NULL;
	err = verifier_jeq_infer_not_null__load(obj);
	if (err) {
		verifier_jeq_infer_not_null__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_jeq_infer_not_null__attach(struct verifier_jeq_infer_not_null *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_jeq_infer_not_null__detach(struct verifier_jeq_infer_not_null *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_jeq_infer_not_null__elf_bytes(size_t *sz);

static inline int
verifier_jeq_infer_not_null__create_skeleton(struct verifier_jeq_infer_not_null *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_jeq_infer_not_null";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_xskmap";
	s->maps[0].map = &obj->maps.map_xskmap;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "socket_for_jne_false_branch";
	s->progs[0].prog = &obj->progs.socket_for_jne_false_branch;
	s->progs[0].link = &obj->links.socket_for_jne_false_branch;

	s->progs[1].name = "unchanged_for_jne_true_branch";
	s->progs[1].prog = &obj->progs.unchanged_for_jne_true_branch;
	s->progs[1].link = &obj->links.unchanged_for_jne_true_branch;

	s->progs[2].name = "socket_for_jeq_true_branch";
	s->progs[2].prog = &obj->progs.socket_for_jeq_true_branch;
	s->progs[2].link = &obj->links.socket_for_jeq_true_branch;

	s->progs[3].name = "unchanged_for_jeq_false_branch";
	s->progs[3].prog = &obj->progs.unchanged_for_jeq_false_branch;
	s->progs[3].link = &obj->links.unchanged_for_jeq_false_branch;

	s->progs[4].name = "null_ptr_to_map_value";
	s->progs[4].prog = &obj->progs.null_ptr_to_map_value;
	s->progs[4].link = &obj->links.null_ptr_to_map_value;

	s->data = verifier_jeq_infer_not_null__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_jeq_infer_not_null__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x78\x64\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6a\x65\x71\x5f\x69\
\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x2e\x63\0\x6c\x30\x5f\x30\
\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\
\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x73\x6f\x63\x6b\x65\x74\x5f\x66\x6f\x72\x5f\
\x6a\x6e\x65\x5f\x66\x61\x6c\x73\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x75\x6e\x63\
\x68\x61\x6e\x67\x65\x64\x5f\x66\x6f\x72\x5f\x6a\x6e\x65\x5f\x74\x72\x75\x65\
\x5f\x62\x72\x61\x6e\x63\x68\0\x73\x6f\x63\x6b\x65\x74\x5f\x66\x6f\x72\x5f\x6a\
\x65\x71\x5f\x74\x72\x75\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x75\x6e\x63\x68\x61\
\x6e\x67\x65\x64\x5f\x66\x6f\x72\x5f\x6a\x65\x71\x5f\x66\x61\x6c\x73\x65\x5f\
\x62\x72\x61\x6e\x63\x68\0\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x6d\
\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x78\x73\x6b\x6d\x61\x70\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\0\0\x03\0\x50\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x56\0\0\0\0\0\x03\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\0\0\x03\0\
\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\x03\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x65\0\0\0\0\0\x03\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\0\0\x04\0\x88\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x8b\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xa9\0\0\0\x12\0\x03\
\0\xc8\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xc4\0\0\0\x12\0\x03\0\x30\x01\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\xe3\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\
\xf9\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x04\x01\0\0\x11\0\x06\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x16\xa8\0\0\0\0\0\x15\x06\x08\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x5f\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\0\0\0\x5f\0\0\0\x15\0\x02\0\0\0\0\0\x5d\x70\x01\0\0\0\0\0\x61\x70\x08\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x16\xa8\0\0\0\0\0\x15\x06\
\x09\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x5f\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x85\0\0\0\x5f\0\0\0\x55\0\x03\0\0\0\0\0\x5d\x70\x01\0\0\0\0\0\
\x05\0\x01\0\0\0\0\0\x61\x70\x08\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x79\x16\xa8\0\0\0\0\0\x15\x06\x09\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x5f\
\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x5f\0\0\0\x15\0\x03\0\
\0\0\0\0\x1d\x70\x01\0\0\0\0\0\x05\0\x01\0\0\0\0\0\x61\x70\x08\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x16\xa8\0\0\0\0\0\x15\x06\x08\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x85\0\0\0\x5f\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x85\0\0\0\x5f\0\0\0\x15\0\x02\0\0\0\0\0\x1d\x70\x01\0\0\0\0\0\x61\x70\x08\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\
\0\0\0\0\xbf\xa9\0\0\0\0\0\0\x07\x09\0\0\xf8\xff\xff\xff\x18\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\xbf\x92\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x06\0\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\xbf\x92\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\xbf\x07\0\0\0\0\0\0\x15\x06\x02\0\0\0\0\0\x5d\x76\x01\0\0\0\0\0\x61\x70\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x10\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe0\x02\0\0\xe0\x02\0\0\x85\x04\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x11\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\
\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x0d\0\0\0\0\x3f\0\0\0\x01\0\0\x0c\x0a\0\0\0\x5b\0\0\0\0\0\0\x11\
\x0b\0\0\0\xff\xff\xff\xff\xc8\0\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\xe4\0\
\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x07\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\
\xff\xff\xff\x3c\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x52\x01\0\0\x01\0\
\0\x0c\x0a\0\0\0\x70\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xd5\x01\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xf1\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\xe4\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x07\x01\0\0\0\0\0\x11\x11\0\
\0\0\xff\xff\xff\xff\x2e\x02\0\0\x01\0\0\x0c\x0a\0\0\0\x49\x02\0\0\0\0\0\x11\
\x17\0\0\0\xff\xff\xff\xff\xc8\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xe4\0\
\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x07\x01\0\0\0\0\0\x11\x17\0\0\0\xff\
\xff\xff\xff\x3c\x01\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xb5\x02\0\0\x01\0\
\0\x0c\x0a\0\0\0\xd4\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xd5\x01\0\0\0\
\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xf1\x01\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\
\xff\xe4\0\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x07\x01\0\0\0\0\0\x11\x1d\0\
\0\0\xff\xff\xff\xff\x3a\x03\0\0\x01\0\0\x0c\x0a\0\0\0\x50\x03\0\0\0\0\0\x11\
\x23\0\0\0\xff\xff\xff\xff\xc8\0\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x3c\
\x01\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xae\x03\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\0\xb3\x03\0\
\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\x68\x04\0\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\
\0\0\0\x20\0\0\0\x6e\x04\0\0\x01\0\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\0\0\
\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x78\x73\x6b\x6d\x61\
\x70\0\x73\x6f\x63\x6b\x65\x74\x5f\x66\x6f\x72\x5f\x6a\x6e\x65\x5f\x66\x61\x6c\
\x73\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6a\x6e\x65\x2f\
\x6a\x65\x71\x20\x69\x6e\x66\x65\x72\x20\x6e\x6f\x74\x20\x6e\x75\x6c\x6c\x2c\
\x20\x50\x54\x52\x5f\x54\x4f\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x4f\x52\x5f\x4e\
\x55\x4c\x4c\x20\x2d\x3e\x20\x50\x54\x52\x5f\x54\x4f\x5f\x53\x4f\x43\x4b\x45\
\x54\x20\x66\x6f\x72\x20\x4a\x4e\x45\x20\x66\x61\x6c\x73\x65\x20\x62\x72\x61\
\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\
\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\
\x52\x37\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x63\x6f\x6d\x70\x61\x72\x69\x73\
\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\
\x61\x6c\x3d\x30\0\x75\x6e\x63\x68\x61\x6e\x67\x65\x64\x5f\x66\x6f\x72\x5f\x6a\
\x6e\x65\x5f\x74\x72\x75\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6a\x6e\x65\x2f\x6a\x65\x71\x20\x69\x6e\x66\x65\x72\x20\x6e\x6f\x74\x20\
\x6e\x75\x6c\x6c\x2c\x20\x50\x54\x52\x5f\x54\x4f\x5f\x53\x4f\x43\x4b\x45\x54\
\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x20\x75\x6e\x63\x68\x61\x6e\x67\x65\x64\x20\
\x66\x6f\x72\x20\x4a\x4e\x45\x20\x74\x72\x75\x65\x20\x62\x72\x61\x6e\x63\x68\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x37\x20\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x6f\
\x63\x6b\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x27\0\x73\x6f\x63\x6b\x65\x74\x5f\x66\
\x6f\x72\x5f\x6a\x65\x71\x5f\x74\x72\x75\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6a\x6e\x65\x2f\x6a\x65\x71\x20\x69\x6e\x66\x65\x72\x20\
\x6e\x6f\x74\x20\x6e\x75\x6c\x6c\x2c\x20\x50\x54\x52\x5f\x54\x4f\x5f\x53\x4f\
\x43\x4b\x45\x54\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x20\x2d\x3e\x20\x50\x54\x52\
\x5f\x54\x4f\x5f\x53\x4f\x43\x4b\x45\x54\x20\x66\x6f\x72\x20\x4a\x45\x51\x20\
\x74\x72\x75\x65\x20\x62\x72\x61\x6e\x63\x68\0\x75\x6e\x63\x68\x61\x6e\x67\x65\
\x64\x5f\x66\x6f\x72\x5f\x6a\x65\x71\x5f\x66\x61\x6c\x73\x65\x5f\x62\x72\x61\
\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6a\x6e\x65\x2f\x6a\x65\x71\x20\x69\x6e\
\x66\x65\x72\x20\x6e\x6f\x74\x20\x6e\x75\x6c\x6c\x2c\x20\x50\x54\x52\x5f\x54\
\x4f\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x20\x75\x6e\
\x63\x68\x61\x6e\x67\x65\x64\x20\x66\x6f\x72\x20\x4a\x45\x51\x20\x66\x61\x6c\
\x73\x65\x20\x62\x72\x61\x6e\x63\x68\0\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\
\x6f\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6a\x6e\
\x65\x2f\x6a\x65\x71\x20\x69\x6e\x66\x65\x72\x20\x6e\x6f\x74\x20\x6e\x75\x6c\
\x6c\x2c\x20\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x41\x50\x5f\x56\x41\x4c\x55\x45\
\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x20\x2d\x3e\x20\x50\x54\x52\x5f\x54\x4f\x5f\
\x4d\x41\x50\x5f\x56\x41\x4c\x55\x45\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\
\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6a\x65\
\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x2e\x63\0\x09\
\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\
\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\
\x75\x70\x2f\x73\x6b\x62\0\x78\x64\x70\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x3c\0\0\0\x3c\0\0\0\x64\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\x76\x04\0\0\x04\0\0\
\0\0\0\0\0\x0b\0\0\0\x60\0\0\0\x11\0\0\0\xc8\0\0\0\x17\0\0\0\x30\x01\0\0\x1d\0\
\0\0\x81\x04\0\0\x01\0\0\0\0\0\0\0\x23\0\0\0\x10\0\0\0\x76\x04\0\0\x04\0\0\0\0\
\0\0\0\xbc\x03\0\0\x51\x04\0\0\x02\x88\0\0\x60\0\0\0\xbc\x03\0\0\x51\x04\0\0\
\x02\x18\x01\0\xc8\0\0\0\xbc\x03\0\0\x51\x04\0\0\x02\xa8\x01\0\x30\x01\0\0\xbc\
\x03\0\0\x51\x04\0\0\x02\x40\x02\0\x81\x04\0\0\x01\0\0\0\0\0\0\0\xbc\x03\0\0\
\x51\x04\0\0\x02\xcc\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x23\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x04\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0d\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x05\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x15\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x05\0\0\0\0\0\0\x7d\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0c\0\0\0\0\0\0\xc0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_jeq_infer_not_null *verifier_jeq_infer_not_null::open(const struct bpf_object_open_opts *opts) { return verifier_jeq_infer_not_null__open_opts(opts); }
struct verifier_jeq_infer_not_null *verifier_jeq_infer_not_null::open_and_load() { return verifier_jeq_infer_not_null__open_and_load(); }
int verifier_jeq_infer_not_null::load(struct verifier_jeq_infer_not_null *skel) { return verifier_jeq_infer_not_null__load(skel); }
int verifier_jeq_infer_not_null::attach(struct verifier_jeq_infer_not_null *skel) { return verifier_jeq_infer_not_null__attach(skel); }
void verifier_jeq_infer_not_null::detach(struct verifier_jeq_infer_not_null *skel) { verifier_jeq_infer_not_null__detach(skel); }
void verifier_jeq_infer_not_null::destroy(struct verifier_jeq_infer_not_null *skel) { verifier_jeq_infer_not_null__destroy(skel); }
const void *verifier_jeq_infer_not_null::elf_bytes(size_t *sz) { return verifier_jeq_infer_not_null__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_jeq_infer_not_null__assert(struct verifier_jeq_infer_not_null *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_JEQ_INFER_NOT_NULL_SKEL_H__ */
