/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MAP_IN_MAP_SKEL_H__
#define __VERIFIER_MAP_IN_MAP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_map_in_map {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_in_map;
	} maps;
	struct {
		struct bpf_program *map_in_map_access;
		struct bpf_program *invalid_inner_map_pointer;
		struct bpf_program *on_the_inner_map_pointer;
		struct bpf_program *map_in_map_state_pruning;
	} progs;
	struct {
		struct bpf_link *map_in_map_access;
		struct bpf_link *invalid_inner_map_pointer;
		struct bpf_link *on_the_inner_map_pointer;
		struct bpf_link *map_in_map_state_pruning;
	} links;

#ifdef __cplusplus
	static inline struct verifier_map_in_map *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_map_in_map *open_and_load();
	static inline int load(struct verifier_map_in_map *skel);
	static inline int attach(struct verifier_map_in_map *skel);
	static inline void detach(struct verifier_map_in_map *skel);
	static inline void destroy(struct verifier_map_in_map *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_map_in_map__destroy(struct verifier_map_in_map *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_map_in_map__create_skeleton(struct verifier_map_in_map *obj);

static inline struct verifier_map_in_map *
verifier_map_in_map__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_map_in_map *obj;
	int err;

	obj = (struct verifier_map_in_map *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_map_in_map__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_map_in_map__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_map_in_map *
verifier_map_in_map__open(void)
{
	return verifier_map_in_map__open_opts(NULL);
}

static inline int
verifier_map_in_map__load(struct verifier_map_in_map *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_map_in_map *
verifier_map_in_map__open_and_load(void)
{
	struct verifier_map_in_map *obj;
	int err;

	obj = verifier_map_in_map__open();
	if (!obj)
		return NULL;
	err = verifier_map_in_map__load(obj);
	if (err) {
		verifier_map_in_map__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_map_in_map__attach(struct verifier_map_in_map *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_map_in_map__detach(struct verifier_map_in_map *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_map_in_map__elf_bytes(size_t *sz);

static inline int
verifier_map_in_map__create_skeleton(struct verifier_map_in_map *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_map_in_map";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_in_map";
	s->maps[0].map = &obj->maps.map_in_map;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "map_in_map_access";
	s->progs[0].prog = &obj->progs.map_in_map_access;
	s->progs[0].link = &obj->links.map_in_map_access;

	s->progs[1].name = "invalid_inner_map_pointer";
	s->progs[1].prog = &obj->progs.invalid_inner_map_pointer;
	s->progs[1].link = &obj->links.invalid_inner_map_pointer;

	s->progs[2].name = "on_the_inner_map_pointer";
	s->progs[2].prog = &obj->progs.on_the_inner_map_pointer;
	s->progs[2].link = &obj->links.on_the_inner_map_pointer;

	s->progs[3].name = "map_in_map_state_pruning";
	s->progs[3].prog = &obj->progs.map_in_map_state_pruning;
	s->progs[3].link = &obj->links.map_in_map_state_pruning;

	s->data = verifier_map_in_map__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_map_in_map__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x78\x64\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\
\x70\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x32\
\x5f\x31\0\x6c\x30\x5f\x32\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x61\
\x63\x63\x65\x73\x73\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\0\x6d\x61\x70\
\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x73\x74\x61\x74\x65\x5f\x70\x72\x75\x6e\x69\
\x6e\x67\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x5f\x70\x6f\x69\x6e\x74\x65\x72\0\x6f\x6e\x5f\x74\x68\x65\x5f\x69\x6e\x6e\x65\
\x72\x5f\x6d\x61\x70\x5f\x70\x6f\x69\x6e\x74\x65\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\x78\x64\
\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x45\0\0\0\0\0\x04\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\
\0\0\0\x04\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\0\0\x04\0\xa0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\0\0\x03\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x59\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x6b\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x76\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xd8\0\
\0\0\0\0\0\0\x8f\0\0\0\x12\0\x03\0\x80\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xa9\0\0\
\0\x12\0\x03\0\x08\x01\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\xc2\0\0\0\x11\0\x06\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\x01\0\0\0\x15\0\x06\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\
\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\x01\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x07\0\0\0\0\0\xb7\
\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\
\xff\xff\xff\xbf\x01\0\0\0\0\0\0\x07\x01\0\0\x08\0\0\0\x85\0\0\0\x01\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\
\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xfc\xff\xff\xff\xbf\x62\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\x01\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\
\x0b\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\x55\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xbf\x01\
\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa0\
\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x28\
\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\x14\x03\0\0\x14\x03\0\0\xd3\x03\0\0\0\0\0\0\0\0\0\
\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x0c\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x19\0\0\0\x0a\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\
\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x08\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\
\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\
\0\0\x07\0\0\0\xc0\0\0\0\x34\0\0\0\x0c\0\0\0\0\x01\0\0\x3b\0\0\0\0\0\0\x0e\x0d\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x46\0\0\0\x01\0\0\x0c\x0f\0\0\0\x58\
\0\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\xff\x83\0\0\0\0\0\0\x11\x10\0\0\0\xff\
\xff\xff\xff\x9f\0\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\xff\xc2\0\0\0\0\0\0\x11\
\x10\0\0\0\xff\xff\xff\xff\xd8\0\0\0\x01\0\0\x0c\x0f\0\0\0\xf1\0\0\0\0\0\0\x11\
\x15\0\0\0\xff\xff\xff\xff\x83\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x23\
\x01\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x4e\x01\0\0\0\0\0\x11\x15\0\0\0\
\xff\xff\xff\xff\xc2\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x67\x01\0\0\0\0\
\0\x11\x15\0\0\0\xff\xff\xff\xff\x95\x01\0\0\x01\0\0\x0c\x0f\0\0\0\xaf\x01\0\0\
\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\xe2\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\
\xff\xff\xfe\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x42\x02\0\0\0\0\0\x11\
\x1c\0\0\0\xff\xff\xff\xff\x65\x02\0\0\x01\0\0\x0c\x0f\0\0\0\x7e\x02\0\0\0\0\0\
\x11\x21\0\0\0\xff\xff\xff\xff\xe2\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\
\xc5\x02\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x42\x02\0\0\0\0\0\x11\x21\0\0\
\0\xff\xff\xff\xff\x08\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\0\x0d\x03\0\0\0\0\0\x0e\x27\0\0\0\x01\
\0\0\0\xba\x03\0\0\x01\0\0\x0f\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\xc0\x03\0\
\0\x01\0\0\x0f\x04\0\0\0\x28\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x76\x61\x6c\x75\x65\x73\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\
\x70\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x61\x63\x63\x65\x73\x73\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x69\x6e\x20\x6d\x61\x70\x20\x61\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\
\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\
\x70\x5f\x73\x74\x61\x74\x65\x5f\x70\x72\x75\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6d\x61\x70\x20\x69\x6e\x20\x6d\x61\x70\x20\x73\x74\x61\x74\x65\x20\
\x70\x72\x75\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x70\x72\x6f\x63\x65\x73\x73\
\x65\x64\x20\x32\x36\x20\x69\x6e\x73\x6e\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\
\x73\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\
\x46\x52\x45\x51\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x69\x6e\x6e\x65\x72\x5f\x6d\
\x61\x70\x5f\x70\x6f\x69\x6e\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x69\x6e\x6e\x65\x72\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\
\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x31\x20\
\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\x20\
\x6f\x6e\x20\x6d\x61\x70\x5f\x70\x74\x72\x20\x70\x72\x6f\x68\x69\x62\x69\x74\
\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x6f\x6e\
\x5f\x74\x68\x65\x5f\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x70\x6f\x69\x6e\
\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x66\x6f\x72\x67\x6f\x74\x20\x6e\x75\x6c\
\x6c\x20\x63\x68\x65\x63\x6b\x69\x6e\x67\x20\x6f\x6e\x20\x74\x68\x65\x20\x69\
\x6e\x6e\x65\x72\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\
\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x6d\
\x61\x70\x5f\x70\x74\x72\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\
\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\x69\
\x6e\x5f\x6d\x61\x70\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x78\x64\x70\0\0\x9f\xeb\x01\0\x20\
\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x54\0\0\0\x88\0\0\0\0\0\0\0\x08\0\0\0\xc8\
\x03\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x80\0\0\0\x1c\0\0\0\x08\x01\0\0\x21\0\0\0\
\xcf\x03\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\xc8\x03\0\0\x03\0\0\0\0\0\0\
\0\x16\x03\0\0\xa3\x03\0\0\x02\x68\0\0\x80\0\0\0\x16\x03\0\0\xa3\x03\0\0\x02\
\x70\x01\0\x08\x01\0\0\x16\x03\0\0\xa3\x03\0\0\x02\xe4\x01\0\xcf\x03\0\0\x01\0\
\0\0\0\0\0\0\x16\x03\0\0\xa3\x03\0\0\x02\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\
\x68\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x80\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xcb\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xd6\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x05\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xde\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x05\0\0\0\0\0\0\
\xff\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0c\0\0\0\0\0\0\xa8\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_map_in_map *verifier_map_in_map::open(const struct bpf_object_open_opts *opts) { return verifier_map_in_map__open_opts(opts); }
struct verifier_map_in_map *verifier_map_in_map::open_and_load() { return verifier_map_in_map__open_and_load(); }
int verifier_map_in_map::load(struct verifier_map_in_map *skel) { return verifier_map_in_map__load(skel); }
int verifier_map_in_map::attach(struct verifier_map_in_map *skel) { return verifier_map_in_map__attach(skel); }
void verifier_map_in_map::detach(struct verifier_map_in_map *skel) { verifier_map_in_map__detach(skel); }
void verifier_map_in_map::destroy(struct verifier_map_in_map *skel) { verifier_map_in_map__destroy(skel); }
const void *verifier_map_in_map::elf_bytes(size_t *sz) { return verifier_map_in_map__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_map_in_map__assert(struct verifier_map_in_map *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MAP_IN_MAP_SKEL_H__ */
