/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MOVSX_SKEL_H__
#define __VERIFIER_MOVSX_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_movsx {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *mov32sx_s8;
		struct bpf_program *mov32sx_s16;
		struct bpf_program *mov64sx_s8;
		struct bpf_program *mov64sx_s16;
		struct bpf_program *mov64sx_s32;
		struct bpf_program *mov32sx_s8_range;
		struct bpf_program *mov32sx_s16_range;
		struct bpf_program *mov32sx_s16_range_2;
		struct bpf_program *mov64sx_s8_range;
		struct bpf_program *mov64sx_s16_range;
		struct bpf_program *mov64sx_s32_range;
		struct bpf_program *mov64sx_s16_r10;
	} progs;
	struct {
		struct bpf_link *mov32sx_s8;
		struct bpf_link *mov32sx_s16;
		struct bpf_link *mov64sx_s8;
		struct bpf_link *mov64sx_s16;
		struct bpf_link *mov64sx_s32;
		struct bpf_link *mov32sx_s8_range;
		struct bpf_link *mov32sx_s16_range;
		struct bpf_link *mov32sx_s16_range_2;
		struct bpf_link *mov64sx_s8_range;
		struct bpf_link *mov64sx_s16_range;
		struct bpf_link *mov64sx_s32_range;
		struct bpf_link *mov64sx_s16_r10;
	} links;

#ifdef __cplusplus
	static inline struct verifier_movsx *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_movsx *open_and_load();
	static inline int load(struct verifier_movsx *skel);
	static inline int attach(struct verifier_movsx *skel);
	static inline void detach(struct verifier_movsx *skel);
	static inline void destroy(struct verifier_movsx *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_movsx__destroy(struct verifier_movsx *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_movsx__create_skeleton(struct verifier_movsx *obj);

static inline struct verifier_movsx *
verifier_movsx__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_movsx *obj;
	int err;

	obj = (struct verifier_movsx *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_movsx__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_movsx__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_movsx *
verifier_movsx__open(void)
{
	return verifier_movsx__open_opts(NULL);
}

static inline int
verifier_movsx__load(struct verifier_movsx *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_movsx *
verifier_movsx__open_and_load(void)
{
	struct verifier_movsx *obj;
	int err;

	obj = verifier_movsx__open();
	if (!obj)
		return NULL;
	err = verifier_movsx__load(obj);
	if (err) {
		verifier_movsx__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_movsx__attach(struct verifier_movsx *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_movsx__detach(struct verifier_movsx *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_movsx__elf_bytes(size_t *sz);

static inline int
verifier_movsx__create_skeleton(struct verifier_movsx *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_movsx";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "mov32sx_s8";
	s->progs[0].prog = &obj->progs.mov32sx_s8;
	s->progs[0].link = &obj->links.mov32sx_s8;

	s->progs[1].name = "mov32sx_s16";
	s->progs[1].prog = &obj->progs.mov32sx_s16;
	s->progs[1].link = &obj->links.mov32sx_s16;

	s->progs[2].name = "mov64sx_s8";
	s->progs[2].prog = &obj->progs.mov64sx_s8;
	s->progs[2].link = &obj->links.mov64sx_s8;

	s->progs[3].name = "mov64sx_s16";
	s->progs[3].prog = &obj->progs.mov64sx_s16;
	s->progs[3].link = &obj->links.mov64sx_s16;

	s->progs[4].name = "mov64sx_s32";
	s->progs[4].prog = &obj->progs.mov64sx_s32;
	s->progs[4].link = &obj->links.mov64sx_s32;

	s->progs[5].name = "mov32sx_s8_range";
	s->progs[5].prog = &obj->progs.mov32sx_s8_range;
	s->progs[5].link = &obj->links.mov32sx_s8_range;

	s->progs[6].name = "mov32sx_s16_range";
	s->progs[6].prog = &obj->progs.mov32sx_s16_range;
	s->progs[6].link = &obj->links.mov32sx_s16_range;

	s->progs[7].name = "mov32sx_s16_range_2";
	s->progs[7].prog = &obj->progs.mov32sx_s16_range_2;
	s->progs[7].link = &obj->links.mov32sx_s16_range_2;

	s->progs[8].name = "mov64sx_s8_range";
	s->progs[8].prog = &obj->progs.mov64sx_s8_range;
	s->progs[8].link = &obj->links.mov64sx_s8_range;

	s->progs[9].name = "mov64sx_s16_range";
	s->progs[9].prog = &obj->progs.mov64sx_s16_range;
	s->progs[9].link = &obj->links.mov64sx_s16_range;

	s->progs[10].name = "mov64sx_s32_range";
	s->progs[10].prog = &obj->progs.mov64sx_s32_range;
	s->progs[10].link = &obj->links.mov64sx_s32_range;

	s->progs[11].name = "mov64sx_s16_r10";
	s->progs[11].prog = &obj->progs.mov64sx_s16_r10;
	s->progs[11].link = &obj->links.mov64sx_s16_r10;

	s->data = verifier_movsx__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_movsx__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x6d\x6f\x76\x73\x78\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x31\x5f\x30\0\x6c\
\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x30\
\x5f\x33\0\x6c\x31\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x31\x5f\x34\0\x6c\x30\x5f\
\x35\0\x6c\x31\x5f\x35\0\x6c\x30\x5f\x36\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\
\x38\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x31\x36\0\x6d\x6f\x76\x36\x34\x73\
\x78\x5f\x73\x38\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x31\x36\0\x6d\x6f\x76\
\x36\x34\x73\x78\x5f\x73\x33\x32\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x38\x5f\
\x72\x61\x6e\x67\x65\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x31\x36\x5f\x72\x61\
\x6e\x67\x65\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x31\x36\x5f\x72\x61\x6e\x67\
\x65\x5f\x32\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x38\x5f\x72\x61\x6e\x67\x65\
\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x31\x36\x5f\x72\x61\x6e\x67\x65\0\x6d\
\x6f\x76\x36\x34\x73\x78\x5f\x73\x33\x32\x5f\x72\x61\x6e\x67\x65\0\x6d\x6f\x76\
\x36\x34\x73\x78\x5f\x73\x31\x36\x5f\x72\x31\x30\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\0\0\x03\
\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x3b\0\0\0\0\0\x03\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\0\0\x03\0\x30\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4f\0\0\0\0\0\x03\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\0\0\x03\0\
\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\0\0\x03\0\xb0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x5e\0\0\0\0\0\x03\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\
\0\0\0\x03\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\x03\0\xe8\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\0\0\x03\0\x30\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x72\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x7d\0\0\0\x12\0\
\x03\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x89\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x94\0\0\0\x12\0\x03\0\x48\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\xa0\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xac\0\0\0\x12\0\
\x03\0\x80\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbd\0\0\0\x12\0\x03\0\xc0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\xcf\0\0\0\x12\0\x03\0\0\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\xe3\0\0\0\x12\0\x03\0\x40\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\x12\0\
\x03\0\x80\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x06\x01\0\0\x12\0\x03\0\xc0\x01\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\x01\0\0\x12\0\x03\0\0\x02\0\0\0\0\0\0\x48\0\0\
\0\0\0\0\0\x28\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\
\x23\xff\0\0\xbc\0\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x23\xff\0\0\xbc\0\
\x10\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\xfe\x01\0\0\xbf\0\x08\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\0\0\0\x23\x0f\x0f\0\xbf\0\x10\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\0\0\0\xfe\xff\xff\xff\xbf\0\x20\0\0\0\0\0\x77\0\0\0\x01\0\0\0\x95\0\0\0\0\
\0\0\0\x85\0\0\0\x07\0\0\0\xbc\x01\x08\0\0\0\0\0\x66\x01\x03\0\x7f\0\0\0\xc6\
\x01\x02\0\x80\xff\xff\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\
\0\0\0\x05\0\xfd\xff\0\0\0\0\x85\0\0\0\x07\0\0\0\xbc\x01\x10\0\0\0\0\0\x66\x01\
\x03\0\xff\x7f\0\0\xc6\x01\x02\0\x01\x7f\xff\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\0\0\0\x02\0\0\0\x05\0\xfd\xff\0\0\0\0\xb7\x01\0\0\xff\xff\0\0\xbc\
\x12\x10\0\0\0\0\0\x77\x02\0\0\x01\0\0\0\x55\x02\x02\0\xff\xff\xff\x7f\xb7\0\0\
\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\xfd\xff\0\0\0\0\x85\0\0\
\0\x07\0\0\0\xbf\x01\x08\0\0\0\0\0\x65\x01\x03\0\x7f\0\0\0\xc5\x01\x02\0\x80\
\xff\xff\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x05\0\
\xfd\xff\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x01\x10\0\0\0\0\0\x65\x01\x03\0\xff\
\x7f\0\0\xc5\x01\x02\0\0\x80\xff\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\0\0\0\x02\0\0\0\x05\0\xfd\xff\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x01\x20\0\0\0\0\
\0\x65\x01\x03\0\xff\xff\xff\x7f\xc5\x01\x02\0\0\0\0\x80\xb7\0\0\0\x01\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x05\0\xfd\xff\0\0\0\0\xb7\x01\0\0\x0c\
\x20\0\x21\x63\x1a\xf8\xff\0\0\0\0\xbf\xa1\x10\0\0\0\0\0\x07\x01\0\0\xf8\xff\
\xff\xff\xb7\x02\0\0\x03\0\0\0\xbd\x12\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\x0c\x04\0\0\x0c\x04\0\0\x80\x05\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\
\x01\0\0\x0c\x01\0\0\0\x0c\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x31\0\0\0\
\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\
\xff\x70\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x89\0\0\0\x01\0\0\x0c\x01\0\
\0\0\x95\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x07\0\0\
\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xbb\0\0\0\0\0\
\0\x11\x07\0\0\0\xff\xff\xff\xff\xda\0\0\0\x01\0\0\x0c\x01\0\0\0\xe5\0\0\0\0\0\
\0\x11\x0c\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\
\x4d\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x0a\x01\0\0\0\0\0\x11\x0c\0\0\0\
\xff\xff\xff\xff\x21\x01\0\0\x01\0\0\x0c\x01\0\0\0\x2d\x01\0\0\0\0\0\x11\x11\0\
\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x53\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\x6d\x01\0\0\x01\0\0\x0c\x01\0\0\0\x79\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\
\xff\xff\x31\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x9f\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xb6\x01\
\0\0\x01\0\0\x0c\x01\0\0\0\xc7\x01\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x31\
\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x1b\0\0\0\xff\
\xff\xff\xff\xf9\x01\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x0f\x02\0\0\x01\0\
\0\x0c\x01\0\0\0\x21\x02\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\
\0\x11\x20\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\
\xf9\x01\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x54\x02\0\0\x01\0\0\x0c\x01\0\
\0\0\x68\x02\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x25\0\
\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\xf9\x01\0\0\
\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x9d\x02\0\0\x01\0\0\x0c\x01\0\0\0\xae\x02\
\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\
\xff\xff\x4d\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\xf9\x01\0\0\0\0\0\x11\
\x2a\0\0\0\xff\xff\xff\xff\xe0\x02\0\0\x01\0\0\x0c\x01\0\0\0\xf2\x02\0\0\0\0\0\
\x11\x2f\0\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\
\x4d\0\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\xf9\x01\0\0\0\0\0\x11\x2f\0\0\0\
\xff\xff\xff\xff\x25\x03\0\0\x01\0\0\x0c\x01\0\0\0\x37\x03\0\0\0\0\0\x11\x34\0\
\0\0\xff\xff\xff\xff\x31\0\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\
\0\0\x11\x34\0\0\0\xff\xff\xff\xff\xf9\x01\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\
\xff\x6a\x03\0\0\x01\0\0\x0c\x01\0\0\0\x7a\x03\0\0\0\0\0\x11\x39\0\0\0\xff\xff\
\xff\xff\xb4\x03\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\xd0\x03\0\0\0\0\0\x11\
\x39\0\0\0\xff\xff\xff\xff\x4b\x04\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x6e\
\x04\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\xb0\x04\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3f\0\0\0\x41\0\0\0\x04\0\0\0\xb5\x04\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xc9\x04\0\0\0\0\0\x0e\x40\0\0\0\x01\0\0\0\x71\
\x05\0\0\x01\0\0\x0f\x04\0\0\0\x42\0\0\0\0\0\0\0\x04\0\0\0\0\x6d\x6f\x76\x33\
\x32\x73\x78\x5f\x73\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x33\x32\x53\x58\
\x2c\x20\x53\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\
\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\x78\x32\x33\0\x6d\x6f\x76\x33\x32\x73\
\x78\x5f\x73\x31\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x33\x32\x53\x58\x2c\
\x20\x53\x31\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\x78\x46\x46\x46\x46\x66\x66\x32\x33\0\x6d\x6f\x76\x36\
\x34\x73\x78\x5f\x73\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x36\x34\x53\x58\
\x2c\x20\x53\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x2d\x32\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x31\x36\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x31\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\
\x30\x78\x66\x32\x33\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x33\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x4d\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x33\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x2d\x31\0\
\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x38\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x4d\x4f\x56\x33\x32\x53\x58\x2c\x20\x53\x38\x2c\x20\x72\x61\x6e\
\x67\x65\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\
\x31\x36\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x33\x32\
\x53\x58\x2c\x20\x53\x31\x36\x2c\x20\x72\x61\x6e\x67\x65\x5f\x63\x68\x65\x63\
\x6b\0\x6d\x6f\x76\x33\x32\x73\x78\x5f\x73\x31\x36\x5f\x72\x61\x6e\x67\x65\x5f\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x33\x32\x53\x58\x2c\x20\x53\x31\x36\
\x2c\x20\x72\x61\x6e\x67\x65\x5f\x63\x68\x65\x63\x6b\x20\x32\0\x6d\x6f\x76\x36\
\x34\x73\x78\x5f\x73\x38\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\
\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x38\x2c\x20\x72\x61\x6e\x67\x65\x5f\x63\
\x68\x65\x63\x6b\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x31\x36\x5f\x72\x61\x6e\
\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x31\
\x36\x2c\x20\x72\x61\x6e\x67\x65\x5f\x63\x68\x65\x63\x6b\0\x6d\x6f\x76\x36\x34\
\x73\x78\x5f\x73\x33\x32\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\
\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x33\x32\x2c\x20\x72\x61\x6e\x67\x65\x5f\
\x63\x68\x65\x63\x6b\0\x6d\x6f\x76\x36\x34\x73\x78\x5f\x73\x31\x36\x5f\x72\x31\
\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x56\x36\x34\x53\x58\x2c\x20\x53\x31\x36\
\x2c\x20\x52\x31\x30\x20\x53\x69\x67\x6e\x20\x45\x78\x74\x65\x6e\x73\x69\x6f\
\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x31\x20\x74\x79\
\x70\x65\x3d\x73\x63\x61\x6c\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\
\x66\x70\x2c\x20\x70\x6b\x74\x2c\x20\x70\x6b\x74\x5f\x6d\x65\x74\x61\x2c\x20\
\x6d\x61\x70\x5f\x6b\x65\x79\x2c\x20\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x2c\
\x20\x6d\x65\x6d\x2c\x20\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x65\x6d\x2c\x20\
\x62\x75\x66\x2c\x20\x74\x72\x75\x73\x74\x65\x64\x5f\x70\x74\x72\x5f\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\
\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\x52\x31\x30\x20\x73\x69\x67\x6e\x2d\x65\x78\x74\x65\
\x6e\x73\x69\x6f\x6e\x20\x70\x61\x72\x74\x20\x6f\x66\x20\x70\x6f\x69\x6e\x74\
\x65\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\
\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\
\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x6f\x76\x73\x78\x2e\x63\0\x09\
\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\
\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x6c\0\0\0\x6c\0\0\0\xcc\0\0\0\x38\x01\0\0\0\0\0\0\
\x08\0\0\0\x79\x05\0\0\x0c\0\0\0\0\0\0\0\x02\0\0\0\x18\0\0\0\x07\0\0\0\x30\0\0\
\0\x0c\0\0\0\x48\0\0\0\x11\0\0\0\x60\0\0\0\x16\0\0\0\x80\0\0\0\x1b\0\0\0\xc0\0\
\0\0\x20\0\0\0\0\x01\0\0\x25\0\0\0\x40\x01\0\0\x2a\0\0\0\x80\x01\0\0\x2f\0\0\0\
\xc0\x01\0\0\x34\0\0\0\0\x02\0\0\x39\0\0\0\x10\0\0\0\x79\x05\0\0\x0c\0\0\0\0\0\
\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\x3c\0\0\x18\0\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\
\x6c\0\0\x30\0\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\x9c\0\0\x48\0\0\0\xd2\x04\0\0\
\x5a\x05\0\0\x02\xcc\0\0\x60\0\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\xfc\0\0\x80\0\0\
\0\xd2\x04\0\0\x5a\x05\0\0\x02\x30\x01\0\xc0\0\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\
\x88\x01\0\0\x01\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\xe0\x01\0\x40\x01\0\0\xd2\x04\
\0\0\x5a\x05\0\0\x02\x34\x02\0\x80\x01\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\x8c\x02\
\0\xc0\x01\0\0\xd2\x04\0\0\x5a\x05\0\0\x02\xe4\x02\0\0\x02\0\0\xd2\x04\0\0\x5a\
\x05\0\0\x02\x40\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x3f\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x31\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x88\x06\0\0\0\0\0\0\xa4\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x36\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\
\0\0\0\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_movsx *verifier_movsx::open(const struct bpf_object_open_opts *opts) { return verifier_movsx__open_opts(opts); }
struct verifier_movsx *verifier_movsx::open_and_load() { return verifier_movsx__open_and_load(); }
int verifier_movsx::load(struct verifier_movsx *skel) { return verifier_movsx__load(skel); }
int verifier_movsx::attach(struct verifier_movsx *skel) { return verifier_movsx__attach(skel); }
void verifier_movsx::detach(struct verifier_movsx *skel) { verifier_movsx__detach(skel); }
void verifier_movsx::destroy(struct verifier_movsx *skel) { verifier_movsx__destroy(skel); }
const void *verifier_movsx::elf_bytes(size_t *sz) { return verifier_movsx__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_movsx__assert(struct verifier_movsx *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MOVSX_SKEL_H__ */
