/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_RAW_STACK_SKEL_H__
#define __VERIFIER_RAW_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_raw_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *stack_no_skb_load_bytes;
		struct bpf_program *skb_load_bytes_negative_len;
		struct bpf_program *load_bytes_negative_len_2;
		struct bpf_program *skb_load_bytes_zero_len;
		struct bpf_program *skb_load_bytes_no_init;
		struct bpf_program *stack_skb_load_bytes_init;
		struct bpf_program *bytes_spilled_regs_around_bounds;
		struct bpf_program *load_bytes_spilled_regs_corruption;
		struct bpf_program *bytes_spilled_regs_corruption_2;
		struct bpf_program *load_bytes_spilled_regs_data;
		struct bpf_program *load_bytes_invalid_access_1;
		struct bpf_program *load_bytes_invalid_access_2;
		struct bpf_program *load_bytes_invalid_access_3;
		struct bpf_program *load_bytes_invalid_access_4;
		struct bpf_program *load_bytes_invalid_access_5;
		struct bpf_program *load_bytes_invalid_access_6;
		struct bpf_program *skb_load_bytes_large_access;
	} progs;
	struct {
		struct bpf_link *stack_no_skb_load_bytes;
		struct bpf_link *skb_load_bytes_negative_len;
		struct bpf_link *load_bytes_negative_len_2;
		struct bpf_link *skb_load_bytes_zero_len;
		struct bpf_link *skb_load_bytes_no_init;
		struct bpf_link *stack_skb_load_bytes_init;
		struct bpf_link *bytes_spilled_regs_around_bounds;
		struct bpf_link *load_bytes_spilled_regs_corruption;
		struct bpf_link *bytes_spilled_regs_corruption_2;
		struct bpf_link *load_bytes_spilled_regs_data;
		struct bpf_link *load_bytes_invalid_access_1;
		struct bpf_link *load_bytes_invalid_access_2;
		struct bpf_link *load_bytes_invalid_access_3;
		struct bpf_link *load_bytes_invalid_access_4;
		struct bpf_link *load_bytes_invalid_access_5;
		struct bpf_link *load_bytes_invalid_access_6;
		struct bpf_link *skb_load_bytes_large_access;
	} links;

#ifdef __cplusplus
	static inline struct verifier_raw_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_raw_stack *open_and_load();
	static inline int load(struct verifier_raw_stack *skel);
	static inline int attach(struct verifier_raw_stack *skel);
	static inline void detach(struct verifier_raw_stack *skel);
	static inline void destroy(struct verifier_raw_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_raw_stack__destroy(struct verifier_raw_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_raw_stack__create_skeleton(struct verifier_raw_stack *obj);

static inline struct verifier_raw_stack *
verifier_raw_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_raw_stack *obj;
	int err;

	obj = (struct verifier_raw_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_raw_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_raw_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_raw_stack *
verifier_raw_stack__open(void)
{
	return verifier_raw_stack__open_opts(NULL);
}

static inline int
verifier_raw_stack__load(struct verifier_raw_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_raw_stack *
verifier_raw_stack__open_and_load(void)
{
	struct verifier_raw_stack *obj;
	int err;

	obj = verifier_raw_stack__open();
	if (!obj)
		return NULL;
	err = verifier_raw_stack__load(obj);
	if (err) {
		verifier_raw_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_raw_stack__attach(struct verifier_raw_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_raw_stack__detach(struct verifier_raw_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_raw_stack__elf_bytes(size_t *sz);

static inline int
verifier_raw_stack__create_skeleton(struct verifier_raw_stack *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_raw_stack";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 17;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stack_no_skb_load_bytes";
	s->progs[0].prog = &obj->progs.stack_no_skb_load_bytes;
	s->progs[0].link = &obj->links.stack_no_skb_load_bytes;

	s->progs[1].name = "skb_load_bytes_negative_len";
	s->progs[1].prog = &obj->progs.skb_load_bytes_negative_len;
	s->progs[1].link = &obj->links.skb_load_bytes_negative_len;

	s->progs[2].name = "load_bytes_negative_len_2";
	s->progs[2].prog = &obj->progs.load_bytes_negative_len_2;
	s->progs[2].link = &obj->links.load_bytes_negative_len_2;

	s->progs[3].name = "skb_load_bytes_zero_len";
	s->progs[3].prog = &obj->progs.skb_load_bytes_zero_len;
	s->progs[3].link = &obj->links.skb_load_bytes_zero_len;

	s->progs[4].name = "skb_load_bytes_no_init";
	s->progs[4].prog = &obj->progs.skb_load_bytes_no_init;
	s->progs[4].link = &obj->links.skb_load_bytes_no_init;

	s->progs[5].name = "stack_skb_load_bytes_init";
	s->progs[5].prog = &obj->progs.stack_skb_load_bytes_init;
	s->progs[5].link = &obj->links.stack_skb_load_bytes_init;

	s->progs[6].name = "bytes_spilled_regs_around_bounds";
	s->progs[6].prog = &obj->progs.bytes_spilled_regs_around_bounds;
	s->progs[6].link = &obj->links.bytes_spilled_regs_around_bounds;

	s->progs[7].name = "load_bytes_spilled_regs_corruption";
	s->progs[7].prog = &obj->progs.load_bytes_spilled_regs_corruption;
	s->progs[7].link = &obj->links.load_bytes_spilled_regs_corruption;

	s->progs[8].name = "bytes_spilled_regs_corruption_2";
	s->progs[8].prog = &obj->progs.bytes_spilled_regs_corruption_2;
	s->progs[8].link = &obj->links.bytes_spilled_regs_corruption_2;

	s->progs[9].name = "load_bytes_spilled_regs_data";
	s->progs[9].prog = &obj->progs.load_bytes_spilled_regs_data;
	s->progs[9].link = &obj->links.load_bytes_spilled_regs_data;

	s->progs[10].name = "load_bytes_invalid_access_1";
	s->progs[10].prog = &obj->progs.load_bytes_invalid_access_1;
	s->progs[10].link = &obj->links.load_bytes_invalid_access_1;

	s->progs[11].name = "load_bytes_invalid_access_2";
	s->progs[11].prog = &obj->progs.load_bytes_invalid_access_2;
	s->progs[11].link = &obj->links.load_bytes_invalid_access_2;

	s->progs[12].name = "load_bytes_invalid_access_3";
	s->progs[12].prog = &obj->progs.load_bytes_invalid_access_3;
	s->progs[12].link = &obj->links.load_bytes_invalid_access_3;

	s->progs[13].name = "load_bytes_invalid_access_4";
	s->progs[13].prog = &obj->progs.load_bytes_invalid_access_4;
	s->progs[13].link = &obj->links.load_bytes_invalid_access_4;

	s->progs[14].name = "load_bytes_invalid_access_5";
	s->progs[14].prog = &obj->progs.load_bytes_invalid_access_5;
	s->progs[14].link = &obj->links.load_bytes_invalid_access_5;

	s->progs[15].name = "load_bytes_invalid_access_6";
	s->progs[15].prog = &obj->progs.load_bytes_invalid_access_6;
	s->progs[15].link = &obj->links.load_bytes_invalid_access_6;

	s->progs[16].name = "skb_load_bytes_large_access";
	s->progs[16].prog = &obj->progs.skb_load_bytes_large_access;
	s->progs[16].link = &obj->links.skb_load_bytes_large_access;

	s->data = verifier_raw_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_raw_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x73\x74\x61\x63\
\x6b\x5f\x6e\x6f\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\0\
\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x6e\x65\x67\x61\
\x74\x69\x76\x65\x5f\x6c\x65\x6e\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\
\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6c\x65\x6e\x5f\x32\0\x73\x6b\x62\x5f\x6c\
\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x7a\x65\x72\x6f\x5f\x6c\x65\x6e\0\x73\
\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x6e\x6f\x5f\x69\x6e\
\x69\x74\0\x73\x74\x61\x63\x6b\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\
\x74\x65\x73\x5f\x69\x6e\x69\x74\0\x62\x79\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\
\x65\x64\x5f\x72\x65\x67\x73\x5f\x61\x72\x6f\x75\x6e\x64\x5f\x62\x6f\x75\x6e\
\x64\x73\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\x65\
\x64\x5f\x72\x65\x67\x73\x5f\x63\x6f\x72\x72\x75\x70\x74\x69\x6f\x6e\0\x62\x79\
\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\x5f\x63\x6f\
\x72\x72\x75\x70\x74\x69\x6f\x6e\x5f\x32\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\
\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\x5f\x64\x61\x74\x61\0\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x31\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\
\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x32\0\x6c\x6f\x61\
\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x33\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\x76\
\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x34\0\x6c\x6f\x61\x64\x5f\x62\
\x79\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x35\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\
\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x36\0\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\
\x62\x79\x74\x65\x73\x5f\x6c\x61\x72\x67\x65\x5f\x61\x63\x63\x65\x73\x73\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\
\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x50\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x6c\0\0\0\x12\0\x04\0\x40\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x86\0\0\0\x12\0\x04\0\x80\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9e\0\0\0\x12\0\
\x04\0\xc0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb5\0\0\0\x12\0\x04\0\0\x01\0\0\0\0\
\0\0\x50\0\0\0\0\0\0\0\xcf\0\0\0\x12\0\x04\0\x50\x01\0\0\0\0\0\0\x70\0\0\0\0\0\
\0\0\xf0\0\0\0\x12\0\x04\0\xc0\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x13\x01\0\0\
\x12\0\x04\0\x10\x02\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x33\x01\0\0\x12\0\x04\0\xa0\
\x02\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x50\x01\0\0\x12\0\x04\0\x28\x03\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x6c\x01\0\0\x12\0\x04\0\x68\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x88\x01\0\0\x12\0\x04\0\xa8\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa4\x01\0\0\
\x12\0\x04\0\xe8\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc0\x01\0\0\x12\0\x04\0\x28\
\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xdc\x01\0\0\x12\0\x04\0\x68\x04\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xf8\x01\0\0\x12\0\x04\0\xa8\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x14\x02\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\
\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\
\x04\0\0\x08\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\
\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\
\0\xf8\xff\xff\xff\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x63\
\0\0\0\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\
\xff\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x1a\0\0\0\x79\
\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\
\x07\x06\0\0\xf8\xff\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\
\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\
\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xb7\x03\0\0\xfe\xca\0\0\x7b\x36\0\
\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\
\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\
\x07\x06\0\0\xf0\xff\xff\xff\x7b\x16\xf8\xff\0\0\0\0\x7b\x16\x08\0\0\0\0\0\xbf\
\x63\0\0\0\0\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\xf8\xff\0\0\
\0\0\x79\x62\x08\0\0\0\0\0\x61\0\x08\0\0\0\0\0\x61\x22\x20\0\0\0\0\0\x0f\x20\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\
\0\0\xf8\xff\xff\xff\x7b\x16\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\x08\0\
\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x61\0\x08\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\x7b\
\x16\xf8\xff\0\0\0\0\x7b\x16\0\0\0\0\0\0\x7b\x16\x08\0\0\0\0\0\xbf\x63\0\0\0\0\
\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\xf8\xff\0\0\0\0\x79\x62\
\x08\0\0\0\0\0\x79\x63\0\0\0\0\0\0\x61\0\x08\0\0\0\0\0\x61\x22\x20\0\0\0\0\0\
\x0f\x20\0\0\0\0\0\0\x61\x33\x04\0\0\0\0\0\x0f\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\x7b\
\x16\xf8\xff\0\0\0\0\x7b\x16\0\0\0\0\0\0\x7b\x16\x08\0\0\0\0\0\xbf\x63\0\0\0\0\
\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\xf8\xff\0\0\0\0\x79\x62\
\x08\0\0\0\0\0\x79\x63\0\0\0\0\0\0\x61\0\x08\0\0\0\0\0\x61\x22\x20\0\0\0\0\0\
\x0f\x20\0\0\0\0\0\0\x0f\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\
\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xff\xfd\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\
\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xff\xff\xff\xff\xbf\x63\0\0\
\0\0\0\0\xb7\x04\0\0\x08\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xff\xff\xff\
\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\x85\0\0\0\x1a\0\0\0\x79\
\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\
\x07\x06\0\0\xff\xff\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\xff\xff\xff\x7f\
\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\
\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\0\xfe\xff\xff\xbf\x63\0\0\0\0\0\0\xb7\x04\0\
\0\xff\xff\xff\x7f\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\0\xfe\xff\xff\xbf\x63\0\
\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\0\xfe\xff\xff\
\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\x02\0\0\x85\0\0\0\x1a\0\0\0\x79\x60\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x98\x04\0\0\x98\x04\0\0\x15\x0a\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\
\0\x0c\x01\0\0\0\x19\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x4f\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x6b\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x8e\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\xd6\0\0\0\x01\0\0\x0c\x01\0\0\0\
\xf2\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x07\0\0\0\
\xff\xff\xff\xff\x4f\x01\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x80\x01\0\0\
\x01\0\0\x0c\x01\0\0\0\x9a\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x33\x01\
\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x4f\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\
\xff\xff\xff\xdd\x01\0\0\x01\0\0\x0c\x01\0\0\0\xf5\x01\0\0\0\0\0\x11\x0f\0\0\0\
\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x32\x02\0\0\0\
\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x70\x02\0\0\x01\0\0\x0c\x01\0\0\0\x87\x02\0\
\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\x4f\0\0\0\0\0\0\x11\x13\0\0\0\xff\xff\
\xff\xff\xc3\x02\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\xd9\x02\0\0\x01\0\0\
\x0c\x01\0\0\0\xf3\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x4f\0\0\0\0\0\0\
\x11\x17\0\0\0\xff\xff\xff\xff\xc3\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\
\x2c\x03\0\0\x01\0\0\x0c\x01\0\0\0\x4d\x03\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\
\xff\x4f\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\xc3\x02\0\0\0\0\0\x11\x1b\0\
\0\0\xff\xff\xff\xff\x9c\x03\0\0\x01\0\0\x0c\x01\0\0\0\xbf\x03\0\0\0\0\0\x11\
\x1f\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\x0b\
\x04\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\x42\x04\0\0\0\0\0\x11\x1f\0\0\0\
\xff\xff\xff\xff\x6e\x04\0\0\x01\0\0\x0c\x01\0\0\0\x8e\x04\0\0\0\0\0\x11\x24\0\
\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\xdc\x04\0\
\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\x42\x04\0\0\0\0\0\x11\x24\0\0\0\xff\xff\
\xff\xff\x13\x05\0\0\x01\0\0\x0c\x01\0\0\0\x30\x05\0\0\0\0\0\x11\x29\0\0\0\xff\
\xff\xff\xff\x4f\0\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\xc3\x02\0\0\0\0\0\
\x11\x29\0\0\0\xff\xff\xff\xff\x78\x05\0\0\x01\0\0\x0c\x01\0\0\0\x94\x05\0\0\0\
\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\
\xff\xd9\x05\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\x25\x06\0\0\x01\0\0\x0c\
\x01\0\0\0\x41\x06\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\
\x11\x31\0\0\0\xff\xff\xff\xff\x86\x06\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\
\xd0\x06\0\0\x01\0\0\x0c\x01\0\0\0\xec\x06\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\
\xff\x33\x01\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x4f\x01\0\0\0\0\0\x11\x35\
\0\0\0\xff\xff\xff\xff\x31\x07\0\0\x01\0\0\x0c\x01\0\0\0\x4d\x07\0\0\0\0\0\x11\
\x39\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x92\
\x07\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\xef\x07\0\0\x01\0\0\x0c\x01\0\0\0\
\x0b\x08\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\x33\x01\0\0\0\0\0\x11\x3d\0\0\
\0\xff\xff\xff\xff\x92\x07\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\x50\x08\0\0\
\x01\0\0\x0c\x01\0\0\0\x6c\x08\0\0\0\0\0\x11\x41\0\0\0\xff\xff\xff\xff\x33\x01\
\0\0\0\0\0\x11\x41\0\0\0\xff\xff\xff\xff\xb1\x08\0\0\0\0\0\x11\x41\0\0\0\xff\
\xff\xff\xff\xe1\x08\0\0\x01\0\0\x0c\x01\0\0\0\xfd\x08\0\0\0\0\0\x11\x45\0\0\0\
\xff\xff\xff\xff\x4f\0\0\0\0\0\0\x11\x45\0\0\0\xff\xff\xff\xff\xc3\x02\0\0\0\0\
\0\x11\x45\0\0\0\xff\xff\xff\xff\x3e\x09\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x49\0\0\0\x4b\0\0\0\x04\0\0\0\x43\x09\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x57\x09\0\0\0\0\0\x0e\x4a\0\0\0\x01\0\0\0\x03\x0a\0\0\x01\
\0\0\x0f\x04\0\0\0\x4c\0\0\0\0\0\0\0\x04\0\0\0\0\x73\x74\x61\x63\x6b\x5f\x6e\
\x6f\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x6e\x6f\x20\x73\x6b\
\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\
\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\
\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\x20\x52\x36\x20\x6f\x66\
\x66\x3d\x2d\x38\x20\x73\x69\x7a\x65\x3d\x38\0\x73\x6b\x62\x5f\x6c\x6f\x61\x64\
\x5f\x62\x79\x74\x65\x73\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6c\x65\x6e\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\
\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x6e\x65\x67\x61\x74\
\x69\x76\x65\x20\x6c\x65\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x52\x34\x20\x6d\x69\x6e\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x6e\x65\
\x67\x61\x74\x69\x76\x65\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x6e\x65\
\x67\x61\x74\x69\x76\x65\x5f\x6c\x65\x6e\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\
\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\
\x62\x79\x74\x65\x73\x2c\x20\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6c\x65\x6e\
\x20\x32\0\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x7a\x65\
\x72\x6f\x5f\x6c\x65\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\
\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\
\x20\x7a\x65\x72\x6f\x20\x6c\x65\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x34\x20\x69\x6e\
\x76\x61\x6c\x69\x64\x20\x7a\x65\x72\x6f\x2d\x73\x69\x7a\x65\x64\x20\x72\x65\
\x61\x64\x3a\x20\x75\x36\x34\x3d\x5b\x30\x2c\x30\x5d\0\x73\x6b\x62\x5f\x6c\x6f\
\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x6e\x6f\x5f\x69\x6e\x69\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\
\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x6e\x6f\x20\x69\x6e\x69\x74\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\
\x30\0\x73\x74\x61\x63\x6b\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\
\x65\x73\x5f\x69\x6e\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\
\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\
\x2c\x20\x69\x6e\x69\x74\0\x62\x79\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\
\x5f\x72\x65\x67\x73\x5f\x61\x72\x6f\x75\x6e\x64\x5f\x62\x6f\x75\x6e\x64\x73\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\
\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x73\x70\x69\x6c\x6c\
\x65\x64\x20\x72\x65\x67\x73\x20\x61\x72\x6f\x75\x6e\x64\x20\x62\x6f\x75\x6e\
\x64\x73\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\x65\
\x64\x5f\x72\x65\x67\x73\x5f\x63\x6f\x72\x72\x75\x70\x74\x69\x6f\x6e\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x73\x70\x69\x6c\x6c\x65\x64\
\x20\x72\x65\x67\x73\x20\x63\x6f\x72\x72\x75\x70\x74\x69\x6f\x6e\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x52\x30\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\
\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\
\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x62\
\x79\x74\x65\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\x5f\x63\
\x6f\x72\x72\x75\x70\x74\x69\x6f\x6e\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\
\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\
\x79\x74\x65\x73\x2c\x20\x73\x70\x69\x6c\x6c\x65\x64\x20\x72\x65\x67\x73\x20\
\x63\x6f\x72\x72\x75\x70\x74\x69\x6f\x6e\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x33\
\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\
\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\
\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\x5f\x64\x61\x74\x61\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\
\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x73\x70\x69\x6c\x6c\x65\
\x64\x20\x72\x65\x67\x73\x20\x2b\x20\x64\x61\x74\x61\0\x6c\x6f\x61\x64\x5f\x62\
\x79\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\
\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\
\x65\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x33\x20\x6f\x66\x66\
\x3d\x2d\x35\x31\x33\x20\x73\x69\x7a\x65\x3d\x38\0\x6c\x6f\x61\x64\x5f\x62\x79\
\x74\x65\x73\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\
\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\
\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\
\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x33\x20\x6f\x66\x66\x3d\
\x2d\x31\x20\x73\x69\x7a\x65\x3d\x38\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\
\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x33\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x61\x63\x63\x65\x73\x73\x20\x33\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\
\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x61\x63\x63\x65\x73\x73\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x34\x20\x75\x6e\
\x62\x6f\x75\x6e\x64\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x61\x63\x63\x65\
\x73\x73\x2c\x20\x75\x73\x65\x20\x27\x76\x61\x72\x20\x26\x3d\x20\x63\x6f\x6e\
\x73\x74\x27\x20\x6f\x72\x20\x27\x69\x66\x20\x28\x76\x61\x72\x20\x3c\x20\x63\
\x6f\x6e\x73\x74\x29\x27\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\
\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x35\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\
\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\
\x63\x65\x73\x73\x20\x35\0\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x69\x6e\
\x76\x61\x6c\x69\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x36\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\
\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\
\x63\x65\x73\x73\x20\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x7a\x65\x72\x6f\x2d\x73\x69\x7a\x65\x64\x20\x72\x65\x61\x64\0\x73\x6b\x62\x5f\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x5f\x6c\x61\x72\x67\x65\x5f\x61\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\
\x3a\x20\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2c\x20\x6c\
\x61\x72\x67\x65\x20\x61\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\
\x34\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x72\x61\x77\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x74\x63\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x9c\0\0\0\x9c\0\0\0\x24\x01\0\0\xc0\x01\0\0\0\0\0\0\x08\0\0\0\x0b\x0a\0\
\0\x01\0\0\0\0\0\0\0\x02\0\0\0\x12\x0a\0\0\x10\0\0\0\0\0\0\0\x07\0\0\0\x40\0\0\
\0\x0b\0\0\0\x80\0\0\0\x0f\0\0\0\xc0\0\0\0\x13\0\0\0\0\x01\0\0\x17\0\0\0\x50\
\x01\0\0\x1b\0\0\0\xc0\x01\0\0\x1f\0\0\0\x10\x02\0\0\x24\0\0\0\xa0\x02\0\0\x29\
\0\0\0\x28\x03\0\0\x2d\0\0\0\x68\x03\0\0\x31\0\0\0\xa8\x03\0\0\x35\0\0\0\xe8\
\x03\0\0\x39\0\0\0\x28\x04\0\0\x3d\0\0\0\x68\x04\0\0\x41\0\0\0\xa8\x04\0\0\x45\
\0\0\0\x10\0\0\0\x0b\x0a\0\0\x01\0\0\0\0\0\0\0\x60\x09\0\0\xec\x09\0\0\x02\x38\
\0\0\x12\x0a\0\0\x10\0\0\0\0\0\0\0\x60\x09\0\0\xec\x09\0\0\x02\x7c\0\0\x40\0\0\
\0\x60\x09\0\0\xec\x09\0\0\x02\xc8\0\0\x80\0\0\0\x60\x09\0\0\xec\x09\0\0\x02\
\x18\x01\0\xc0\0\0\0\x60\x09\0\0\xec\x09\0\0\x02\x64\x01\0\0\x01\0\0\x60\x09\0\
\0\xec\x09\0\0\x02\xb0\x01\0\x50\x01\0\0\x60\x09\0\0\xec\x09\0\0\x02\x04\x02\0\
\xc0\x01\0\0\x60\x09\0\0\xec\x09\0\0\x02\x74\x02\0\x10\x02\0\0\x60\x09\0\0\xec\
\x09\0\0\x02\xd0\x02\0\xa0\x02\0\0\x60\x09\0\0\xec\x09\0\0\x02\x50\x03\0\x28\
\x03\0\0\x60\x09\0\0\xec\x09\0\0\x02\xc8\x03\0\x68\x03\0\0\x60\x09\0\0\xec\x09\
\0\0\x02\x14\x04\0\xa8\x03\0\0\x60\x09\0\0\xec\x09\0\0\x02\x60\x04\0\xe8\x03\0\
\0\x60\x09\0\0\xec\x09\0\0\x02\xb0\x04\0\x28\x04\0\0\x60\x09\0\0\xec\x09\0\0\
\x02\0\x05\0\x68\x04\0\0\x60\x09\0\0\xec\x09\0\0\x02\x4c\x05\0\xa8\x04\0\0\x60\
\x09\0\0\xec\x09\0\0\x02\x98\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x2b\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x10\x02\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1d\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x09\0\0\0\0\0\0\xc5\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x22\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x18\0\0\0\0\
\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_raw_stack *verifier_raw_stack::open(const struct bpf_object_open_opts *opts) { return verifier_raw_stack__open_opts(opts); }
struct verifier_raw_stack *verifier_raw_stack::open_and_load() { return verifier_raw_stack__open_and_load(); }
int verifier_raw_stack::load(struct verifier_raw_stack *skel) { return verifier_raw_stack__load(skel); }
int verifier_raw_stack::attach(struct verifier_raw_stack *skel) { return verifier_raw_stack__attach(skel); }
void verifier_raw_stack::detach(struct verifier_raw_stack *skel) { verifier_raw_stack__detach(skel); }
void verifier_raw_stack::destroy(struct verifier_raw_stack *skel) { verifier_raw_stack__destroy(skel); }
const void *verifier_raw_stack::elf_bytes(size_t *sz) { return verifier_raw_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_raw_stack__assert(struct verifier_raw_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_RAW_STACK_SKEL_H__ */
