/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_SUBPROG_PRECISION_SKEL_H__
#define __VERIFIER_SUBPROG_PRECISION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_subprog_precision {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data_vals;
	} maps;
	struct {
		struct bpf_program *subprog_result_precise;
		struct bpf_program *global_subprog_result_precise;
		struct bpf_program *callback_precise_return_fail;
		struct bpf_program *callback_result_precise;
		struct bpf_program *parent_callee_saved_reg_precise;
		struct bpf_program *parent_callee_saved_reg_precise_global;
		struct bpf_program *parent_callee_saved_reg_precise_with_callback;
		struct bpf_program *parent_stack_slot_precise;
		struct bpf_program *parent_stack_slot_precise_global;
		struct bpf_program *parent_stack_slot_precise_with_callback;
		struct bpf_program *subprog_arg_precise;
		struct bpf_program *subprog_spill_into_parent_stack_slot_precise;
		struct bpf_program *stack_slot_aliases_precision;
	} progs;
	struct {
		struct bpf_link *subprog_result_precise;
		struct bpf_link *global_subprog_result_precise;
		struct bpf_link *callback_precise_return_fail;
		struct bpf_link *callback_result_precise;
		struct bpf_link *parent_callee_saved_reg_precise;
		struct bpf_link *parent_callee_saved_reg_precise_global;
		struct bpf_link *parent_callee_saved_reg_precise_with_callback;
		struct bpf_link *parent_stack_slot_precise;
		struct bpf_link *parent_stack_slot_precise_global;
		struct bpf_link *parent_stack_slot_precise_with_callback;
		struct bpf_link *subprog_arg_precise;
		struct bpf_link *subprog_spill_into_parent_stack_slot_precise;
		struct bpf_link *stack_slot_aliases_precision;
	} links;
	struct verifier_subprog_precision__data_vals {
		int vals[4];
	} *data_vals;

#ifdef __cplusplus
	static inline struct verifier_subprog_precision *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_subprog_precision *open_and_load();
	static inline int load(struct verifier_subprog_precision *skel);
	static inline int attach(struct verifier_subprog_precision *skel);
	static inline void detach(struct verifier_subprog_precision *skel);
	static inline void destroy(struct verifier_subprog_precision *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_subprog_precision__destroy(struct verifier_subprog_precision *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_subprog_precision__create_skeleton(struct verifier_subprog_precision *obj);

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_subprog_precision *obj;
	int err;

	obj = (struct verifier_subprog_precision *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_subprog_precision__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_subprog_precision__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open(void)
{
	return verifier_subprog_precision__open_opts(NULL);
}

static inline int
verifier_subprog_precision__load(struct verifier_subprog_precision *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open_and_load(void)
{
	struct verifier_subprog_precision *obj;
	int err;

	obj = verifier_subprog_precision__open();
	if (!obj)
		return NULL;
	err = verifier_subprog_precision__load(obj);
	if (err) {
		verifier_subprog_precision__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_subprog_precision__attach(struct verifier_subprog_precision *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_subprog_precision__detach(struct verifier_subprog_precision *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_subprog_precision__elf_bytes(size_t *sz);

static inline int
verifier_subprog_precision__create_skeleton(struct verifier_subprog_precision *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_subprog_precision";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = ".data.vals";
	s->maps[0].map = &obj->maps.data_vals;
	s->maps[0].mmaped = (void **)&obj->data_vals;

	/* programs */
	s->prog_cnt = 13;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "subprog_result_precise";
	s->progs[0].prog = &obj->progs.subprog_result_precise;
	s->progs[0].link = &obj->links.subprog_result_precise;

	s->progs[1].name = "global_subprog_result_precise";
	s->progs[1].prog = &obj->progs.global_subprog_result_precise;
	s->progs[1].link = &obj->links.global_subprog_result_precise;

	s->progs[2].name = "callback_precise_return_fail";
	s->progs[2].prog = &obj->progs.callback_precise_return_fail;
	s->progs[2].link = &obj->links.callback_precise_return_fail;

	s->progs[3].name = "callback_result_precise";
	s->progs[3].prog = &obj->progs.callback_result_precise;
	s->progs[3].link = &obj->links.callback_result_precise;

	s->progs[4].name = "parent_callee_saved_reg_precise";
	s->progs[4].prog = &obj->progs.parent_callee_saved_reg_precise;
	s->progs[4].link = &obj->links.parent_callee_saved_reg_precise;

	s->progs[5].name = "parent_callee_saved_reg_precise_global";
	s->progs[5].prog = &obj->progs.parent_callee_saved_reg_precise_global;
	s->progs[5].link = &obj->links.parent_callee_saved_reg_precise_global;

	s->progs[6].name = "parent_callee_saved_reg_precise_with_callback";
	s->progs[6].prog = &obj->progs.parent_callee_saved_reg_precise_with_callback;
	s->progs[6].link = &obj->links.parent_callee_saved_reg_precise_with_callback;

	s->progs[7].name = "parent_stack_slot_precise";
	s->progs[7].prog = &obj->progs.parent_stack_slot_precise;
	s->progs[7].link = &obj->links.parent_stack_slot_precise;

	s->progs[8].name = "parent_stack_slot_precise_global";
	s->progs[8].prog = &obj->progs.parent_stack_slot_precise_global;
	s->progs[8].link = &obj->links.parent_stack_slot_precise_global;

	s->progs[9].name = "parent_stack_slot_precise_with_callback";
	s->progs[9].prog = &obj->progs.parent_stack_slot_precise_with_callback;
	s->progs[9].link = &obj->links.parent_stack_slot_precise_with_callback;

	s->progs[10].name = "subprog_arg_precise";
	s->progs[10].prog = &obj->progs.subprog_arg_precise;
	s->progs[10].link = &obj->links.subprog_arg_precise;

	s->progs[11].name = "subprog_spill_into_parent_stack_slot_precise";
	s->progs[11].prog = &obj->progs.subprog_spill_into_parent_stack_slot_precise;
	s->progs[11].link = &obj->links.subprog_spill_into_parent_stack_slot_precise;

	s->progs[12].name = "stack_slot_aliases_precision";
	s->progs[12].prog = &obj->progs.stack_slot_aliases_precision;
	s->progs[12].link = &obj->links.stack_slot_aliases_precision;

	s->data = verifier_subprog_precision__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_subprog_precision__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x4e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x64\x61\x74\x61\x2e\x76\x61\
\x6c\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\x2e\x63\0\
\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6c\x6f\x6f\x70\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x62\x61\x64\0\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x77\x69\x74\x68\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x61\x72\x67\0\x73\x75\x62\
\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\
\x69\x73\x65\0\x67\x6c\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\
\x73\x75\x62\x70\x72\x6f\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\
\x6c\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x76\x61\x6c\x73\0\x67\x6c\x6f\x62\
\x61\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\
\x72\x65\x63\x69\x73\x65\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x5f\x72\x65\x74\x75\x72\x6e\x5f\x66\x61\x69\x6c\0\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\
\x70\x61\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\
\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\0\x70\x61\x72\x65\x6e\x74\x5f\
\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\x72\
\x65\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\x70\x61\x72\x65\x6e\x74\x5f\
\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\x72\
\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\
\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x70\
\x72\x65\x63\x69\x73\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\
\x73\x6c\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\
\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x70\
\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x61\x72\x67\x5f\x70\x72\x65\x63\x69\x73\
\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\x69\x6e\x74\x6f\
\x5f\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\
\x70\x72\x65\x63\x69\x73\x65\0\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x61\
\x6c\x69\x61\x73\x65\x73\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\
\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x4f\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x60\0\0\0\x02\0\
\x03\0\x20\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x71\0\0\0\x02\0\x03\0\x30\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x83\
\0\0\0\x02\0\x03\0\x58\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x9c\0\0\0\x02\0\x03\0\
\x88\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xb6\0\0\0\x12\0\x03\0\x10\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xce\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xe5\
\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xea\0\0\0\x12\0\x04\0\x50\
\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x08\x01\0\0\x12\0\x04\0\xb0\0\0\0\0\0\0\0\x48\
\0\0\0\0\0\0\0\x25\x01\0\0\x12\0\x04\0\xf8\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x3d\
\x01\0\0\x12\0\x04\0\x80\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x5d\x01\0\0\x12\0\
\x04\0\xd0\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x84\x01\0\0\x12\0\x04\0\x20\x02\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\xb2\x01\0\0\x12\0\x04\0\x98\x02\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\xcc\x01\0\0\x12\0\x04\0\xf8\x02\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xed\
\x01\0\0\x12\0\x04\0\x58\x03\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x15\x02\0\0\x12\0\
\x04\0\xe0\x03\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x29\x02\0\0\x12\0\x04\0\x08\x04\0\
\0\0\0\0\0\x68\0\0\0\0\0\0\0\x56\x02\0\0\x12\0\x04\0\x70\x04\0\0\0\0\0\0\xa0\0\
\0\0\0\0\0\0\x73\x02\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x10\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x65\0\x01\0\xe8\x03\0\0\xb7\0\0\
\0\0\0\0\0\x05\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x67\x01\0\0\x02\0\0\0\x18\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x81\x20\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x7b\x21\0\0\0\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\x79\xa0\xf0\xff\0\0\0\0\x79\
\x12\0\0\0\0\0\0\x0f\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x27\0\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\x61\x10\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xa5\0\x01\0\x04\0\0\0\xb7\
\0\0\0\x03\0\0\0\x27\0\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\
\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x06\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x01\0\0\x01\0\0\0\xbf\x62\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\
\0\0\x85\0\0\0\xb5\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x08\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\
\xbf\x61\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\xb5\0\0\0\xbf\x06\0\0\0\0\0\0\x25\x06\x04\0\x03\0\0\0\x27\x06\0\0\
\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\xb7\x01\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x27\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\
\0\x0f\x61\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\xb7\x01\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\x27\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x08\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\xb7\x01\0\0\x01\0\0\0\xbf\
\x82\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\
\x27\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x61\x10\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\
\0\x7b\x6a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x79\
\xa6\xf8\xff\0\0\0\0\x27\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x61\0\0\0\0\
\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x06\0\0\x03\0\0\0\x7b\x6a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x79\xa6\xf8\xff\0\0\0\0\x27\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\
\0\0\x0f\x61\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x07\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x08\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\
\0\x7b\x6a\xf8\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\xb7\x03\0\0\
\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x79\xa6\xf8\xff\0\0\0\0\x27\
\x06\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x06\0\0\x03\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\x0a\0\
\0\0\x0f\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x06\0\0\x01\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xbf\x62\
\0\0\0\0\0\0\x85\x10\0\0\x10\0\0\0\x79\xa7\xf8\xff\0\0\0\0\x27\x07\0\0\x04\0\0\
\0\xbf\x81\0\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\xbf\x61\0\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\
\xbf\xa8\0\0\0\0\0\0\x07\x08\0\0\xe0\xff\xff\xff\x7b\x0a\xf0\xff\0\0\0\0\x79\
\x70\xf8\xff\0\0\0\0\x7b\x08\x10\0\0\0\0\0\x79\x80\x10\0\0\0\0\0\x7b\x07\xf8\
\xff\0\0\0\0\x79\xa0\xf0\xff\0\0\0\0\x27\0\0\0\x04\0\0\0\xbf\x71\0\0\0\0\0\0\
\x0f\x01\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\
\x03\0\0\0\x04\0\0\0\x47\x50\x4c\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\
\x50\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x70\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\xb0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x08\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\
\0\xa0\x01\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\
\0\0\xf0\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x20\x02\0\0\0\0\0\0\x01\0\0\0\x0b\
\0\0\0\x30\x02\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\xc0\x02\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\0\
\0\x0b\0\0\0\x20\x03\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x58\x03\0\0\0\0\0\0\x01\0\
\0\0\x0b\0\0\0\x68\x03\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xf0\x03\0\0\0\0\0\0\x0a\
\0\0\0\x02\0\0\0\x08\x04\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x38\x04\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x70\x04\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x90\x04\0\0\0\0\0\
\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xec\x0e\0\0\xec\x0e\0\0\
\x9d\x30\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\x0f\0\0\0\0\0\0\x0c\x01\0\0\0\x20\0\0\0\0\0\0\x08\x05\0\0\0\x26\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x39\0\0\0\x04\0\0\0\x3b\
\0\0\0\x01\0\0\x0c\x06\0\0\0\x53\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\x0d\
\x0a\0\0\0\x64\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x68\0\0\0\x01\0\0\x0c\x09\
\0\0\0\x7f\0\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x0b\0\
\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\xdd\0\0\0\0\
\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x31\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\
\xff\x85\x01\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\xd7\x01\0\0\0\0\0\x11\x0b\
\0\0\0\xff\xff\xff\xff\x2c\x02\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x82\x02\
\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\x0b\0\0\0\xff\
\xff\xff\xff\x29\x03\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\x16\0\0\0\
\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x47\x03\0\0\0\0\
\0\x11\x16\0\0\0\xff\xff\xff\xff\x70\x03\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\
\xff\xb5\x03\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x09\x04\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x5d\x04\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xbf\x04\
\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x15\x05\0\0\0\0\0\x0c\x01\0\0\0\x27\
\x05\0\0\x01\0\0\x0c\x09\0\0\0\x44\x05\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\
\x9b\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x60\x05\0\0\0\0\0\x11\x20\0\0\0\
\xff\xff\xff\xff\x8e\x05\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\xe2\x05\0\0\0\
\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x2a\x06\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\
\xff\x91\x06\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\xf5\x06\0\0\x01\0\0\x0c\
\x09\0\0\0\x7f\0\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\
\x28\0\0\0\xff\xff\xff\xff\x0d\x07\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x3f\
\x07\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x92\x07\0\0\0\0\0\x11\x28\0\0\0\
\xff\xff\xff\xff\xdd\x07\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x2f\x08\0\0\0\
\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x82\x08\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\
\xff\xcd\x08\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x20\x09\0\0\0\0\0\x11\x28\
\0\0\0\xff\xff\xff\xff\x73\x09\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xc7\x09\
\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x1b\x0a\0\0\0\0\0\x11\x28\0\0\0\xff\
\xff\xff\xff\x6e\x0a\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x98\x0a\0\0\0\0\0\
\x11\x28\0\0\0\xff\xff\xff\xff\xde\x0a\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\
\x33\x0b\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x88\x0b\0\0\0\0\0\x11\x28\0\0\
\0\xff\xff\xff\xff\xeb\x0b\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x40\x0c\0\0\
\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x9a\x0c\0\0\0\0\0\x11\x28\0\0\0\xff\xff\
\xff\xff\xc8\x0c\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x08\x0d\0\0\0\0\0\x11\
\x28\0\0\0\xff\xff\xff\xff\x30\x0d\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x56\
\x0d\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x85\x0d\0\0\0\0\0\x11\x28\0\0\0\
\xff\xff\xff\xff\xad\x0d\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xe0\x0d\0\0\0\
\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x35\x0e\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\
\xff\x60\x0e\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\x46\0\0\0\xff\xff\
\xff\xff\x9b\0\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\x80\x0e\0\0\0\0\0\x11\
\x46\0\0\0\xff\xff\xff\xff\xa9\x0e\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\xee\
\x0e\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\x42\x0f\0\0\0\0\0\x11\x46\0\0\0\
\xff\xff\xff\xff\x96\x0f\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\xe8\x0f\0\0\0\
\0\0\x11\x46\0\0\0\xff\xff\xff\xff\x3b\x10\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\
\xff\x8f\x10\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\x46\
\0\0\0\xff\xff\xff\xff\xe2\x10\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\
\x52\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\x80\
\x0e\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\xa9\x0e\0\0\0\0\0\x11\x52\0\0\0\
\xff\xff\xff\xff\xee\x0e\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\x42\x0f\0\0\0\
\0\0\x11\x52\0\0\0\xff\xff\xff\xff\x09\x11\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\
\xff\x8f\x10\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\x52\
\0\0\0\xff\xff\xff\xff\x5f\x11\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\
\x5c\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x8d\
\x11\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xb7\x11\0\0\0\0\0\x11\x5c\0\0\0\
\xff\xff\xff\xff\xfd\x11\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x52\x12\0\0\0\
\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xa7\x12\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\
\xff\x01\x13\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xdd\x07\0\0\0\0\0\x11\x5c\
\0\0\0\xff\xff\xff\xff\x4c\x13\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x9f\x13\
\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xf2\x13\0\0\0\0\0\x11\x5c\0\0\0\xff\
\xff\xff\xff\x46\x14\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x1b\x0a\0\0\0\0\0\
\x11\x5c\0\0\0\xff\xff\xff\xff\x99\x14\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\
\xc7\x14\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x07\x15\0\0\0\0\0\x11\x5c\0\0\
\0\xff\xff\xff\xff\x2f\x15\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x56\x0d\0\0\
\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x85\x0d\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\
\xff\xff\x55\x15\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x3f\x07\0\0\0\0\0\x11\
\x5c\0\0\0\xff\xff\xff\xff\x8b\x15\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xe3\
\x15\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x35\x16\0\0\0\0\0\x11\x5c\0\0\0\
\xff\xff\xff\xff\x8d\x16\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\xd6\x16\0\0\0\
\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x01\x17\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\
\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\
\xff\x1b\x17\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\x44\x17\0\0\0\0\0\x11\x78\
\0\0\0\xff\xff\xff\xff\x89\x17\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\xdd\x17\
\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\x31\x18\0\0\0\0\0\x11\x78\0\0\0\xff\
\xff\xff\xff\x93\x18\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\xde\x18\0\0\0\0\0\
\x11\x78\0\0\0\xff\xff\xff\xff\x24\x19\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\
\x76\x19\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\xc9\x19\0\0\0\0\0\x11\x78\0\0\
\0\xff\xff\xff\xff\x1d\x1a\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\x70\x1a\0\0\
\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\x78\0\0\0\xff\xff\
\xff\xff\xd2\x1a\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\x88\0\0\0\xff\
\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\x1b\x17\0\0\0\0\0\
\x11\x88\0\0\0\xff\xff\xff\xff\x70\x03\0\0\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\
\x89\x17\0\0\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\xdd\x17\0\0\0\0\0\x11\x88\0\0\
\0\xff\xff\xff\xff\x31\x18\0\0\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\xf3\x1a\0\0\
\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\x1d\x1a\0\0\0\0\0\x11\x88\0\0\0\xff\xff\
\xff\xff\x70\x1a\0\0\0\0\0\x11\x88\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\
\x88\0\0\0\xff\xff\xff\xff\x49\x1b\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\
\x11\x94\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\
\x6e\x0a\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x71\x1b\0\0\0\0\0\x11\x94\0\0\
\0\xff\xff\xff\xff\xde\x0a\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x33\x0b\0\0\
\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\xb8\x1b\0\0\0\0\0\x11\x94\0\0\0\xff\xff\
\xff\xff\x1b\x1c\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x93\x18\0\0\0\0\0\x11\
\x94\0\0\0\xff\xff\xff\xff\x76\x1c\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\xc9\
\x1c\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x1c\x1d\0\0\0\0\0\x11\x94\0\0\0\
\xff\xff\xff\xff\x6f\x1d\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\xc3\x1d\0\0\0\
\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x17\x1e\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\
\xff\x1b\x0a\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x79\x1e\0\0\0\0\0\x11\x94\
\0\0\0\xff\xff\xff\xff\xc8\x0c\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x08\x0d\
\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x30\x0d\0\0\0\0\0\x11\x94\0\0\0\xff\
\xff\xff\xff\x56\x0d\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\xa8\x1e\0\0\0\0\0\
\x11\x94\0\0\0\xff\xff\xff\xff\xd1\x1e\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\
\x09\x1f\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x5e\x1f\0\0\0\0\0\x11\x94\0\0\
\0\xff\xff\xff\xff\xb5\x1f\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x07\x20\0\0\
\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\x8d\x16\0\0\0\0\0\x11\x94\0\0\0\xff\xff\
\xff\xff\x64\x20\0\0\0\0\0\x11\x94\0\0\0\xff\xff\xff\xff\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\x39\0\0\0\x04\0\0\0\x90\x20\0\0\0\0\0\x0c\xb2\0\0\0\xa9\x20\0\0\x01\
\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\
\0\x11\xb4\0\0\0\xff\xff\xff\xff\xbd\x20\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\
\xff\xe6\x20\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\xff\x2b\x21\0\0\0\0\0\x11\xb4\
\0\0\0\xff\xff\xff\xff\x7d\x21\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\xff\xd2\x21\
\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\xff\x28\x22\0\0\0\0\0\x11\xb4\0\0\0\xff\
\xff\xff\xff\x7c\x22\0\0\0\0\0\x11\xb4\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0d\
\x04\0\0\0\xcf\x22\0\0\0\0\0\x0c\xbe\0\0\0\xe9\x22\0\0\x01\0\0\x0c\x09\0\0\0\
\x7f\0\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\xc0\0\0\0\
\xff\xff\xff\xff\x16\x23\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x40\x23\0\0\0\
\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x94\x23\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\
\xff\xe8\x23\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x3c\x24\0\0\0\0\0\x11\xc0\
\0\0\0\xff\xff\xff\xff\x9e\x24\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x36\x25\
\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x89\x25\0\0\0\0\0\x11\xc0\0\0\0\xff\
\xff\xff\xff\xdb\x25\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x2f\x26\0\0\0\0\0\
\x11\xc0\0\0\0\xff\xff\xff\xff\x8f\x26\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\
\xf1\x26\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x53\x27\0\0\0\0\0\x11\xc0\0\0\
\0\xff\xff\xff\xff\xb3\x27\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x09\x28\0\0\
\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x5d\x28\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\
\xff\xff\xb2\x28\0\0\0\0\0\x11\xc0\0\0\0\xff\xff\xff\xff\x07\x29\0\0\0\0\0\x11\
\xc0\0\0\0\xff\xff\xff\xff\x5a\x29\0\0\x01\0\0\x0c\x09\0\0\0\x7f\0\0\0\0\0\0\
\x11\xd5\0\0\0\xff\xff\xff\xff\x9b\0\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\
\x77\x29\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\xa1\x29\0\0\0\0\0\x11\xd5\0\0\
\0\xff\xff\xff\xff\xf5\x29\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x4a\x2a\0\0\
\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x9f\x2a\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\
\xff\xff\x03\x2b\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x66\x2b\0\0\0\0\0\x11\
\xd5\0\0\0\xff\xff\xff\xff\xc9\x2b\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x2d\
\x2c\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x8f\x2c\0\0\0\0\0\x11\xd5\0\0\0\
\xff\xff\xff\xff\xf3\x2c\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x49\x2d\0\0\0\
\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x9e\x2d\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\
\xff\xf3\x2d\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x48\x2e\0\0\0\0\0\x11\xd5\
\0\0\0\xff\xff\xff\xff\x9a\x2e\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\xef\x2e\
\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\x82\x02\0\0\0\0\0\x11\xd5\0\0\0\xff\
\xff\xff\xff\x07\x29\0\0\0\0\0\x11\xd5\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x03\
\0\0\0\0\x0a\0\0\0\xec\0\0\0\x04\0\0\0\x46\x2f\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\x5a\x2f\0\0\0\0\0\x0e\xeb\0\0\0\x01\0\0\0\x5f\x2f\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\xee\0\0\0\xec\0\0\0\x04\0\0\0\x64\x2f\0\
\0\0\0\0\x0e\xef\0\0\0\x01\0\0\0\x7c\x30\0\0\x01\0\0\x0f\x10\0\0\0\xed\0\0\0\0\
\0\0\0\x10\0\0\0\x87\x30\0\0\x01\0\0\x0f\x04\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x69\x64\x65\x6e\x74\
\x69\x74\x79\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x5f\x5f\x75\x36\x34\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x78\0\x67\
\x6c\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\x62\x70\
\x72\x6f\x67\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x73\x75\x62\x70\x72\x6f\x67\
\0\x69\x6e\x74\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\x5f\
\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\
\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\
\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x35\x3a\x20\x28\x32\x37\x29\x20\x72\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x39\x35\x29\x20\x65\
\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\
\x62\x66\x29\x20\x72\x30\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\
\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\
\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x67\x6c\x6f\x62\x61\
\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\x72\
\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3a\x20\x28\x30\x66\x29\x20\x72\
\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\
\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x66\x29\x20\x72\
\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\
\x20\x28\x32\x37\x29\x20\x72\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x61\x35\x29\x20\x69\x66\x20\x72\x30\x20\
\x3c\x20\x30\x78\x34\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\
\x20\x70\x63\x2b\x37\0\x6c\x6f\x6f\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x62\x61\x64\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x5f\x72\x65\x74\x75\x72\x6e\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\
\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\
\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x31\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x66\x72\x6f\x6d\x20\x31\x30\x20\x74\x6f\x20\x31\x32\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x52\x30\x3d\x73\x63\x61\x6c\x61\x72\x28\x73\x6d\x69\x6e\
\x3d\x75\x6d\x69\x6e\x3d\x31\x30\x30\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x39\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x23\x37\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x41\x74\x20\x63\x61\x6c\x6c\x62\x61\x63\x6b\x20\x72\x65\x74\x75\
\x72\x6e\x20\x74\x68\x65\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x52\x30\x20\
\x68\x61\x73\x20\x73\x6d\x69\x6e\x3d\x31\x30\x30\x31\x20\x73\x68\x6f\x75\x6c\
\x64\x20\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\x69\x6e\x20\x5b\x30\x2c\x20\
\x31\x5d\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\
\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x23\x31\x38\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\
\x72\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\
\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\
\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x72\x34\x20\x73\x74\x61\x63\x6b\
\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\
\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\
\x71\x5f\x69\x64\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x34\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\
\x3a\x20\x28\x62\x37\x29\x20\x72\x34\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\
\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x38\x3a\x20\x28\x62\x37\x29\x20\x72\x34\x20\x3d\x20\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x33\
\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\
\x62\x66\x29\x20\x72\x32\x20\x3d\x20\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x35\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x62\x37\x29\x20\x72\
\x36\x20\x3d\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x3a\x20\x28\x30\x66\x29\x20\
\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\
\x74\x5f\x69\x64\x78\x20\x31\x34\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\
\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\x62\x66\
\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x31\x32\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x32\x35\x29\x20\x69\
\x66\x20\x72\x36\x20\x3e\x20\x30\x78\x33\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x62\x66\
\x29\x20\x72\x36\x20\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x39\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\
\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\x39\x20\x74\x6f\x20\x31\
\x37\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x3a\x20\
\x66\x72\x61\x6d\x65\x31\x3a\x20\x52\x31\x3d\x73\x63\x61\x6c\x61\x72\x28\x29\
\x20\x52\x32\x3d\x30\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x63\x62\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x38\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x72\x65\x74\x75\x72\x6e\x69\x6e\x67\x20\x66\x72\x6f\x6d\x20\x63\x61\
\x6c\x6c\x65\x65\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x74\x6f\x20\x63\x61\x6c\x6c\x65\x72\
\x20\x61\x74\x20\x39\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x72\x61\x6d\x65\x20\x30\x3a\
\x20\x70\x72\x6f\x70\x61\x67\x61\x74\x69\x6e\x67\x20\x72\x31\x2c\x72\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x2c\x72\x34\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x38\x3a\x20\x28\x39\
\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\x31\x38\
\x20\x74\x6f\x20\x39\x3a\x20\x73\x61\x66\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x63\
\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\x72\x65\
\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x31\
\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\
\x69\x64\x78\x20\x37\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x31\
\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\
\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x62\x66\x29\x20\x72\x30\x20\
\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\
\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x33\x3a\x20\x28\x62\x37\x29\x20\x72\x31\x20\x3d\x20\x30\0\x70\x61\
\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\
\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\
\x6c\x6c\x20\x70\x63\x2b\x35\0\x70\x61\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\
\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\
\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x32\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x32\x20\x66\
\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x31\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x32\x37\x29\x20\
\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\
\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\
\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\
\x74\x65\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x3a\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x37\x29\x20\x72\
\x34\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\
\x28\x62\x37\x29\x20\x72\x33\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x32\x20\x3d\x20\x72\x38\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x62\x37\x29\x20\x72\
\x31\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\x39\x20\x74\x6f\
\x20\x31\x35\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x52\x31\x3d\x73\x63\x61\x6c\x61\x72\
\x28\x29\x20\x52\x32\x3d\x30\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x63\x62\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x35\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x36\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x66\x72\x61\x6d\x65\x20\x30\x3a\x20\x70\x72\x6f\x70\x61\x67\
\x61\x74\x69\x6e\x67\x20\x72\x31\x2c\x72\x34\x2c\x72\x36\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x2c\x72\x34\x2c\x72\x36\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x36\x3a\x20\x28\x39\x35\
\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x35\x3a\x20\
\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x39\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\
\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\
\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x3a\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\x31\x36\x20\x74\x6f\x20\x39\x3a\x20\x73\
\x61\x66\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\
\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3a\x20\x28\x30\
\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\
\x78\x20\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\
\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x37\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x37\x39\x29\x20\x72\x36\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\
\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x3a\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x33\x20\x66\
\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x33\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x31\x32\x3a\x20\x28\x62\x66\x29\x20\x72\x30\x20\x3d\x20\
\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x70\x63\x2b\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\
\x20\x34\x3a\x20\x28\x62\x37\x29\x20\x72\x31\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\
\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\x36\0\x70\x61\
\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x70\x72\x65\
\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\
\x72\x65\x20\x35\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\
\x36\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\
\x70\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\
\x31\x34\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x31\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x37\x39\x29\x20\x72\x36\x20\
\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\
\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\
\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x31\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x62\x37\x29\x20\
\x72\x34\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\
\x20\x28\x62\x37\x29\x20\x72\x33\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\
\x6f\x72\x65\x20\x37\x3a\x20\x28\x62\x66\x29\x20\x72\x32\x20\x3d\x20\x72\x38\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\
\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x35\
\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\
\x20\x2d\x38\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\
\x31\x30\x20\x74\x6f\x20\x31\x37\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x74\x6f\x20\x63\x61\x6c\x6c\x65\x72\x20\x61\x74\x20\x31\x30\x3a\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x66\x72\x61\x6d\x65\x20\x30\x3a\x20\x70\x72\x6f\x70\x61\
\x67\x61\x74\x69\x6e\x67\x20\x72\x31\x2c\x72\x34\x2c\x66\x70\x2d\x38\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x30\x20\x66\
\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x31\x30\x20\x73\x75\x62\x73\x65\x71\x5f\
\x69\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x31\x2c\x72\x34\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\
\x72\x65\x20\x31\x38\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x31\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\
\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x38\x35\x29\
\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x23\x31\x38\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x66\x72\x6f\x6d\x20\x31\x38\x20\x74\x6f\x20\x31\x30\x3a\x20\
\x73\x61\x66\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x70\x72\
\x65\x63\x69\x73\x65\x5f\x61\x72\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x61\x72\
\x67\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3a\x20\x28\x30\
\x66\x29\x20\x72\x32\x20\x2b\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\
\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x31\
\x38\x29\x20\x72\x32\x20\x3d\x20\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x35\x3a\x20\x28\x36\x37\x29\x20\x72\x31\x20\x3c\x3c\x3d\x20\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\
\x6c\x20\x70\x63\x2b\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x3a\
\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x30\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\x72\x65\x67\x5f\x70\
\x72\x65\x63\x69\x73\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\
\x5f\x69\x6e\x74\x6f\x5f\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\
\x73\x6c\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\
\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x30\x20\x66\x69\x72\
\x73\x74\x5f\x69\x64\x78\x20\x37\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\
\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x37\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x62\
\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x37\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x38\x3a\x20\x28\x32\x37\x29\x20\x72\x37\x20\x2a\x3d\x20\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x37\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x37\x39\x29\x20\x72\x37\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\
\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x3a\x20\x20\
\x52\x30\x5f\x77\x3d\x32\x20\x52\x36\x5f\x77\x3d\x31\x20\x52\x38\x5f\x72\x77\
\x3d\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x28\x6d\x61\x70\x3d\x2e\x64\x61\x74\
\x61\x2e\x76\x61\x6c\x73\x2c\x6b\x73\x3d\x34\x2c\x76\x73\x3d\x31\x36\x29\x20\
\x52\x31\x30\x3d\x66\x70\x30\x20\x66\x70\x2d\x38\x5f\x72\x77\x3d\x50\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x38\x20\
\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\
\x69\x64\x78\x20\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\
\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x38\x3a\
\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\
\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x30\x20\x2b\x3d\x20\x72\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x36\x3a\x20\x28\x37\x39\x29\x20\x72\x32\x20\
\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x35\x3a\x20\x28\x37\x39\x29\x20\x72\x30\x20\
\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x31\x36\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x34\x3a\x20\x28\x37\x62\x29\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x31\x36\x29\x20\x3d\x20\
\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\x37\x62\x29\
\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\
\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x38\x35\
\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x35\x3a\x20\x28\x62\x66\x29\x20\x72\x32\x20\x3d\x20\x72\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x30\x37\x29\x20\x72\
\x31\x20\x2b\x3d\x20\x2d\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\
\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\
\x20\x31\0\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x61\x6c\x69\x61\x73\x65\
\x73\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x3a\
\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x37\x20\x66\x69\x72\x73\
\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\
\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x36\x3a\x20\x28\x62\
\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x35\x3a\x20\x28\x32\x37\x29\x20\x72\x30\x20\x2a\x3d\x20\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x34\x3a\x20\x28\x37\x39\x29\x20\
\x72\x30\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\
\x31\x36\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\
\x61\x63\x6b\x3d\x2d\x31\x36\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\
\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x37\x20\x2d\x38\
\x29\x20\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x32\
\x3a\x20\x28\x37\x39\x29\x20\x72\x30\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\
\x29\x28\x72\x38\x20\x2b\x31\x36\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x31\x36\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x31\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x38\x20\x2b\x31\x36\x29\x20\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x37\x39\x29\x20\x72\x30\x20\x3d\x20\
\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x37\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x31\x36\
\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\
\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x31\x36\x29\x20\x3d\x20\x72\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x30\x37\x29\x20\
\x72\x38\x20\x2b\x3d\x20\x2d\x33\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x37\x3a\x20\x28\x62\x66\x29\x20\x72\x38\x20\x3d\x20\x72\x31\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x30\x37\x29\x20\x72\x37\
\x20\x2b\x3d\x20\x2d\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\
\x20\x28\x62\x66\x29\x20\x72\x37\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x32\x31\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x30\x3a\x20\x28\x62\x66\x29\
\x20\x72\x30\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x31\x35\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x76\
\x61\x6c\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x31\x2e\x72\
\x70\x69\x36\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x31\x2e\x72\x70\x69\x36\x34\x2e\x65\x6c\x39\x2e\x61\x61\
\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x28\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x67\x6c\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x28\x5f\x5f\x75\x36\x34\x20\x78\x29\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x78\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x76\x61\x6c\x73\x5b\
\x78\x5d\x3b\x20\x2f\x2a\x20\x78\x20\x69\x73\x20\x66\x6f\x72\x63\x65\x64\x20\
\x74\x6f\x20\x62\x65\x20\x70\x72\x65\x63\x69\x73\x65\x20\x2a\x2f\0\x2e\x64\x61\
\x74\x61\x2e\x76\x61\x6c\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\
\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\
\0\0\xac\0\0\0\xac\0\0\0\x64\x01\0\0\x10\x02\0\0\0\0\0\0\x08\0\0\0\x8f\x30\0\0\
\x06\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\0\x07\0\0\0\x20\0\0\0\x08\0\0\0\x30\0\0\0\
\x1f\0\0\0\x58\0\0\0\xb3\0\0\0\x88\0\0\0\xbf\0\0\0\x95\x30\0\0\x0d\0\0\0\0\0\0\
\0\x0b\0\0\0\x50\0\0\0\x16\0\0\0\xb0\0\0\0\x20\0\0\0\xf8\0\0\0\x28\0\0\0\x80\
\x01\0\0\x46\0\0\0\xd0\x01\0\0\x52\0\0\0\x20\x02\0\0\x5c\0\0\0\x98\x02\0\0\x78\
\0\0\0\xf8\x02\0\0\x88\0\0\0\x58\x03\0\0\x94\0\0\0\xe0\x03\0\0\xb4\0\0\0\x08\
\x04\0\0\xc0\0\0\0\x70\x04\0\0\xd5\0\0\0\x10\0\0\0\x8f\x30\0\0\x08\0\0\0\0\0\0\
\0\x6d\x2f\0\0\x01\x30\0\0\x02\x48\0\0\x10\0\0\0\x6d\x2f\0\0\x11\x30\0\0\0\x64\
\0\0\x18\0\0\0\x6d\x2f\0\0\x40\x30\0\0\x02\x70\0\0\x20\0\0\0\x6d\x2f\0\0\x01\
\x30\0\0\x02\x8c\0\0\x30\0\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\xf0\x01\0\x58\0\0\0\
\x6d\x2f\0\0\x4b\x30\0\0\x09\x64\x08\0\x80\0\0\0\x6d\x2f\0\0\x4b\x30\0\0\x02\
\x64\x08\0\x88\0\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\xf8\x08\0\x95\x30\0\0\x0d\0\0\
\0\0\0\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\xd4\0\0\x50\0\0\0\x6d\x2f\0\0\x01\x30\0\
\0\x02\x64\x01\0\xb0\0\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\x68\x02\0\xf8\0\0\0\x6d\
\x2f\0\0\x01\x30\0\0\x02\x44\x03\0\x80\x01\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\xf4\
\x03\0\xd0\x01\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\x7c\x04\0\x20\x02\0\0\x6d\x2f\0\
\0\x01\x30\0\0\x02\x60\x05\0\x98\x02\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\x14\x06\0\
\xf8\x02\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\xc4\x06\0\x58\x03\0\0\x6d\x2f\0\0\x01\
\x30\0\0\x02\xd0\x07\0\xe0\x03\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\x9c\x08\0\x08\
\x04\0\0\x6d\x2f\0\0\x01\x30\0\0\x02\x90\x09\0\x70\x04\0\0\x6d\x2f\0\0\x01\x30\
\0\0\x02\x6c\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x05\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x05\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0b\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\x02\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x86\x02\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0b\0\0\0\0\0\0\x80\x01\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x92\x02\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x0c\0\0\0\0\0\0\xa1\x3f\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\x02\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x4c\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_subprog_precision *verifier_subprog_precision::open(const struct bpf_object_open_opts *opts) { return verifier_subprog_precision__open_opts(opts); }
struct verifier_subprog_precision *verifier_subprog_precision::open_and_load() { return verifier_subprog_precision__open_and_load(); }
int verifier_subprog_precision::load(struct verifier_subprog_precision *skel) { return verifier_subprog_precision__load(skel); }
int verifier_subprog_precision::attach(struct verifier_subprog_precision *skel) { return verifier_subprog_precision__attach(skel); }
void verifier_subprog_precision::detach(struct verifier_subprog_precision *skel) { verifier_subprog_precision__detach(skel); }
void verifier_subprog_precision::destroy(struct verifier_subprog_precision *skel) { verifier_subprog_precision__destroy(skel); }
const void *verifier_subprog_precision::elf_bytes(size_t *sz) { return verifier_subprog_precision__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_subprog_precision__assert(struct verifier_subprog_precision *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data_vals->vals) == 16, "unexpected size of 'vals'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_SUBPROG_PRECISION_SKEL_H__ */
